#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1404
#define LARGE_STATE_COUNT 28
#define SYMBOL_COUNT 212
#define ALIAS_COUNT 5
#define TOKEN_COUNT 94
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 35
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 109

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_source_file_token1 = 2,
  anon_sym_SEMI = 3,
  anon_sym_NULL = 4,
  anon_sym_package = 5,
  anon_sym_import = 6,
  anon_sym_DOT = 7,
  sym_blank_identifier = 8,
  anon_sym_LPAREN = 9,
  anon_sym_RPAREN = 10,
  anon_sym_const = 11,
  anon_sym_COMMA = 12,
  anon_sym_EQ = 13,
  anon_sym_var = 14,
  anon_sym_func = 15,
  anon_sym_LBRACK = 16,
  anon_sym_RBRACK = 17,
  anon_sym_DOT_DOT_DOT = 18,
  anon_sym_type = 19,
  anon_sym_STAR = 20,
  anon_sym_struct = 21,
  anon_sym_TILDE = 22,
  anon_sym_LBRACE = 23,
  anon_sym_RBRACE = 24,
  anon_sym_interface = 25,
  anon_sym_PIPE = 26,
  anon_sym_map = 27,
  anon_sym_chan = 28,
  anon_sym_LT_DASH = 29,
  anon_sym_COLON_EQ = 30,
  anon_sym_PLUS_PLUS = 31,
  anon_sym_DASH_DASH = 32,
  anon_sym_STAR_EQ = 33,
  anon_sym_SLASH_EQ = 34,
  anon_sym_PERCENT_EQ = 35,
  anon_sym_LT_LT_EQ = 36,
  anon_sym_GT_GT_EQ = 37,
  anon_sym_AMP_EQ = 38,
  anon_sym_AMP_CARET_EQ = 39,
  anon_sym_PLUS_EQ = 40,
  anon_sym_DASH_EQ = 41,
  anon_sym_PIPE_EQ = 42,
  anon_sym_CARET_EQ = 43,
  anon_sym_COLON = 44,
  anon_sym_fallthrough = 45,
  anon_sym_break = 46,
  anon_sym_continue = 47,
  anon_sym_goto = 48,
  anon_sym_return = 49,
  anon_sym_go = 50,
  anon_sym_defer = 51,
  anon_sym_if = 52,
  anon_sym_else = 53,
  anon_sym_for = 54,
  anon_sym_range = 55,
  anon_sym_switch = 56,
  anon_sym_case = 57,
  anon_sym_default = 58,
  anon_sym_select = 59,
  anon_sym_new = 60,
  anon_sym_make = 61,
  anon_sym_PLUS = 62,
  anon_sym_DASH = 63,
  anon_sym_BANG = 64,
  anon_sym_CARET = 65,
  anon_sym_AMP = 66,
  anon_sym_SLASH = 67,
  anon_sym_PERCENT = 68,
  anon_sym_LT_LT = 69,
  anon_sym_GT_GT = 70,
  anon_sym_AMP_CARET = 71,
  anon_sym_EQ_EQ = 72,
  anon_sym_BANG_EQ = 73,
  anon_sym_LT = 74,
  anon_sym_LT_EQ = 75,
  anon_sym_GT = 76,
  anon_sym_GT_EQ = 77,
  anon_sym_AMP_AMP = 78,
  anon_sym_PIPE_PIPE = 79,
  sym_raw_string_literal = 80,
  anon_sym_DQUOTE = 81,
  anon_sym_DQUOTE2 = 82,
  sym__interpreted_string_literal_basic_content = 83,
  sym_escape_sequence = 84,
  sym_int_literal = 85,
  sym_float_literal = 86,
  sym_imaginary_literal = 87,
  sym_rune_literal = 88,
  sym_nil = 89,
  sym_true = 90,
  sym_false = 91,
  sym_iota = 92,
  sym_comment = 93,
  sym_source_file = 94,
  sym_package_clause = 95,
  sym_import_declaration = 96,
  sym_import_spec = 97,
  sym_dot = 98,
  sym_import_spec_list = 99,
  sym__declaration = 100,
  sym_const_declaration = 101,
  sym_const_spec = 102,
  sym_var_declaration = 103,
  sym_var_spec = 104,
  sym_var_spec_list = 105,
  sym_function_declaration = 106,
  sym_method_declaration = 107,
  sym_type_parameter_list = 108,
  sym_type_parameter_declaration = 109,
  sym_parameter_list = 110,
  sym_parameter_declaration = 111,
  sym_variadic_parameter_declaration = 112,
  sym_type_alias = 113,
  sym_type_declaration = 114,
  sym_type_spec = 115,
  sym_expression_list = 116,
  sym_parenthesized_type = 117,
  sym__simple_type = 118,
  sym_generic_type = 119,
  sym_type_arguments = 120,
  sym_pointer_type = 121,
  sym_array_type = 122,
  sym_implicit_length_array_type = 123,
  sym_slice_type = 124,
  sym_struct_type = 125,
  sym_negated_type = 126,
  sym_field_declaration_list = 127,
  sym_field_declaration = 128,
  sym_interface_type = 129,
  sym_method_elem = 130,
  sym_type_elem = 131,
  sym_map_type = 132,
  sym_channel_type = 133,
  sym_function_type = 134,
  sym_block = 135,
  sym__statement_list = 136,
  sym__statement = 137,
  sym_empty_statement = 138,
  sym__simple_statement = 139,
  sym_expression_statement = 140,
  sym_send_statement = 141,
  sym_receive_statement = 142,
  sym_inc_statement = 143,
  sym_dec_statement = 144,
  sym_assignment_statement = 145,
  sym_short_var_declaration = 146,
  sym_labeled_statement = 147,
  sym_empty_labeled_statement = 148,
  sym_fallthrough_statement = 149,
  sym_break_statement = 150,
  sym_continue_statement = 151,
  sym_goto_statement = 152,
  sym_return_statement = 153,
  sym_go_statement = 154,
  sym_defer_statement = 155,
  sym_if_statement = 156,
  sym_for_statement = 157,
  sym_for_clause = 158,
  sym_range_clause = 159,
  sym_expression_switch_statement = 160,
  sym_expression_case = 161,
  sym_default_case = 162,
  sym_type_switch_statement = 163,
  sym__type_switch_header = 164,
  sym_type_case = 165,
  sym_select_statement = 166,
  sym_communication_case = 167,
  sym__expression = 168,
  sym_parenthesized_expression = 169,
  sym_call_expression = 170,
  sym_variadic_argument = 171,
  sym_special_argument_list = 172,
  sym_argument_list = 173,
  sym_selector_expression = 174,
  sym_index_expression = 175,
  sym_slice_expression = 176,
  sym_type_assertion_expression = 177,
  sym_type_conversion_expression = 178,
  sym_type_instantiation_expression = 179,
  sym_composite_literal = 180,
  sym_literal_value = 181,
  sym_literal_element = 182,
  sym_keyed_element = 183,
  sym_func_literal = 184,
  sym_unary_expression = 185,
  sym_binary_expression = 186,
  sym_qualified_type = 187,
  sym_interpreted_string_literal = 188,
  aux_sym_source_file_repeat1 = 189,
  aux_sym_import_spec_list_repeat1 = 190,
  aux_sym_const_declaration_repeat1 = 191,
  aux_sym_const_spec_repeat1 = 192,
  aux_sym_var_spec_repeat1 = 193,
  aux_sym_var_spec_list_repeat1 = 194,
  aux_sym_type_parameter_list_repeat1 = 195,
  aux_sym_parameter_list_repeat1 = 196,
  aux_sym_type_declaration_repeat1 = 197,
  aux_sym_expression_list_repeat1 = 198,
  aux_sym_type_arguments_repeat1 = 199,
  aux_sym_field_declaration_list_repeat1 = 200,
  aux_sym_field_declaration_repeat1 = 201,
  aux_sym_interface_type_repeat1 = 202,
  aux_sym_type_elem_repeat1 = 203,
  aux_sym__statement_list_repeat1 = 204,
  aux_sym_expression_switch_statement_repeat1 = 205,
  aux_sym_type_switch_statement_repeat1 = 206,
  aux_sym_type_case_repeat1 = 207,
  aux_sym_select_statement_repeat1 = 208,
  aux_sym_argument_list_repeat1 = 209,
  aux_sym_literal_value_repeat1 = 210,
  aux_sym_interpreted_string_literal_repeat1 = 211,
  alias_sym_field_identifier = 212,
  alias_sym_label_name = 213,
  alias_sym_package_identifier = 214,
  alias_sym_type_constraint = 215,
  alias_sym_type_identifier = 216,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_source_file_token1] = "source_file_token1",
  [anon_sym_SEMI] = ";",
  [anon_sym_NULL] = "\0",
  [anon_sym_package] = "package",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [sym_blank_identifier] = "blank_identifier",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_const] = "const",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [anon_sym_var] = "var",
  [anon_sym_func] = "func",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_type] = "type",
  [anon_sym_STAR] = "*",
  [anon_sym_struct] = "struct",
  [anon_sym_TILDE] = "~",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_interface] = "interface",
  [anon_sym_PIPE] = "|",
  [anon_sym_map] = "map",
  [anon_sym_chan] = "chan",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_AMP_CARET_EQ] = "&^=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_COLON] = ":",
  [anon_sym_fallthrough] = "fallthrough",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym_return] = "return",
  [anon_sym_go] = "go",
  [anon_sym_defer] = "defer",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_range] = "range",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_select] = "select",
  [anon_sym_new] = "identifier",
  [anon_sym_make] = "identifier",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_BANG] = "!",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AMP_CARET] = "&^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [sym_raw_string_literal] = "raw_string_literal",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_DQUOTE2] = "\"",
  [sym__interpreted_string_literal_basic_content] = "_interpreted_string_literal_basic_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_int_literal] = "int_literal",
  [sym_float_literal] = "float_literal",
  [sym_imaginary_literal] = "imaginary_literal",
  [sym_rune_literal] = "rune_literal",
  [sym_nil] = "nil",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_iota] = "iota",
  [sym_comment] = "comment",
  [sym_source_file] = "source_file",
  [sym_package_clause] = "package_clause",
  [sym_import_declaration] = "import_declaration",
  [sym_import_spec] = "import_spec",
  [sym_dot] = "dot",
  [sym_import_spec_list] = "import_spec_list",
  [sym__declaration] = "_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym_const_spec] = "const_spec",
  [sym_var_declaration] = "var_declaration",
  [sym_var_spec] = "var_spec",
  [sym_var_spec_list] = "var_spec_list",
  [sym_function_declaration] = "function_declaration",
  [sym_method_declaration] = "method_declaration",
  [sym_type_parameter_list] = "type_parameter_list",
  [sym_type_parameter_declaration] = "type_parameter_declaration",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_type_alias] = "type_alias",
  [sym_type_declaration] = "type_declaration",
  [sym_type_spec] = "type_spec",
  [sym_expression_list] = "expression_list",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym__simple_type] = "_simple_type",
  [sym_generic_type] = "generic_type",
  [sym_type_arguments] = "type_arguments",
  [sym_pointer_type] = "pointer_type",
  [sym_array_type] = "array_type",
  [sym_implicit_length_array_type] = "implicit_length_array_type",
  [sym_slice_type] = "slice_type",
  [sym_struct_type] = "struct_type",
  [sym_negated_type] = "negated_type",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym_field_declaration] = "field_declaration",
  [sym_interface_type] = "interface_type",
  [sym_method_elem] = "method_elem",
  [sym_type_elem] = "type_elem",
  [sym_map_type] = "map_type",
  [sym_channel_type] = "channel_type",
  [sym_function_type] = "function_type",
  [sym_block] = "block",
  [sym__statement_list] = "_statement_list",
  [sym__statement] = "_statement",
  [sym_empty_statement] = "empty_statement",
  [sym__simple_statement] = "_simple_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_send_statement] = "send_statement",
  [sym_receive_statement] = "receive_statement",
  [sym_inc_statement] = "inc_statement",
  [sym_dec_statement] = "dec_statement",
  [sym_assignment_statement] = "assignment_statement",
  [sym_short_var_declaration] = "short_var_declaration",
  [sym_labeled_statement] = "labeled_statement",
  [sym_empty_labeled_statement] = "labeled_statement",
  [sym_fallthrough_statement] = "fallthrough_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_return_statement] = "return_statement",
  [sym_go_statement] = "go_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_if_statement] = "if_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_clause] = "for_clause",
  [sym_range_clause] = "range_clause",
  [sym_expression_switch_statement] = "expression_switch_statement",
  [sym_expression_case] = "expression_case",
  [sym_default_case] = "default_case",
  [sym_type_switch_statement] = "type_switch_statement",
  [sym__type_switch_header] = "_type_switch_header",
  [sym_type_case] = "type_case",
  [sym_select_statement] = "select_statement",
  [sym_communication_case] = "communication_case",
  [sym__expression] = "_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_call_expression] = "call_expression",
  [sym_variadic_argument] = "variadic_argument",
  [sym_special_argument_list] = "argument_list",
  [sym_argument_list] = "argument_list",
  [sym_selector_expression] = "selector_expression",
  [sym_index_expression] = "index_expression",
  [sym_slice_expression] = "slice_expression",
  [sym_type_assertion_expression] = "type_assertion_expression",
  [sym_type_conversion_expression] = "type_conversion_expression",
  [sym_type_instantiation_expression] = "type_instantiation_expression",
  [sym_composite_literal] = "composite_literal",
  [sym_literal_value] = "literal_value",
  [sym_literal_element] = "literal_element",
  [sym_keyed_element] = "keyed_element",
  [sym_func_literal] = "func_literal",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_qualified_type] = "qualified_type",
  [sym_interpreted_string_literal] = "interpreted_string_literal",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_import_spec_list_repeat1] = "import_spec_list_repeat1",
  [aux_sym_const_declaration_repeat1] = "const_declaration_repeat1",
  [aux_sym_const_spec_repeat1] = "const_spec_repeat1",
  [aux_sym_var_spec_repeat1] = "var_spec_repeat1",
  [aux_sym_var_spec_list_repeat1] = "var_spec_list_repeat1",
  [aux_sym_type_parameter_list_repeat1] = "type_parameter_list_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_type_declaration_repeat1] = "type_declaration_repeat1",
  [aux_sym_expression_list_repeat1] = "expression_list_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_field_declaration_list_repeat1] = "field_declaration_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_interface_type_repeat1] = "interface_type_repeat1",
  [aux_sym_type_elem_repeat1] = "type_elem_repeat1",
  [aux_sym__statement_list_repeat1] = "_statement_list_repeat1",
  [aux_sym_expression_switch_statement_repeat1] = "expression_switch_statement_repeat1",
  [aux_sym_type_switch_statement_repeat1] = "type_switch_statement_repeat1",
  [aux_sym_type_case_repeat1] = "type_case_repeat1",
  [aux_sym_select_statement_repeat1] = "select_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_literal_value_repeat1] = "literal_value_repeat1",
  [aux_sym_interpreted_string_literal_repeat1] = "interpreted_string_literal_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_label_name] = "label_name",
  [alias_sym_package_identifier] = "package_identifier",
  [alias_sym_type_constraint] = "type_constraint",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_source_file_token1] = aux_sym_source_file_token1,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_DOT] = anon_sym_DOT,
  [sym_blank_identifier] = sym_blank_identifier,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_func] = anon_sym_func,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_map] = anon_sym_map,
  [anon_sym_chan] = anon_sym_chan,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_AMP_CARET_EQ] = anon_sym_AMP_CARET_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_fallthrough] = anon_sym_fallthrough,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_go] = anon_sym_go,
  [anon_sym_defer] = anon_sym_defer,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_range] = anon_sym_range,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_select] = anon_sym_select,
  [anon_sym_new] = sym_identifier,
  [anon_sym_make] = sym_identifier,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_AMP_CARET] = anon_sym_AMP_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__interpreted_string_literal_basic_content] = sym__interpreted_string_literal_basic_content,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_int_literal] = sym_int_literal,
  [sym_float_literal] = sym_float_literal,
  [sym_imaginary_literal] = sym_imaginary_literal,
  [sym_rune_literal] = sym_rune_literal,
  [sym_nil] = sym_nil,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_iota] = sym_iota,
  [sym_comment] = sym_comment,
  [sym_source_file] = sym_source_file,
  [sym_package_clause] = sym_package_clause,
  [sym_import_declaration] = sym_import_declaration,
  [sym_import_spec] = sym_import_spec,
  [sym_dot] = sym_dot,
  [sym_import_spec_list] = sym_import_spec_list,
  [sym__declaration] = sym__declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym_const_spec] = sym_const_spec,
  [sym_var_declaration] = sym_var_declaration,
  [sym_var_spec] = sym_var_spec,
  [sym_var_spec_list] = sym_var_spec_list,
  [sym_function_declaration] = sym_function_declaration,
  [sym_method_declaration] = sym_method_declaration,
  [sym_type_parameter_list] = sym_type_parameter_list,
  [sym_type_parameter_declaration] = sym_type_parameter_declaration,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_type_alias] = sym_type_alias,
  [sym_type_declaration] = sym_type_declaration,
  [sym_type_spec] = sym_type_spec,
  [sym_expression_list] = sym_expression_list,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym__simple_type] = sym__simple_type,
  [sym_generic_type] = sym_generic_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_pointer_type] = sym_pointer_type,
  [sym_array_type] = sym_array_type,
  [sym_implicit_length_array_type] = sym_implicit_length_array_type,
  [sym_slice_type] = sym_slice_type,
  [sym_struct_type] = sym_struct_type,
  [sym_negated_type] = sym_negated_type,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym_field_declaration] = sym_field_declaration,
  [sym_interface_type] = sym_interface_type,
  [sym_method_elem] = sym_method_elem,
  [sym_type_elem] = sym_type_elem,
  [sym_map_type] = sym_map_type,
  [sym_channel_type] = sym_channel_type,
  [sym_function_type] = sym_function_type,
  [sym_block] = sym_block,
  [sym__statement_list] = sym__statement_list,
  [sym__statement] = sym__statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym__simple_statement] = sym__simple_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_send_statement] = sym_send_statement,
  [sym_receive_statement] = sym_receive_statement,
  [sym_inc_statement] = sym_inc_statement,
  [sym_dec_statement] = sym_dec_statement,
  [sym_assignment_statement] = sym_assignment_statement,
  [sym_short_var_declaration] = sym_short_var_declaration,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_empty_labeled_statement] = sym_labeled_statement,
  [sym_fallthrough_statement] = sym_fallthrough_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_go_statement] = sym_go_statement,
  [sym_defer_statement] = sym_defer_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_clause] = sym_for_clause,
  [sym_range_clause] = sym_range_clause,
  [sym_expression_switch_statement] = sym_expression_switch_statement,
  [sym_expression_case] = sym_expression_case,
  [sym_default_case] = sym_default_case,
  [sym_type_switch_statement] = sym_type_switch_statement,
  [sym__type_switch_header] = sym__type_switch_header,
  [sym_type_case] = sym_type_case,
  [sym_select_statement] = sym_select_statement,
  [sym_communication_case] = sym_communication_case,
  [sym__expression] = sym__expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_variadic_argument] = sym_variadic_argument,
  [sym_special_argument_list] = sym_argument_list,
  [sym_argument_list] = sym_argument_list,
  [sym_selector_expression] = sym_selector_expression,
  [sym_index_expression] = sym_index_expression,
  [sym_slice_expression] = sym_slice_expression,
  [sym_type_assertion_expression] = sym_type_assertion_expression,
  [sym_type_conversion_expression] = sym_type_conversion_expression,
  [sym_type_instantiation_expression] = sym_type_instantiation_expression,
  [sym_composite_literal] = sym_composite_literal,
  [sym_literal_value] = sym_literal_value,
  [sym_literal_element] = sym_literal_element,
  [sym_keyed_element] = sym_keyed_element,
  [sym_func_literal] = sym_func_literal,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_qualified_type] = sym_qualified_type,
  [sym_interpreted_string_literal] = sym_interpreted_string_literal,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_import_spec_list_repeat1] = aux_sym_import_spec_list_repeat1,
  [aux_sym_const_declaration_repeat1] = aux_sym_const_declaration_repeat1,
  [aux_sym_const_spec_repeat1] = aux_sym_const_spec_repeat1,
  [aux_sym_var_spec_repeat1] = aux_sym_var_spec_repeat1,
  [aux_sym_var_spec_list_repeat1] = aux_sym_var_spec_list_repeat1,
  [aux_sym_type_parameter_list_repeat1] = aux_sym_type_parameter_list_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_type_declaration_repeat1] = aux_sym_type_declaration_repeat1,
  [aux_sym_expression_list_repeat1] = aux_sym_expression_list_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_field_declaration_list_repeat1] = aux_sym_field_declaration_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_interface_type_repeat1] = aux_sym_interface_type_repeat1,
  [aux_sym_type_elem_repeat1] = aux_sym_type_elem_repeat1,
  [aux_sym__statement_list_repeat1] = aux_sym__statement_list_repeat1,
  [aux_sym_expression_switch_statement_repeat1] = aux_sym_expression_switch_statement_repeat1,
  [aux_sym_type_switch_statement_repeat1] = aux_sym_type_switch_statement_repeat1,
  [aux_sym_type_case_repeat1] = aux_sym_type_case_repeat1,
  [aux_sym_select_statement_repeat1] = aux_sym_select_statement_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_literal_value_repeat1] = aux_sym_literal_value_repeat1,
  [aux_sym_interpreted_string_literal_repeat1] = aux_sym_interpreted_string_literal_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_label_name] = alias_sym_label_name,
  [alias_sym_package_identifier] = alias_sym_package_identifier,
  [alias_sym_type_constraint] = alias_sym_type_constraint,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_blank_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_func] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_map] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chan] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fallthrough] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_go] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_range] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_make] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__interpreted_string_literal_basic_content] = {
    .visible = false,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_int_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_float_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_imaginary_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_rune_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_nil] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_iota] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym_package_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_import_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_dot] = {
    .visible = true,
    .named = true,
  },
  [sym_import_spec_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_const_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_var_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_var_spec_list] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_length_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_type] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_type] = {
    .visible = true,
    .named = true,
  },
  [sym_negated_type] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_type] = {
    .visible = true,
    .named = true,
  },
  [sym_method_elem] = {
    .visible = true,
    .named = true,
  },
  [sym_type_elem] = {
    .visible = true,
    .named = true,
  },
  [sym_map_type] = {
    .visible = true,
    .named = true,
  },
  [sym_channel_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym__statement_list] = {
    .visible = false,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_send_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_receive_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_inc_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_dec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_short_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_fallthrough_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_go_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_range_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_case] = {
    .visible = true,
    .named = true,
  },
  [sym_default_case] = {
    .visible = true,
    .named = true,
  },
  [sym_type_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__type_switch_header] = {
    .visible = false,
    .named = true,
  },
  [sym_type_case] = {
    .visible = true,
    .named = true,
  },
  [sym_select_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_communication_case] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_special_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_selector_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_assertion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_conversion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_composite_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_value] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_element] = {
    .visible = true,
    .named = true,
  },
  [sym_keyed_element] = {
    .visible = true,
    .named = true,
  },
  [sym_func_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type] = {
    .visible = true,
    .named = true,
  },
  [sym_interpreted_string_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_spec_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_spec_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_var_spec_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_var_spec_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interface_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_elem_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__statement_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_case_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_literal_value_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpreted_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_package_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_arguments = 3,
  field_body = 4,
  field_capacity = 5,
  field_channel = 6,
  field_communication = 7,
  field_condition = 8,
  field_consequence = 9,
  field_element = 10,
  field_end = 11,
  field_field = 12,
  field_function = 13,
  field_index = 14,
  field_initializer = 15,
  field_key = 16,
  field_label = 17,
  field_left = 18,
  field_length = 19,
  field_name = 20,
  field_operand = 21,
  field_operator = 22,
  field_package = 23,
  field_parameters = 24,
  field_path = 25,
  field_receiver = 26,
  field_result = 27,
  field_right = 28,
  field_start = 29,
  field_tag = 30,
  field_type = 31,
  field_type_arguments = 32,
  field_type_parameters = 33,
  field_update = 34,
  field_value = 35,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_capacity] = "capacity",
  [field_channel] = "channel",
  [field_communication] = "communication",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_element] = "element",
  [field_end] = "end",
  [field_field] = "field",
  [field_function] = "function",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_package] = "package",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_receiver] = "receiver",
  [field_result] = "result",
  [field_right] = "right",
  [field_start] = "start",
  [field_tag] = "tag",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 1},
  [4] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 2},
  [7] = {.index = 5, .length = 1},
  [9] = {.index = 6, .length = 1},
  [10] = {.index = 7, .length = 2},
  [11] = {.index = 9, .length = 2},
  [12] = {.index = 11, .length = 2},
  [13] = {.index = 11, .length = 2},
  [14] = {.index = 9, .length = 2},
  [15] = {.index = 13, .length = 2},
  [16] = {.index = 13, .length = 2},
  [17] = {.index = 15, .length = 2},
  [18] = {.index = 17, .length = 2},
  [19] = {.index = 19, .length = 1},
  [20] = {.index = 20, .length = 2},
  [21] = {.index = 22, .length = 2},
  [22] = {.index = 24, .length = 2},
  [23] = {.index = 26, .length = 1},
  [24] = {.index = 17, .length = 2},
  [25] = {.index = 19, .length = 1},
  [26] = {.index = 27, .length = 1},
  [27] = {.index = 28, .length = 1},
  [28] = {.index = 29, .length = 2},
  [29] = {.index = 31, .length = 1},
  [30] = {.index = 32, .length = 1},
  [31] = {.index = 33, .length = 2},
  [32] = {.index = 35, .length = 3},
  [33] = {.index = 38, .length = 2},
  [34] = {.index = 40, .length = 2},
  [35] = {.index = 42, .length = 2},
  [36] = {.index = 44, .length = 3},
  [37] = {.index = 47, .length = 2},
  [38] = {.index = 49, .length = 1},
  [39] = {.index = 50, .length = 3},
  [40] = {.index = 53, .length = 2},
  [41] = {.index = 55, .length = 1},
  [42] = {.index = 56, .length = 3},
  [43] = {.index = 59, .length = 3},
  [44] = {.index = 62, .length = 3},
  [45] = {.index = 65, .length = 3},
  [46] = {.index = 68, .length = 3},
  [47] = {.index = 71, .length = 1},
  [48] = {.index = 72, .length = 2},
  [49] = {.index = 74, .length = 2},
  [50] = {.index = 76, .length = 3},
  [51] = {.index = 55, .length = 1},
  [52] = {.index = 79, .length = 2},
  [53] = {.index = 17, .length = 2},
  [54] = {.index = 79, .length = 2},
  [55] = {.index = 81, .length = 2},
  [56] = {.index = 83, .length = 1},
  [57] = {.index = 84, .length = 1},
  [58] = {.index = 85, .length = 1},
  [59] = {.index = 86, .length = 3},
  [60] = {.index = 89, .length = 1},
  [61] = {.index = 90, .length = 2},
  [62] = {.index = 92, .length = 1},
  [63] = {.index = 93, .length = 2},
  [64] = {.index = 95, .length = 3},
  [65] = {.index = 98, .length = 3},
  [66] = {.index = 101, .length = 3},
  [67] = {.index = 74, .length = 2},
  [68] = {.index = 17, .length = 2},
  [69] = {.index = 104, .length = 4},
  [70] = {.index = 108, .length = 4},
  [71] = {.index = 112, .length = 4},
  [72] = {.index = 116, .length = 4},
  [73] = {.index = 120, .length = 4},
  [74] = {.index = 124, .length = 2},
  [75] = {.index = 124, .length = 2},
  [76] = {.index = 49, .length = 1},
  [77] = {.index = 126, .length = 3},
  [78] = {.index = 50, .length = 3},
  [79] = {.index = 129, .length = 3},
  [80] = {.index = 132, .length = 2},
  [81] = {.index = 134, .length = 3},
  [82] = {.index = 137, .length = 3},
  [83] = {.index = 140, .length = 2},
  [84] = {.index = 142, .length = 2},
  [85] = {.index = 144, .length = 2},
  [86] = {.index = 146, .length = 2},
  [87] = {.index = 148, .length = 1},
  [88] = {.index = 149, .length = 1},
  [89] = {.index = 150, .length = 2},
  [90] = {.index = 152, .length = 2},
  [91] = {.index = 154, .length = 2},
  [92] = {.index = 156, .length = 4},
  [93] = {.index = 160, .length = 4},
  [94] = {.index = 50, .length = 3},
  [95] = {.index = 164, .length = 5},
  [96] = {.index = 169, .length = 5},
  [97] = {.index = 174, .length = 4},
  [98] = {.index = 178, .length = 3},
  [99] = {.index = 181, .length = 2},
  [100] = {.index = 183, .length = 1},
  [101] = {.index = 184, .length = 3},
  [102] = {.index = 187, .length = 4},
  [103] = {.index = 191, .length = 2},
  [104] = {.index = 193, .length = 3},
  [105] = {.index = 196, .length = 2},
  [106] = {.index = 198, .length = 2},
  [107] = {.index = 200, .length = 4},
  [108] = {.index = 204, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_path, 0},
  [1] =
    {field_name, 0},
  [2] =
    {field_parameters, 1},
  [3] =
    {field_operand, 1},
    {field_operator, 0},
  [5] =
    {field_value, 1},
  [6] =
    {field_body, 1},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_type, 0},
    {field_type_arguments, 1},
  [11] =
    {field_body, 1},
    {field_type, 0},
  [13] =
    {field_name, 0},
    {field_path, 1},
  [15] =
    {field_name, 0},
    {field_name, 1},
  [17] =
    {field_name, 0},
    {field_type, 1},
  [19] =
    {field_type, 0},
  [20] =
    {field_name, 1},
    {field_parameters, 2},
  [22] =
    {field_parameters, 1},
    {field_result, 2},
  [24] =
    {field_body, 2},
    {field_parameters, 1},
  [26] =
    {field_element, 2},
  [27] =
    {field_label, 0},
  [28] =
    {field_value, 2},
  [29] =
    {field_condition, 1},
    {field_consequence, 2},
  [31] =
    {field_right, 1},
  [32] =
    {field_body, 2},
  [33] =
    {field_name, 2},
    {field_package, 0},
  [35] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [38] =
    {field_left, 0},
    {field_right, 2},
  [40] =
    {field_field, 2},
    {field_operand, 0},
  [42] =
    {field_channel, 0},
    {field_value, 2},
  [44] =
    {field_arguments, 2},
    {field_function, 0},
    {field_type_arguments, 1},
  [47] =
    {field_name, 0},
    {field_value, 2},
  [49] =
    {field_name, 1},
  [50] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
    {field_type, 2},
  [53] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [55] =
    {field_type, 1},
  [56] =
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [59] =
    {field_name, 1},
    {field_parameters, 2},
    {field_result, 3},
  [62] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [65] =
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
  [68] =
    {field_body, 3},
    {field_parameters, 1},
    {field_result, 2},
  [71] =
    {field_element, 3},
  [72] =
    {field_element, 3},
    {field_length, 1},
  [74] =
    {field_name, 0},
    {field_type, 2},
  [76] =
    {field_name, 0},
    {field_type, 2},
    {field_type_parameters, 1},
  [79] =
    {field_tag, 1},
    {field_type, 0},
  [81] =
    {field_name, 0},
    {field_parameters, 1},
  [83] =
    {field_update, 2},
  [84] =
    {field_condition, 1},
  [85] =
    {field_initializer, 0},
  [86] =
    {field_alias, 1, .inherited = true},
    {field_initializer, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [89] =
    {field_right, 0},
  [90] =
    {field_operand, 2},
    {field_type, 0},
  [92] =
    {field_operand, 0},
  [93] =
    {field_index, 2},
    {field_operand, 0},
  [95] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 3},
  [98] =
    {field_name, 0},
    {field_name, 1},
    {field_value, 3},
  [101] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
    {field_value, 3},
  [104] =
    {field_name, 1},
    {field_parameters, 3},
    {field_result, 4},
    {field_type_parameters, 2},
  [108] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [112] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
    {field_result, 3},
  [116] =
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
    {field_result, 4},
  [120] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
  [124] =
    {field_tag, 2},
    {field_type, 1},
  [126] =
    {field_name, 0},
    {field_tag, 2},
    {field_type, 1},
  [129] =
    {field_name, 0},
    {field_parameters, 1},
    {field_result, 2},
  [132] =
    {field_key, 2},
    {field_value, 4},
  [134] =
    {field_condition, 3},
    {field_consequence, 4},
    {field_initializer, 1},
  [137] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [140] =
    {field_condition, 1},
    {field_update, 3},
  [142] =
    {field_left, 0},
    {field_right, 3},
  [144] =
    {field_initializer, 0},
    {field_update, 3},
  [146] =
    {field_condition, 2},
    {field_initializer, 0},
  [148] =
    {field_initializer, 1},
  [149] =
    {field_communication, 1},
  [150] =
    {field_operand, 0},
    {field_type, 3},
  [152] =
    {field_end, 3},
    {field_operand, 0},
  [154] =
    {field_operand, 0},
    {field_start, 2},
  [156] =
    {field_name, 0},
    {field_name, 1},
    {field_type, 2},
    {field_value, 4},
  [160] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
    {field_type, 2},
    {field_value, 4},
  [164] =
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 3},
    {field_result, 4},
    {field_type_parameters, 2},
  [169] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
    {field_receiver, 1},
    {field_result, 4},
  [174] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
    {field_tag, 3},
    {field_type, 2},
  [178] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [181] =
    {field_initializer, 1},
    {field_value, 3},
  [183] =
    {field_value, 0},
  [184] =
    {field_end, 4},
    {field_operand, 0},
    {field_start, 2},
  [187] =
    {field_alternative, 6},
    {field_condition, 3},
    {field_consequence, 4},
    {field_initializer, 1},
  [191] =
    {field_type, 1},
    {field_type, 2},
  [193] =
    {field_capacity, 5},
    {field_end, 3},
    {field_operand, 0},
  [196] =
    {field_alias, 0},
    {field_value, 2},
  [198] =
    {field_initializer, 0},
    {field_value, 2},
  [200] =
    {field_capacity, 6},
    {field_end, 4},
    {field_operand, 0},
    {field_start, 2},
  [204] =
    {field_alias, 2},
    {field_initializer, 0},
    {field_value, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [2] = {
    [1] = alias_sym_package_identifier,
  },
  [8] = {
    [1] = alias_sym_label_name,
  },
  [11] = {
    [0] = alias_sym_type_identifier,
  },
  [12] = {
    [0] = alias_sym_type_identifier,
  },
  [16] = {
    [0] = alias_sym_package_identifier,
  },
  [24] = {
    [0] = alias_sym_type_identifier,
  },
  [25] = {
    [0] = alias_sym_type_identifier,
  },
  [26] = {
    [0] = alias_sym_label_name,
  },
  [31] = {
    [0] = alias_sym_package_identifier,
    [2] = alias_sym_type_identifier,
  },
  [34] = {
    [2] = alias_sym_field_identifier,
  },
  [45] = {
    [2] = alias_sym_field_identifier,
  },
  [49] = {
    [0] = alias_sym_type_identifier,
  },
  [50] = {
    [0] = alias_sym_type_identifier,
  },
  [51] = {
    [1] = alias_sym_type_identifier,
  },
  [52] = {
    [0] = alias_sym_type_identifier,
  },
  [53] = {
    [0] = alias_sym_field_identifier,
  },
  [55] = {
    [0] = alias_sym_field_identifier,
  },
  [68] = {
    [1] = alias_sym_type_constraint,
  },
  [72] = {
    [2] = alias_sym_field_identifier,
  },
  [73] = {
    [2] = alias_sym_field_identifier,
  },
  [74] = {
    [1] = alias_sym_type_identifier,
  },
  [76] = {
    [1] = alias_sym_field_identifier,
  },
  [77] = {
    [0] = alias_sym_field_identifier,
  },
  [78] = {
    [0] = alias_sym_field_identifier,
  },
  [79] = {
    [0] = alias_sym_field_identifier,
  },
  [94] = {
    [2] = alias_sym_type_constraint,
  },
  [96] = {
    [2] = alias_sym_field_identifier,
  },
  [97] = {
    [0] = alias_sym_field_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_type_elem, 2,
    sym_type_elem,
    alias_sym_type_constraint,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 11,
  [13] = 13,
  [14] = 11,
  [15] = 11,
  [16] = 11,
  [17] = 11,
  [18] = 11,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 29,
  [31] = 29,
  [32] = 29,
  [33] = 29,
  [34] = 29,
  [35] = 35,
  [36] = 36,
  [37] = 35,
  [38] = 35,
  [39] = 35,
  [40] = 36,
  [41] = 36,
  [42] = 35,
  [43] = 36,
  [44] = 36,
  [45] = 36,
  [46] = 35,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 50,
  [53] = 53,
  [54] = 53,
  [55] = 55,
  [56] = 56,
  [57] = 51,
  [58] = 51,
  [59] = 50,
  [60] = 53,
  [61] = 61,
  [62] = 53,
  [63] = 61,
  [64] = 50,
  [65] = 61,
  [66] = 61,
  [67] = 51,
  [68] = 68,
  [69] = 51,
  [70] = 53,
  [71] = 56,
  [72] = 53,
  [73] = 50,
  [74] = 74,
  [75] = 61,
  [76] = 76,
  [77] = 61,
  [78] = 50,
  [79] = 79,
  [80] = 51,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 81,
  [86] = 81,
  [87] = 87,
  [88] = 81,
  [89] = 89,
  [90] = 90,
  [91] = 87,
  [92] = 83,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 94,
  [97] = 97,
  [98] = 83,
  [99] = 84,
  [100] = 84,
  [101] = 101,
  [102] = 83,
  [103] = 95,
  [104] = 104,
  [105] = 83,
  [106] = 95,
  [107] = 95,
  [108] = 108,
  [109] = 94,
  [110] = 81,
  [111] = 94,
  [112] = 84,
  [113] = 83,
  [114] = 84,
  [115] = 95,
  [116] = 116,
  [117] = 94,
  [118] = 118,
  [119] = 94,
  [120] = 81,
  [121] = 95,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 90,
  [127] = 84,
  [128] = 90,
  [129] = 87,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 132,
  [142] = 142,
  [143] = 140,
  [144] = 139,
  [145] = 142,
  [146] = 138,
  [147] = 134,
  [148] = 133,
  [149] = 132,
  [150] = 132,
  [151] = 136,
  [152] = 152,
  [153] = 153,
  [154] = 136,
  [155] = 133,
  [156] = 131,
  [157] = 135,
  [158] = 158,
  [159] = 152,
  [160] = 160,
  [161] = 135,
  [162] = 158,
  [163] = 131,
  [164] = 133,
  [165] = 134,
  [166] = 138,
  [167] = 140,
  [168] = 134,
  [169] = 142,
  [170] = 142,
  [171] = 131,
  [172] = 140,
  [173] = 135,
  [174] = 138,
  [175] = 134,
  [176] = 133,
  [177] = 158,
  [178] = 136,
  [179] = 131,
  [180] = 180,
  [181] = 135,
  [182] = 131,
  [183] = 132,
  [184] = 184,
  [185] = 184,
  [186] = 186,
  [187] = 137,
  [188] = 188,
  [189] = 137,
  [190] = 184,
  [191] = 139,
  [192] = 138,
  [193] = 142,
  [194] = 136,
  [195] = 140,
  [196] = 140,
  [197] = 142,
  [198] = 138,
  [199] = 136,
  [200] = 134,
  [201] = 133,
  [202] = 136,
  [203] = 158,
  [204] = 152,
  [205] = 142,
  [206] = 184,
  [207] = 135,
  [208] = 152,
  [209] = 137,
  [210] = 184,
  [211] = 152,
  [212] = 158,
  [213] = 131,
  [214] = 137,
  [215] = 215,
  [216] = 184,
  [217] = 137,
  [218] = 133,
  [219] = 134,
  [220] = 135,
  [221] = 152,
  [222] = 135,
  [223] = 138,
  [224] = 140,
  [225] = 136,
  [226] = 142,
  [227] = 140,
  [228] = 135,
  [229] = 138,
  [230] = 134,
  [231] = 133,
  [232] = 131,
  [233] = 158,
  [234] = 234,
  [235] = 135,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 244,
  [291] = 246,
  [292] = 242,
  [293] = 239,
  [294] = 245,
  [295] = 247,
  [296] = 240,
  [297] = 241,
  [298] = 250,
  [299] = 267,
  [300] = 249,
  [301] = 255,
  [302] = 260,
  [303] = 281,
  [304] = 261,
  [305] = 268,
  [306] = 286,
  [307] = 277,
  [308] = 273,
  [309] = 270,
  [310] = 269,
  [311] = 266,
  [312] = 263,
  [313] = 259,
  [314] = 257,
  [315] = 258,
  [316] = 248,
  [317] = 265,
  [318] = 271,
  [319] = 253,
  [320] = 275,
  [321] = 264,
  [322] = 256,
  [323] = 276,
  [324] = 282,
  [325] = 254,
  [326] = 285,
  [327] = 279,
  [328] = 287,
  [329] = 284,
  [330] = 272,
  [331] = 283,
  [332] = 251,
  [333] = 262,
  [334] = 280,
  [335] = 252,
  [336] = 288,
  [337] = 239,
  [338] = 246,
  [339] = 247,
  [340] = 245,
  [341] = 244,
  [342] = 241,
  [343] = 242,
  [344] = 344,
  [345] = 250,
  [346] = 267,
  [347] = 261,
  [348] = 257,
  [349] = 259,
  [350] = 263,
  [351] = 265,
  [352] = 255,
  [353] = 256,
  [354] = 268,
  [355] = 288,
  [356] = 262,
  [357] = 248,
  [358] = 252,
  [359] = 264,
  [360] = 280,
  [361] = 251,
  [362] = 266,
  [363] = 271,
  [364] = 283,
  [365] = 253,
  [366] = 286,
  [367] = 277,
  [368] = 273,
  [369] = 258,
  [370] = 270,
  [371] = 272,
  [372] = 284,
  [373] = 287,
  [374] = 260,
  [375] = 279,
  [376] = 254,
  [377] = 249,
  [378] = 285,
  [379] = 269,
  [380] = 282,
  [381] = 276,
  [382] = 275,
  [383] = 281,
  [384] = 384,
  [385] = 385,
  [386] = 384,
  [387] = 241,
  [388] = 242,
  [389] = 239,
  [390] = 390,
  [391] = 250,
  [392] = 392,
  [393] = 248,
  [394] = 283,
  [395] = 284,
  [396] = 256,
  [397] = 261,
  [398] = 260,
  [399] = 254,
  [400] = 288,
  [401] = 268,
  [402] = 264,
  [403] = 249,
  [404] = 262,
  [405] = 280,
  [406] = 272,
  [407] = 251,
  [408] = 287,
  [409] = 279,
  [410] = 285,
  [411] = 282,
  [412] = 276,
  [413] = 275,
  [414] = 253,
  [415] = 277,
  [416] = 271,
  [417] = 267,
  [418] = 286,
  [419] = 265,
  [420] = 258,
  [421] = 255,
  [422] = 257,
  [423] = 259,
  [424] = 263,
  [425] = 266,
  [426] = 426,
  [427] = 269,
  [428] = 252,
  [429] = 281,
  [430] = 270,
  [431] = 239,
  [432] = 273,
  [433] = 247,
  [434] = 384,
  [435] = 344,
  [436] = 247,
  [437] = 384,
  [438] = 246,
  [439] = 244,
  [440] = 245,
  [441] = 246,
  [442] = 245,
  [443] = 244,
  [444] = 242,
  [445] = 241,
  [446] = 446,
  [447] = 250,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 239,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 384,
  [458] = 266,
  [459] = 252,
  [460] = 244,
  [461] = 247,
  [462] = 241,
  [463] = 283,
  [464] = 272,
  [465] = 284,
  [466] = 287,
  [467] = 251,
  [468] = 468,
  [469] = 281,
  [470] = 285,
  [471] = 282,
  [472] = 276,
  [473] = 384,
  [474] = 275,
  [475] = 253,
  [476] = 271,
  [477] = 245,
  [478] = 267,
  [479] = 454,
  [480] = 248,
  [481] = 265,
  [482] = 258,
  [483] = 257,
  [484] = 254,
  [485] = 260,
  [486] = 246,
  [487] = 259,
  [488] = 468,
  [489] = 263,
  [490] = 344,
  [491] = 468,
  [492] = 279,
  [493] = 269,
  [494] = 270,
  [495] = 273,
  [496] = 277,
  [497] = 286,
  [498] = 268,
  [499] = 261,
  [500] = 255,
  [501] = 256,
  [502] = 450,
  [503] = 288,
  [504] = 262,
  [505] = 249,
  [506] = 264,
  [507] = 280,
  [508] = 455,
  [509] = 242,
  [510] = 510,
  [511] = 426,
  [512] = 512,
  [513] = 512,
  [514] = 239,
  [515] = 512,
  [516] = 516,
  [517] = 517,
  [518] = 510,
  [519] = 510,
  [520] = 516,
  [521] = 512,
  [522] = 516,
  [523] = 239,
  [524] = 512,
  [525] = 512,
  [526] = 526,
  [527] = 250,
  [528] = 528,
  [529] = 284,
  [530] = 247,
  [531] = 287,
  [532] = 532,
  [533] = 246,
  [534] = 279,
  [535] = 535,
  [536] = 249,
  [537] = 532,
  [538] = 254,
  [539] = 260,
  [540] = 272,
  [541] = 541,
  [542] = 245,
  [543] = 261,
  [544] = 544,
  [545] = 285,
  [546] = 546,
  [547] = 282,
  [548] = 276,
  [549] = 275,
  [550] = 280,
  [551] = 264,
  [552] = 528,
  [553] = 244,
  [554] = 253,
  [555] = 271,
  [556] = 248,
  [557] = 262,
  [558] = 288,
  [559] = 256,
  [560] = 560,
  [561] = 426,
  [562] = 255,
  [563] = 283,
  [564] = 267,
  [565] = 268,
  [566] = 528,
  [567] = 286,
  [568] = 277,
  [569] = 273,
  [570] = 270,
  [571] = 571,
  [572] = 265,
  [573] = 246,
  [574] = 258,
  [575] = 245,
  [576] = 576,
  [577] = 252,
  [578] = 257,
  [579] = 579,
  [580] = 532,
  [581] = 247,
  [582] = 239,
  [583] = 583,
  [584] = 244,
  [585] = 281,
  [586] = 535,
  [587] = 259,
  [588] = 269,
  [589] = 266,
  [590] = 251,
  [591] = 535,
  [592] = 263,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 456,
  [601] = 601,
  [602] = 602,
  [603] = 593,
  [604] = 604,
  [605] = 605,
  [606] = 598,
  [607] = 456,
  [608] = 456,
  [609] = 598,
  [610] = 599,
  [611] = 598,
  [612] = 604,
  [613] = 613,
  [614] = 599,
  [615] = 594,
  [616] = 604,
  [617] = 594,
  [618] = 344,
  [619] = 594,
  [620] = 594,
  [621] = 344,
  [622] = 604,
  [623] = 456,
  [624] = 598,
  [625] = 448,
  [626] = 599,
  [627] = 613,
  [628] = 593,
  [629] = 602,
  [630] = 599,
  [631] = 604,
  [632] = 598,
  [633] = 456,
  [634] = 604,
  [635] = 613,
  [636] = 599,
  [637] = 594,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 639,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 640,
  [649] = 641,
  [650] = 641,
  [651] = 651,
  [652] = 651,
  [653] = 653,
  [654] = 448,
  [655] = 639,
  [656] = 646,
  [657] = 642,
  [658] = 645,
  [659] = 640,
  [660] = 644,
  [661] = 642,
  [662] = 639,
  [663] = 663,
  [664] = 640,
  [665] = 646,
  [666] = 639,
  [667] = 651,
  [668] = 644,
  [669] = 642,
  [670] = 640,
  [671] = 644,
  [672] = 651,
  [673] = 646,
  [674] = 645,
  [675] = 645,
  [676] = 646,
  [677] = 640,
  [678] = 645,
  [679] = 645,
  [680] = 644,
  [681] = 642,
  [682] = 682,
  [683] = 651,
  [684] = 644,
  [685] = 685,
  [686] = 651,
  [687] = 687,
  [688] = 688,
  [689] = 646,
  [690] = 690,
  [691] = 639,
  [692] = 692,
  [693] = 642,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 695,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 694,
  [703] = 703,
  [704] = 699,
  [705] = 705,
  [706] = 706,
  [707] = 706,
  [708] = 703,
  [709] = 709,
  [710] = 706,
  [711] = 711,
  [712] = 712,
  [713] = 697,
  [714] = 696,
  [715] = 696,
  [716] = 716,
  [717] = 700,
  [718] = 697,
  [719] = 703,
  [720] = 720,
  [721] = 695,
  [722] = 699,
  [723] = 716,
  [724] = 695,
  [725] = 694,
  [726] = 700,
  [727] = 727,
  [728] = 694,
  [729] = 695,
  [730] = 730,
  [731] = 731,
  [732] = 703,
  [733] = 706,
  [734] = 706,
  [735] = 730,
  [736] = 703,
  [737] = 699,
  [738] = 716,
  [739] = 712,
  [740] = 730,
  [741] = 697,
  [742] = 727,
  [743] = 743,
  [744] = 744,
  [745] = 711,
  [746] = 731,
  [747] = 697,
  [748] = 696,
  [749] = 716,
  [750] = 699,
  [751] = 700,
  [752] = 752,
  [753] = 700,
  [754] = 696,
  [755] = 731,
  [756] = 756,
  [757] = 695,
  [758] = 730,
  [759] = 696,
  [760] = 730,
  [761] = 700,
  [762] = 727,
  [763] = 694,
  [764] = 703,
  [765] = 706,
  [766] = 731,
  [767] = 699,
  [768] = 716,
  [769] = 730,
  [770] = 694,
  [771] = 712,
  [772] = 697,
  [773] = 731,
  [774] = 716,
  [775] = 731,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 778,
  [783] = 779,
  [784] = 776,
  [785] = 777,
  [786] = 779,
  [787] = 778,
  [788] = 776,
  [789] = 777,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 792,
  [795] = 795,
  [796] = 796,
  [797] = 796,
  [798] = 798,
  [799] = 795,
  [800] = 796,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 792,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 836,
  [840] = 795,
  [841] = 792,
  [842] = 813,
  [843] = 843,
  [844] = 844,
  [845] = 818,
  [846] = 828,
  [847] = 810,
  [848] = 814,
  [849] = 849,
  [850] = 826,
  [851] = 819,
  [852] = 811,
  [853] = 853,
  [854] = 854,
  [855] = 821,
  [856] = 815,
  [857] = 820,
  [858] = 823,
  [859] = 853,
  [860] = 824,
  [861] = 808,
  [862] = 844,
  [863] = 817,
  [864] = 809,
  [865] = 804,
  [866] = 866,
  [867] = 795,
  [868] = 829,
  [869] = 807,
  [870] = 822,
  [871] = 830,
  [872] = 831,
  [873] = 827,
  [874] = 843,
  [875] = 805,
  [876] = 806,
  [877] = 825,
  [878] = 812,
  [879] = 792,
  [880] = 880,
  [881] = 790,
  [882] = 882,
  [883] = 883,
  [884] = 792,
  [885] = 883,
  [886] = 880,
  [887] = 887,
  [888] = 882,
  [889] = 883,
  [890] = 880,
  [891] = 791,
  [892] = 892,
  [893] = 882,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 795,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 795,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 820,
  [916] = 818,
  [917] = 917,
  [918] = 791,
  [919] = 810,
  [920] = 809,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 822,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 830,
  [930] = 930,
  [931] = 805,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 790,
  [937] = 937,
  [938] = 819,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 823,
  [943] = 943,
  [944] = 831,
  [945] = 945,
  [946] = 946,
  [947] = 827,
  [948] = 948,
  [949] = 806,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 808,
  [955] = 955,
  [956] = 814,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 815,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 813,
  [985] = 826,
  [986] = 986,
  [987] = 817,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 821,
  [992] = 804,
  [993] = 828,
  [994] = 994,
  [995] = 829,
  [996] = 825,
  [997] = 824,
  [998] = 807,
  [999] = 999,
  [1000] = 812,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 811,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 982,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 854,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 854,
  [1024] = 917,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1019,
  [1028] = 1022,
  [1029] = 924,
  [1030] = 1020,
  [1031] = 1031,
  [1032] = 1031,
  [1033] = 854,
  [1034] = 1022,
  [1035] = 854,
  [1036] = 975,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1019,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1042,
  [1044] = 1044,
  [1045] = 1026,
  [1046] = 854,
  [1047] = 1031,
  [1048] = 1048,
  [1049] = 1026,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 248,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 894,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 892,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 894,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 945,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 977,
  [1092] = 1092,
  [1093] = 1064,
  [1094] = 894,
  [1095] = 1069,
  [1096] = 892,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1053,
  [1100] = 1089,
  [1101] = 252,
  [1102] = 1064,
  [1103] = 1064,
  [1104] = 251,
  [1105] = 1064,
  [1106] = 1069,
  [1107] = 1058,
  [1108] = 935,
  [1109] = 894,
  [1110] = 1110,
  [1111] = 892,
  [1112] = 1069,
  [1113] = 1054,
  [1114] = 1053,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1053,
  [1119] = 1069,
  [1120] = 1069,
  [1121] = 249,
  [1122] = 894,
  [1123] = 1053,
  [1124] = 1124,
  [1125] = 892,
  [1126] = 1053,
  [1127] = 1069,
  [1128] = 1124,
  [1129] = 1064,
  [1130] = 892,
  [1131] = 1053,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1066,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1059,
  [1142] = 1056,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1051,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1134,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1151,
  [1162] = 790,
  [1163] = 1147,
  [1164] = 1148,
  [1165] = 791,
  [1166] = 1166,
  [1167] = 1146,
  [1168] = 1168,
  [1169] = 1067,
  [1170] = 1170,
  [1171] = 1168,
  [1172] = 1172,
  [1173] = 1078,
  [1174] = 1174,
  [1175] = 1156,
  [1176] = 1156,
  [1177] = 1061,
  [1178] = 1092,
  [1179] = 1086,
  [1180] = 1156,
  [1181] = 1153,
  [1182] = 1153,
  [1183] = 1183,
  [1184] = 1152,
  [1185] = 1166,
  [1186] = 1079,
  [1187] = 1134,
  [1188] = 1152,
  [1189] = 1189,
  [1190] = 1152,
  [1191] = 1136,
  [1192] = 1136,
  [1193] = 1151,
  [1194] = 1156,
  [1195] = 1144,
  [1196] = 1136,
  [1197] = 1152,
  [1198] = 1138,
  [1199] = 1136,
  [1200] = 1148,
  [1201] = 1138,
  [1202] = 1138,
  [1203] = 1040,
  [1204] = 1138,
  [1205] = 1144,
  [1206] = 1206,
  [1207] = 1148,
  [1208] = 1075,
  [1209] = 1144,
  [1210] = 1151,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1134,
  [1214] = 1214,
  [1215] = 1156,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 790,
  [1220] = 1148,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1139,
  [1224] = 1144,
  [1225] = 1168,
  [1226] = 1110,
  [1227] = 1151,
  [1228] = 1134,
  [1229] = 1140,
  [1230] = 1230,
  [1231] = 1134,
  [1232] = 1151,
  [1233] = 1148,
  [1234] = 1152,
  [1235] = 1146,
  [1236] = 1236,
  [1237] = 1136,
  [1238] = 1238,
  [1239] = 1140,
  [1240] = 1138,
  [1241] = 1241,
  [1242] = 1144,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1245,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1245,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1245,
  [1253] = 1245,
  [1254] = 1006,
  [1255] = 1010,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1251,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1250,
  [1264] = 1264,
  [1265] = 1265,
  [1266] = 1262,
  [1267] = 1257,
  [1268] = 1256,
  [1269] = 951,
  [1270] = 1270,
  [1271] = 950,
  [1272] = 1272,
  [1273] = 1251,
  [1274] = 1274,
  [1275] = 1262,
  [1276] = 1276,
  [1277] = 1265,
  [1278] = 1278,
  [1279] = 1250,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1014,
  [1283] = 1250,
  [1284] = 1262,
  [1285] = 1245,
  [1286] = 1257,
  [1287] = 1287,
  [1288] = 1251,
  [1289] = 1289,
  [1290] = 1251,
  [1291] = 1262,
  [1292] = 1256,
  [1293] = 1293,
  [1294] = 1250,
  [1295] = 1295,
  [1296] = 1256,
  [1297] = 1257,
  [1298] = 1257,
  [1299] = 1256,
  [1300] = 1256,
  [1301] = 1257,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 1251,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1250,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1265,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1302,
  [1316] = 1262,
  [1317] = 1317,
  [1318] = 1317,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1317,
  [1324] = 1324,
  [1325] = 1320,
  [1326] = 1320,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1333,
  [1337] = 1322,
  [1338] = 1335,
  [1339] = 1334,
  [1340] = 1340,
  [1341] = 1322,
  [1342] = 1334,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1335,
  [1346] = 1340,
  [1347] = 1335,
  [1348] = 1332,
  [1349] = 1349,
  [1350] = 1332,
  [1351] = 1333,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1354,
  [1355] = 1317,
  [1356] = 1320,
  [1357] = 1343,
  [1358] = 1358,
  [1359] = 1320,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1340,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1334,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1332,
  [1375] = 1335,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1343,
  [1380] = 1333,
  [1381] = 1349,
  [1382] = 1382,
  [1383] = 1334,
  [1384] = 1384,
  [1385] = 1317,
  [1386] = 1333,
  [1387] = 1387,
  [1388] = 1320,
  [1389] = 1389,
  [1390] = 1333,
  [1391] = 1334,
  [1392] = 1332,
  [1393] = 1365,
  [1394] = 1376,
  [1395] = 1335,
  [1396] = 1376,
  [1397] = 1332,
  [1398] = 1376,
  [1399] = 1349,
  [1400] = 1376,
  [1401] = 1335,
  [1402] = 1376,
  [1403] = 1317,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37b, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe32},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb2},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8}, {0x18aa, 0x18aa},
  {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54},
  {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f},
  {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa},
  {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25},
  {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6},
  {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e},
  {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9},
  {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb},
  {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef},
  {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1},
  {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06},
  {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xd7a3},
  {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28},
  {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d},
  {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27},
  {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075}, {0x11083, 0x110af},
  {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2}, {0x111c1, 0x111c4},
  {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d},
  {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333},
  {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461}, {0x11480, 0x114af},
  {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa}, {0x116b8, 0x116b8},
  {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916},
  {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3}, {0x11a00, 0x11a00},
  {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e},
  {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68},
  {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399},
  {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e},
  {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a},
  {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3},
  {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb},
  {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2},
  {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514},
  {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0},
  {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8},
  {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e},
  {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4},
  {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32},
  {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f},
  {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62},
  {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b},
  {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0},
  {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x300, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf}, {0x5c1, 0x5c2},
  {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3}, {0x6d5, 0x6dc},
  {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa}, {0x7fd, 0x7fd},
  {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963}, {0x966, 0x96f},
  {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bc, 0x9c4},
  {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc}, {0x9fe, 0x9fe},
  {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39},
  {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa66, 0xa75},
  {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabc, 0xac5},
  {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03}, {0xb05, 0xb0c},
  {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48}, {0xb4b, 0xb4d},
  {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbbe, 0xbc2},
  {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28},
  {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc63},
  {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbc, 0xcc4},
  {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3}, {0xd00, 0xd0c},
  {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f}, {0xd7a, 0xd7f},
  {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca}, {0xdcf, 0xdd4},
  {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59}, {0xe81, 0xe82},
  {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xec8, 0xece},
  {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37}, {0xf39, 0xf39},
  {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049}, {0x1050, 0x109d},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258},
  {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5},
  {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715}, {0x171f, 0x1734},
  {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd}, {0x17e0, 0x17e9},
  {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b}, {0x1930, 0x193b},
  {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c},
  {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59}, {0x1b6b, 0x1b73},
  {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2},
  {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054}, {0x2071, 0x2071},
  {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113},
  {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149},
  {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67},
  {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce},
  {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096},
  {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf},
  {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1}, {0xa717, 0xa71f},
  {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c}, {0xa840, 0xa873},
  {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c}, {0xa980, 0xa9c0},
  {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2}, {0xaadb, 0xaadd},
  {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a},
  {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d},
  {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41},
  {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f},
  {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0}, {0x10300, 0x1031f},
  {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104a0, 0x104a9},
  {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
  {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785},
  {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855},
  {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf},
  {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c},
  {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48},
  {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c},
  {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075}, {0x1107f, 0x110ba},
  {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173}, {0x11176, 0x11176},
  {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303}, {0x11305, 0x1130c},
  {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348}, {0x1134b, 0x1134d},
  {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459}, {0x1145e, 0x11461},
  {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640}, {0x11644, 0x11644},
  {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746}, {0x11800, 0x1183a},
  {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938}, {0x1193b, 0x11943},
  {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47}, {0x11a50, 0x11a99},
  {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7},
  {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47}, {0x11d50, 0x11d59},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10},
  {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0},
  {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9},
  {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f},
  {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d},
  {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244}, {0x1d400, 0x1d454},
  {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3},
  {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546},
  {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e},
  {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c},
  {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006}, {0x1e008, 0x1e018},
  {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d}, {0x1e140, 0x1e149},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe},
  {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739},
  {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static TSCharacterRange sym_rune_literal_character_set_1[] = {
  {'"', '"'}, {'\'', '\''}, {'0', '7'}, {'U', 'U'}, {'\\', '\\'}, {'a', 'b'}, {'f', 'f'}, {'n', 'n'},
  {'r', 'r'}, {'t', 'v'}, {'x', 'x'},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(60);
      ADVANCE_MAP(
        0, 63,
        '!', 107,
        '"', 138,
        '%', 116,
        '&', 111,
        '\'', 22,
        '(', 67,
        ')', 68,
        '*', 76,
        '+', 101,
        ',', 69,
        '-', 104,
        '.', 66,
        '/', 114,
        '0', 147,
        ':', 99,
        ';', 62,
        '<', 125,
        '=', 71,
        '>', 130,
        '[', 72,
        '\\', 20,
        ']', 73,
        '^', 109,
        '`', 26,
        '{', 78,
        '|', 81,
        '}', 79,
        '~', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(149);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(135);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        0, 63,
        '\n', 61,
        '!', 17,
        '%', 115,
        '&', 112,
        '(', 67,
        '*', 75,
        '+', 100,
        ',', 69,
        '-', 103,
        '.', 64,
        '/', 113,
        ';', 62,
        '<', 128,
        '=', 19,
        '>', 131,
        '[', 72,
        '^', 108,
        '{', 78,
        '|', 82,
        '}', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(135);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(16);
      if (lookahead == '"') ADVANCE(138);
      if (lookahead == '/') ADVANCE(139);
      if (lookahead == '\\') ADVANCE(20);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(142);
      if (lookahead != 0) ADVANCE(143);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 17,
        '"', 137,
        '%', 115,
        '&', 112,
        '(', 67,
        ')', 68,
        '*', 75,
        '+', 100,
        ',', 69,
        '-', 103,
        '.', 65,
        '/', 113,
        ':', 99,
        '<', 126,
        '=', 71,
        '>', 131,
        '[', 72,
        ']', 73,
        '^', 108,
        '`', 26,
        '{', 78,
        '|', 82,
        '~', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(135);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 17,
        '%', 116,
        '&', 111,
        '(', 67,
        '*', 76,
        '+', 101,
        ',', 69,
        '-', 104,
        '.', 64,
        '/', 114,
        ':', 18,
        ';', 62,
        '<', 125,
        '=', 71,
        '>', 130,
        '[', 72,
        '^', 109,
        '{', 78,
        '|', 81,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 17,
        '%', 116,
        '&', 111,
        '(', 67,
        '*', 76,
        '+', 102,
        ',', 69,
        '-', 105,
        '.', 64,
        '/', 114,
        ':', 18,
        '<', 127,
        '=', 71,
        '>', 130,
        '[', 72,
        '^', 109,
        '{', 78,
        '|', 81,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 17,
        '%', 115,
        '&', 112,
        '(', 67,
        ')', 68,
        '*', 75,
        '+', 100,
        ',', 69,
        '-', 103,
        '.', 65,
        '/', 113,
        ':', 99,
        ';', 62,
        '<', 128,
        '=', 71,
        '>', 131,
        '[', 72,
        ']', 73,
        '^', 108,
        '{', 78,
        '|', 82,
        '}', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      END_STATE();
    case 7:
      if (lookahead == '\'') ADVANCE(157);
      END_STATE();
    case 8:
      if (lookahead == '*') ADVANCE(10);
      if (lookahead == '/') ADVANCE(159);
      END_STATE();
    case 9:
      if (lookahead == '*') ADVANCE(9);
      if (lookahead == '/') ADVANCE(158);
      if (lookahead != 0) ADVANCE(10);
      END_STATE();
    case 10:
      if (lookahead == '*') ADVANCE(9);
      if (lookahead != 0) ADVANCE(10);
      END_STATE();
    case 11:
      if (lookahead == '-') ADVANCE(83);
      END_STATE();
    case 12:
      if (lookahead == '.') ADVANCE(14);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 13:
      if (lookahead == '.') ADVANCE(155);
      if (lookahead == '_') ADVANCE(36);
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(13);
      END_STATE();
    case 14:
      if (lookahead == '.') ADVANCE(74);
      END_STATE();
    case 15:
      if (lookahead == '.') ADVANCE(41);
      if (lookahead == '_') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(150);
      END_STATE();
    case 16:
      if (lookahead == '/') ADVANCE(8);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(16);
      END_STATE();
    case 17:
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 18:
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 19:
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 20:
      if (lookahead == 'U') ADVANCE(54);
      if (lookahead == 'u') ADVANCE(46);
      if (lookahead == 'x') ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      if (lookahead != 0) ADVANCE(144);
      END_STATE();
    case 21:
      if (lookahead == 'U') ADVANCE(55);
      if (lookahead == 'u') ADVANCE(47);
      if (lookahead == 'x') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(33);
      if (set_contains(sym_rune_literal_character_set_1, 11, lookahead)) ADVANCE(7);
      END_STATE();
    case 22:
      if (lookahead == '\\') ADVANCE(21);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(7);
      END_STATE();
    case 23:
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(151);
      END_STATE();
    case 24:
      if (lookahead == '_') ADVANCE(41);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(24);
      END_STATE();
    case 25:
      if (lookahead == '_') ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(152);
      END_STATE();
    case 26:
      if (lookahead == '`') ADVANCE(136);
      if (lookahead != 0) ADVANCE(26);
      END_STATE();
    case 27:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(154);
      END_STATE();
    case 28:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(24);
      END_STATE();
    case 29:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(151);
      END_STATE();
    case 30:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(13);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(148);
      END_STATE();
    case 31:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(7);
      END_STATE();
    case 32:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(152);
      END_STATE();
    case 33:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(31);
      END_STATE();
    case 34:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(149);
      END_STATE();
    case 35:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 36:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(13);
      END_STATE();
    case 37:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(154);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(7);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(144);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(150);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(24);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(50);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(52);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(53);
      END_STATE();
    case 56:
      if (eof) ADVANCE(60);
      ADVANCE_MAP(
        0, 63,
        '\n', 61,
        '!', 106,
        '"', 137,
        '&', 110,
        '\'', 22,
        '(', 67,
        ')', 68,
        '*', 75,
        '+', 100,
        ',', 69,
        '-', 103,
        '.', 35,
        '/', 8,
        '0', 147,
        ';', 62,
        '<', 11,
        '=', 70,
        '[', 72,
        '^', 108,
        '`', 26,
        '{', 78,
        '|', 80,
        '}', 79,
        '~', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(149);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(135);
      END_STATE();
    case 57:
      if (eof) ADVANCE(60);
      ADVANCE_MAP(
        0, 63,
        '\n', 61,
        '!', 17,
        '"', 137,
        '%', 116,
        '&', 111,
        '(', 67,
        ')', 68,
        '*', 76,
        '+', 101,
        ',', 69,
        '-', 104,
        '.', 64,
        '/', 114,
        ':', 99,
        ';', 62,
        '<', 125,
        '=', 71,
        '>', 130,
        '[', 72,
        '^', 109,
        '`', 26,
        '{', 78,
        '|', 81,
        '}', 79,
        '~', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(135);
      END_STATE();
    case 58:
      if (eof) ADVANCE(60);
      ADVANCE_MAP(
        0, 63,
        '!', 107,
        '"', 137,
        '%', 116,
        '&', 111,
        '\'', 22,
        '(', 67,
        ')', 68,
        '*', 76,
        '+', 101,
        ',', 69,
        '-', 104,
        '.', 66,
        '/', 114,
        '0', 147,
        ':', 99,
        ';', 62,
        '<', 125,
        '=', 71,
        '>', 130,
        '[', 72,
        ']', 73,
        '^', 109,
        '`', 26,
        '{', 78,
        '|', 81,
        '}', 79,
        '~', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(149);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(135);
      END_STATE();
    case 59:
      if (eof) ADVANCE(60);
      ADVANCE_MAP(
        '!', 106,
        '"', 137,
        '&', 110,
        '\'', 22,
        '(', 67,
        ')', 68,
        '*', 75,
        '+', 100,
        ',', 69,
        '-', 103,
        '.', 12,
        '/', 8,
        '0', 147,
        ':', 98,
        ';', 62,
        '<', 11,
        '[', 72,
        ']', 73,
        '^', 108,
        '`', 26,
        '{', 78,
        '}', 79,
        '~', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(149);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(135);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(aux_sym_source_file_token1);
      if (lookahead == '\n') ADVANCE(61);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(14);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(14);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(87);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(96);
      if (lookahead == '|') ADVANCE(134);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(134);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_AMP_CARET_EQ);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(85);
      if (lookahead == '=') ADVANCE(94);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(94);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(86);
      if (lookahead == '=') ADVANCE(95);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(95);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(97);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(133);
      if (lookahead == '=') ADVANCE(92);
      if (lookahead == '^') ADVANCE(122);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(133);
      if (lookahead == '^') ADVANCE(121);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(10);
      if (lookahead == '/') ADVANCE(159);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(10);
      if (lookahead == '/') ADVANCE(159);
      if (lookahead == '=') ADVANCE(88);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(89);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(90);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(91);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      if (lookahead == '=') ADVANCE(93);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '<') ADVANCE(118);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '<') ADVANCE(117);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(118);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(117);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(132);
      if (lookahead == '>') ADVANCE(120);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(132);
      if (lookahead == '>') ADVANCE(119);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_identifier);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(135);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_raw_string_literal);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '*') ADVANCE(141);
      if (lookahead == '/') ADVANCE(143);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(143);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '*') ADVANCE(140);
      if (lookahead == '/') ADVANCE(143);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(141);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '*') ADVANCE(140);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(141);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '/') ADVANCE(139);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(142);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(143);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(143);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(144);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(145);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_int_literal);
      ADVANCE_MAP(
        '.', 155,
        '_', 30,
        'i', 156,
        'B', 23,
        'b', 23,
        'E', 27,
        'e', 27,
        'O', 25,
        'o', 25,
        'X', 15,
        'x', 15,
        '8', 13,
        '9', 13,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(148);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(155);
      if (lookahead == '_') ADVANCE(30);
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(27);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(13);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(148);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(155);
      if (lookahead == '_') ADVANCE(34);
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(149);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(28);
      if (lookahead == '_') ADVANCE(40);
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(150);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(151);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(32);
      if (lookahead == 'i') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(152);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == '_') ADVANCE(35);
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == '_') ADVANCE(37);
      if (lookahead == 'i') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(154);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(153);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_imaginary_literal);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_rune_literal);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(159);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        '_', 1,
        'b', 2,
        'c', 3,
        'd', 4,
        'e', 5,
        'f', 6,
        'g', 7,
        'i', 8,
        'm', 9,
        'n', 10,
        'p', 11,
        'r', 12,
        's', 13,
        't', 14,
        'v', 15,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(sym_blank_identifier);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(16);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(17);
      if (lookahead == 'h') ADVANCE(18);
      if (lookahead == 'o') ADVANCE(19);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(20);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(21);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'o') ADVANCE(23);
      if (lookahead == 'u') ADVANCE(24);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(25);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(26);
      if (lookahead == 'm') ADVANCE(27);
      if (lookahead == 'n') ADVANCE(28);
      if (lookahead == 'o') ADVANCE(29);
      END_STATE();
    case 9:
      if (lookahead == 'a') ADVANCE(30);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(31);
      if (lookahead == 'i') ADVANCE(32);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(33);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(34);
      if (lookahead == 'e') ADVANCE(35);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(36);
      if (lookahead == 't') ADVANCE(37);
      if (lookahead == 'w') ADVANCE(38);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(39);
      if (lookahead == 'y') ADVANCE(40);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(41);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 17:
      if (lookahead == 's') ADVANCE(43);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(44);
      END_STATE();
    case 19:
      if (lookahead == 'n') ADVANCE(45);
      END_STATE();
    case 20:
      if (lookahead == 'f') ADVANCE(46);
      END_STATE();
    case 21:
      if (lookahead == 's') ADVANCE(47);
      END_STATE();
    case 22:
      if (lookahead == 'l') ADVANCE(48);
      END_STATE();
    case 23:
      if (lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(50);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_go);
      if (lookahead == 't') ADVANCE(51);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 27:
      if (lookahead == 'p') ADVANCE(52);
      END_STATE();
    case 28:
      if (lookahead == 't') ADVANCE(53);
      END_STATE();
    case 29:
      if (lookahead == 't') ADVANCE(54);
      END_STATE();
    case 30:
      if (lookahead == 'k') ADVANCE(55);
      if (lookahead == 'p') ADVANCE(56);
      END_STATE();
    case 31:
      if (lookahead == 'w') ADVANCE(57);
      END_STATE();
    case 32:
      if (lookahead == 'l') ADVANCE(58);
      END_STATE();
    case 33:
      if (lookahead == 'c') ADVANCE(59);
      END_STATE();
    case 34:
      if (lookahead == 'n') ADVANCE(60);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(61);
      END_STATE();
    case 36:
      if (lookahead == 'l') ADVANCE(62);
      END_STATE();
    case 37:
      if (lookahead == 'r') ADVANCE(63);
      END_STATE();
    case 38:
      if (lookahead == 'i') ADVANCE(64);
      END_STATE();
    case 39:
      if (lookahead == 'u') ADVANCE(65);
      END_STATE();
    case 40:
      if (lookahead == 'p') ADVANCE(66);
      END_STATE();
    case 41:
      if (lookahead == 'r') ADVANCE(67);
      END_STATE();
    case 42:
      if (lookahead == 'a') ADVANCE(68);
      END_STATE();
    case 43:
      if (lookahead == 'e') ADVANCE(69);
      END_STATE();
    case 44:
      if (lookahead == 'n') ADVANCE(70);
      END_STATE();
    case 45:
      if (lookahead == 's') ADVANCE(71);
      if (lookahead == 't') ADVANCE(72);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'e') ADVANCE(74);
      END_STATE();
    case 47:
      if (lookahead == 'e') ADVANCE(75);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(76);
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 50:
      if (lookahead == 'c') ADVANCE(78);
      END_STATE();
    case 51:
      if (lookahead == 'o') ADVANCE(79);
      END_STATE();
    case 52:
      if (lookahead == 'o') ADVANCE(80);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(81);
      END_STATE();
    case 54:
      if (lookahead == 'a') ADVANCE(82);
      END_STATE();
    case 55:
      if (lookahead == 'e') ADVANCE(83);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_map);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(sym_nil);
      END_STATE();
    case 59:
      if (lookahead == 'k') ADVANCE(84);
      END_STATE();
    case 60:
      if (lookahead == 'g') ADVANCE(85);
      END_STATE();
    case 61:
      if (lookahead == 'u') ADVANCE(86);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 63:
      if (lookahead == 'u') ADVANCE(88);
      END_STATE();
    case 64:
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 65:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 68:
      if (lookahead == 'k') ADVANCE(92);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_chan);
      END_STATE();
    case 71:
      if (lookahead == 't') ADVANCE(93);
      END_STATE();
    case 72:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 73:
      if (lookahead == 'u') ADVANCE(95);
      END_STATE();
    case 74:
      if (lookahead == 'r') ADVANCE(96);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 76:
      if (lookahead == 't') ADVANCE(97);
      END_STATE();
    case 77:
      if (lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_func);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 80:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 81:
      if (lookahead == 'r') ADVANCE(100);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_iota);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_make);
      END_STATE();
    case 84:
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 86:
      if (lookahead == 'r') ADVANCE(103);
      END_STATE();
    case 87:
      if (lookahead == 'c') ADVANCE(104);
      END_STATE();
    case 88:
      if (lookahead == 'c') ADVANCE(105);
      END_STATE();
    case 89:
      if (lookahead == 'c') ADVANCE(106);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 94:
      if (lookahead == 'n') ADVANCE(107);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(108);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_defer);
      END_STATE();
    case 97:
      if (lookahead == 'h') ADVANCE(109);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(110);
      END_STATE();
    case 100:
      if (lookahead == 'f') ADVANCE(111);
      END_STATE();
    case 101:
      if (lookahead == 'g') ADVANCE(112);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_range);
      END_STATE();
    case 103:
      if (lookahead == 'n') ADVANCE(113);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(114);
      END_STATE();
    case 105:
      if (lookahead == 't') ADVANCE(115);
      END_STATE();
    case 106:
      if (lookahead == 'h') ADVANCE(116);
      END_STATE();
    case 107:
      if (lookahead == 'u') ADVANCE(117);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(118);
      END_STATE();
    case 109:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 111:
      if (lookahead == 'a') ADVANCE(120);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(122);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 119:
      if (lookahead == 'o') ADVANCE(123);
      END_STATE();
    case 120:
      if (lookahead == 'c') ADVANCE(124);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 123:
      if (lookahead == 'u') ADVANCE(125);
      END_STATE();
    case 124:
      if (lookahead == 'e') ADVANCE(126);
      END_STATE();
    case 125:
      if (lookahead == 'g') ADVANCE(127);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 127:
      if (lookahead == 'h') ADVANCE(128);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_fallthrough);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 59},
  [2] = {.lex_state = 59},
  [3] = {.lex_state = 59},
  [4] = {.lex_state = 59},
  [5] = {.lex_state = 59},
  [6] = {.lex_state = 59},
  [7] = {.lex_state = 59},
  [8] = {.lex_state = 59},
  [9] = {.lex_state = 59},
  [10] = {.lex_state = 59},
  [11] = {.lex_state = 59},
  [12] = {.lex_state = 59},
  [13] = {.lex_state = 59},
  [14] = {.lex_state = 59},
  [15] = {.lex_state = 59},
  [16] = {.lex_state = 59},
  [17] = {.lex_state = 59},
  [18] = {.lex_state = 59},
  [19] = {.lex_state = 59},
  [20] = {.lex_state = 59},
  [21] = {.lex_state = 59},
  [22] = {.lex_state = 59},
  [23] = {.lex_state = 59},
  [24] = {.lex_state = 59},
  [25] = {.lex_state = 59},
  [26] = {.lex_state = 59},
  [27] = {.lex_state = 59},
  [28] = {.lex_state = 56},
  [29] = {.lex_state = 59},
  [30] = {.lex_state = 59},
  [31] = {.lex_state = 59},
  [32] = {.lex_state = 59},
  [33] = {.lex_state = 59},
  [34] = {.lex_state = 59},
  [35] = {.lex_state = 59},
  [36] = {.lex_state = 59},
  [37] = {.lex_state = 59},
  [38] = {.lex_state = 59},
  [39] = {.lex_state = 59},
  [40] = {.lex_state = 59},
  [41] = {.lex_state = 59},
  [42] = {.lex_state = 59},
  [43] = {.lex_state = 59},
  [44] = {.lex_state = 59},
  [45] = {.lex_state = 59},
  [46] = {.lex_state = 59},
  [47] = {.lex_state = 59},
  [48] = {.lex_state = 59},
  [49] = {.lex_state = 59},
  [50] = {.lex_state = 59},
  [51] = {.lex_state = 59},
  [52] = {.lex_state = 59},
  [53] = {.lex_state = 59},
  [54] = {.lex_state = 59},
  [55] = {.lex_state = 59},
  [56] = {.lex_state = 59},
  [57] = {.lex_state = 59},
  [58] = {.lex_state = 59},
  [59] = {.lex_state = 59},
  [60] = {.lex_state = 59},
  [61] = {.lex_state = 59},
  [62] = {.lex_state = 59},
  [63] = {.lex_state = 59},
  [64] = {.lex_state = 59},
  [65] = {.lex_state = 59},
  [66] = {.lex_state = 59},
  [67] = {.lex_state = 59},
  [68] = {.lex_state = 59},
  [69] = {.lex_state = 59},
  [70] = {.lex_state = 59},
  [71] = {.lex_state = 59},
  [72] = {.lex_state = 59},
  [73] = {.lex_state = 59},
  [74] = {.lex_state = 59},
  [75] = {.lex_state = 59},
  [76] = {.lex_state = 59},
  [77] = {.lex_state = 59},
  [78] = {.lex_state = 59},
  [79] = {.lex_state = 59},
  [80] = {.lex_state = 59},
  [81] = {.lex_state = 59},
  [82] = {.lex_state = 59},
  [83] = {.lex_state = 59},
  [84] = {.lex_state = 59},
  [85] = {.lex_state = 59},
  [86] = {.lex_state = 59},
  [87] = {.lex_state = 59},
  [88] = {.lex_state = 59},
  [89] = {.lex_state = 59},
  [90] = {.lex_state = 59},
  [91] = {.lex_state = 59},
  [92] = {.lex_state = 59},
  [93] = {.lex_state = 59},
  [94] = {.lex_state = 59},
  [95] = {.lex_state = 59},
  [96] = {.lex_state = 59},
  [97] = {.lex_state = 59},
  [98] = {.lex_state = 59},
  [99] = {.lex_state = 59},
  [100] = {.lex_state = 59},
  [101] = {.lex_state = 59},
  [102] = {.lex_state = 59},
  [103] = {.lex_state = 59},
  [104] = {.lex_state = 59},
  [105] = {.lex_state = 59},
  [106] = {.lex_state = 59},
  [107] = {.lex_state = 59},
  [108] = {.lex_state = 59},
  [109] = {.lex_state = 59},
  [110] = {.lex_state = 59},
  [111] = {.lex_state = 59},
  [112] = {.lex_state = 59},
  [113] = {.lex_state = 59},
  [114] = {.lex_state = 59},
  [115] = {.lex_state = 59},
  [116] = {.lex_state = 59},
  [117] = {.lex_state = 59},
  [118] = {.lex_state = 59},
  [119] = {.lex_state = 59},
  [120] = {.lex_state = 59},
  [121] = {.lex_state = 59},
  [122] = {.lex_state = 59},
  [123] = {.lex_state = 59},
  [124] = {.lex_state = 59},
  [125] = {.lex_state = 59},
  [126] = {.lex_state = 59},
  [127] = {.lex_state = 59},
  [128] = {.lex_state = 59},
  [129] = {.lex_state = 59},
  [130] = {.lex_state = 59},
  [131] = {.lex_state = 59},
  [132] = {.lex_state = 59},
  [133] = {.lex_state = 59},
  [134] = {.lex_state = 59},
  [135] = {.lex_state = 59},
  [136] = {.lex_state = 59},
  [137] = {.lex_state = 59},
  [138] = {.lex_state = 59},
  [139] = {.lex_state = 59},
  [140] = {.lex_state = 59},
  [141] = {.lex_state = 59},
  [142] = {.lex_state = 59},
  [143] = {.lex_state = 59},
  [144] = {.lex_state = 59},
  [145] = {.lex_state = 59},
  [146] = {.lex_state = 59},
  [147] = {.lex_state = 59},
  [148] = {.lex_state = 59},
  [149] = {.lex_state = 59},
  [150] = {.lex_state = 59},
  [151] = {.lex_state = 59},
  [152] = {.lex_state = 59},
  [153] = {.lex_state = 59},
  [154] = {.lex_state = 59},
  [155] = {.lex_state = 59},
  [156] = {.lex_state = 59},
  [157] = {.lex_state = 59},
  [158] = {.lex_state = 59},
  [159] = {.lex_state = 59},
  [160] = {.lex_state = 59},
  [161] = {.lex_state = 59},
  [162] = {.lex_state = 59},
  [163] = {.lex_state = 59},
  [164] = {.lex_state = 59},
  [165] = {.lex_state = 59},
  [166] = {.lex_state = 59},
  [167] = {.lex_state = 59},
  [168] = {.lex_state = 59},
  [169] = {.lex_state = 59},
  [170] = {.lex_state = 59},
  [171] = {.lex_state = 59},
  [172] = {.lex_state = 59},
  [173] = {.lex_state = 59},
  [174] = {.lex_state = 59},
  [175] = {.lex_state = 59},
  [176] = {.lex_state = 59},
  [177] = {.lex_state = 59},
  [178] = {.lex_state = 59},
  [179] = {.lex_state = 59},
  [180] = {.lex_state = 59},
  [181] = {.lex_state = 59},
  [182] = {.lex_state = 59},
  [183] = {.lex_state = 59},
  [184] = {.lex_state = 59},
  [185] = {.lex_state = 59},
  [186] = {.lex_state = 59},
  [187] = {.lex_state = 59},
  [188] = {.lex_state = 59},
  [189] = {.lex_state = 59},
  [190] = {.lex_state = 59},
  [191] = {.lex_state = 59},
  [192] = {.lex_state = 59},
  [193] = {.lex_state = 59},
  [194] = {.lex_state = 59},
  [195] = {.lex_state = 59},
  [196] = {.lex_state = 59},
  [197] = {.lex_state = 59},
  [198] = {.lex_state = 59},
  [199] = {.lex_state = 59},
  [200] = {.lex_state = 59},
  [201] = {.lex_state = 59},
  [202] = {.lex_state = 59},
  [203] = {.lex_state = 59},
  [204] = {.lex_state = 59},
  [205] = {.lex_state = 59},
  [206] = {.lex_state = 59},
  [207] = {.lex_state = 59},
  [208] = {.lex_state = 59},
  [209] = {.lex_state = 59},
  [210] = {.lex_state = 59},
  [211] = {.lex_state = 59},
  [212] = {.lex_state = 59},
  [213] = {.lex_state = 59},
  [214] = {.lex_state = 59},
  [215] = {.lex_state = 59},
  [216] = {.lex_state = 59},
  [217] = {.lex_state = 59},
  [218] = {.lex_state = 59},
  [219] = {.lex_state = 59},
  [220] = {.lex_state = 59},
  [221] = {.lex_state = 59},
  [222] = {.lex_state = 59},
  [223] = {.lex_state = 59},
  [224] = {.lex_state = 59},
  [225] = {.lex_state = 59},
  [226] = {.lex_state = 59},
  [227] = {.lex_state = 59},
  [228] = {.lex_state = 59},
  [229] = {.lex_state = 59},
  [230] = {.lex_state = 59},
  [231] = {.lex_state = 59},
  [232] = {.lex_state = 59},
  [233] = {.lex_state = 59},
  [234] = {.lex_state = 59},
  [235] = {.lex_state = 59},
  [236] = {.lex_state = 3},
  [237] = {.lex_state = 57},
  [238] = {.lex_state = 57},
  [239] = {.lex_state = 57},
  [240] = {.lex_state = 57},
  [241] = {.lex_state = 57},
  [242] = {.lex_state = 57},
  [243] = {.lex_state = 59},
  [244] = {.lex_state = 57},
  [245] = {.lex_state = 57},
  [246] = {.lex_state = 57},
  [247] = {.lex_state = 57},
  [248] = {.lex_state = 57},
  [249] = {.lex_state = 57},
  [250] = {.lex_state = 57},
  [251] = {.lex_state = 57},
  [252] = {.lex_state = 57},
  [253] = {.lex_state = 57},
  [254] = {.lex_state = 57},
  [255] = {.lex_state = 57},
  [256] = {.lex_state = 57},
  [257] = {.lex_state = 57},
  [258] = {.lex_state = 57},
  [259] = {.lex_state = 57},
  [260] = {.lex_state = 57},
  [261] = {.lex_state = 57},
  [262] = {.lex_state = 57},
  [263] = {.lex_state = 57},
  [264] = {.lex_state = 57},
  [265] = {.lex_state = 57},
  [266] = {.lex_state = 57},
  [267] = {.lex_state = 57},
  [268] = {.lex_state = 57},
  [269] = {.lex_state = 57},
  [270] = {.lex_state = 57},
  [271] = {.lex_state = 57},
  [272] = {.lex_state = 57},
  [273] = {.lex_state = 57},
  [274] = {.lex_state = 4},
  [275] = {.lex_state = 57},
  [276] = {.lex_state = 57},
  [277] = {.lex_state = 57},
  [278] = {.lex_state = 4},
  [279] = {.lex_state = 57},
  [280] = {.lex_state = 57},
  [281] = {.lex_state = 57},
  [282] = {.lex_state = 57},
  [283] = {.lex_state = 57},
  [284] = {.lex_state = 57},
  [285] = {.lex_state = 57},
  [286] = {.lex_state = 57},
  [287] = {.lex_state = 57},
  [288] = {.lex_state = 57},
  [289] = {.lex_state = 4},
  [290] = {.lex_state = 4},
  [291] = {.lex_state = 4},
  [292] = {.lex_state = 4},
  [293] = {.lex_state = 4},
  [294] = {.lex_state = 4},
  [295] = {.lex_state = 4},
  [296] = {.lex_state = 4},
  [297] = {.lex_state = 4},
  [298] = {.lex_state = 4},
  [299] = {.lex_state = 4},
  [300] = {.lex_state = 4},
  [301] = {.lex_state = 4},
  [302] = {.lex_state = 4},
  [303] = {.lex_state = 4},
  [304] = {.lex_state = 4},
  [305] = {.lex_state = 4},
  [306] = {.lex_state = 4},
  [307] = {.lex_state = 4},
  [308] = {.lex_state = 4},
  [309] = {.lex_state = 4},
  [310] = {.lex_state = 4},
  [311] = {.lex_state = 4},
  [312] = {.lex_state = 4},
  [313] = {.lex_state = 4},
  [314] = {.lex_state = 4},
  [315] = {.lex_state = 4},
  [316] = {.lex_state = 4},
  [317] = {.lex_state = 4},
  [318] = {.lex_state = 4},
  [319] = {.lex_state = 4},
  [320] = {.lex_state = 4},
  [321] = {.lex_state = 4},
  [322] = {.lex_state = 4},
  [323] = {.lex_state = 4},
  [324] = {.lex_state = 4},
  [325] = {.lex_state = 4},
  [326] = {.lex_state = 4},
  [327] = {.lex_state = 4},
  [328] = {.lex_state = 4},
  [329] = {.lex_state = 4},
  [330] = {.lex_state = 4},
  [331] = {.lex_state = 4},
  [332] = {.lex_state = 4},
  [333] = {.lex_state = 4},
  [334] = {.lex_state = 4},
  [335] = {.lex_state = 4},
  [336] = {.lex_state = 4},
  [337] = {.lex_state = 5},
  [338] = {.lex_state = 5},
  [339] = {.lex_state = 5},
  [340] = {.lex_state = 5},
  [341] = {.lex_state = 5},
  [342] = {.lex_state = 5},
  [343] = {.lex_state = 5},
  [344] = {.lex_state = 5},
  [345] = {.lex_state = 5},
  [346] = {.lex_state = 5},
  [347] = {.lex_state = 5},
  [348] = {.lex_state = 5},
  [349] = {.lex_state = 5},
  [350] = {.lex_state = 5},
  [351] = {.lex_state = 5},
  [352] = {.lex_state = 5},
  [353] = {.lex_state = 5},
  [354] = {.lex_state = 5},
  [355] = {.lex_state = 5},
  [356] = {.lex_state = 5},
  [357] = {.lex_state = 5},
  [358] = {.lex_state = 5},
  [359] = {.lex_state = 5},
  [360] = {.lex_state = 5},
  [361] = {.lex_state = 5},
  [362] = {.lex_state = 5},
  [363] = {.lex_state = 5},
  [364] = {.lex_state = 5},
  [365] = {.lex_state = 5},
  [366] = {.lex_state = 5},
  [367] = {.lex_state = 5},
  [368] = {.lex_state = 5},
  [369] = {.lex_state = 5},
  [370] = {.lex_state = 5},
  [371] = {.lex_state = 5},
  [372] = {.lex_state = 5},
  [373] = {.lex_state = 5},
  [374] = {.lex_state = 5},
  [375] = {.lex_state = 5},
  [376] = {.lex_state = 5},
  [377] = {.lex_state = 5},
  [378] = {.lex_state = 5},
  [379] = {.lex_state = 5},
  [380] = {.lex_state = 5},
  [381] = {.lex_state = 5},
  [382] = {.lex_state = 5},
  [383] = {.lex_state = 5},
  [384] = {.lex_state = 56},
  [385] = {.lex_state = 57},
  [386] = {.lex_state = 56},
  [387] = {.lex_state = 6},
  [388] = {.lex_state = 6},
  [389] = {.lex_state = 6},
  [390] = {.lex_state = 56},
  [391] = {.lex_state = 6},
  [392] = {.lex_state = 56},
  [393] = {.lex_state = 6},
  [394] = {.lex_state = 6},
  [395] = {.lex_state = 6},
  [396] = {.lex_state = 6},
  [397] = {.lex_state = 6},
  [398] = {.lex_state = 6},
  [399] = {.lex_state = 6},
  [400] = {.lex_state = 6},
  [401] = {.lex_state = 6},
  [402] = {.lex_state = 6},
  [403] = {.lex_state = 6},
  [404] = {.lex_state = 6},
  [405] = {.lex_state = 6},
  [406] = {.lex_state = 6},
  [407] = {.lex_state = 6},
  [408] = {.lex_state = 6},
  [409] = {.lex_state = 6},
  [410] = {.lex_state = 6},
  [411] = {.lex_state = 6},
  [412] = {.lex_state = 6},
  [413] = {.lex_state = 6},
  [414] = {.lex_state = 6},
  [415] = {.lex_state = 6},
  [416] = {.lex_state = 6},
  [417] = {.lex_state = 6},
  [418] = {.lex_state = 6},
  [419] = {.lex_state = 6},
  [420] = {.lex_state = 6},
  [421] = {.lex_state = 6},
  [422] = {.lex_state = 6},
  [423] = {.lex_state = 6},
  [424] = {.lex_state = 6},
  [425] = {.lex_state = 6},
  [426] = {.lex_state = 1},
  [427] = {.lex_state = 6},
  [428] = {.lex_state = 6},
  [429] = {.lex_state = 6},
  [430] = {.lex_state = 6},
  [431] = {.lex_state = 1},
  [432] = {.lex_state = 6},
  [433] = {.lex_state = 1},
  [434] = {.lex_state = 0},
  [435] = {.lex_state = 1},
  [436] = {.lex_state = 6},
  [437] = {.lex_state = 0},
  [438] = {.lex_state = 6},
  [439] = {.lex_state = 1},
  [440] = {.lex_state = 1},
  [441] = {.lex_state = 1},
  [442] = {.lex_state = 6},
  [443] = {.lex_state = 6},
  [444] = {.lex_state = 1},
  [445] = {.lex_state = 1},
  [446] = {.lex_state = 1},
  [447] = {.lex_state = 1},
  [448] = {.lex_state = 1},
  [449] = {.lex_state = 1},
  [450] = {.lex_state = 56},
  [451] = {.lex_state = 3},
  [452] = {.lex_state = 3},
  [453] = {.lex_state = 3},
  [454] = {.lex_state = 56},
  [455] = {.lex_state = 56},
  [456] = {.lex_state = 0},
  [457] = {.lex_state = 56},
  [458] = {.lex_state = 1},
  [459] = {.lex_state = 1},
  [460] = {.lex_state = 3},
  [461] = {.lex_state = 3},
  [462] = {.lex_state = 3},
  [463] = {.lex_state = 1},
  [464] = {.lex_state = 1},
  [465] = {.lex_state = 1},
  [466] = {.lex_state = 1},
  [467] = {.lex_state = 1},
  [468] = {.lex_state = 0},
  [469] = {.lex_state = 1},
  [470] = {.lex_state = 1},
  [471] = {.lex_state = 1},
  [472] = {.lex_state = 1},
  [473] = {.lex_state = 56},
  [474] = {.lex_state = 1},
  [475] = {.lex_state = 1},
  [476] = {.lex_state = 1},
  [477] = {.lex_state = 3},
  [478] = {.lex_state = 1},
  [479] = {.lex_state = 56},
  [480] = {.lex_state = 1},
  [481] = {.lex_state = 1},
  [482] = {.lex_state = 1},
  [483] = {.lex_state = 1},
  [484] = {.lex_state = 1},
  [485] = {.lex_state = 1},
  [486] = {.lex_state = 3},
  [487] = {.lex_state = 1},
  [488] = {.lex_state = 0},
  [489] = {.lex_state = 1},
  [490] = {.lex_state = 6},
  [491] = {.lex_state = 0},
  [492] = {.lex_state = 1},
  [493] = {.lex_state = 1},
  [494] = {.lex_state = 1},
  [495] = {.lex_state = 1},
  [496] = {.lex_state = 1},
  [497] = {.lex_state = 1},
  [498] = {.lex_state = 1},
  [499] = {.lex_state = 1},
  [500] = {.lex_state = 1},
  [501] = {.lex_state = 1},
  [502] = {.lex_state = 56},
  [503] = {.lex_state = 1},
  [504] = {.lex_state = 1},
  [505] = {.lex_state = 1},
  [506] = {.lex_state = 1},
  [507] = {.lex_state = 1},
  [508] = {.lex_state = 56},
  [509] = {.lex_state = 3},
  [510] = {.lex_state = 0},
  [511] = {.lex_state = 6},
  [512] = {.lex_state = 6},
  [513] = {.lex_state = 6},
  [514] = {.lex_state = 6},
  [515] = {.lex_state = 6},
  [516] = {.lex_state = 0},
  [517] = {.lex_state = 6},
  [518] = {.lex_state = 0},
  [519] = {.lex_state = 0},
  [520] = {.lex_state = 0},
  [521] = {.lex_state = 6},
  [522] = {.lex_state = 0},
  [523] = {.lex_state = 6},
  [524] = {.lex_state = 6},
  [525] = {.lex_state = 6},
  [526] = {.lex_state = 56},
  [527] = {.lex_state = 3},
  [528] = {.lex_state = 0},
  [529] = {.lex_state = 3},
  [530] = {.lex_state = 6},
  [531] = {.lex_state = 3},
  [532] = {.lex_state = 0},
  [533] = {.lex_state = 6},
  [534] = {.lex_state = 3},
  [535] = {.lex_state = 0},
  [536] = {.lex_state = 3},
  [537] = {.lex_state = 0},
  [538] = {.lex_state = 3},
  [539] = {.lex_state = 3},
  [540] = {.lex_state = 3},
  [541] = {.lex_state = 0},
  [542] = {.lex_state = 6},
  [543] = {.lex_state = 3},
  [544] = {.lex_state = 6},
  [545] = {.lex_state = 3},
  [546] = {.lex_state = 6},
  [547] = {.lex_state = 3},
  [548] = {.lex_state = 3},
  [549] = {.lex_state = 3},
  [550] = {.lex_state = 3},
  [551] = {.lex_state = 3},
  [552] = {.lex_state = 0},
  [553] = {.lex_state = 6},
  [554] = {.lex_state = 3},
  [555] = {.lex_state = 3},
  [556] = {.lex_state = 3},
  [557] = {.lex_state = 3},
  [558] = {.lex_state = 3},
  [559] = {.lex_state = 3},
  [560] = {.lex_state = 0},
  [561] = {.lex_state = 6},
  [562] = {.lex_state = 3},
  [563] = {.lex_state = 3},
  [564] = {.lex_state = 3},
  [565] = {.lex_state = 3},
  [566] = {.lex_state = 0},
  [567] = {.lex_state = 3},
  [568] = {.lex_state = 3},
  [569] = {.lex_state = 3},
  [570] = {.lex_state = 3},
  [571] = {.lex_state = 0},
  [572] = {.lex_state = 3},
  [573] = {.lex_state = 6},
  [574] = {.lex_state = 3},
  [575] = {.lex_state = 6},
  [576] = {.lex_state = 0},
  [577] = {.lex_state = 3},
  [578] = {.lex_state = 3},
  [579] = {.lex_state = 0},
  [580] = {.lex_state = 0},
  [581] = {.lex_state = 6},
  [582] = {.lex_state = 6},
  [583] = {.lex_state = 6},
  [584] = {.lex_state = 6},
  [585] = {.lex_state = 3},
  [586] = {.lex_state = 0},
  [587] = {.lex_state = 3},
  [588] = {.lex_state = 3},
  [589] = {.lex_state = 3},
  [590] = {.lex_state = 3},
  [591] = {.lex_state = 0},
  [592] = {.lex_state = 3},
  [593] = {.lex_state = 0},
  [594] = {.lex_state = 6},
  [595] = {.lex_state = 0},
  [596] = {.lex_state = 0},
  [597] = {.lex_state = 6},
  [598] = {.lex_state = 6},
  [599] = {.lex_state = 6},
  [600] = {.lex_state = 0},
  [601] = {.lex_state = 0},
  [602] = {.lex_state = 0},
  [603] = {.lex_state = 0},
  [604] = {.lex_state = 6},
  [605] = {.lex_state = 0},
  [606] = {.lex_state = 6},
  [607] = {.lex_state = 0},
  [608] = {.lex_state = 0},
  [609] = {.lex_state = 6},
  [610] = {.lex_state = 6},
  [611] = {.lex_state = 6},
  [612] = {.lex_state = 6},
  [613] = {.lex_state = 0},
  [614] = {.lex_state = 6},
  [615] = {.lex_state = 6},
  [616] = {.lex_state = 6},
  [617] = {.lex_state = 6},
  [618] = {.lex_state = 6},
  [619] = {.lex_state = 6},
  [620] = {.lex_state = 6},
  [621] = {.lex_state = 6},
  [622] = {.lex_state = 6},
  [623] = {.lex_state = 0},
  [624] = {.lex_state = 6},
  [625] = {.lex_state = 6},
  [626] = {.lex_state = 6},
  [627] = {.lex_state = 0},
  [628] = {.lex_state = 0},
  [629] = {.lex_state = 0},
  [630] = {.lex_state = 6},
  [631] = {.lex_state = 6},
  [632] = {.lex_state = 6},
  [633] = {.lex_state = 0},
  [634] = {.lex_state = 6},
  [635] = {.lex_state = 0},
  [636] = {.lex_state = 6},
  [637] = {.lex_state = 6},
  [638] = {.lex_state = 6},
  [639] = {.lex_state = 6},
  [640] = {.lex_state = 0},
  [641] = {.lex_state = 0},
  [642] = {.lex_state = 6},
  [643] = {.lex_state = 6},
  [644] = {.lex_state = 6},
  [645] = {.lex_state = 6},
  [646] = {.lex_state = 0},
  [647] = {.lex_state = 6},
  [648] = {.lex_state = 0},
  [649] = {.lex_state = 0},
  [650] = {.lex_state = 0},
  [651] = {.lex_state = 0},
  [652] = {.lex_state = 0},
  [653] = {.lex_state = 0},
  [654] = {.lex_state = 6},
  [655] = {.lex_state = 6},
  [656] = {.lex_state = 0},
  [657] = {.lex_state = 6},
  [658] = {.lex_state = 6},
  [659] = {.lex_state = 0},
  [660] = {.lex_state = 6},
  [661] = {.lex_state = 6},
  [662] = {.lex_state = 6},
  [663] = {.lex_state = 0},
  [664] = {.lex_state = 0},
  [665] = {.lex_state = 0},
  [666] = {.lex_state = 6},
  [667] = {.lex_state = 0},
  [668] = {.lex_state = 6},
  [669] = {.lex_state = 6},
  [670] = {.lex_state = 0},
  [671] = {.lex_state = 6},
  [672] = {.lex_state = 0},
  [673] = {.lex_state = 0},
  [674] = {.lex_state = 6},
  [675] = {.lex_state = 6},
  [676] = {.lex_state = 0},
  [677] = {.lex_state = 0},
  [678] = {.lex_state = 6},
  [679] = {.lex_state = 6},
  [680] = {.lex_state = 6},
  [681] = {.lex_state = 6},
  [682] = {.lex_state = 0},
  [683] = {.lex_state = 0},
  [684] = {.lex_state = 6},
  [685] = {.lex_state = 6},
  [686] = {.lex_state = 0},
  [687] = {.lex_state = 0},
  [688] = {.lex_state = 6},
  [689] = {.lex_state = 0},
  [690] = {.lex_state = 0},
  [691] = {.lex_state = 6},
  [692] = {.lex_state = 6},
  [693] = {.lex_state = 6},
  [694] = {.lex_state = 0},
  [695] = {.lex_state = 0},
  [696] = {.lex_state = 0},
  [697] = {.lex_state = 0},
  [698] = {.lex_state = 0},
  [699] = {.lex_state = 0},
  [700] = {.lex_state = 0},
  [701] = {.lex_state = 0},
  [702] = {.lex_state = 0},
  [703] = {.lex_state = 0},
  [704] = {.lex_state = 0},
  [705] = {.lex_state = 0},
  [706] = {.lex_state = 0},
  [707] = {.lex_state = 0},
  [708] = {.lex_state = 0},
  [709] = {.lex_state = 6},
  [710] = {.lex_state = 0},
  [711] = {.lex_state = 0},
  [712] = {.lex_state = 0},
  [713] = {.lex_state = 0},
  [714] = {.lex_state = 0},
  [715] = {.lex_state = 0},
  [716] = {.lex_state = 0},
  [717] = {.lex_state = 0},
  [718] = {.lex_state = 0},
  [719] = {.lex_state = 0},
  [720] = {.lex_state = 0},
  [721] = {.lex_state = 0},
  [722] = {.lex_state = 0},
  [723] = {.lex_state = 0},
  [724] = {.lex_state = 0},
  [725] = {.lex_state = 0},
  [726] = {.lex_state = 0},
  [727] = {.lex_state = 0},
  [728] = {.lex_state = 0},
  [729] = {.lex_state = 0},
  [730] = {.lex_state = 0},
  [731] = {.lex_state = 0},
  [732] = {.lex_state = 0},
  [733] = {.lex_state = 0},
  [734] = {.lex_state = 0},
  [735] = {.lex_state = 0},
  [736] = {.lex_state = 0},
  [737] = {.lex_state = 0},
  [738] = {.lex_state = 0},
  [739] = {.lex_state = 0},
  [740] = {.lex_state = 0},
  [741] = {.lex_state = 0},
  [742] = {.lex_state = 0},
  [743] = {.lex_state = 0},
  [744] = {.lex_state = 0},
  [745] = {.lex_state = 0},
  [746] = {.lex_state = 0},
  [747] = {.lex_state = 0},
  [748] = {.lex_state = 0},
  [749] = {.lex_state = 0},
  [750] = {.lex_state = 0},
  [751] = {.lex_state = 0},
  [752] = {.lex_state = 0},
  [753] = {.lex_state = 0},
  [754] = {.lex_state = 0},
  [755] = {.lex_state = 0},
  [756] = {.lex_state = 0},
  [757] = {.lex_state = 0},
  [758] = {.lex_state = 0},
  [759] = {.lex_state = 0},
  [760] = {.lex_state = 0},
  [761] = {.lex_state = 0},
  [762] = {.lex_state = 0},
  [763] = {.lex_state = 0},
  [764] = {.lex_state = 0},
  [765] = {.lex_state = 0},
  [766] = {.lex_state = 0},
  [767] = {.lex_state = 0},
  [768] = {.lex_state = 0},
  [769] = {.lex_state = 0},
  [770] = {.lex_state = 0},
  [771] = {.lex_state = 0},
  [772] = {.lex_state = 0},
  [773] = {.lex_state = 0},
  [774] = {.lex_state = 0},
  [775] = {.lex_state = 0},
  [776] = {.lex_state = 56},
  [777] = {.lex_state = 56},
  [778] = {.lex_state = 56},
  [779] = {.lex_state = 56},
  [780] = {.lex_state = 56},
  [781] = {.lex_state = 56},
  [782] = {.lex_state = 0},
  [783] = {.lex_state = 0},
  [784] = {.lex_state = 0},
  [785] = {.lex_state = 0},
  [786] = {.lex_state = 56},
  [787] = {.lex_state = 56},
  [788] = {.lex_state = 56},
  [789] = {.lex_state = 56},
  [790] = {.lex_state = 0},
  [791] = {.lex_state = 0},
  [792] = {.lex_state = 57},
  [793] = {.lex_state = 0},
  [794] = {.lex_state = 57},
  [795] = {.lex_state = 56},
  [796] = {.lex_state = 0},
  [797] = {.lex_state = 0},
  [798] = {.lex_state = 0},
  [799] = {.lex_state = 56},
  [800] = {.lex_state = 0},
  [801] = {.lex_state = 0},
  [802] = {.lex_state = 0},
  [803] = {.lex_state = 0},
  [804] = {.lex_state = 56},
  [805] = {.lex_state = 56},
  [806] = {.lex_state = 56},
  [807] = {.lex_state = 56},
  [808] = {.lex_state = 56},
  [809] = {.lex_state = 56},
  [810] = {.lex_state = 56},
  [811] = {.lex_state = 56},
  [812] = {.lex_state = 56},
  [813] = {.lex_state = 56},
  [814] = {.lex_state = 56},
  [815] = {.lex_state = 56},
  [816] = {.lex_state = 0},
  [817] = {.lex_state = 56},
  [818] = {.lex_state = 56},
  [819] = {.lex_state = 56},
  [820] = {.lex_state = 56},
  [821] = {.lex_state = 56},
  [822] = {.lex_state = 56},
  [823] = {.lex_state = 56},
  [824] = {.lex_state = 56},
  [825] = {.lex_state = 56},
  [826] = {.lex_state = 56},
  [827] = {.lex_state = 56},
  [828] = {.lex_state = 56},
  [829] = {.lex_state = 56},
  [830] = {.lex_state = 56},
  [831] = {.lex_state = 56},
  [832] = {.lex_state = 0},
  [833] = {.lex_state = 3},
  [834] = {.lex_state = 0},
  [835] = {.lex_state = 0},
  [836] = {.lex_state = 3},
  [837] = {.lex_state = 57},
  [838] = {.lex_state = 57},
  [839] = {.lex_state = 3},
  [840] = {.lex_state = 0},
  [841] = {.lex_state = 3},
  [842] = {.lex_state = 0},
  [843] = {.lex_state = 3},
  [844] = {.lex_state = 3},
  [845] = {.lex_state = 0},
  [846] = {.lex_state = 0},
  [847] = {.lex_state = 0},
  [848] = {.lex_state = 0},
  [849] = {.lex_state = 56},
  [850] = {.lex_state = 0},
  [851] = {.lex_state = 0},
  [852] = {.lex_state = 0},
  [853] = {.lex_state = 3},
  [854] = {.lex_state = 0},
  [855] = {.lex_state = 0},
  [856] = {.lex_state = 0},
  [857] = {.lex_state = 0},
  [858] = {.lex_state = 0},
  [859] = {.lex_state = 3},
  [860] = {.lex_state = 0},
  [861] = {.lex_state = 0},
  [862] = {.lex_state = 3},
  [863] = {.lex_state = 0},
  [864] = {.lex_state = 0},
  [865] = {.lex_state = 0},
  [866] = {.lex_state = 56},
  [867] = {.lex_state = 0},
  [868] = {.lex_state = 0},
  [869] = {.lex_state = 0},
  [870] = {.lex_state = 0},
  [871] = {.lex_state = 0},
  [872] = {.lex_state = 0},
  [873] = {.lex_state = 0},
  [874] = {.lex_state = 3},
  [875] = {.lex_state = 0},
  [876] = {.lex_state = 0},
  [877] = {.lex_state = 0},
  [878] = {.lex_state = 0},
  [879] = {.lex_state = 57},
  [880] = {.lex_state = 0},
  [881] = {.lex_state = 56},
  [882] = {.lex_state = 0},
  [883] = {.lex_state = 0},
  [884] = {.lex_state = 57},
  [885] = {.lex_state = 0},
  [886] = {.lex_state = 0},
  [887] = {.lex_state = 3},
  [888] = {.lex_state = 0},
  [889] = {.lex_state = 0},
  [890] = {.lex_state = 0},
  [891] = {.lex_state = 56},
  [892] = {.lex_state = 0},
  [893] = {.lex_state = 0},
  [894] = {.lex_state = 0},
  [895] = {.lex_state = 56},
  [896] = {.lex_state = 56},
  [897] = {.lex_state = 56},
  [898] = {.lex_state = 0},
  [899] = {.lex_state = 56},
  [900] = {.lex_state = 56},
  [901] = {.lex_state = 56},
  [902] = {.lex_state = 56},
  [903] = {.lex_state = 56},
  [904] = {.lex_state = 56},
  [905] = {.lex_state = 56},
  [906] = {.lex_state = 56},
  [907] = {.lex_state = 56},
  [908] = {.lex_state = 56},
  [909] = {.lex_state = 56},
  [910] = {.lex_state = 56},
  [911] = {.lex_state = 56},
  [912] = {.lex_state = 56},
  [913] = {.lex_state = 56},
  [914] = {.lex_state = 0},
  [915] = {.lex_state = 56},
  [916] = {.lex_state = 56},
  [917] = {.lex_state = 56},
  [918] = {.lex_state = 0},
  [919] = {.lex_state = 56},
  [920] = {.lex_state = 56},
  [921] = {.lex_state = 56},
  [922] = {.lex_state = 56},
  [923] = {.lex_state = 56},
  [924] = {.lex_state = 56},
  [925] = {.lex_state = 56},
  [926] = {.lex_state = 56},
  [927] = {.lex_state = 56},
  [928] = {.lex_state = 56},
  [929] = {.lex_state = 56},
  [930] = {.lex_state = 56},
  [931] = {.lex_state = 56},
  [932] = {.lex_state = 0},
  [933] = {.lex_state = 56},
  [934] = {.lex_state = 56},
  [935] = {.lex_state = 56},
  [936] = {.lex_state = 0},
  [937] = {.lex_state = 56},
  [938] = {.lex_state = 56},
  [939] = {.lex_state = 56},
  [940] = {.lex_state = 56},
  [941] = {.lex_state = 56},
  [942] = {.lex_state = 56},
  [943] = {.lex_state = 56},
  [944] = {.lex_state = 56},
  [945] = {.lex_state = 56},
  [946] = {.lex_state = 56},
  [947] = {.lex_state = 56},
  [948] = {.lex_state = 56},
  [949] = {.lex_state = 56},
  [950] = {.lex_state = 56},
  [951] = {.lex_state = 56},
  [952] = {.lex_state = 56},
  [953] = {.lex_state = 56},
  [954] = {.lex_state = 56},
  [955] = {.lex_state = 56},
  [956] = {.lex_state = 56},
  [957] = {.lex_state = 56},
  [958] = {.lex_state = 56},
  [959] = {.lex_state = 56},
  [960] = {.lex_state = 56},
  [961] = {.lex_state = 0},
  [962] = {.lex_state = 56},
  [963] = {.lex_state = 0},
  [964] = {.lex_state = 56},
  [965] = {.lex_state = 0},
  [966] = {.lex_state = 0},
  [967] = {.lex_state = 56},
  [968] = {.lex_state = 56},
  [969] = {.lex_state = 56},
  [970] = {.lex_state = 56},
  [971] = {.lex_state = 56},
  [972] = {.lex_state = 0},
  [973] = {.lex_state = 0},
  [974] = {.lex_state = 56},
  [975] = {.lex_state = 56},
  [976] = {.lex_state = 56},
  [977] = {.lex_state = 56},
  [978] = {.lex_state = 56},
  [979] = {.lex_state = 0},
  [980] = {.lex_state = 0},
  [981] = {.lex_state = 56},
  [982] = {.lex_state = 3},
  [983] = {.lex_state = 0},
  [984] = {.lex_state = 56},
  [985] = {.lex_state = 56},
  [986] = {.lex_state = 56},
  [987] = {.lex_state = 56},
  [988] = {.lex_state = 0},
  [989] = {.lex_state = 56},
  [990] = {.lex_state = 56},
  [991] = {.lex_state = 56},
  [992] = {.lex_state = 56},
  [993] = {.lex_state = 56},
  [994] = {.lex_state = 0},
  [995] = {.lex_state = 56},
  [996] = {.lex_state = 56},
  [997] = {.lex_state = 56},
  [998] = {.lex_state = 56},
  [999] = {.lex_state = 0},
  [1000] = {.lex_state = 56},
  [1001] = {.lex_state = 56},
  [1002] = {.lex_state = 0},
  [1003] = {.lex_state = 0},
  [1004] = {.lex_state = 56},
  [1005] = {.lex_state = 56},
  [1006] = {.lex_state = 56},
  [1007] = {.lex_state = 56},
  [1008] = {.lex_state = 3},
  [1009] = {.lex_state = 56},
  [1010] = {.lex_state = 56},
  [1011] = {.lex_state = 0},
  [1012] = {.lex_state = 56},
  [1013] = {.lex_state = 56},
  [1014] = {.lex_state = 56},
  [1015] = {.lex_state = 56},
  [1016] = {.lex_state = 56},
  [1017] = {.lex_state = 56},
  [1018] = {.lex_state = 0},
  [1019] = {.lex_state = 56},
  [1020] = {.lex_state = 56},
  [1021] = {.lex_state = 0},
  [1022] = {.lex_state = 56},
  [1023] = {.lex_state = 0},
  [1024] = {.lex_state = 56},
  [1025] = {.lex_state = 56},
  [1026] = {.lex_state = 56},
  [1027] = {.lex_state = 56},
  [1028] = {.lex_state = 56},
  [1029] = {.lex_state = 56},
  [1030] = {.lex_state = 56},
  [1031] = {.lex_state = 56},
  [1032] = {.lex_state = 56},
  [1033] = {.lex_state = 0},
  [1034] = {.lex_state = 56},
  [1035] = {.lex_state = 0},
  [1036] = {.lex_state = 56},
  [1037] = {.lex_state = 56},
  [1038] = {.lex_state = 0},
  [1039] = {.lex_state = 56},
  [1040] = {.lex_state = 56},
  [1041] = {.lex_state = 56},
  [1042] = {.lex_state = 56},
  [1043] = {.lex_state = 56},
  [1044] = {.lex_state = 0},
  [1045] = {.lex_state = 56},
  [1046] = {.lex_state = 0},
  [1047] = {.lex_state = 56},
  [1048] = {.lex_state = 0},
  [1049] = {.lex_state = 56},
  [1050] = {.lex_state = 0},
  [1051] = {.lex_state = 56},
  [1052] = {.lex_state = 0},
  [1053] = {.lex_state = 2},
  [1054] = {.lex_state = 56},
  [1055] = {.lex_state = 56},
  [1056] = {.lex_state = 56},
  [1057] = {.lex_state = 56},
  [1058] = {.lex_state = 56},
  [1059] = {.lex_state = 56},
  [1060] = {.lex_state = 0},
  [1061] = {.lex_state = 56},
  [1062] = {.lex_state = 0},
  [1063] = {.lex_state = 0},
  [1064] = {.lex_state = 0},
  [1065] = {.lex_state = 0},
  [1066] = {.lex_state = 56},
  [1067] = {.lex_state = 56},
  [1068] = {.lex_state = 56},
  [1069] = {.lex_state = 2},
  [1070] = {.lex_state = 56},
  [1071] = {.lex_state = 56},
  [1072] = {.lex_state = 56},
  [1073] = {.lex_state = 56},
  [1074] = {.lex_state = 56},
  [1075] = {.lex_state = 56},
  [1076] = {.lex_state = 56},
  [1077] = {.lex_state = 56},
  [1078] = {.lex_state = 56},
  [1079] = {.lex_state = 56},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 0},
  [1082] = {.lex_state = 0},
  [1083] = {.lex_state = 0},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 56},
  [1086] = {.lex_state = 56},
  [1087] = {.lex_state = 0},
  [1088] = {.lex_state = 56},
  [1089] = {.lex_state = 56},
  [1090] = {.lex_state = 0},
  [1091] = {.lex_state = 0},
  [1092] = {.lex_state = 56},
  [1093] = {.lex_state = 0},
  [1094] = {.lex_state = 0},
  [1095] = {.lex_state = 2},
  [1096] = {.lex_state = 0},
  [1097] = {.lex_state = 0},
  [1098] = {.lex_state = 2},
  [1099] = {.lex_state = 2},
  [1100] = {.lex_state = 56},
  [1101] = {.lex_state = 56},
  [1102] = {.lex_state = 0},
  [1103] = {.lex_state = 0},
  [1104] = {.lex_state = 56},
  [1105] = {.lex_state = 0},
  [1106] = {.lex_state = 2},
  [1107] = {.lex_state = 56},
  [1108] = {.lex_state = 0},
  [1109] = {.lex_state = 0},
  [1110] = {.lex_state = 56},
  [1111] = {.lex_state = 0},
  [1112] = {.lex_state = 2},
  [1113] = {.lex_state = 56},
  [1114] = {.lex_state = 2},
  [1115] = {.lex_state = 0},
  [1116] = {.lex_state = 56},
  [1117] = {.lex_state = 56},
  [1118] = {.lex_state = 2},
  [1119] = {.lex_state = 2},
  [1120] = {.lex_state = 2},
  [1121] = {.lex_state = 56},
  [1122] = {.lex_state = 0},
  [1123] = {.lex_state = 2},
  [1124] = {.lex_state = 0},
  [1125] = {.lex_state = 0},
  [1126] = {.lex_state = 2},
  [1127] = {.lex_state = 2},
  [1128] = {.lex_state = 0},
  [1129] = {.lex_state = 0},
  [1130] = {.lex_state = 0},
  [1131] = {.lex_state = 2},
  [1132] = {.lex_state = 56},
  [1133] = {.lex_state = 56},
  [1134] = {.lex_state = 0},
  [1135] = {.lex_state = 0},
  [1136] = {.lex_state = 0},
  [1137] = {.lex_state = 56},
  [1138] = {.lex_state = 0},
  [1139] = {.lex_state = 0},
  [1140] = {.lex_state = 0},
  [1141] = {.lex_state = 56},
  [1142] = {.lex_state = 56},
  [1143] = {.lex_state = 0},
  [1144] = {.lex_state = 0},
  [1145] = {.lex_state = 56},
  [1146] = {.lex_state = 0},
  [1147] = {.lex_state = 59},
  [1148] = {.lex_state = 0},
  [1149] = {.lex_state = 0},
  [1150] = {.lex_state = 0},
  [1151] = {.lex_state = 0},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 0},
  [1155] = {.lex_state = 0},
  [1156] = {.lex_state = 0},
  [1157] = {.lex_state = 0},
  [1158] = {.lex_state = 0},
  [1159] = {.lex_state = 56},
  [1160] = {.lex_state = 0},
  [1161] = {.lex_state = 0},
  [1162] = {.lex_state = 0},
  [1163] = {.lex_state = 59},
  [1164] = {.lex_state = 0},
  [1165] = {.lex_state = 0},
  [1166] = {.lex_state = 59},
  [1167] = {.lex_state = 0},
  [1168] = {.lex_state = 0},
  [1169] = {.lex_state = 56},
  [1170] = {.lex_state = 0},
  [1171] = {.lex_state = 0},
  [1172] = {.lex_state = 0},
  [1173] = {.lex_state = 56},
  [1174] = {.lex_state = 0},
  [1175] = {.lex_state = 0},
  [1176] = {.lex_state = 0},
  [1177] = {.lex_state = 56},
  [1178] = {.lex_state = 56},
  [1179] = {.lex_state = 56},
  [1180] = {.lex_state = 0},
  [1181] = {.lex_state = 0},
  [1182] = {.lex_state = 0},
  [1183] = {.lex_state = 0},
  [1184] = {.lex_state = 0},
  [1185] = {.lex_state = 59},
  [1186] = {.lex_state = 56},
  [1187] = {.lex_state = 0},
  [1188] = {.lex_state = 0},
  [1189] = {.lex_state = 0},
  [1190] = {.lex_state = 0},
  [1191] = {.lex_state = 0},
  [1192] = {.lex_state = 0},
  [1193] = {.lex_state = 0},
  [1194] = {.lex_state = 0},
  [1195] = {.lex_state = 0},
  [1196] = {.lex_state = 0},
  [1197] = {.lex_state = 0},
  [1198] = {.lex_state = 0},
  [1199] = {.lex_state = 0},
  [1200] = {.lex_state = 0},
  [1201] = {.lex_state = 0},
  [1202] = {.lex_state = 0},
  [1203] = {.lex_state = 0},
  [1204] = {.lex_state = 0},
  [1205] = {.lex_state = 0},
  [1206] = {.lex_state = 56},
  [1207] = {.lex_state = 0},
  [1208] = {.lex_state = 56},
  [1209] = {.lex_state = 0},
  [1210] = {.lex_state = 0},
  [1211] = {.lex_state = 56},
  [1212] = {.lex_state = 0},
  [1213] = {.lex_state = 0},
  [1214] = {.lex_state = 0},
  [1215] = {.lex_state = 0},
  [1216] = {.lex_state = 0},
  [1217] = {.lex_state = 0},
  [1218] = {.lex_state = 0},
  [1219] = {.lex_state = 0},
  [1220] = {.lex_state = 0},
  [1221] = {.lex_state = 0},
  [1222] = {.lex_state = 0},
  [1223] = {.lex_state = 0},
  [1224] = {.lex_state = 0},
  [1225] = {.lex_state = 0},
  [1226] = {.lex_state = 56},
  [1227] = {.lex_state = 0},
  [1228] = {.lex_state = 0},
  [1229] = {.lex_state = 0},
  [1230] = {.lex_state = 0},
  [1231] = {.lex_state = 0},
  [1232] = {.lex_state = 0},
  [1233] = {.lex_state = 0},
  [1234] = {.lex_state = 0},
  [1235] = {.lex_state = 0},
  [1236] = {.lex_state = 0},
  [1237] = {.lex_state = 0},
  [1238] = {.lex_state = 0},
  [1239] = {.lex_state = 0},
  [1240] = {.lex_state = 0},
  [1241] = {.lex_state = 56},
  [1242] = {.lex_state = 0},
  [1243] = {.lex_state = 0},
  [1244] = {.lex_state = 0},
  [1245] = {.lex_state = 0},
  [1246] = {.lex_state = 0},
  [1247] = {.lex_state = 0},
  [1248] = {.lex_state = 0},
  [1249] = {.lex_state = 0},
  [1250] = {.lex_state = 0},
  [1251] = {.lex_state = 0},
  [1252] = {.lex_state = 0},
  [1253] = {.lex_state = 0},
  [1254] = {.lex_state = 0},
  [1255] = {.lex_state = 0},
  [1256] = {.lex_state = 0},
  [1257] = {.lex_state = 0},
  [1258] = {.lex_state = 0},
  [1259] = {.lex_state = 0},
  [1260] = {.lex_state = 0},
  [1261] = {.lex_state = 0},
  [1262] = {.lex_state = 0},
  [1263] = {.lex_state = 0},
  [1264] = {.lex_state = 0},
  [1265] = {.lex_state = 0},
  [1266] = {.lex_state = 0},
  [1267] = {.lex_state = 0},
  [1268] = {.lex_state = 0},
  [1269] = {.lex_state = 0},
  [1270] = {.lex_state = 0},
  [1271] = {.lex_state = 0},
  [1272] = {.lex_state = 0},
  [1273] = {.lex_state = 0},
  [1274] = {.lex_state = 0},
  [1275] = {.lex_state = 0},
  [1276] = {.lex_state = 0},
  [1277] = {.lex_state = 0},
  [1278] = {.lex_state = 0},
  [1279] = {.lex_state = 0},
  [1280] = {.lex_state = 0},
  [1281] = {.lex_state = 0},
  [1282] = {.lex_state = 0},
  [1283] = {.lex_state = 0},
  [1284] = {.lex_state = 0},
  [1285] = {.lex_state = 0},
  [1286] = {.lex_state = 0},
  [1287] = {.lex_state = 0},
  [1288] = {.lex_state = 0},
  [1289] = {.lex_state = 0},
  [1290] = {.lex_state = 0},
  [1291] = {.lex_state = 0},
  [1292] = {.lex_state = 0},
  [1293] = {.lex_state = 0},
  [1294] = {.lex_state = 0},
  [1295] = {.lex_state = 0},
  [1296] = {.lex_state = 0},
  [1297] = {.lex_state = 0},
  [1298] = {.lex_state = 0},
  [1299] = {.lex_state = 0},
  [1300] = {.lex_state = 0},
  [1301] = {.lex_state = 0},
  [1302] = {.lex_state = 0},
  [1303] = {.lex_state = 59},
  [1304] = {.lex_state = 0},
  [1305] = {.lex_state = 0},
  [1306] = {.lex_state = 0},
  [1307] = {.lex_state = 0},
  [1308] = {.lex_state = 0},
  [1309] = {.lex_state = 0},
  [1310] = {.lex_state = 0},
  [1311] = {.lex_state = 0},
  [1312] = {.lex_state = 0},
  [1313] = {.lex_state = 0},
  [1314] = {.lex_state = 0},
  [1315] = {.lex_state = 0},
  [1316] = {.lex_state = 0},
  [1317] = {.lex_state = 0},
  [1318] = {.lex_state = 0},
  [1319] = {.lex_state = 0},
  [1320] = {.lex_state = 0},
  [1321] = {.lex_state = 0},
  [1322] = {.lex_state = 0},
  [1323] = {.lex_state = 0},
  [1324] = {.lex_state = 0},
  [1325] = {.lex_state = 0},
  [1326] = {.lex_state = 0},
  [1327] = {.lex_state = 0},
  [1328] = {.lex_state = 0},
  [1329] = {.lex_state = 0},
  [1330] = {.lex_state = 0},
  [1331] = {.lex_state = 0},
  [1332] = {.lex_state = 0},
  [1333] = {.lex_state = 0},
  [1334] = {.lex_state = 0},
  [1335] = {.lex_state = 0},
  [1336] = {.lex_state = 0},
  [1337] = {.lex_state = 0},
  [1338] = {.lex_state = 0},
  [1339] = {.lex_state = 0},
  [1340] = {.lex_state = 0},
  [1341] = {.lex_state = 0},
  [1342] = {.lex_state = 0},
  [1343] = {.lex_state = 0},
  [1344] = {.lex_state = 0},
  [1345] = {.lex_state = 0},
  [1346] = {.lex_state = 0},
  [1347] = {.lex_state = 0},
  [1348] = {.lex_state = 0},
  [1349] = {.lex_state = 0},
  [1350] = {.lex_state = 0},
  [1351] = {.lex_state = 0},
  [1352] = {.lex_state = 0},
  [1353] = {.lex_state = 0},
  [1354] = {.lex_state = 0},
  [1355] = {.lex_state = 0},
  [1356] = {.lex_state = 0},
  [1357] = {.lex_state = 0},
  [1358] = {.lex_state = 0},
  [1359] = {.lex_state = 0},
  [1360] = {.lex_state = 0},
  [1361] = {.lex_state = 0},
  [1362] = {.lex_state = 0},
  [1363] = {.lex_state = 0},
  [1364] = {.lex_state = 0},
  [1365] = {.lex_state = 0},
  [1366] = {.lex_state = 0},
  [1367] = {.lex_state = 0},
  [1368] = {.lex_state = 0},
  [1369] = {.lex_state = 0},
  [1370] = {.lex_state = 0},
  [1371] = {.lex_state = 0},
  [1372] = {.lex_state = 0},
  [1373] = {.lex_state = 0},
  [1374] = {.lex_state = 0},
  [1375] = {.lex_state = 0},
  [1376] = {.lex_state = 0},
  [1377] = {.lex_state = 0},
  [1378] = {.lex_state = 0},
  [1379] = {.lex_state = 0},
  [1380] = {.lex_state = 0},
  [1381] = {.lex_state = 0},
  [1382] = {.lex_state = 0},
  [1383] = {.lex_state = 0},
  [1384] = {.lex_state = 0},
  [1385] = {.lex_state = 0},
  [1386] = {.lex_state = 0},
  [1387] = {.lex_state = 0},
  [1388] = {.lex_state = 0},
  [1389] = {.lex_state = 0},
  [1390] = {.lex_state = 0},
  [1391] = {.lex_state = 0},
  [1392] = {.lex_state = 0},
  [1393] = {.lex_state = 0},
  [1394] = {.lex_state = 0},
  [1395] = {.lex_state = 0},
  [1396] = {.lex_state = 0},
  [1397] = {.lex_state = 0},
  [1398] = {.lex_state = 0},
  [1399] = {.lex_state = 0},
  [1400] = {.lex_state = 0},
  [1401] = {.lex_state = 0},
  [1402] = {.lex_state = 0},
  [1403] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [sym_blank_identifier] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_func] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_map] = ACTIONS(1),
    [anon_sym_chan] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_fallthrough] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_go] = ACTIONS(1),
    [anon_sym_defer] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_range] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_make] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_AMP_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [sym_raw_string_literal] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_int_literal] = ACTIONS(1),
    [sym_float_literal] = ACTIONS(1),
    [sym_imaginary_literal] = ACTIONS(1),
    [sym_rune_literal] = ACTIONS(1),
    [sym_nil] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_iota] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(1363),
    [sym_package_clause] = STATE(1117),
    [sym_import_declaration] = STATE(1117),
    [sym__declaration] = STATE(990),
    [sym_const_declaration] = STATE(990),
    [sym_var_declaration] = STATE(990),
    [sym_function_declaration] = STATE(1117),
    [sym_method_declaration] = STATE(1117),
    [sym_type_declaration] = STATE(990),
    [sym_expression_list] = STATE(800),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1125),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1125),
    [sym_implicit_length_array_type] = STATE(1294),
    [sym_slice_type] = STATE(1125),
    [sym_struct_type] = STATE(1125),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1125),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym_block] = STATE(990),
    [sym__statement] = STATE(1159),
    [sym_empty_statement] = STATE(990),
    [sym__simple_statement] = STATE(990),
    [sym_expression_statement] = STATE(1014),
    [sym_send_statement] = STATE(1014),
    [sym_inc_statement] = STATE(1014),
    [sym_dec_statement] = STATE(1014),
    [sym_assignment_statement] = STATE(1014),
    [sym_short_var_declaration] = STATE(1014),
    [sym_labeled_statement] = STATE(990),
    [sym_fallthrough_statement] = STATE(990),
    [sym_break_statement] = STATE(990),
    [sym_continue_statement] = STATE(990),
    [sym_goto_statement] = STATE(990),
    [sym_return_statement] = STATE(990),
    [sym_go_statement] = STATE(990),
    [sym_defer_statement] = STATE(990),
    [sym_if_statement] = STATE(990),
    [sym_for_statement] = STATE(990),
    [sym_expression_switch_statement] = STATE(990),
    [sym_type_switch_statement] = STATE(990),
    [sym_select_statement] = STATE(990),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(281),
    [sym_call_expression] = STATE(281),
    [sym_selector_expression] = STATE(281),
    [sym_index_expression] = STATE(281),
    [sym_slice_expression] = STATE(281),
    [sym_type_assertion_expression] = STATE(281),
    [sym_type_conversion_expression] = STATE(281),
    [sym_type_instantiation_expression] = STATE(281),
    [sym_composite_literal] = STATE(281),
    [sym_func_literal] = STATE(281),
    [sym_unary_expression] = STATE(281),
    [sym_binary_expression] = STATE(281),
    [sym_qualified_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(281),
    [aux_sym_source_file_repeat1] = STATE(2),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_package_clause] = STATE(1116),
    [sym_import_declaration] = STATE(1116),
    [sym__declaration] = STATE(990),
    [sym_const_declaration] = STATE(990),
    [sym_var_declaration] = STATE(990),
    [sym_function_declaration] = STATE(1116),
    [sym_method_declaration] = STATE(1116),
    [sym_type_declaration] = STATE(990),
    [sym_expression_list] = STATE(800),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1125),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1125),
    [sym_implicit_length_array_type] = STATE(1294),
    [sym_slice_type] = STATE(1125),
    [sym_struct_type] = STATE(1125),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1125),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym_block] = STATE(990),
    [sym__statement] = STATE(1159),
    [sym_empty_statement] = STATE(990),
    [sym__simple_statement] = STATE(990),
    [sym_expression_statement] = STATE(1014),
    [sym_send_statement] = STATE(1014),
    [sym_inc_statement] = STATE(1014),
    [sym_dec_statement] = STATE(1014),
    [sym_assignment_statement] = STATE(1014),
    [sym_short_var_declaration] = STATE(1014),
    [sym_labeled_statement] = STATE(990),
    [sym_fallthrough_statement] = STATE(990),
    [sym_break_statement] = STATE(990),
    [sym_continue_statement] = STATE(990),
    [sym_goto_statement] = STATE(990),
    [sym_return_statement] = STATE(990),
    [sym_go_statement] = STATE(990),
    [sym_defer_statement] = STATE(990),
    [sym_if_statement] = STATE(990),
    [sym_for_statement] = STATE(990),
    [sym_expression_switch_statement] = STATE(990),
    [sym_type_switch_statement] = STATE(990),
    [sym_select_statement] = STATE(990),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(281),
    [sym_call_expression] = STATE(281),
    [sym_selector_expression] = STATE(281),
    [sym_index_expression] = STATE(281),
    [sym_slice_expression] = STATE(281),
    [sym_type_assertion_expression] = STATE(281),
    [sym_type_conversion_expression] = STATE(281),
    [sym_type_instantiation_expression] = STATE(281),
    [sym_composite_literal] = STATE(281),
    [sym_func_literal] = STATE(281),
    [sym_unary_expression] = STATE(281),
    [sym_binary_expression] = STATE(281),
    [sym_qualified_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(281),
    [aux_sym_source_file_repeat1] = STATE(3),
    [ts_builtin_sym_end] = ACTIONS(75),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_package_clause] = STATE(1159),
    [sym_import_declaration] = STATE(1159),
    [sym__declaration] = STATE(990),
    [sym_const_declaration] = STATE(990),
    [sym_var_declaration] = STATE(990),
    [sym_function_declaration] = STATE(1159),
    [sym_method_declaration] = STATE(1159),
    [sym_type_declaration] = STATE(990),
    [sym_expression_list] = STATE(800),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1125),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1125),
    [sym_implicit_length_array_type] = STATE(1294),
    [sym_slice_type] = STATE(1125),
    [sym_struct_type] = STATE(1125),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1125),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym_block] = STATE(990),
    [sym__statement] = STATE(1159),
    [sym_empty_statement] = STATE(990),
    [sym__simple_statement] = STATE(990),
    [sym_expression_statement] = STATE(1014),
    [sym_send_statement] = STATE(1014),
    [sym_inc_statement] = STATE(1014),
    [sym_dec_statement] = STATE(1014),
    [sym_assignment_statement] = STATE(1014),
    [sym_short_var_declaration] = STATE(1014),
    [sym_labeled_statement] = STATE(990),
    [sym_fallthrough_statement] = STATE(990),
    [sym_break_statement] = STATE(990),
    [sym_continue_statement] = STATE(990),
    [sym_goto_statement] = STATE(990),
    [sym_return_statement] = STATE(990),
    [sym_go_statement] = STATE(990),
    [sym_defer_statement] = STATE(990),
    [sym_if_statement] = STATE(990),
    [sym_for_statement] = STATE(990),
    [sym_expression_switch_statement] = STATE(990),
    [sym_type_switch_statement] = STATE(990),
    [sym_select_statement] = STATE(990),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(281),
    [sym_call_expression] = STATE(281),
    [sym_selector_expression] = STATE(281),
    [sym_index_expression] = STATE(281),
    [sym_slice_expression] = STATE(281),
    [sym_type_assertion_expression] = STATE(281),
    [sym_type_conversion_expression] = STATE(281),
    [sym_type_instantiation_expression] = STATE(281),
    [sym_composite_literal] = STATE(281),
    [sym_func_literal] = STATE(281),
    [sym_unary_expression] = STATE(281),
    [sym_binary_expression] = STATE(281),
    [sym_qualified_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(281),
    [aux_sym_source_file_repeat1] = STATE(3),
    [ts_builtin_sym_end] = ACTIONS(77),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(82),
    [anon_sym_package] = ACTIONS(85),
    [anon_sym_import] = ACTIONS(88),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(94),
    [anon_sym_var] = ACTIONS(97),
    [anon_sym_func] = ACTIONS(100),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_type] = ACTIONS(106),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_struct] = ACTIONS(112),
    [anon_sym_TILDE] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(118),
    [anon_sym_interface] = ACTIONS(121),
    [anon_sym_map] = ACTIONS(124),
    [anon_sym_chan] = ACTIONS(127),
    [anon_sym_LT_DASH] = ACTIONS(130),
    [anon_sym_fallthrough] = ACTIONS(133),
    [anon_sym_break] = ACTIONS(136),
    [anon_sym_continue] = ACTIONS(139),
    [anon_sym_goto] = ACTIONS(142),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_go] = ACTIONS(148),
    [anon_sym_defer] = ACTIONS(151),
    [anon_sym_if] = ACTIONS(154),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_switch] = ACTIONS(160),
    [anon_sym_select] = ACTIONS(163),
    [anon_sym_new] = ACTIONS(166),
    [anon_sym_make] = ACTIONS(166),
    [anon_sym_PLUS] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(169),
    [anon_sym_BANG] = ACTIONS(169),
    [anon_sym_CARET] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(169),
    [sym_raw_string_literal] = ACTIONS(172),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [sym_int_literal] = ACTIONS(178),
    [sym_float_literal] = ACTIONS(178),
    [sym_imaginary_literal] = ACTIONS(172),
    [sym_rune_literal] = ACTIONS(172),
    [sym_nil] = ACTIONS(178),
    [sym_true] = ACTIONS(178),
    [sym_false] = ACTIONS(178),
    [sym_iota] = ACTIONS(178),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__declaration] = STATE(990),
    [sym_const_declaration] = STATE(990),
    [sym_var_declaration] = STATE(990),
    [sym_type_declaration] = STATE(990),
    [sym_expression_list] = STATE(800),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1125),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1125),
    [sym_implicit_length_array_type] = STATE(1294),
    [sym_slice_type] = STATE(1125),
    [sym_struct_type] = STATE(1125),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1125),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym_block] = STATE(990),
    [sym__statement_list] = STATE(1150),
    [sym__statement] = STATE(896),
    [sym_empty_statement] = STATE(990),
    [sym__simple_statement] = STATE(990),
    [sym_expression_statement] = STATE(1014),
    [sym_send_statement] = STATE(1014),
    [sym_inc_statement] = STATE(1014),
    [sym_dec_statement] = STATE(1014),
    [sym_assignment_statement] = STATE(1014),
    [sym_short_var_declaration] = STATE(1014),
    [sym_labeled_statement] = STATE(990),
    [sym_empty_labeled_statement] = STATE(1150),
    [sym_fallthrough_statement] = STATE(990),
    [sym_break_statement] = STATE(990),
    [sym_continue_statement] = STATE(990),
    [sym_goto_statement] = STATE(990),
    [sym_return_statement] = STATE(990),
    [sym_go_statement] = STATE(990),
    [sym_defer_statement] = STATE(990),
    [sym_if_statement] = STATE(990),
    [sym_for_statement] = STATE(990),
    [sym_expression_switch_statement] = STATE(990),
    [sym_type_switch_statement] = STATE(990),
    [sym_select_statement] = STATE(990),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(281),
    [sym_call_expression] = STATE(281),
    [sym_selector_expression] = STATE(281),
    [sym_index_expression] = STATE(281),
    [sym_slice_expression] = STATE(281),
    [sym_type_assertion_expression] = STATE(281),
    [sym_type_conversion_expression] = STATE(281),
    [sym_type_instantiation_expression] = STATE(281),
    [sym_composite_literal] = STATE(281),
    [sym_func_literal] = STATE(281),
    [sym_unary_expression] = STATE(281),
    [sym_binary_expression] = STATE(281),
    [sym_qualified_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(281),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(185),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(187),
    [anon_sym_default] = ACTIONS(187),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__declaration] = STATE(990),
    [sym_const_declaration] = STATE(990),
    [sym_var_declaration] = STATE(990),
    [sym_type_declaration] = STATE(990),
    [sym_expression_list] = STATE(800),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1125),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1125),
    [sym_implicit_length_array_type] = STATE(1294),
    [sym_slice_type] = STATE(1125),
    [sym_struct_type] = STATE(1125),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1125),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym_block] = STATE(990),
    [sym__statement_list] = STATE(1218),
    [sym__statement] = STATE(896),
    [sym_empty_statement] = STATE(990),
    [sym__simple_statement] = STATE(990),
    [sym_expression_statement] = STATE(1014),
    [sym_send_statement] = STATE(1014),
    [sym_inc_statement] = STATE(1014),
    [sym_dec_statement] = STATE(1014),
    [sym_assignment_statement] = STATE(1014),
    [sym_short_var_declaration] = STATE(1014),
    [sym_labeled_statement] = STATE(990),
    [sym_empty_labeled_statement] = STATE(1218),
    [sym_fallthrough_statement] = STATE(990),
    [sym_break_statement] = STATE(990),
    [sym_continue_statement] = STATE(990),
    [sym_goto_statement] = STATE(990),
    [sym_return_statement] = STATE(990),
    [sym_go_statement] = STATE(990),
    [sym_defer_statement] = STATE(990),
    [sym_if_statement] = STATE(990),
    [sym_for_statement] = STATE(990),
    [sym_expression_switch_statement] = STATE(990),
    [sym_type_switch_statement] = STATE(990),
    [sym_select_statement] = STATE(990),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(281),
    [sym_call_expression] = STATE(281),
    [sym_selector_expression] = STATE(281),
    [sym_index_expression] = STATE(281),
    [sym_slice_expression] = STATE(281),
    [sym_type_assertion_expression] = STATE(281),
    [sym_type_conversion_expression] = STATE(281),
    [sym_type_instantiation_expression] = STATE(281),
    [sym_composite_literal] = STATE(281),
    [sym_func_literal] = STATE(281),
    [sym_unary_expression] = STATE(281),
    [sym_binary_expression] = STATE(281),
    [sym_qualified_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(281),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(189),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(191),
    [anon_sym_default] = ACTIONS(191),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__declaration] = STATE(990),
    [sym_const_declaration] = STATE(990),
    [sym_var_declaration] = STATE(990),
    [sym_type_declaration] = STATE(990),
    [sym_expression_list] = STATE(800),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1125),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1125),
    [sym_implicit_length_array_type] = STATE(1294),
    [sym_slice_type] = STATE(1125),
    [sym_struct_type] = STATE(1125),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1125),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym_block] = STATE(990),
    [sym__statement_list] = STATE(1189),
    [sym__statement] = STATE(896),
    [sym_empty_statement] = STATE(990),
    [sym__simple_statement] = STATE(990),
    [sym_expression_statement] = STATE(1014),
    [sym_send_statement] = STATE(1014),
    [sym_inc_statement] = STATE(1014),
    [sym_dec_statement] = STATE(1014),
    [sym_assignment_statement] = STATE(1014),
    [sym_short_var_declaration] = STATE(1014),
    [sym_labeled_statement] = STATE(990),
    [sym_empty_labeled_statement] = STATE(1189),
    [sym_fallthrough_statement] = STATE(990),
    [sym_break_statement] = STATE(990),
    [sym_continue_statement] = STATE(990),
    [sym_goto_statement] = STATE(990),
    [sym_return_statement] = STATE(990),
    [sym_go_statement] = STATE(990),
    [sym_defer_statement] = STATE(990),
    [sym_if_statement] = STATE(990),
    [sym_for_statement] = STATE(990),
    [sym_expression_switch_statement] = STATE(990),
    [sym_type_switch_statement] = STATE(990),
    [sym_select_statement] = STATE(990),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(281),
    [sym_call_expression] = STATE(281),
    [sym_selector_expression] = STATE(281),
    [sym_index_expression] = STATE(281),
    [sym_slice_expression] = STATE(281),
    [sym_type_assertion_expression] = STATE(281),
    [sym_type_conversion_expression] = STATE(281),
    [sym_type_instantiation_expression] = STATE(281),
    [sym_composite_literal] = STATE(281),
    [sym_func_literal] = STATE(281),
    [sym_unary_expression] = STATE(281),
    [sym_binary_expression] = STATE(281),
    [sym_qualified_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(281),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(193),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(195),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__declaration] = STATE(990),
    [sym_const_declaration] = STATE(990),
    [sym_var_declaration] = STATE(990),
    [sym_type_declaration] = STATE(990),
    [sym_expression_list] = STATE(800),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1125),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1125),
    [sym_implicit_length_array_type] = STATE(1294),
    [sym_slice_type] = STATE(1125),
    [sym_struct_type] = STATE(1125),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1125),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym_block] = STATE(990),
    [sym__statement_list] = STATE(1214),
    [sym__statement] = STATE(896),
    [sym_empty_statement] = STATE(990),
    [sym__simple_statement] = STATE(990),
    [sym_expression_statement] = STATE(1014),
    [sym_send_statement] = STATE(1014),
    [sym_inc_statement] = STATE(1014),
    [sym_dec_statement] = STATE(1014),
    [sym_assignment_statement] = STATE(1014),
    [sym_short_var_declaration] = STATE(1014),
    [sym_labeled_statement] = STATE(990),
    [sym_empty_labeled_statement] = STATE(1214),
    [sym_fallthrough_statement] = STATE(990),
    [sym_break_statement] = STATE(990),
    [sym_continue_statement] = STATE(990),
    [sym_goto_statement] = STATE(990),
    [sym_return_statement] = STATE(990),
    [sym_go_statement] = STATE(990),
    [sym_defer_statement] = STATE(990),
    [sym_if_statement] = STATE(990),
    [sym_for_statement] = STATE(990),
    [sym_expression_switch_statement] = STATE(990),
    [sym_type_switch_statement] = STATE(990),
    [sym_select_statement] = STATE(990),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(281),
    [sym_call_expression] = STATE(281),
    [sym_selector_expression] = STATE(281),
    [sym_index_expression] = STATE(281),
    [sym_slice_expression] = STATE(281),
    [sym_type_assertion_expression] = STATE(281),
    [sym_type_conversion_expression] = STATE(281),
    [sym_type_instantiation_expression] = STATE(281),
    [sym_composite_literal] = STATE(281),
    [sym_func_literal] = STATE(281),
    [sym_unary_expression] = STATE(281),
    [sym_binary_expression] = STATE(281),
    [sym_qualified_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(281),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(197),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(199),
    [anon_sym_default] = ACTIONS(199),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__declaration] = STATE(990),
    [sym_const_declaration] = STATE(990),
    [sym_var_declaration] = STATE(990),
    [sym_type_declaration] = STATE(990),
    [sym_expression_list] = STATE(800),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1125),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1125),
    [sym_implicit_length_array_type] = STATE(1294),
    [sym_slice_type] = STATE(1125),
    [sym_struct_type] = STATE(1125),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1125),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym_block] = STATE(990),
    [sym__statement_list] = STATE(1135),
    [sym__statement] = STATE(896),
    [sym_empty_statement] = STATE(990),
    [sym__simple_statement] = STATE(990),
    [sym_expression_statement] = STATE(1014),
    [sym_send_statement] = STATE(1014),
    [sym_inc_statement] = STATE(1014),
    [sym_dec_statement] = STATE(1014),
    [sym_assignment_statement] = STATE(1014),
    [sym_short_var_declaration] = STATE(1014),
    [sym_labeled_statement] = STATE(990),
    [sym_empty_labeled_statement] = STATE(1135),
    [sym_fallthrough_statement] = STATE(990),
    [sym_break_statement] = STATE(990),
    [sym_continue_statement] = STATE(990),
    [sym_goto_statement] = STATE(990),
    [sym_return_statement] = STATE(990),
    [sym_go_statement] = STATE(990),
    [sym_defer_statement] = STATE(990),
    [sym_if_statement] = STATE(990),
    [sym_for_statement] = STATE(990),
    [sym_expression_switch_statement] = STATE(990),
    [sym_type_switch_statement] = STATE(990),
    [sym_select_statement] = STATE(990),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(281),
    [sym_call_expression] = STATE(281),
    [sym_selector_expression] = STATE(281),
    [sym_index_expression] = STATE(281),
    [sym_slice_expression] = STATE(281),
    [sym_type_assertion_expression] = STATE(281),
    [sym_type_conversion_expression] = STATE(281),
    [sym_type_instantiation_expression] = STATE(281),
    [sym_composite_literal] = STATE(281),
    [sym_func_literal] = STATE(281),
    [sym_unary_expression] = STATE(281),
    [sym_binary_expression] = STATE(281),
    [sym_qualified_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(281),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(201),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(203),
    [anon_sym_default] = ACTIONS(203),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__declaration] = STATE(990),
    [sym_const_declaration] = STATE(990),
    [sym_var_declaration] = STATE(990),
    [sym_type_declaration] = STATE(990),
    [sym_expression_list] = STATE(800),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1125),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1125),
    [sym_implicit_length_array_type] = STATE(1294),
    [sym_slice_type] = STATE(1125),
    [sym_struct_type] = STATE(1125),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1125),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym_block] = STATE(990),
    [sym__statement] = STATE(921),
    [sym_empty_statement] = STATE(990),
    [sym__simple_statement] = STATE(990),
    [sym_expression_statement] = STATE(1014),
    [sym_send_statement] = STATE(1014),
    [sym_inc_statement] = STATE(1014),
    [sym_dec_statement] = STATE(1014),
    [sym_assignment_statement] = STATE(1014),
    [sym_short_var_declaration] = STATE(1014),
    [sym_labeled_statement] = STATE(990),
    [sym_empty_labeled_statement] = STATE(1221),
    [sym_fallthrough_statement] = STATE(990),
    [sym_break_statement] = STATE(990),
    [sym_continue_statement] = STATE(990),
    [sym_goto_statement] = STATE(990),
    [sym_return_statement] = STATE(990),
    [sym_go_statement] = STATE(990),
    [sym_defer_statement] = STATE(990),
    [sym_if_statement] = STATE(990),
    [sym_for_statement] = STATE(990),
    [sym_expression_switch_statement] = STATE(990),
    [sym_type_switch_statement] = STATE(990),
    [sym_select_statement] = STATE(990),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(281),
    [sym_call_expression] = STATE(281),
    [sym_selector_expression] = STATE(281),
    [sym_index_expression] = STATE(281),
    [sym_slice_expression] = STATE(281),
    [sym_type_assertion_expression] = STATE(281),
    [sym_type_conversion_expression] = STATE(281),
    [sym_type_instantiation_expression] = STATE(281),
    [sym_composite_literal] = STATE(281),
    [sym_func_literal] = STATE(281),
    [sym_unary_expression] = STATE(281),
    [sym_binary_expression] = STATE(281),
    [sym_qualified_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(281),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(205),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(207),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__declaration] = STATE(990),
    [sym_const_declaration] = STATE(990),
    [sym_var_declaration] = STATE(990),
    [sym_type_declaration] = STATE(990),
    [sym_expression_list] = STATE(800),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1125),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1125),
    [sym_implicit_length_array_type] = STATE(1294),
    [sym_slice_type] = STATE(1125),
    [sym_struct_type] = STATE(1125),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1125),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym_block] = STATE(990),
    [sym__statement] = STATE(921),
    [sym_empty_statement] = STATE(990),
    [sym__simple_statement] = STATE(990),
    [sym_expression_statement] = STATE(1014),
    [sym_send_statement] = STATE(1014),
    [sym_inc_statement] = STATE(1014),
    [sym_dec_statement] = STATE(1014),
    [sym_assignment_statement] = STATE(1014),
    [sym_short_var_declaration] = STATE(1014),
    [sym_labeled_statement] = STATE(990),
    [sym_empty_labeled_statement] = STATE(1236),
    [sym_fallthrough_statement] = STATE(990),
    [sym_break_statement] = STATE(990),
    [sym_continue_statement] = STATE(990),
    [sym_goto_statement] = STATE(990),
    [sym_return_statement] = STATE(990),
    [sym_go_statement] = STATE(990),
    [sym_defer_statement] = STATE(990),
    [sym_if_statement] = STATE(990),
    [sym_for_statement] = STATE(990),
    [sym_expression_switch_statement] = STATE(990),
    [sym_type_switch_statement] = STATE(990),
    [sym_select_statement] = STATE(990),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(281),
    [sym_call_expression] = STATE(281),
    [sym_selector_expression] = STATE(281),
    [sym_index_expression] = STATE(281),
    [sym_slice_expression] = STATE(281),
    [sym_type_assertion_expression] = STATE(281),
    [sym_type_conversion_expression] = STATE(281),
    [sym_type_instantiation_expression] = STATE(281),
    [sym_composite_literal] = STATE(281),
    [sym_func_literal] = STATE(281),
    [sym_unary_expression] = STATE(281),
    [sym_binary_expression] = STATE(281),
    [sym_qualified_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(281),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(209),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(211),
    [anon_sym_default] = ACTIONS(211),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__declaration] = STATE(990),
    [sym_const_declaration] = STATE(990),
    [sym_var_declaration] = STATE(990),
    [sym_type_declaration] = STATE(990),
    [sym_expression_list] = STATE(800),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1125),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1125),
    [sym_implicit_length_array_type] = STATE(1294),
    [sym_slice_type] = STATE(1125),
    [sym_struct_type] = STATE(1125),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1125),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym_block] = STATE(990),
    [sym__statement_list] = STATE(1335),
    [sym__statement] = STATE(896),
    [sym_empty_statement] = STATE(990),
    [sym__simple_statement] = STATE(990),
    [sym_expression_statement] = STATE(1014),
    [sym_send_statement] = STATE(1014),
    [sym_inc_statement] = STATE(1014),
    [sym_dec_statement] = STATE(1014),
    [sym_assignment_statement] = STATE(1014),
    [sym_short_var_declaration] = STATE(1014),
    [sym_labeled_statement] = STATE(990),
    [sym_empty_labeled_statement] = STATE(1335),
    [sym_fallthrough_statement] = STATE(990),
    [sym_break_statement] = STATE(990),
    [sym_continue_statement] = STATE(990),
    [sym_goto_statement] = STATE(990),
    [sym_return_statement] = STATE(990),
    [sym_go_statement] = STATE(990),
    [sym_defer_statement] = STATE(990),
    [sym_if_statement] = STATE(990),
    [sym_for_statement] = STATE(990),
    [sym_expression_switch_statement] = STATE(990),
    [sym_type_switch_statement] = STATE(990),
    [sym_select_statement] = STATE(990),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(281),
    [sym_call_expression] = STATE(281),
    [sym_selector_expression] = STATE(281),
    [sym_index_expression] = STATE(281),
    [sym_slice_expression] = STATE(281),
    [sym_type_assertion_expression] = STATE(281),
    [sym_type_conversion_expression] = STATE(281),
    [sym_type_instantiation_expression] = STATE(281),
    [sym_composite_literal] = STATE(281),
    [sym_func_literal] = STATE(281),
    [sym_unary_expression] = STATE(281),
    [sym_binary_expression] = STATE(281),
    [sym_qualified_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(281),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(213),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__declaration] = STATE(990),
    [sym_const_declaration] = STATE(990),
    [sym_var_declaration] = STATE(990),
    [sym_type_declaration] = STATE(990),
    [sym_expression_list] = STATE(800),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1125),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1125),
    [sym_implicit_length_array_type] = STATE(1294),
    [sym_slice_type] = STATE(1125),
    [sym_struct_type] = STATE(1125),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1125),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym_block] = STATE(990),
    [sym__statement_list] = STATE(1401),
    [sym__statement] = STATE(896),
    [sym_empty_statement] = STATE(990),
    [sym__simple_statement] = STATE(990),
    [sym_expression_statement] = STATE(1014),
    [sym_send_statement] = STATE(1014),
    [sym_inc_statement] = STATE(1014),
    [sym_dec_statement] = STATE(1014),
    [sym_assignment_statement] = STATE(1014),
    [sym_short_var_declaration] = STATE(1014),
    [sym_labeled_statement] = STATE(990),
    [sym_empty_labeled_statement] = STATE(1401),
    [sym_fallthrough_statement] = STATE(990),
    [sym_break_statement] = STATE(990),
    [sym_continue_statement] = STATE(990),
    [sym_goto_statement] = STATE(990),
    [sym_return_statement] = STATE(990),
    [sym_go_statement] = STATE(990),
    [sym_defer_statement] = STATE(990),
    [sym_if_statement] = STATE(990),
    [sym_for_statement] = STATE(990),
    [sym_expression_switch_statement] = STATE(990),
    [sym_type_switch_statement] = STATE(990),
    [sym_select_statement] = STATE(990),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(281),
    [sym_call_expression] = STATE(281),
    [sym_selector_expression] = STATE(281),
    [sym_index_expression] = STATE(281),
    [sym_slice_expression] = STATE(281),
    [sym_type_assertion_expression] = STATE(281),
    [sym_type_conversion_expression] = STATE(281),
    [sym_type_instantiation_expression] = STATE(281),
    [sym_composite_literal] = STATE(281),
    [sym_func_literal] = STATE(281),
    [sym_unary_expression] = STATE(281),
    [sym_binary_expression] = STATE(281),
    [sym_qualified_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(281),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(215),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__declaration] = STATE(990),
    [sym_const_declaration] = STATE(990),
    [sym_var_declaration] = STATE(990),
    [sym_type_declaration] = STATE(990),
    [sym_expression_list] = STATE(800),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1125),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1125),
    [sym_implicit_length_array_type] = STATE(1294),
    [sym_slice_type] = STATE(1125),
    [sym_struct_type] = STATE(1125),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1125),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym_block] = STATE(990),
    [sym__statement] = STATE(953),
    [sym_empty_statement] = STATE(990),
    [sym__simple_statement] = STATE(990),
    [sym_expression_statement] = STATE(1014),
    [sym_send_statement] = STATE(1014),
    [sym_inc_statement] = STATE(1014),
    [sym_dec_statement] = STATE(1014),
    [sym_assignment_statement] = STATE(1014),
    [sym_short_var_declaration] = STATE(1014),
    [sym_labeled_statement] = STATE(990),
    [sym_fallthrough_statement] = STATE(990),
    [sym_break_statement] = STATE(990),
    [sym_continue_statement] = STATE(990),
    [sym_goto_statement] = STATE(990),
    [sym_return_statement] = STATE(990),
    [sym_go_statement] = STATE(990),
    [sym_defer_statement] = STATE(990),
    [sym_if_statement] = STATE(990),
    [sym_for_statement] = STATE(990),
    [sym_expression_switch_statement] = STATE(990),
    [sym_type_switch_statement] = STATE(990),
    [sym_select_statement] = STATE(990),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(281),
    [sym_call_expression] = STATE(281),
    [sym_selector_expression] = STATE(281),
    [sym_index_expression] = STATE(281),
    [sym_slice_expression] = STATE(281),
    [sym_type_assertion_expression] = STATE(281),
    [sym_type_conversion_expression] = STATE(281),
    [sym_type_instantiation_expression] = STATE(281),
    [sym_composite_literal] = STATE(281),
    [sym_func_literal] = STATE(281),
    [sym_unary_expression] = STATE(281),
    [sym_binary_expression] = STATE(281),
    [sym_qualified_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(281),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(217),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(219),
    [anon_sym_default] = ACTIONS(219),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__declaration] = STATE(990),
    [sym_const_declaration] = STATE(990),
    [sym_var_declaration] = STATE(990),
    [sym_type_declaration] = STATE(990),
    [sym_expression_list] = STATE(800),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1125),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1125),
    [sym_implicit_length_array_type] = STATE(1294),
    [sym_slice_type] = STATE(1125),
    [sym_struct_type] = STATE(1125),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1125),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym_block] = STATE(990),
    [sym__statement_list] = STATE(1347),
    [sym__statement] = STATE(896),
    [sym_empty_statement] = STATE(990),
    [sym__simple_statement] = STATE(990),
    [sym_expression_statement] = STATE(1014),
    [sym_send_statement] = STATE(1014),
    [sym_inc_statement] = STATE(1014),
    [sym_dec_statement] = STATE(1014),
    [sym_assignment_statement] = STATE(1014),
    [sym_short_var_declaration] = STATE(1014),
    [sym_labeled_statement] = STATE(990),
    [sym_empty_labeled_statement] = STATE(1347),
    [sym_fallthrough_statement] = STATE(990),
    [sym_break_statement] = STATE(990),
    [sym_continue_statement] = STATE(990),
    [sym_goto_statement] = STATE(990),
    [sym_return_statement] = STATE(990),
    [sym_go_statement] = STATE(990),
    [sym_defer_statement] = STATE(990),
    [sym_if_statement] = STATE(990),
    [sym_for_statement] = STATE(990),
    [sym_expression_switch_statement] = STATE(990),
    [sym_type_switch_statement] = STATE(990),
    [sym_select_statement] = STATE(990),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(281),
    [sym_call_expression] = STATE(281),
    [sym_selector_expression] = STATE(281),
    [sym_index_expression] = STATE(281),
    [sym_slice_expression] = STATE(281),
    [sym_type_assertion_expression] = STATE(281),
    [sym_type_conversion_expression] = STATE(281),
    [sym_type_instantiation_expression] = STATE(281),
    [sym_composite_literal] = STATE(281),
    [sym_func_literal] = STATE(281),
    [sym_unary_expression] = STATE(281),
    [sym_binary_expression] = STATE(281),
    [sym_qualified_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(281),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(221),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__declaration] = STATE(990),
    [sym_const_declaration] = STATE(990),
    [sym_var_declaration] = STATE(990),
    [sym_type_declaration] = STATE(990),
    [sym_expression_list] = STATE(800),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1125),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1125),
    [sym_implicit_length_array_type] = STATE(1294),
    [sym_slice_type] = STATE(1125),
    [sym_struct_type] = STATE(1125),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1125),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym_block] = STATE(990),
    [sym__statement_list] = STATE(1338),
    [sym__statement] = STATE(896),
    [sym_empty_statement] = STATE(990),
    [sym__simple_statement] = STATE(990),
    [sym_expression_statement] = STATE(1014),
    [sym_send_statement] = STATE(1014),
    [sym_inc_statement] = STATE(1014),
    [sym_dec_statement] = STATE(1014),
    [sym_assignment_statement] = STATE(1014),
    [sym_short_var_declaration] = STATE(1014),
    [sym_labeled_statement] = STATE(990),
    [sym_empty_labeled_statement] = STATE(1338),
    [sym_fallthrough_statement] = STATE(990),
    [sym_break_statement] = STATE(990),
    [sym_continue_statement] = STATE(990),
    [sym_goto_statement] = STATE(990),
    [sym_return_statement] = STATE(990),
    [sym_go_statement] = STATE(990),
    [sym_defer_statement] = STATE(990),
    [sym_if_statement] = STATE(990),
    [sym_for_statement] = STATE(990),
    [sym_expression_switch_statement] = STATE(990),
    [sym_type_switch_statement] = STATE(990),
    [sym_select_statement] = STATE(990),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(281),
    [sym_call_expression] = STATE(281),
    [sym_selector_expression] = STATE(281),
    [sym_index_expression] = STATE(281),
    [sym_slice_expression] = STATE(281),
    [sym_type_assertion_expression] = STATE(281),
    [sym_type_conversion_expression] = STATE(281),
    [sym_type_instantiation_expression] = STATE(281),
    [sym_composite_literal] = STATE(281),
    [sym_func_literal] = STATE(281),
    [sym_unary_expression] = STATE(281),
    [sym_binary_expression] = STATE(281),
    [sym_qualified_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(281),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(223),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym__declaration] = STATE(990),
    [sym_const_declaration] = STATE(990),
    [sym_var_declaration] = STATE(990),
    [sym_type_declaration] = STATE(990),
    [sym_expression_list] = STATE(800),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1125),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1125),
    [sym_implicit_length_array_type] = STATE(1294),
    [sym_slice_type] = STATE(1125),
    [sym_struct_type] = STATE(1125),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1125),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym_block] = STATE(990),
    [sym__statement_list] = STATE(1375),
    [sym__statement] = STATE(896),
    [sym_empty_statement] = STATE(990),
    [sym__simple_statement] = STATE(990),
    [sym_expression_statement] = STATE(1014),
    [sym_send_statement] = STATE(1014),
    [sym_inc_statement] = STATE(1014),
    [sym_dec_statement] = STATE(1014),
    [sym_assignment_statement] = STATE(1014),
    [sym_short_var_declaration] = STATE(1014),
    [sym_labeled_statement] = STATE(990),
    [sym_empty_labeled_statement] = STATE(1375),
    [sym_fallthrough_statement] = STATE(990),
    [sym_break_statement] = STATE(990),
    [sym_continue_statement] = STATE(990),
    [sym_goto_statement] = STATE(990),
    [sym_return_statement] = STATE(990),
    [sym_go_statement] = STATE(990),
    [sym_defer_statement] = STATE(990),
    [sym_if_statement] = STATE(990),
    [sym_for_statement] = STATE(990),
    [sym_expression_switch_statement] = STATE(990),
    [sym_type_switch_statement] = STATE(990),
    [sym_select_statement] = STATE(990),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(281),
    [sym_call_expression] = STATE(281),
    [sym_selector_expression] = STATE(281),
    [sym_index_expression] = STATE(281),
    [sym_slice_expression] = STATE(281),
    [sym_type_assertion_expression] = STATE(281),
    [sym_type_conversion_expression] = STATE(281),
    [sym_type_instantiation_expression] = STATE(281),
    [sym_composite_literal] = STATE(281),
    [sym_func_literal] = STATE(281),
    [sym_unary_expression] = STATE(281),
    [sym_binary_expression] = STATE(281),
    [sym_qualified_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(281),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(225),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym__declaration] = STATE(990),
    [sym_const_declaration] = STATE(990),
    [sym_var_declaration] = STATE(990),
    [sym_type_declaration] = STATE(990),
    [sym_expression_list] = STATE(800),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1125),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1125),
    [sym_implicit_length_array_type] = STATE(1294),
    [sym_slice_type] = STATE(1125),
    [sym_struct_type] = STATE(1125),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1125),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym_block] = STATE(990),
    [sym__statement_list] = STATE(1395),
    [sym__statement] = STATE(896),
    [sym_empty_statement] = STATE(990),
    [sym__simple_statement] = STATE(990),
    [sym_expression_statement] = STATE(1014),
    [sym_send_statement] = STATE(1014),
    [sym_inc_statement] = STATE(1014),
    [sym_dec_statement] = STATE(1014),
    [sym_assignment_statement] = STATE(1014),
    [sym_short_var_declaration] = STATE(1014),
    [sym_labeled_statement] = STATE(990),
    [sym_empty_labeled_statement] = STATE(1395),
    [sym_fallthrough_statement] = STATE(990),
    [sym_break_statement] = STATE(990),
    [sym_continue_statement] = STATE(990),
    [sym_goto_statement] = STATE(990),
    [sym_return_statement] = STATE(990),
    [sym_go_statement] = STATE(990),
    [sym_defer_statement] = STATE(990),
    [sym_if_statement] = STATE(990),
    [sym_for_statement] = STATE(990),
    [sym_expression_switch_statement] = STATE(990),
    [sym_type_switch_statement] = STATE(990),
    [sym_select_statement] = STATE(990),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(281),
    [sym_call_expression] = STATE(281),
    [sym_selector_expression] = STATE(281),
    [sym_index_expression] = STATE(281),
    [sym_slice_expression] = STATE(281),
    [sym_type_assertion_expression] = STATE(281),
    [sym_type_conversion_expression] = STATE(281),
    [sym_type_instantiation_expression] = STATE(281),
    [sym_composite_literal] = STATE(281),
    [sym_func_literal] = STATE(281),
    [sym_unary_expression] = STATE(281),
    [sym_binary_expression] = STATE(281),
    [sym_qualified_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(281),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(227),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym__declaration] = STATE(990),
    [sym_const_declaration] = STATE(990),
    [sym_var_declaration] = STATE(990),
    [sym_type_declaration] = STATE(990),
    [sym_expression_list] = STATE(800),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1125),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1125),
    [sym_implicit_length_array_type] = STATE(1294),
    [sym_slice_type] = STATE(1125),
    [sym_struct_type] = STATE(1125),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1125),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym_block] = STATE(990),
    [sym__statement_list] = STATE(1345),
    [sym__statement] = STATE(896),
    [sym_empty_statement] = STATE(990),
    [sym__simple_statement] = STATE(990),
    [sym_expression_statement] = STATE(1014),
    [sym_send_statement] = STATE(1014),
    [sym_inc_statement] = STATE(1014),
    [sym_dec_statement] = STATE(1014),
    [sym_assignment_statement] = STATE(1014),
    [sym_short_var_declaration] = STATE(1014),
    [sym_labeled_statement] = STATE(990),
    [sym_empty_labeled_statement] = STATE(1345),
    [sym_fallthrough_statement] = STATE(990),
    [sym_break_statement] = STATE(990),
    [sym_continue_statement] = STATE(990),
    [sym_goto_statement] = STATE(990),
    [sym_return_statement] = STATE(990),
    [sym_go_statement] = STATE(990),
    [sym_defer_statement] = STATE(990),
    [sym_if_statement] = STATE(990),
    [sym_for_statement] = STATE(990),
    [sym_expression_switch_statement] = STATE(990),
    [sym_type_switch_statement] = STATE(990),
    [sym_select_statement] = STATE(990),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(281),
    [sym_call_expression] = STATE(281),
    [sym_selector_expression] = STATE(281),
    [sym_index_expression] = STATE(281),
    [sym_slice_expression] = STATE(281),
    [sym_type_assertion_expression] = STATE(281),
    [sym_type_conversion_expression] = STATE(281),
    [sym_type_instantiation_expression] = STATE(281),
    [sym_composite_literal] = STATE(281),
    [sym_func_literal] = STATE(281),
    [sym_unary_expression] = STATE(281),
    [sym_binary_expression] = STATE(281),
    [sym_qualified_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(281),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_RBRACE] = ACTIONS(229),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym__declaration] = STATE(990),
    [sym_const_declaration] = STATE(990),
    [sym_var_declaration] = STATE(990),
    [sym_type_declaration] = STATE(990),
    [sym_expression_list] = STATE(800),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1125),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1125),
    [sym_implicit_length_array_type] = STATE(1294),
    [sym_slice_type] = STATE(1125),
    [sym_struct_type] = STATE(1125),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1125),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym_block] = STATE(990),
    [sym__statement] = STATE(921),
    [sym_empty_statement] = STATE(990),
    [sym__simple_statement] = STATE(990),
    [sym_expression_statement] = STATE(1014),
    [sym_send_statement] = STATE(1014),
    [sym_inc_statement] = STATE(1014),
    [sym_dec_statement] = STATE(1014),
    [sym_assignment_statement] = STATE(1014),
    [sym_short_var_declaration] = STATE(1014),
    [sym_labeled_statement] = STATE(990),
    [sym_fallthrough_statement] = STATE(990),
    [sym_break_statement] = STATE(990),
    [sym_continue_statement] = STATE(990),
    [sym_goto_statement] = STATE(990),
    [sym_return_statement] = STATE(990),
    [sym_go_statement] = STATE(990),
    [sym_defer_statement] = STATE(990),
    [sym_if_statement] = STATE(990),
    [sym_for_statement] = STATE(990),
    [sym_expression_switch_statement] = STATE(990),
    [sym_type_switch_statement] = STATE(990),
    [sym_select_statement] = STATE(990),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(281),
    [sym_call_expression] = STATE(281),
    [sym_selector_expression] = STATE(281),
    [sym_index_expression] = STATE(281),
    [sym_slice_expression] = STATE(281),
    [sym_type_assertion_expression] = STATE(281),
    [sym_type_conversion_expression] = STATE(281),
    [sym_type_instantiation_expression] = STATE(281),
    [sym_composite_literal] = STATE(281),
    [sym_func_literal] = STATE(281),
    [sym_unary_expression] = STATE(281),
    [sym_binary_expression] = STATE(281),
    [sym_qualified_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(281),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym__declaration] = STATE(990),
    [sym_const_declaration] = STATE(990),
    [sym_var_declaration] = STATE(990),
    [sym_type_declaration] = STATE(990),
    [sym_expression_list] = STATE(800),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_generic_type] = STATE(1125),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1125),
    [sym_implicit_length_array_type] = STATE(1294),
    [sym_slice_type] = STATE(1125),
    [sym_struct_type] = STATE(1125),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1125),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym_block] = STATE(990),
    [sym__statement] = STATE(953),
    [sym_empty_statement] = STATE(990),
    [sym__simple_statement] = STATE(990),
    [sym_expression_statement] = STATE(1014),
    [sym_send_statement] = STATE(1014),
    [sym_inc_statement] = STATE(1014),
    [sym_dec_statement] = STATE(1014),
    [sym_assignment_statement] = STATE(1014),
    [sym_short_var_declaration] = STATE(1014),
    [sym_labeled_statement] = STATE(990),
    [sym_fallthrough_statement] = STATE(990),
    [sym_break_statement] = STATE(990),
    [sym_continue_statement] = STATE(990),
    [sym_goto_statement] = STATE(990),
    [sym_return_statement] = STATE(990),
    [sym_go_statement] = STATE(990),
    [sym_defer_statement] = STATE(990),
    [sym_if_statement] = STATE(990),
    [sym_for_statement] = STATE(990),
    [sym_expression_switch_statement] = STATE(990),
    [sym_type_switch_statement] = STATE(990),
    [sym_select_statement] = STATE(990),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(281),
    [sym_call_expression] = STATE(281),
    [sym_selector_expression] = STATE(281),
    [sym_index_expression] = STATE(281),
    [sym_slice_expression] = STATE(281),
    [sym_type_assertion_expression] = STATE(281),
    [sym_type_conversion_expression] = STATE(281),
    [sym_type_instantiation_expression] = STATE(281),
    [sym_composite_literal] = STATE(281),
    [sym_func_literal] = STATE(281),
    [sym_unary_expression] = STATE(281),
    [sym_binary_expression] = STATE(281),
    [sym_qualified_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(281),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_const] = ACTIONS(17),
    [anon_sym_var] = ACTIONS(19),
    [anon_sym_func] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_type] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(41),
    [anon_sym_fallthrough] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_goto] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_go] = ACTIONS(53),
    [anon_sym_defer] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_switch] = ACTIONS(61),
    [anon_sym_select] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_make] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_AMP] = ACTIONS(67),
    [sym_raw_string_literal] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [sym_int_literal] = ACTIONS(73),
    [sym_float_literal] = ACTIONS(73),
    [sym_imaginary_literal] = ACTIONS(69),
    [sym_rune_literal] = ACTIONS(69),
    [sym_nil] = ACTIONS(73),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_iota] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_expression_list] = STATE(798),
    [sym_parenthesized_type] = STATE(1249),
    [sym__simple_type] = STATE(1249),
    [sym_generic_type] = STATE(1111),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1111),
    [sym_implicit_length_array_type] = STATE(1263),
    [sym_slice_type] = STATE(1111),
    [sym_struct_type] = STATE(1111),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1111),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym_block] = STATE(952),
    [sym__simple_statement] = STATE(1377),
    [sym_expression_statement] = STATE(1282),
    [sym_send_statement] = STATE(1282),
    [sym_inc_statement] = STATE(1282),
    [sym_dec_statement] = STATE(1282),
    [sym_assignment_statement] = STATE(1282),
    [sym_short_var_declaration] = STATE(1282),
    [sym_for_clause] = STATE(1272),
    [sym_range_clause] = STATE(1272),
    [sym__expression] = STATE(278),
    [sym_parenthesized_expression] = STATE(303),
    [sym_call_expression] = STATE(303),
    [sym_selector_expression] = STATE(303),
    [sym_index_expression] = STATE(303),
    [sym_slice_expression] = STATE(303),
    [sym_type_assertion_expression] = STATE(303),
    [sym_type_conversion_expression] = STATE(303),
    [sym_type_instantiation_expression] = STATE(303),
    [sym_composite_literal] = STATE(303),
    [sym_func_literal] = STATE(303),
    [sym_unary_expression] = STATE(303),
    [sym_binary_expression] = STATE(303),
    [sym_qualified_type] = STATE(1035),
    [sym_interpreted_string_literal] = STATE(303),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_SEMI] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(33),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_range] = ACTIONS(243),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_expression_list] = STATE(802),
    [sym_parenthesized_type] = STATE(1249),
    [sym__simple_type] = STATE(1249),
    [sym_generic_type] = STATE(1111),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1111),
    [sym_implicit_length_array_type] = STATE(1263),
    [sym_slice_type] = STATE(1111),
    [sym_struct_type] = STATE(1111),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1111),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym__simple_statement] = STATE(1373),
    [sym_expression_statement] = STATE(1282),
    [sym_send_statement] = STATE(1282),
    [sym_inc_statement] = STATE(1282),
    [sym_dec_statement] = STATE(1282),
    [sym_assignment_statement] = STATE(1282),
    [sym_short_var_declaration] = STATE(1282),
    [sym__type_switch_header] = STATE(1364),
    [sym__expression] = STATE(289),
    [sym_parenthesized_expression] = STATE(303),
    [sym_call_expression] = STATE(303),
    [sym_selector_expression] = STATE(303),
    [sym_index_expression] = STATE(303),
    [sym_slice_expression] = STATE(303),
    [sym_type_assertion_expression] = STATE(303),
    [sym_type_conversion_expression] = STATE(303),
    [sym_type_instantiation_expression] = STATE(303),
    [sym_composite_literal] = STATE(303),
    [sym_func_literal] = STATE(303),
    [sym_unary_expression] = STATE(303),
    [sym_binary_expression] = STATE(303),
    [sym_qualified_type] = STATE(1035),
    [sym_interpreted_string_literal] = STATE(303),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(255),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym_expression_list] = STATE(796),
    [sym_parenthesized_type] = STATE(1249),
    [sym__simple_type] = STATE(1249),
    [sym_generic_type] = STATE(1111),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1111),
    [sym_implicit_length_array_type] = STATE(1263),
    [sym_slice_type] = STATE(1111),
    [sym_struct_type] = STATE(1111),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1111),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym__simple_statement] = STATE(1378),
    [sym_expression_statement] = STATE(1282),
    [sym_send_statement] = STATE(1282),
    [sym_inc_statement] = STATE(1282),
    [sym_dec_statement] = STATE(1282),
    [sym_assignment_statement] = STATE(1282),
    [sym_short_var_declaration] = STATE(1282),
    [sym__expression] = STATE(296),
    [sym_parenthesized_expression] = STATE(303),
    [sym_call_expression] = STATE(303),
    [sym_selector_expression] = STATE(303),
    [sym_index_expression] = STATE(303),
    [sym_slice_expression] = STATE(303),
    [sym_type_assertion_expression] = STATE(303),
    [sym_type_conversion_expression] = STATE(303),
    [sym_type_instantiation_expression] = STATE(303),
    [sym_composite_literal] = STATE(303),
    [sym_func_literal] = STATE(303),
    [sym_unary_expression] = STATE(303),
    [sym_binary_expression] = STATE(303),
    [sym_qualified_type] = STATE(1035),
    [sym_interpreted_string_literal] = STATE(303),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(257),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_expression_list] = STATE(796),
    [sym_parenthesized_type] = STATE(1249),
    [sym__simple_type] = STATE(1249),
    [sym_generic_type] = STATE(1111),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1111),
    [sym_implicit_length_array_type] = STATE(1263),
    [sym_slice_type] = STATE(1111),
    [sym_struct_type] = STATE(1111),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1111),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym__simple_statement] = STATE(1389),
    [sym_expression_statement] = STATE(1282),
    [sym_send_statement] = STATE(1282),
    [sym_inc_statement] = STATE(1282),
    [sym_dec_statement] = STATE(1282),
    [sym_assignment_statement] = STATE(1282),
    [sym_short_var_declaration] = STATE(1282),
    [sym__expression] = STATE(296),
    [sym_parenthesized_expression] = STATE(303),
    [sym_call_expression] = STATE(303),
    [sym_selector_expression] = STATE(303),
    [sym_index_expression] = STATE(303),
    [sym_slice_expression] = STATE(303),
    [sym_type_assertion_expression] = STATE(303),
    [sym_type_conversion_expression] = STATE(303),
    [sym_type_instantiation_expression] = STATE(303),
    [sym_composite_literal] = STATE(303),
    [sym_func_literal] = STATE(303),
    [sym_unary_expression] = STATE(303),
    [sym_binary_expression] = STATE(303),
    [sym_qualified_type] = STATE(1035),
    [sym_interpreted_string_literal] = STATE(303),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(259),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_expression_list] = STATE(796),
    [sym_parenthesized_type] = STATE(1249),
    [sym__simple_type] = STATE(1249),
    [sym_generic_type] = STATE(1111),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1111),
    [sym_implicit_length_array_type] = STATE(1263),
    [sym_slice_type] = STATE(1111),
    [sym_struct_type] = STATE(1111),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1111),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym__simple_statement] = STATE(1330),
    [sym_expression_statement] = STATE(1282),
    [sym_send_statement] = STATE(1282),
    [sym_inc_statement] = STATE(1282),
    [sym_dec_statement] = STATE(1282),
    [sym_assignment_statement] = STATE(1282),
    [sym_short_var_declaration] = STATE(1282),
    [sym__expression] = STATE(296),
    [sym_parenthesized_expression] = STATE(303),
    [sym_call_expression] = STATE(303),
    [sym_selector_expression] = STATE(303),
    [sym_index_expression] = STATE(303),
    [sym_slice_expression] = STATE(303),
    [sym_type_assertion_expression] = STATE(303),
    [sym_type_conversion_expression] = STATE(303),
    [sym_type_instantiation_expression] = STATE(303),
    [sym_composite_literal] = STATE(303),
    [sym_func_literal] = STATE(303),
    [sym_unary_expression] = STATE(303),
    [sym_binary_expression] = STATE(303),
    [sym_qualified_type] = STATE(1035),
    [sym_interpreted_string_literal] = STATE(303),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(261),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_expression_list] = STATE(796),
    [sym_parenthesized_type] = STATE(1249),
    [sym__simple_type] = STATE(1249),
    [sym_generic_type] = STATE(1111),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1111),
    [sym_implicit_length_array_type] = STATE(1263),
    [sym_slice_type] = STATE(1111),
    [sym_struct_type] = STATE(1111),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1111),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym__simple_statement] = STATE(1331),
    [sym_expression_statement] = STATE(1282),
    [sym_send_statement] = STATE(1282),
    [sym_inc_statement] = STATE(1282),
    [sym_dec_statement] = STATE(1282),
    [sym_assignment_statement] = STATE(1282),
    [sym_short_var_declaration] = STATE(1282),
    [sym__expression] = STATE(296),
    [sym_parenthesized_expression] = STATE(303),
    [sym_call_expression] = STATE(303),
    [sym_selector_expression] = STATE(303),
    [sym_index_expression] = STATE(303),
    [sym_slice_expression] = STATE(303),
    [sym_type_assertion_expression] = STATE(303),
    [sym_type_conversion_expression] = STATE(303),
    [sym_type_instantiation_expression] = STATE(303),
    [sym_composite_literal] = STATE(303),
    [sym_func_literal] = STATE(303),
    [sym_unary_expression] = STATE(303),
    [sym_binary_expression] = STATE(303),
    [sym_qualified_type] = STATE(1035),
    [sym_interpreted_string_literal] = STATE(303),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(263),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_expression_list] = STATE(797),
    [sym_parenthesized_type] = STATE(1249),
    [sym__simple_type] = STATE(1249),
    [sym_generic_type] = STATE(1111),
    [sym_pointer_type] = STATE(860),
    [sym_array_type] = STATE(1111),
    [sym_implicit_length_array_type] = STATE(1263),
    [sym_slice_type] = STATE(1111),
    [sym_struct_type] = STATE(1111),
    [sym_negated_type] = STATE(840),
    [sym_interface_type] = STATE(860),
    [sym_map_type] = STATE(1111),
    [sym_channel_type] = STATE(860),
    [sym_function_type] = STATE(860),
    [sym__simple_statement] = STATE(1324),
    [sym_expression_statement] = STATE(1282),
    [sym_send_statement] = STATE(1282),
    [sym_inc_statement] = STATE(1282),
    [sym_dec_statement] = STATE(1282),
    [sym_assignment_statement] = STATE(1282),
    [sym_short_var_declaration] = STATE(1282),
    [sym__expression] = STATE(274),
    [sym_parenthesized_expression] = STATE(303),
    [sym_call_expression] = STATE(303),
    [sym_selector_expression] = STATE(303),
    [sym_index_expression] = STATE(303),
    [sym_slice_expression] = STATE(303),
    [sym_type_assertion_expression] = STATE(303),
    [sym_type_conversion_expression] = STATE(303),
    [sym_type_instantiation_expression] = STATE(303),
    [sym_composite_literal] = STATE(303),
    [sym_func_literal] = STATE(303),
    [sym_unary_expression] = STATE(303),
    [sym_binary_expression] = STATE(303),
    [sym_qualified_type] = STATE(1035),
    [sym_interpreted_string_literal] = STATE(303),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_LPAREN] = ACTIONS(235),
    [anon_sym_func] = ACTIONS(237),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_struct] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_interface] = ACTIONS(35),
    [anon_sym_map] = ACTIONS(37),
    [anon_sym_chan] = ACTIONS(39),
    [anon_sym_LT_DASH] = ACTIONS(241),
    [anon_sym_new] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(245),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(247),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_CARET] = ACTIONS(247),
    [anon_sym_AMP] = ACTIONS(247),
    [sym_raw_string_literal] = ACTIONS(249),
    [anon_sym_DQUOTE] = ACTIONS(251),
    [sym_int_literal] = ACTIONS(253),
    [sym_float_literal] = ACTIONS(253),
    [sym_imaginary_literal] = ACTIONS(249),
    [sym_rune_literal] = ACTIONS(249),
    [sym_nil] = ACTIONS(253),
    [sym_true] = ACTIONS(253),
    [sym_false] = ACTIONS(253),
    [sym_iota] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 27,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(267), 1,
      aux_sym_source_file_token1,
    ACTIONS(271), 1,
      anon_sym_LPAREN,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(275), 1,
      anon_sym_LBRACK,
    ACTIONS(277), 1,
      anon_sym_STAR,
    ACTIONS(279), 1,
      anon_sym_TILDE,
    ACTIONS(281), 1,
      anon_sym_LT_DASH,
    ACTIONS(289), 1,
      anon_sym_DQUOTE,
    ACTIONS(291), 1,
      sym_comment,
    STATE(426), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(943), 1,
      sym_expression_list,
    STATE(1033), 1,
      sym_qualified_type,
    STATE(1308), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1252), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(269), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(285), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1096), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 9,
      sym_raw_string_literal,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(469), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [119] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(297), 1,
      anon_sym_COMMA,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_RBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(546), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1129), 1,
      sym_literal_element,
    STATE(1152), 1,
      sym_keyed_element,
    STATE(1183), 1,
      sym_literal_value,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [245] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(319), 1,
      anon_sym_COMMA,
    ACTIONS(321), 1,
      anon_sym_RBRACE,
    STATE(546), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1103), 1,
      sym_literal_element,
    STATE(1183), 1,
      sym_literal_value,
    STATE(1188), 1,
      sym_keyed_element,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [371] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(323), 1,
      anon_sym_COMMA,
    ACTIONS(325), 1,
      anon_sym_RBRACE,
    STATE(546), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1093), 1,
      sym_literal_element,
    STATE(1183), 1,
      sym_literal_value,
    STATE(1197), 1,
      sym_keyed_element,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [497] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(327), 1,
      anon_sym_COMMA,
    ACTIONS(329), 1,
      anon_sym_RBRACE,
    STATE(546), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1102), 1,
      sym_literal_element,
    STATE(1183), 1,
      sym_literal_value,
    STATE(1190), 1,
      sym_keyed_element,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [623] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(331), 1,
      anon_sym_COMMA,
    ACTIONS(333), 1,
      anon_sym_RBRACE,
    STATE(546), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1064), 1,
      sym_literal_element,
    STATE(1183), 1,
      sym_literal_value,
    STATE(1234), 1,
      sym_keyed_element,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [749] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(335), 1,
      anon_sym_COMMA,
    ACTIONS(337), 1,
      anon_sym_RBRACE,
    STATE(546), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1105), 1,
      sym_literal_element,
    STATE(1183), 1,
      sym_literal_value,
    STATE(1184), 1,
      sym_keyed_element,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [875] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(339), 1,
      anon_sym_RBRACE,
    STATE(546), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1155), 1,
      sym_literal_element,
    STATE(1183), 1,
      sym_literal_value,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    STATE(1281), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [998] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(341), 1,
      anon_sym_RBRACE,
    STATE(546), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1155), 1,
      sym_literal_element,
    STATE(1183), 1,
      sym_literal_value,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    STATE(1281), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1121] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(343), 1,
      anon_sym_RBRACE,
    STATE(546), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1155), 1,
      sym_literal_element,
    STATE(1183), 1,
      sym_literal_value,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    STATE(1281), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1244] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(345), 1,
      anon_sym_RBRACE,
    STATE(546), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1155), 1,
      sym_literal_element,
    STATE(1183), 1,
      sym_literal_value,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    STATE(1281), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1367] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(347), 1,
      anon_sym_RBRACE,
    STATE(546), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1155), 1,
      sym_literal_element,
    STATE(1183), 1,
      sym_literal_value,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    STATE(1281), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1490] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_RBRACE,
    STATE(546), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1155), 1,
      sym_literal_element,
    STATE(1183), 1,
      sym_literal_value,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    STATE(1281), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1613] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(351), 1,
      anon_sym_RBRACE,
    STATE(546), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1155), 1,
      sym_literal_element,
    STATE(1183), 1,
      sym_literal_value,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    STATE(1281), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1736] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(353), 1,
      anon_sym_RBRACE,
    STATE(546), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1155), 1,
      sym_literal_element,
    STATE(1183), 1,
      sym_literal_value,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    STATE(1281), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1859] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(355), 1,
      anon_sym_RBRACE,
    STATE(546), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1155), 1,
      sym_literal_element,
    STATE(1183), 1,
      sym_literal_value,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    STATE(1281), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [1982] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(357), 1,
      anon_sym_RBRACE,
    STATE(546), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1155), 1,
      sym_literal_element,
    STATE(1183), 1,
      sym_literal_value,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    STATE(1281), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2105] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(359), 1,
      anon_sym_RBRACE,
    STATE(546), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1155), 1,
      sym_literal_element,
    STATE(1183), 1,
      sym_literal_value,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    STATE(1281), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2228] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(361), 1,
      anon_sym_RBRACE,
    STATE(546), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1155), 1,
      sym_literal_element,
    STATE(1183), 1,
      sym_literal_value,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    STATE(1281), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2351] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(546), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1155), 1,
      sym_literal_element,
    STATE(1183), 1,
      sym_literal_value,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    STATE(1281), 1,
      sym_keyed_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2471] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(451), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1023), 1,
      sym_qualified_type,
    STATE(1278), 1,
      sym_expression_list,
    STATE(1283), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1361), 2,
      sym_send_statement,
      sym_receive_statement,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1130), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(585), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2586] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(546), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1183), 1,
      sym_literal_value,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    STATE(1280), 1,
      sym_literal_element,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2703] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(385), 1,
      anon_sym_RPAREN,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(583), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1276), 1,
      sym_variadic_argument,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2817] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(393), 1,
      anon_sym_RPAREN,
    STATE(524), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1204), 1,
      sym_variadic_argument,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [2931] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(395), 1,
      anon_sym_RPAREN,
    STATE(583), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1276), 1,
      sym_variadic_argument,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3045] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(397), 1,
      sym_identifier,
    ACTIONS(399), 1,
      anon_sym_STAR,
    ACTIONS(401), 1,
      anon_sym_COLON,
    STATE(610), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1181), 1,
      sym_type_elem,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(932), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3159] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(397), 1,
      sym_identifier,
    ACTIONS(399), 1,
      anon_sym_STAR,
    ACTIONS(403), 1,
      anon_sym_COLON,
    STATE(636), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1181), 1,
      sym_type_elem,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(932), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3273] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(405), 1,
      anon_sym_RBRACK,
    ACTIONS(407), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(675), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3387] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(397), 1,
      sym_identifier,
    ACTIONS(399), 1,
      anon_sym_STAR,
    ACTIONS(409), 1,
      anon_sym_RBRACK,
    STATE(679), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1181), 1,
      sym_type_elem,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(932), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3501] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(411), 1,
      anon_sym_RPAREN,
    STATE(515), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1198), 1,
      sym_variadic_argument,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3615] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(413), 1,
      anon_sym_RPAREN,
    STATE(512), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1138), 1,
      sym_variadic_argument,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3729] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(415), 1,
      anon_sym_RPAREN,
    STATE(583), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1276), 1,
      sym_variadic_argument,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3843] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(397), 1,
      sym_identifier,
    ACTIONS(399), 1,
      anon_sym_STAR,
    ACTIONS(417), 1,
      anon_sym_COLON,
    STATE(630), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1181), 1,
      sym_type_elem,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(932), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [3957] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(419), 1,
      anon_sym_RPAREN,
    STATE(583), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1276), 1,
      sym_variadic_argument,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4071] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(397), 1,
      sym_identifier,
    ACTIONS(399), 1,
      anon_sym_STAR,
    ACTIONS(421), 1,
      anon_sym_COLON,
    STATE(614), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1181), 1,
      sym_type_elem,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(932), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4185] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(423), 1,
      anon_sym_RPAREN,
    STATE(583), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1276), 1,
      sym_variadic_argument,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4299] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(425), 1,
      anon_sym_RPAREN,
    STATE(583), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1276), 1,
      sym_variadic_argument,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4413] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(427), 1,
      anon_sym_RPAREN,
    STATE(583), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1276), 1,
      sym_variadic_argument,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4527] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(429), 1,
      anon_sym_RPAREN,
    STATE(583), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1276), 1,
      sym_variadic_argument,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4641] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(431), 1,
      anon_sym_RPAREN,
    STATE(525), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1201), 1,
      sym_variadic_argument,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4755] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym_identifier,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(437), 1,
      anon_sym_LBRACE,
    ACTIONS(439), 1,
      anon_sym_LT_DASH,
    STATE(517), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    STATE(1370), 1,
      sym_expression_list,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(441), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4869] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(443), 1,
      anon_sym_RPAREN,
    STATE(521), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1202), 1,
      sym_variadic_argument,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [4983] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(397), 1,
      sym_identifier,
    ACTIONS(399), 1,
      anon_sym_STAR,
    ACTIONS(445), 1,
      anon_sym_COLON,
    STATE(599), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1181), 1,
      sym_type_elem,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(932), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5097] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(397), 1,
      sym_identifier,
    ACTIONS(399), 1,
      anon_sym_STAR,
    ACTIONS(447), 1,
      anon_sym_RBRACK,
    STATE(658), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1182), 1,
      sym_type_elem,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(932), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5211] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(397), 1,
      sym_identifier,
    ACTIONS(399), 1,
      anon_sym_STAR,
    ACTIONS(449), 1,
      anon_sym_COLON,
    STATE(626), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1181), 1,
      sym_type_elem,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(932), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5325] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(451), 1,
      anon_sym_RPAREN,
    STATE(583), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1276), 1,
      sym_variadic_argument,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5439] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(453), 1,
      anon_sym_range,
    STATE(511), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1271), 1,
      sym_expression_list,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5553] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(455), 1,
      anon_sym_RPAREN,
    STATE(583), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1276), 1,
      sym_variadic_argument,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5667] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(447), 1,
      anon_sym_RBRACK,
    ACTIONS(457), 1,
      sym_identifier,
    STATE(658), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1172), 1,
      sym_type_parameter_declaration,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5781] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(459), 1,
      anon_sym_RPAREN,
    STATE(583), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1276), 1,
      sym_variadic_argument,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [5895] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(461), 1,
      anon_sym_RPAREN,
    STATE(583), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1276), 1,
      sym_variadic_argument,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6009] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(453), 1,
      anon_sym_range,
    STATE(511), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1269), 1,
      sym_expression_list,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6123] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(463), 1,
      anon_sym_RPAREN,
    STATE(513), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1240), 1,
      sym_variadic_argument,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6237] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(465), 1,
      anon_sym_RBRACK,
    STATE(678), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6348] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(467), 1,
      anon_sym_SEMI,
    STATE(688), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6459] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(469), 1,
      anon_sym_RPAREN,
    STATE(621), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6570] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(471), 1,
      anon_sym_RBRACK,
    STATE(604), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6681] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(409), 1,
      anon_sym_RBRACK,
    STATE(679), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6792] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(405), 1,
      anon_sym_RBRACK,
    STATE(675), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [6903] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(511), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1271), 1,
      sym_expression_list,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7014] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(473), 1,
      anon_sym_RBRACK,
    STATE(674), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7125] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_STAR,
    ACTIONS(479), 1,
      anon_sym_LT_DASH,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    STATE(426), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(974), 1,
      sym_expression_list,
    STATE(1033), 1,
      sym_qualified_type,
    STATE(1308), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1252), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(483), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(481), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1096), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(469), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7236] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym_identifier,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_LT_DASH,
    STATE(561), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1269), 1,
      sym_expression_list,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(441), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7347] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym_identifier,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_LT_DASH,
    STATE(561), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1271), 1,
      sym_expression_list,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(441), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7458] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(487), 1,
      anon_sym_RPAREN,
    STATE(621), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7569] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_STAR,
    ACTIONS(479), 1,
      anon_sym_LT_DASH,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    STATE(426), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(970), 1,
      sym_expression_list,
    STATE(1033), 1,
      sym_qualified_type,
    STATE(1308), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1252), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(483), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(481), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1096), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(469), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7680] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(489), 1,
      anon_sym_RPAREN,
    STATE(621), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7791] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(491), 1,
      anon_sym_RBRACK,
    STATE(617), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [7902] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(493), 1,
      anon_sym_RPAREN,
    STATE(621), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8013] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(495), 1,
      anon_sym_SEMI,
    STATE(647), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8124] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(497), 1,
      anon_sym_RPAREN,
    STATE(621), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8235] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(499), 1,
      anon_sym_RBRACK,
    STATE(622), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8346] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(501), 1,
      anon_sym_RBRACK,
    STATE(612), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8457] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(511), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    STATE(1371), 1,
      sym_expression_list,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8568] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(503), 1,
      anon_sym_RPAREN,
    STATE(621), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8679] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(505), 1,
      anon_sym_RBRACK,
    STATE(594), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8790] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_STAR,
    ACTIONS(479), 1,
      anon_sym_LT_DASH,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    STATE(426), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(957), 1,
      sym_expression_list,
    STATE(1033), 1,
      sym_qualified_type,
    STATE(1308), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1252), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(483), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(481), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1096), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(469), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [8901] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(507), 1,
      anon_sym_RPAREN,
    STATE(621), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9012] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(509), 1,
      anon_sym_RBRACK,
    STATE(619), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9123] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(511), 1,
      anon_sym_RBRACK,
    STATE(615), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9234] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(544), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1271), 1,
      sym_expression_list,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9345] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(513), 1,
      anon_sym_RPAREN,
    STATE(621), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9456] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(515), 1,
      anon_sym_RBRACK,
    STATE(645), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9567] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(517), 1,
      anon_sym_RPAREN,
    STATE(621), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9678] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(519), 1,
      anon_sym_RBRACK,
    STATE(616), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9789] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(521), 1,
      anon_sym_RPAREN,
    STATE(621), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [9900] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(523), 1,
      anon_sym_RBRACK,
    STATE(634), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10011] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(525), 1,
      anon_sym_RBRACK,
    STATE(620), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10122] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_STAR,
    ACTIONS(479), 1,
      anon_sym_LT_DASH,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    STATE(426), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(927), 1,
      sym_expression_list,
    STATE(1033), 1,
      sym_qualified_type,
    STATE(1308), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1252), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(483), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(481), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1096), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(469), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10233] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(527), 1,
      anon_sym_RPAREN,
    STATE(621), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10344] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_STAR,
    ACTIONS(479), 1,
      anon_sym_LT_DASH,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    STATE(426), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(934), 1,
      sym_expression_list,
    STATE(1033), 1,
      sym_qualified_type,
    STATE(1308), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1252), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(483), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(481), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1096), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(469), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10455] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(529), 1,
      anon_sym_RPAREN,
    STATE(621), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10566] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(447), 1,
      anon_sym_RBRACK,
    STATE(658), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10677] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(531), 1,
      anon_sym_RBRACK,
    STATE(637), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10788] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(583), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1276), 1,
      sym_variadic_argument,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [10899] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_STAR,
    ACTIONS(479), 1,
      anon_sym_LT_DASH,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    STATE(426), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(989), 1,
      sym_expression_list,
    STATE(1033), 1,
      sym_qualified_type,
    STATE(1308), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1252), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(483), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(481), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1096), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(469), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11010] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_STAR,
    ACTIONS(479), 1,
      anon_sym_LT_DASH,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    STATE(426), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1015), 1,
      sym_expression_list,
    STATE(1033), 1,
      sym_qualified_type,
    STATE(1308), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1252), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(483), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(481), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1096), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(469), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11121] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_STAR,
    ACTIONS(479), 1,
      anon_sym_LT_DASH,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    STATE(426), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1016), 1,
      sym_expression_list,
    STATE(1033), 1,
      sym_qualified_type,
    STATE(1308), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1252), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(483), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(481), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1096), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(469), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11232] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(511), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1269), 1,
      sym_expression_list,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11343] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(533), 1,
      anon_sym_RBRACK,
    STATE(631), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11454] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_STAR,
    ACTIONS(479), 1,
      anon_sym_LT_DASH,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    STATE(426), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(951), 1,
      sym_expression_list,
    STATE(1033), 1,
      sym_qualified_type,
    STATE(1308), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1252), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(483), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(481), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1096), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(469), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11565] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_STAR,
    ACTIONS(479), 1,
      anon_sym_LT_DASH,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    STATE(426), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(950), 1,
      sym_expression_list,
    STATE(1033), 1,
      sym_qualified_type,
    STATE(1308), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1252), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(483), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(481), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1096), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(469), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11676] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_STAR,
    ACTIONS(479), 1,
      anon_sym_LT_DASH,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    STATE(426), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1005), 1,
      sym_expression_list,
    STATE(1033), 1,
      sym_qualified_type,
    STATE(1308), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1252), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(483), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(481), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1096), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(469), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11787] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_STAR,
    ACTIONS(479), 1,
      anon_sym_LT_DASH,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    STATE(445), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1033), 1,
      sym_qualified_type,
    STATE(1308), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1252), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(483), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(481), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1096), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(469), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [11895] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_STAR,
    ACTIONS(479), 1,
      anon_sym_LT_DASH,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    STATE(435), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1033), 1,
      sym_qualified_type,
    STATE(1308), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1252), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(483), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(481), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1096), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(469), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12003] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(584), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12111] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(575), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12219] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym_identifier,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_LT_DASH,
    STATE(387), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(999), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(441), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12327] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(543), 1,
      anon_sym_chan,
    ACTIONS(545), 1,
      anon_sym_LT_DASH,
    ACTIONS(553), 1,
      anon_sym_DQUOTE,
    STATE(342), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1046), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(547), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1246), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(551), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(549), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1065), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(555), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(383), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12435] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(598), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12543] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(573), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12651] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(625), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12759] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(581), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12867] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(545), 1,
      anon_sym_LT_DASH,
    ACTIONS(553), 1,
      anon_sym_DQUOTE,
    STATE(344), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1046), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(547), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1246), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(551), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(549), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1065), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(555), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(383), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [12975] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(557), 1,
      sym_identifier,
    STATE(242), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1018), 1,
      sym_qualified_type,
    STATE(1294), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1285), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1125), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(281), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13083] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(557), 1,
      sym_identifier,
    STATE(247), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1018), 1,
      sym_qualified_type,
    STATE(1294), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1285), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1125), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(281), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13191] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_STAR,
    ACTIONS(479), 1,
      anon_sym_LT_DASH,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    STATE(448), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1033), 1,
      sym_qualified_type,
    STATE(1308), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1252), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(483), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(481), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1096), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(469), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13299] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(388), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13407] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(557), 1,
      sym_identifier,
    STATE(246), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1018), 1,
      sym_qualified_type,
    STATE(1294), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1285), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1125), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(281), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13515] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(557), 1,
      sym_identifier,
    STATE(245), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1018), 1,
      sym_qualified_type,
    STATE(1294), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1285), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1125), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(281), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13623] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(557), 1,
      sym_identifier,
    STATE(244), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1018), 1,
      sym_qualified_type,
    STATE(1294), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1285), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1125), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(281), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13731] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(621), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13839] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(490), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [13947] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(543), 1,
      anon_sym_chan,
    ACTIONS(557), 1,
      sym_identifier,
    STATE(241), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1018), 1,
      sym_qualified_type,
    STATE(1294), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1285), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1125), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(281), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14055] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(643), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14163] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_STAR,
    ACTIONS(479), 1,
      anon_sym_LT_DASH,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    STATE(449), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1033), 1,
      sym_qualified_type,
    STATE(1308), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1252), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(483), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(481), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1096), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(469), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14271] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(543), 1,
      anon_sym_chan,
    STATE(387), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14379] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(545), 1,
      anon_sym_LT_DASH,
    ACTIONS(553), 1,
      anon_sym_DQUOTE,
    STATE(341), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1046), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(547), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1246), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(551), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(549), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1065), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(555), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(383), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14487] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(387), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14595] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(387), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(999), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14703] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(657), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14811] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(639), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [14919] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_STAR,
    ACTIONS(479), 1,
      anon_sym_LT_DASH,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    STATE(446), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1033), 1,
      sym_qualified_type,
    STATE(1308), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1252), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(483), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(481), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1096), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(469), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15027] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(297), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1035), 1,
      sym_qualified_type,
    STATE(1263), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(999), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1111), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(303), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15135] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(642), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15243] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(387), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15351] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym_identifier,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_LT_DASH,
    STATE(553), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(441), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15459] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym_identifier,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_LT_DASH,
    STATE(542), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(441), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15567] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym_identifier,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_LT_DASH,
    STATE(533), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(441), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15675] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym_identifier,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_LT_DASH,
    STATE(530), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(441), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15783] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(545), 1,
      anon_sym_LT_DASH,
    ACTIONS(553), 1,
      anon_sym_DQUOTE,
    STATE(340), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1046), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(547), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1246), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(551), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(549), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1065), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(555), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(383), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15891] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym_identifier,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_LT_DASH,
    STATE(388), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(441), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [15999] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(388), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16107] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym_identifier,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_LT_DASH,
    STATE(387), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(441), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16215] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(436), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16323] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_STAR,
    ACTIONS(479), 1,
      anon_sym_LT_DASH,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    STATE(445), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1033), 1,
      sym_qualified_type,
    STATE(1308), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(999), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(483), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(481), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1096), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(469), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16431] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(438), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16539] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(442), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16647] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(443), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16755] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(681), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16863] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_STAR,
    ACTIONS(479), 1,
      anon_sym_LT_DASH,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    ACTIONS(543), 1,
      anon_sym_chan,
    STATE(445), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1033), 1,
      sym_qualified_type,
    STATE(1308), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1252), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(483), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(481), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1096), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(469), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [16971] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(557), 1,
      sym_identifier,
    STATE(241), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1018), 1,
      sym_qualified_type,
    STATE(1294), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1285), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1125), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(281), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17079] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym_identifier,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_LT_DASH,
    STATE(692), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(441), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17187] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(545), 1,
      anon_sym_LT_DASH,
    ACTIONS(553), 1,
      anon_sym_DQUOTE,
    STATE(342), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1046), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(547), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(999), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(551), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(549), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1065), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(555), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(383), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17295] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(545), 1,
      anon_sym_LT_DASH,
    ACTIONS(553), 1,
      anon_sym_DQUOTE,
    STATE(342), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1046), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(547), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1246), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(551), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(549), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1065), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(555), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(383), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17403] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym_identifier,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_LT_DASH,
    STATE(618), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(441), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17511] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(644), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1212), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17619] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(668), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1212), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17727] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(685), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17835] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(632), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [17943] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(709), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18051] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(611), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18159] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(684), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1212), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18267] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym_identifier,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_LT_DASH,
    STATE(654), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(441), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18375] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(545), 1,
      anon_sym_LT_DASH,
    ACTIONS(553), 1,
      anon_sym_DQUOTE,
    STATE(338), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1046), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(547), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1246), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(551), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(549), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1065), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(555), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(383), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18483] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_STAR,
    ACTIONS(479), 1,
      anon_sym_LT_DASH,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    STATE(444), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1033), 1,
      sym_qualified_type,
    STATE(1308), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1252), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(483), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(481), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1096), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(469), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18591] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    ACTIONS(543), 1,
      anon_sym_chan,
    STATE(462), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1023), 1,
      sym_qualified_type,
    STATE(1283), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1130), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(585), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18699] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_STAR,
    ACTIONS(479), 1,
      anon_sym_LT_DASH,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    STATE(433), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1033), 1,
      sym_qualified_type,
    STATE(1308), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1252), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(483), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(481), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1096), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(469), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18807] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(545), 1,
      anon_sym_LT_DASH,
    ACTIONS(553), 1,
      anon_sym_DQUOTE,
    STATE(339), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1046), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(547), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1246), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(551), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(549), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1065), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(555), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(383), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [18915] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(535), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_LPAREN,
    ACTIONS(539), 1,
      anon_sym_func,
    ACTIONS(541), 1,
      anon_sym_STAR,
    ACTIONS(545), 1,
      anon_sym_LT_DASH,
    ACTIONS(553), 1,
      anon_sym_DQUOTE,
    STATE(343), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1046), 1,
      sym_qualified_type,
    STATE(1250), 1,
      sym_implicit_length_array_type,
    ACTIONS(547), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1246), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(551), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(549), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1065), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(555), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(383), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19023] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_STAR,
    ACTIONS(479), 1,
      anon_sym_LT_DASH,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    STATE(441), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1033), 1,
      sym_qualified_type,
    STATE(1308), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1252), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(483), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(481), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1096), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(469), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19131] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    ACTIONS(543), 1,
      anon_sym_chan,
    STATE(297), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1035), 1,
      sym_qualified_type,
    STATE(1263), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1111), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(303), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19239] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_STAR,
    ACTIONS(479), 1,
      anon_sym_LT_DASH,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    STATE(440), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1033), 1,
      sym_qualified_type,
    STATE(1308), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1252), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(483), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(481), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1096), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(469), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19347] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(265), 1,
      sym_identifier,
    ACTIONS(273), 1,
      anon_sym_func,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_STAR,
    ACTIONS(479), 1,
      anon_sym_LT_DASH,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    STATE(439), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1033), 1,
      sym_qualified_type,
    STATE(1308), 1,
      sym_implicit_length_array_type,
    ACTIONS(283), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1252), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(483), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(481), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1096), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(287), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(469), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19455] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(543), 1,
      anon_sym_chan,
    STATE(387), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19563] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(661), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19671] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(662), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19779] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(509), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1023), 1,
      sym_qualified_type,
    STATE(1283), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1130), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(585), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19887] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(671), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1212), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [19995] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(387), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(999), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20103] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(655), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20211] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(624), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20319] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(660), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1212), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20427] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(666), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20535] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(669), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20643] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(297), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1035), 1,
      sym_qualified_type,
    STATE(1263), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1111), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(303), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20751] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(609), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20859] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym_identifier,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_LT_DASH,
    STATE(597), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(441), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [20967] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    ACTIONS(559), 1,
      anon_sym_STAR,
    STATE(680), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1212), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21075] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(606), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21183] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(460), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1023), 1,
      sym_qualified_type,
    STATE(1283), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1130), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(585), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21291] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(477), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1023), 1,
      sym_qualified_type,
    STATE(1283), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1130), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(585), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21399] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(462), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1023), 1,
      sym_qualified_type,
    STATE(1283), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(999), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1130), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(585), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21507] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(691), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21615] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(387), 1,
      anon_sym_STAR,
    ACTIONS(389), 1,
      anon_sym_LT_DASH,
    STATE(387), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(999), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(391), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21723] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(486), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1023), 1,
      sym_qualified_type,
    STATE(1283), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1130), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(585), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21831] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(461), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1023), 1,
      sym_qualified_type,
    STATE(1283), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1130), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(585), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [21939] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym_identifier,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_LT_DASH,
    ACTIONS(543), 1,
      anon_sym_chan,
    STATE(387), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(441), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22047] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(292), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1035), 1,
      sym_qualified_type,
    STATE(1263), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1111), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(303), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22155] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(295), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1035), 1,
      sym_qualified_type,
    STATE(1263), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1111), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(303), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22263] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(397), 1,
      sym_identifier,
    ACTIONS(399), 1,
      anon_sym_STAR,
    STATE(387), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(999), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22371] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(291), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1035), 1,
      sym_qualified_type,
    STATE(1263), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1111), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(303), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22479] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(294), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1035), 1,
      sym_qualified_type,
    STATE(1263), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1111), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(303), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22587] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(231), 1,
      sym_identifier,
    ACTIONS(235), 1,
      anon_sym_LPAREN,
    ACTIONS(237), 1,
      anon_sym_func,
    ACTIONS(239), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_LT_DASH,
    ACTIONS(251), 1,
      anon_sym_DQUOTE,
    STATE(290), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1035), 1,
      sym_qualified_type,
    STATE(1263), 1,
      sym_implicit_length_array_type,
    ACTIONS(245), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1249), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(249), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(247), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1111), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(253), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(303), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22695] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(363), 1,
      sym_identifier,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_func,
    ACTIONS(369), 1,
      anon_sym_STAR,
    ACTIONS(371), 1,
      anon_sym_LT_DASH,
    ACTIONS(379), 1,
      anon_sym_DQUOTE,
    STATE(462), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1023), 1,
      sym_qualified_type,
    STATE(1283), 1,
      sym_implicit_length_array_type,
    ACTIONS(373), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1245), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(377), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(375), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1130), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(381), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(585), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22803] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(301), 1,
      anon_sym_STAR,
    ACTIONS(307), 1,
      anon_sym_LT_DASH,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    STATE(693), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(311), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [22911] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(295), 1,
      anon_sym_LPAREN,
    ACTIONS(299), 1,
      anon_sym_func,
    ACTIONS(315), 1,
      anon_sym_DQUOTE,
    ACTIONS(433), 1,
      sym_identifier,
    ACTIONS(435), 1,
      anon_sym_STAR,
    ACTIONS(439), 1,
      anon_sym_LT_DASH,
    STATE(638), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(854), 1,
      sym_qualified_type,
    STATE(1279), 1,
      sym_implicit_length_array_type,
    ACTIONS(309), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(1253), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(313), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(441), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(892), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(317), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(429), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [23019] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_STAR,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(41), 1,
      anon_sym_LT_DASH,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(183), 1,
      anon_sym_func,
    ACTIONS(557), 1,
      sym_identifier,
    STATE(241), 1,
      sym__expression,
    STATE(840), 1,
      sym_negated_type,
    STATE(1018), 1,
      sym_qualified_type,
    STATE(1294), 1,
      sym_implicit_length_array_type,
    ACTIONS(65), 2,
      anon_sym_new,
      anon_sym_make,
    STATE(999), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(69), 3,
      sym_raw_string_literal,
      sym_imaginary_literal,
      sym_rune_literal,
    STATE(860), 4,
      sym_pointer_type,
      sym_interface_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(67), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(1125), 5,
      sym_generic_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_map_type,
    ACTIONS(73), 6,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
    STATE(281), 13,
      sym_parenthesized_expression,
      sym_call_expression,
      sym_selector_expression,
      sym_index_expression,
      sym_slice_expression,
      sym_type_assertion_expression,
      sym_type_conversion_expression,
      sym_type_instantiation_expression,
      sym_composite_literal,
      sym_func_literal,
      sym_unary_expression,
      sym_binary_expression,
      sym_interpreted_string_literal,
  [23127] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(566), 1,
      anon_sym_LPAREN,
    ACTIONS(570), 1,
      anon_sym_COMMA,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(574), 1,
      anon_sym_LBRACK,
    ACTIONS(580), 1,
      anon_sym_STAR,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    STATE(398), 1,
      sym_literal_value,
    STATE(579), 1,
      aux_sym_var_spec_repeat1,
    STATE(848), 1,
      sym_type_arguments,
    STATE(1274), 1,
      sym_type_elem,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1091), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(583), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(578), 14,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23227] = 10,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(578), 1,
      aux_sym_source_file_token1,
    ACTIONS(591), 1,
      anon_sym_DOT,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(597), 1,
      anon_sym_LBRACK,
    ACTIONS(601), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      anon_sym_COLON,
    STATE(260), 1,
      sym_literal_value,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(583), 41,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23298] = 10,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(578), 1,
      aux_sym_source_file_token1,
    ACTIONS(591), 1,
      anon_sym_DOT,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(597), 1,
      anon_sym_LBRACK,
    ACTIONS(601), 1,
      anon_sym_LBRACE,
    ACTIONS(605), 1,
      anon_sym_COLON,
    STATE(260), 1,
      sym_literal_value,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(583), 41,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23369] = 9,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(578), 1,
      aux_sym_source_file_token1,
    ACTIONS(591), 1,
      anon_sym_DOT,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(597), 1,
      anon_sym_LBRACK,
    ACTIONS(601), 1,
      anon_sym_LBRACE,
    STATE(260), 1,
      sym_literal_value,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(583), 41,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23437] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(607), 1,
      aux_sym_source_file_token1,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(615), 1,
      anon_sym_COMMA,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(625), 1,
      anon_sym_LT_DASH,
    ACTIONS(627), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(629), 1,
      anon_sym_DASH_DASH,
    ACTIONS(633), 1,
      anon_sym_AMP_AMP,
    ACTIONS(635), 1,
      anon_sym_PIPE_PIPE,
    STATE(254), 1,
      sym_argument_list,
    STATE(791), 1,
      aux_sym_expression_list_repeat1,
    STATE(1286), 1,
      sym_type_arguments,
    ACTIONS(623), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(609), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(631), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(621), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(617), 13,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [23525] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      aux_sym_source_file_token1,
    STATE(254), 1,
      sym_argument_list,
    STATE(1286), 1,
      sym_type_arguments,
    ACTIONS(639), 41,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23590] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      aux_sym_source_file_token1,
    STATE(254), 1,
      sym_argument_list,
    STATE(1286), 1,
      sym_type_arguments,
    ACTIONS(643), 41,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(77), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_CARET,
      anon_sym_AMP,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(645), 30,
      anon_sym_package,
      anon_sym_import,
      anon_sym_const,
      anon_sym_var,
      anon_sym_func,
      anon_sym_type,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym_return,
      anon_sym_go,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_select,
      anon_sym_new,
      anon_sym_make,
      sym_identifier,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
      sym_iota,
  [23710] = 12,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(633), 1,
      anon_sym_AMP_AMP,
    ACTIONS(641), 1,
      aux_sym_source_file_token1,
    STATE(254), 1,
      sym_argument_list,
    STATE(1286), 1,
      sym_type_arguments,
    ACTIONS(623), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(631), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(621), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(643), 23,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PIPE_PIPE,
  [23783] = 11,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      aux_sym_source_file_token1,
    STATE(254), 1,
      sym_argument_list,
    STATE(1286), 1,
      sym_type_arguments,
    ACTIONS(623), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(631), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(621), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(643), 24,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23854] = 10,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      aux_sym_source_file_token1,
    STATE(254), 1,
      sym_argument_list,
    STATE(1286), 1,
      sym_type_arguments,
    ACTIONS(623), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(621), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(643), 30,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23923] = 9,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_DOT,
    ACTIONS(613), 1,
      anon_sym_LPAREN,
    ACTIONS(619), 1,
      anon_sym_LBRACK,
    ACTIONS(641), 1,
      aux_sym_source_file_token1,
    STATE(254), 1,
      sym_argument_list,
    STATE(1286), 1,
      sym_type_arguments,
    ACTIONS(621), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(643), 34,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [23990] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(647), 1,
      aux_sym_source_file_token1,
    ACTIONS(649), 45,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_else,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24044] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(651), 1,
      aux_sym_source_file_token1,
    ACTIONS(653), 45,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_else,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24098] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(578), 1,
      aux_sym_source_file_token1,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    STATE(254), 1,
      sym_special_argument_list,
    ACTIONS(583), 43,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24156] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(657), 1,
      aux_sym_source_file_token1,
    ACTIONS(659), 45,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24210] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(661), 1,
      aux_sym_source_file_token1,
    ACTIONS(663), 45,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24264] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(665), 1,
      aux_sym_source_file_token1,
    ACTIONS(667), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24317] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(669), 1,
      aux_sym_source_file_token1,
    ACTIONS(671), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24370] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(673), 1,
      aux_sym_source_file_token1,
    ACTIONS(675), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24423] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(677), 1,
      aux_sym_source_file_token1,
    ACTIONS(679), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24476] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(681), 1,
      aux_sym_source_file_token1,
    ACTIONS(683), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24529] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(685), 1,
      aux_sym_source_file_token1,
    ACTIONS(687), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24582] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(689), 1,
      aux_sym_source_file_token1,
    ACTIONS(691), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24635] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(693), 1,
      aux_sym_source_file_token1,
    ACTIONS(695), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24688] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(697), 1,
      aux_sym_source_file_token1,
    ACTIONS(699), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24741] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(701), 1,
      aux_sym_source_file_token1,
    ACTIONS(703), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24794] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(705), 1,
      aux_sym_source_file_token1,
    ACTIONS(707), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24847] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(709), 1,
      aux_sym_source_file_token1,
    ACTIONS(711), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24900] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(713), 1,
      aux_sym_source_file_token1,
    ACTIONS(715), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [24953] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(717), 1,
      aux_sym_source_file_token1,
    ACTIONS(719), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25006] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(721), 1,
      aux_sym_source_file_token1,
    ACTIONS(723), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25059] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(725), 1,
      aux_sym_source_file_token1,
    ACTIONS(727), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25112] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(729), 1,
      aux_sym_source_file_token1,
    ACTIONS(731), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25165] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(733), 1,
      aux_sym_source_file_token1,
    ACTIONS(735), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25218] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(737), 1,
      aux_sym_source_file_token1,
    ACTIONS(739), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25271] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(741), 1,
      aux_sym_source_file_token1,
    ACTIONS(743), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25324] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(745), 1,
      aux_sym_source_file_token1,
    ACTIONS(747), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25377] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(607), 1,
      anon_sym_SEMI,
    ACTIONS(617), 1,
      anon_sym_EQ,
    ACTIONS(749), 1,
      anon_sym_DOT,
    ACTIONS(751), 1,
      anon_sym_LPAREN,
    ACTIONS(753), 1,
      anon_sym_COMMA,
    ACTIONS(755), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_LT_DASH,
    ACTIONS(765), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(767), 1,
      anon_sym_DASH_DASH,
    ACTIONS(773), 1,
      anon_sym_AMP_AMP,
    ACTIONS(775), 1,
      anon_sym_PIPE_PIPE,
    STATE(325), 1,
      sym_argument_list,
    STATE(791), 1,
      aux_sym_expression_list_repeat1,
    STATE(902), 1,
      sym_block,
    STATE(1267), 1,
      sym_type_arguments,
    ACTIONS(771), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(759), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(769), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(757), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(763), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [25468] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(777), 1,
      aux_sym_source_file_token1,
    ACTIONS(779), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25521] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(781), 1,
      aux_sym_source_file_token1,
    ACTIONS(783), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25574] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(785), 1,
      aux_sym_source_file_token1,
    ACTIONS(787), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25627] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(607), 1,
      anon_sym_SEMI,
    ACTIONS(617), 1,
      anon_sym_EQ,
    ACTIONS(749), 1,
      anon_sym_DOT,
    ACTIONS(751), 1,
      anon_sym_LPAREN,
    ACTIONS(753), 1,
      anon_sym_COMMA,
    ACTIONS(755), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_LT_DASH,
    ACTIONS(765), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(767), 1,
      anon_sym_DASH_DASH,
    ACTIONS(773), 1,
      anon_sym_AMP_AMP,
    ACTIONS(775), 1,
      anon_sym_PIPE_PIPE,
    STATE(325), 1,
      sym_argument_list,
    STATE(791), 1,
      aux_sym_expression_list_repeat1,
    STATE(969), 1,
      sym_block,
    STATE(1267), 1,
      sym_type_arguments,
    ACTIONS(771), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(759), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(769), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(757), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(763), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [25718] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(789), 1,
      aux_sym_source_file_token1,
    ACTIONS(791), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25771] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(793), 1,
      aux_sym_source_file_token1,
    ACTIONS(795), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25824] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(578), 1,
      aux_sym_source_file_token1,
    ACTIONS(583), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25877] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(797), 1,
      aux_sym_source_file_token1,
    ACTIONS(799), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25930] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(801), 1,
      aux_sym_source_file_token1,
    ACTIONS(803), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [25983] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(805), 1,
      aux_sym_source_file_token1,
    ACTIONS(807), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26036] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(809), 1,
      aux_sym_source_file_token1,
    ACTIONS(811), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26089] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(813), 1,
      aux_sym_source_file_token1,
    ACTIONS(815), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26142] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(817), 1,
      aux_sym_source_file_token1,
    ACTIONS(819), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26195] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(821), 1,
      aux_sym_source_file_token1,
    ACTIONS(823), 44,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26248] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_SEMI,
    ACTIONS(617), 1,
      anon_sym_EQ,
    ACTIONS(751), 1,
      anon_sym_LPAREN,
    ACTIONS(753), 1,
      anon_sym_COMMA,
    ACTIONS(755), 1,
      anon_sym_LBRACK,
    ACTIONS(761), 1,
      anon_sym_LT_DASH,
    ACTIONS(765), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(767), 1,
      anon_sym_DASH_DASH,
    ACTIONS(773), 1,
      anon_sym_AMP_AMP,
    ACTIONS(775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(825), 1,
      anon_sym_DOT,
    ACTIONS(827), 1,
      anon_sym_LBRACE,
    STATE(325), 1,
      sym_argument_list,
    STATE(791), 1,
      aux_sym_expression_list_repeat1,
    STATE(1267), 1,
      sym_type_arguments,
    ACTIONS(771), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(759), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(769), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(757), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(763), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [26336] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 1,
      anon_sym_EQ,
    ACTIONS(749), 1,
      anon_sym_DOT,
    ACTIONS(751), 1,
      anon_sym_LPAREN,
    ACTIONS(755), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_AMP_AMP,
    STATE(325), 1,
      sym_argument_list,
    STATE(1267), 1,
      sym_type_arguments,
    ACTIONS(771), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(759), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(769), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(757), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE,
  [26407] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_DOT,
    ACTIONS(751), 1,
      anon_sym_LPAREN,
    ACTIONS(755), 1,
      anon_sym_LBRACK,
    STATE(325), 1,
      sym_argument_list,
    STATE(1267), 1,
      sym_type_arguments,
    ACTIONS(643), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(759), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(757), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26472] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_DOT,
    ACTIONS(751), 1,
      anon_sym_LPAREN,
    ACTIONS(755), 1,
      anon_sym_LBRACK,
    STATE(325), 1,
      sym_argument_list,
    STATE(1267), 1,
      sym_type_arguments,
    ACTIONS(643), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(641), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26533] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(829), 1,
      anon_sym_LPAREN,
    ACTIONS(832), 1,
      anon_sym_LBRACK,
    STATE(302), 1,
      sym_literal_value,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(583), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26594] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 1,
      anon_sym_EQ,
    ACTIONS(749), 1,
      anon_sym_DOT,
    ACTIONS(751), 1,
      anon_sym_LPAREN,
    ACTIONS(755), 1,
      anon_sym_LBRACK,
    STATE(325), 1,
      sym_argument_list,
    STATE(1267), 1,
      sym_type_arguments,
    ACTIONS(771), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(759), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(769), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(757), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 20,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26663] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_DOT,
    ACTIONS(751), 1,
      anon_sym_LPAREN,
    ACTIONS(755), 1,
      anon_sym_LBRACK,
    STATE(325), 1,
      sym_argument_list,
    STATE(1267), 1,
      sym_type_arguments,
    ACTIONS(643), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(757), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26726] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LBRACE,
    ACTIONS(617), 1,
      anon_sym_EQ,
    ACTIONS(749), 1,
      anon_sym_DOT,
    ACTIONS(751), 1,
      anon_sym_LPAREN,
    ACTIONS(753), 1,
      anon_sym_COMMA,
    ACTIONS(755), 1,
      anon_sym_LBRACK,
    ACTIONS(765), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(767), 1,
      anon_sym_DASH_DASH,
    ACTIONS(773), 1,
      anon_sym_AMP_AMP,
    ACTIONS(775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(836), 1,
      anon_sym_LT_DASH,
    STATE(325), 1,
      sym_argument_list,
    STATE(791), 1,
      aux_sym_expression_list_repeat1,
    STATE(1267), 1,
      sym_type_arguments,
    ACTIONS(771), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(759), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(769), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(757), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(763), 12,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [26811] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym_DOT,
    ACTIONS(751), 1,
      anon_sym_LPAREN,
    ACTIONS(755), 1,
      anon_sym_LBRACK,
    STATE(325), 1,
      sym_argument_list,
    STATE(1267), 1,
      sym_type_arguments,
    ACTIONS(639), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(637), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26872] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    STATE(325), 1,
      sym_special_argument_list,
    ACTIONS(583), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 26,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(721), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [26975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(673), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(693), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(583), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(697), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(725), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(815), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(813), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(787), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(785), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(745), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(733), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(729), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(717), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(705), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(689), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(681), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(685), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(647), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(713), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(739), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(737), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(665), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [27955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(777), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(709), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(677), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(781), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(799), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(797), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(809), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(789), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(819), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(817), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(807), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(805), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(741), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(801), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(657), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(701), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(795), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(793), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(663), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(661), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(821), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28788] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(829), 1,
      anon_sym_LPAREN,
    ACTIONS(832), 1,
      anon_sym_LBRACK,
    ACTIONS(840), 1,
      anon_sym_LBRACE,
    STATE(374), 1,
      sym_literal_value,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(583), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28847] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACK,
    STATE(376), 1,
      sym_argument_list,
    STATE(1257), 1,
      sym_type_arguments,
    ACTIONS(643), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(848), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28907] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACK,
    STATE(376), 1,
      sym_argument_list,
    STATE(1257), 1,
      sym_type_arguments,
    ACTIONS(643), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(848), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [28965] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 1,
      anon_sym_EQ,
    ACTIONS(842), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACK,
    STATE(376), 1,
      sym_argument_list,
    STATE(1257), 1,
      sym_type_arguments,
    ACTIONS(854), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(852), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(848), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 15,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29029] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 1,
      anon_sym_EQ,
    ACTIONS(842), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACK,
    ACTIONS(856), 1,
      anon_sym_AMP_AMP,
    STATE(376), 1,
      sym_argument_list,
    STATE(1257), 1,
      sym_type_arguments,
    ACTIONS(854), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(852), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(848), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 14,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_PIPE,
  [29095] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACK,
    STATE(376), 1,
      sym_argument_list,
    STATE(1257), 1,
      sym_type_arguments,
    ACTIONS(639), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(637), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29151] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACK,
    STATE(376), 1,
      sym_argument_list,
    STATE(1257), 1,
      sym_type_arguments,
    ACTIONS(643), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(641), 19,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29207] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 1,
      anon_sym_DOT,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_LBRACK,
    ACTIONS(856), 1,
      anon_sym_AMP_AMP,
    ACTIONS(860), 1,
      anon_sym_EQ,
    ACTIONS(862), 1,
      anon_sym_PIPE_PIPE,
    STATE(376), 1,
      sym_argument_list,
    STATE(1257), 1,
      sym_type_arguments,
    ACTIONS(854), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(850), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(852), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(848), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(858), 13,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [29275] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(864), 1,
      anon_sym_LPAREN,
    STATE(376), 1,
      sym_special_argument_list,
    ACTIONS(583), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 21,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(721), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(697), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(681), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(689), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(705), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(713), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(673), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(677), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(725), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(821), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(701), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(647), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(663), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(661), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(709), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(795), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(793), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [29984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(657), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(717), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(739), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(737), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(801), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(665), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(815), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(813), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(787), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(785), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(745), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(685), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(733), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(741), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(807), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(805), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(819), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(817), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(693), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(789), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(809), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(729), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(799), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(797), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(781), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(777), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(583), 14,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 22,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [30996] = 17,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(868), 1,
      aux_sym_source_file_token1,
    ACTIONS(872), 1,
      anon_sym_LPAREN,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(876), 1,
      anon_sym_LBRACK,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(882), 1,
      anon_sym_TILDE,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(890), 1,
      anon_sym_LT_DASH,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(827), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(870), 10,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [31067] = 24,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(882), 1,
      anon_sym_TILDE,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(890), 1,
      anon_sym_LT_DASH,
    ACTIONS(892), 1,
      aux_sym_source_file_token1,
    ACTIONS(896), 1,
      anon_sym_DOT,
    ACTIONS(898), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_COMMA,
    ACTIONS(902), 1,
      anon_sym_LBRACK,
    ACTIONS(904), 1,
      sym_raw_string_literal,
    ACTIONS(906), 1,
      anon_sym_DQUOTE,
    STATE(596), 1,
      aux_sym_field_declaration_repeat1,
    STATE(814), 1,
      sym_type_arguments,
    STATE(1085), 1,
      sym_interpreted_string_literal,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(905), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(894), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [31152] = 17,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(868), 1,
      aux_sym_source_file_token1,
    ACTIONS(872), 1,
      anon_sym_LPAREN,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(882), 1,
      anon_sym_TILDE,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_func,
    ACTIONS(912), 1,
      anon_sym_LBRACK,
    ACTIONS(914), 1,
      anon_sym_STAR,
    ACTIONS(916), 1,
      anon_sym_map,
    ACTIONS(918), 1,
      anon_sym_chan,
    ACTIONS(920), 1,
      anon_sym_LT_DASH,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(827), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
    ACTIONS(870), 10,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [31223] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(922), 1,
      anon_sym_DOT,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(639), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(637), 22,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31275] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(922), 1,
      anon_sym_DOT,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(643), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(641), 22,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31327] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(832), 1,
      anon_sym_LBRACK,
    STATE(398), 1,
      sym_literal_value,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(829), 2,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    ACTIONS(583), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31380] = 20,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(279), 1,
      anon_sym_TILDE,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(928), 1,
      aux_sym_source_file_token1,
    ACTIONS(932), 1,
      anon_sym_LPAREN,
    ACTIONS(934), 1,
      anon_sym_COMMA,
    ACTIONS(936), 1,
      anon_sym_EQ,
    ACTIONS(938), 1,
      anon_sym_LBRACK,
    ACTIONS(940), 1,
      anon_sym_STAR,
    ACTIONS(942), 1,
      anon_sym_LT_DASH,
    STATE(780), 1,
      aux_sym_const_spec_repeat1,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1387), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(930), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [31455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(944), 1,
      anon_sym_LPAREN,
    STATE(399), 1,
      sym_special_argument_list,
    ACTIONS(583), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 23,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31500] = 20,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(279), 1,
      anon_sym_TILDE,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(932), 1,
      anon_sym_LPAREN,
    ACTIONS(934), 1,
      anon_sym_COMMA,
    ACTIONS(938), 1,
      anon_sym_LBRACK,
    ACTIONS(940), 1,
      anon_sym_STAR,
    ACTIONS(942), 1,
      anon_sym_LT_DASH,
    ACTIONS(946), 1,
      aux_sym_source_file_token1,
    ACTIONS(950), 1,
      anon_sym_EQ,
    STATE(390), 1,
      aux_sym_const_spec_repeat1,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1360), 2,
      sym_parenthesized_type,
      sym__simple_type,
    ACTIONS(948), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [31575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(647), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(801), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(807), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(805), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(677), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(697), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(693), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(821), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(725), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(709), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [31975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(701), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(795), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(793), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(741), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(657), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(819), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(817), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(789), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(809), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(799), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(797), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(781), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(777), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(665), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(787), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(785), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(739), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(737), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(721), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(815), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(813), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(713), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(685), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(673), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(681), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(689), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(705), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(717), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32895] = 15,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(763), 1,
      aux_sym_source_file_token1,
    ACTIONS(952), 1,
      anon_sym_DOT,
    ACTIONS(954), 1,
      anon_sym_LPAREN,
    ACTIONS(956), 1,
      anon_sym_COMMA,
    ACTIONS(958), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_AMP_AMP,
    ACTIONS(968), 1,
      anon_sym_PIPE_PIPE,
    STATE(484), 1,
      sym_argument_list,
    STATE(891), 1,
      aux_sym_expression_list_repeat1,
    STATE(1297), 1,
      sym_type_arguments,
    ACTIONS(962), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(617), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(964), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(960), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [32959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(729), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [32999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(663), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(661), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(583), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(733), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33119] = 9,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(578), 1,
      aux_sym_source_file_token1,
    ACTIONS(591), 1,
      anon_sym_DOT,
    ACTIONS(594), 1,
      anon_sym_LPAREN,
    ACTIONS(597), 1,
      anon_sym_LBRACK,
    ACTIONS(970), 1,
      anon_sym_LBRACE,
    STATE(485), 1,
      sym_literal_value,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(583), 25,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(745), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33211] = 9,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(641), 1,
      aux_sym_source_file_token1,
    ACTIONS(952), 1,
      anon_sym_DOT,
    ACTIONS(954), 1,
      anon_sym_LPAREN,
    ACTIONS(958), 1,
      anon_sym_LBRACK,
    STATE(484), 1,
      sym_argument_list,
    STATE(1297), 1,
      sym_type_arguments,
    ACTIONS(960), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(643), 18,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33262] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(974), 1,
      anon_sym_LPAREN,
    ACTIONS(976), 1,
      anon_sym_func,
    ACTIONS(978), 1,
      anon_sym_LBRACK,
    ACTIONS(980), 1,
      anon_sym_STAR,
    ACTIONS(982), 1,
      anon_sym_LT_DASH,
    STATE(840), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(873), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(868), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [33327] = 13,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(858), 1,
      aux_sym_source_file_token1,
    ACTIONS(952), 1,
      anon_sym_DOT,
    ACTIONS(954), 1,
      anon_sym_LPAREN,
    ACTIONS(958), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_AMP_AMP,
    ACTIONS(968), 1,
      anon_sym_PIPE_PIPE,
    STATE(484), 1,
      sym_argument_list,
    STATE(1297), 1,
      sym_type_arguments,
    ACTIONS(962), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(860), 6,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(964), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(960), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [33386] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(643), 5,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 14,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33439] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(974), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(873), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(868), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [33504] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(643), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33561] = 12,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(641), 1,
      aux_sym_source_file_token1,
    ACTIONS(952), 1,
      anon_sym_DOT,
    ACTIONS(954), 1,
      anon_sym_LPAREN,
    ACTIONS(958), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_AMP_AMP,
    STATE(484), 1,
      sym_argument_list,
    STATE(1297), 1,
      sym_type_arguments,
    ACTIONS(962), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(964), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(643), 7,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PIPE_PIPE,
    ACTIONS(960), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [33618] = 11,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(641), 1,
      aux_sym_source_file_token1,
    ACTIONS(952), 1,
      anon_sym_DOT,
    ACTIONS(954), 1,
      anon_sym_LPAREN,
    ACTIONS(958), 1,
      anon_sym_LBRACK,
    STATE(484), 1,
      sym_argument_list,
    STATE(1297), 1,
      sym_type_arguments,
    ACTIONS(962), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(964), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(960), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(643), 8,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33673] = 10,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(641), 1,
      aux_sym_source_file_token1,
    ACTIONS(952), 1,
      anon_sym_DOT,
    ACTIONS(954), 1,
      anon_sym_LPAREN,
    ACTIONS(958), 1,
      anon_sym_LBRACK,
    STATE(484), 1,
      sym_argument_list,
    STATE(1297), 1,
      sym_type_arguments,
    ACTIONS(962), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(960), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(643), 14,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33726] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(643), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33787] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(643), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PIPE_PIPE,
  [33850] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(641), 1,
      aux_sym_source_file_token1,
    ACTIONS(952), 1,
      anon_sym_DOT,
    ACTIONS(954), 1,
      anon_sym_LPAREN,
    ACTIONS(958), 1,
      anon_sym_LBRACK,
    STATE(484), 1,
      sym_argument_list,
    STATE(1297), 1,
      sym_type_arguments,
    ACTIONS(643), 25,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33899] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(637), 1,
      aux_sym_source_file_token1,
    ACTIONS(952), 1,
      anon_sym_DOT,
    ACTIONS(954), 1,
      anon_sym_LPAREN,
    ACTIONS(958), 1,
      anon_sym_LBRACK,
    STATE(484), 1,
      sym_argument_list,
    STATE(1297), 1,
      sym_type_arguments,
    ACTIONS(639), 25,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [33948] = 13,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(952), 1,
      anon_sym_DOT,
    ACTIONS(954), 1,
      anon_sym_LPAREN,
    ACTIONS(958), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_AMP_AMP,
    ACTIONS(968), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1004), 1,
      aux_sym_source_file_token1,
    STATE(484), 1,
      sym_argument_list,
    STATE(1297), 1,
      sym_type_arguments,
    ACTIONS(962), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1006), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(964), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(960), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34006] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(578), 1,
      aux_sym_source_file_token1,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    STATE(484), 1,
      sym_special_argument_list,
    ACTIONS(583), 27,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34048] = 13,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(952), 1,
      anon_sym_DOT,
    ACTIONS(954), 1,
      anon_sym_LPAREN,
    ACTIONS(958), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_AMP_AMP,
    ACTIONS(968), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1010), 1,
      aux_sym_source_file_token1,
    STATE(484), 1,
      sym_argument_list,
    STATE(1297), 1,
      sym_type_arguments,
    ACTIONS(962), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1012), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(964), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(960), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34106] = 13,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(952), 1,
      anon_sym_DOT,
    ACTIONS(954), 1,
      anon_sym_LPAREN,
    ACTIONS(958), 1,
      anon_sym_LBRACK,
    ACTIONS(966), 1,
      anon_sym_AMP_AMP,
    ACTIONS(968), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1014), 1,
      aux_sym_source_file_token1,
    STATE(484), 1,
      sym_argument_list,
    STATE(1297), 1,
      sym_type_arguments,
    ACTIONS(962), 4,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1016), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(964), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(960), 7,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34164] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1020), 1,
      sym_identifier,
    ACTIONS(1024), 1,
      anon_sym_LPAREN,
    ACTIONS(1026), 1,
      anon_sym_func,
    ACTIONS(1028), 1,
      anon_sym_LBRACK,
    ACTIONS(1030), 1,
      anon_sym_STAR,
    ACTIONS(1032), 1,
      anon_sym_struct,
    ACTIONS(1034), 1,
      anon_sym_TILDE,
    ACTIONS(1036), 1,
      anon_sym_LBRACE,
    ACTIONS(1038), 1,
      anon_sym_interface,
    ACTIONS(1040), 1,
      anon_sym_map,
    ACTIONS(1042), 1,
      anon_sym_chan,
    ACTIONS(1044), 1,
      anon_sym_LT_DASH,
    STATE(1092), 1,
      sym_block,
    ACTIONS(1018), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1022), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(911), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(975), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(997), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34234] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(617), 1,
      anon_sym_EQ,
    ACTIONS(761), 1,
      anon_sym_LT_DASH,
    ACTIONS(763), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1046), 1,
      anon_sym_DOT,
    ACTIONS(1048), 1,
      anon_sym_LPAREN,
    ACTIONS(1050), 1,
      anon_sym_COMMA,
    ACTIONS(1052), 1,
      anon_sym_LBRACK,
    ACTIONS(1056), 1,
      anon_sym_PIPE,
    ACTIONS(1058), 1,
      anon_sym_COLON,
    ACTIONS(1068), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1070), 1,
      anon_sym_PIPE_PIPE,
    STATE(538), 1,
      sym_argument_list,
    STATE(918), 1,
      aux_sym_expression_list_repeat1,
    STATE(1298), 1,
      sym_type_arguments,
    ACTIONS(1062), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1066), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1060), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1064), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1054), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34306] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1072), 1,
      anon_sym_DOT,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1076), 1,
      anon_sym_RPAREN,
    ACTIONS(1078), 1,
      anon_sym_COMMA,
    ACTIONS(1081), 1,
      anon_sym_LBRACK,
    ACTIONS(1083), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(595), 1,
      aux_sym_var_spec_repeat1,
    STATE(848), 1,
      sym_type_arguments,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1313), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34380] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(829), 1,
      anon_sym_LPAREN,
    ACTIONS(832), 1,
      anon_sym_LBRACK,
    ACTIONS(1085), 1,
      anon_sym_LBRACE,
    STATE(539), 1,
      sym_literal_value,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(583), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34430] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1020), 1,
      sym_identifier,
    ACTIONS(1024), 1,
      anon_sym_LPAREN,
    ACTIONS(1026), 1,
      anon_sym_func,
    ACTIONS(1028), 1,
      anon_sym_LBRACK,
    ACTIONS(1030), 1,
      anon_sym_STAR,
    ACTIONS(1032), 1,
      anon_sym_struct,
    ACTIONS(1034), 1,
      anon_sym_TILDE,
    ACTIONS(1036), 1,
      anon_sym_LBRACE,
    ACTIONS(1038), 1,
      anon_sym_interface,
    ACTIONS(1040), 1,
      anon_sym_map,
    ACTIONS(1042), 1,
      anon_sym_chan,
    ACTIONS(1044), 1,
      anon_sym_LT_DASH,
    STATE(1066), 1,
      sym_block,
    ACTIONS(1087), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1089), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(911), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(917), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(997), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34500] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1020), 1,
      sym_identifier,
    ACTIONS(1024), 1,
      anon_sym_LPAREN,
    ACTIONS(1026), 1,
      anon_sym_func,
    ACTIONS(1028), 1,
      anon_sym_LBRACK,
    ACTIONS(1030), 1,
      anon_sym_STAR,
    ACTIONS(1032), 1,
      anon_sym_struct,
    ACTIONS(1034), 1,
      anon_sym_TILDE,
    ACTIONS(1036), 1,
      anon_sym_LBRACE,
    ACTIONS(1038), 1,
      anon_sym_interface,
    ACTIONS(1040), 1,
      anon_sym_map,
    ACTIONS(1042), 1,
      anon_sym_chan,
    ACTIONS(1044), 1,
      anon_sym_LT_DASH,
    STATE(1056), 1,
      sym_block,
    ACTIONS(1091), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1093), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(911), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(924), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(997), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34570] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(974), 1,
      anon_sym_LPAREN,
    ACTIONS(976), 1,
      anon_sym_func,
    ACTIONS(978), 1,
      anon_sym_LBRACK,
    ACTIONS(980), 1,
      anon_sym_STAR,
    ACTIONS(982), 1,
      anon_sym_LT_DASH,
    ACTIONS(1095), 1,
      anon_sym_LBRACE,
    STATE(402), 1,
      sym_block,
    STATE(840), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(894), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(868), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34638] = 17,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1020), 1,
      sym_identifier,
    ACTIONS(1024), 1,
      anon_sym_LPAREN,
    ACTIONS(1026), 1,
      anon_sym_func,
    ACTIONS(1028), 1,
      anon_sym_LBRACK,
    ACTIONS(1030), 1,
      anon_sym_STAR,
    ACTIONS(1032), 1,
      anon_sym_struct,
    ACTIONS(1034), 1,
      anon_sym_TILDE,
    ACTIONS(1038), 1,
      anon_sym_interface,
    ACTIONS(1040), 1,
      anon_sym_map,
    ACTIONS(1042), 1,
      anon_sym_chan,
    ACTIONS(1044), 1,
      anon_sym_LT_DASH,
    ACTIONS(868), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    STATE(911), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(947), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(870), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACE,
    STATE(997), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [34703] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(717), 1,
      aux_sym_source_file_token1,
    ACTIONS(719), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34740] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(661), 1,
      aux_sym_source_file_token1,
    ACTIONS(663), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34777] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1046), 1,
      anon_sym_DOT,
    ACTIONS(1048), 1,
      anon_sym_LPAREN,
    ACTIONS(1052), 1,
      anon_sym_LBRACK,
    ACTIONS(1056), 1,
      anon_sym_PIPE,
    ACTIONS(1068), 1,
      anon_sym_AMP_AMP,
    STATE(538), 1,
      sym_argument_list,
    STATE(1298), 1,
      sym_type_arguments,
    ACTIONS(643), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1062), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1066), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1060), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(641), 4,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PIPE_PIPE,
    ACTIONS(1064), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1054), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [34838] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1046), 1,
      anon_sym_DOT,
    ACTIONS(1048), 1,
      anon_sym_LPAREN,
    ACTIONS(1052), 1,
      anon_sym_LBRACK,
    STATE(538), 1,
      sym_argument_list,
    STATE(1298), 1,
      sym_type_arguments,
    ACTIONS(1062), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(643), 5,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1054), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 12,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34889] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1046), 1,
      anon_sym_DOT,
    ACTIONS(1048), 1,
      anon_sym_LPAREN,
    ACTIONS(1052), 1,
      anon_sym_LBRACK,
    STATE(538), 1,
      sym_argument_list,
    STATE(1298), 1,
      sym_type_arguments,
    ACTIONS(639), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(637), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34936] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(801), 1,
      aux_sym_source_file_token1,
    ACTIONS(803), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [34973] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(741), 1,
      aux_sym_source_file_token1,
    ACTIONS(743), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35010] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(805), 1,
      aux_sym_source_file_token1,
    ACTIONS(807), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35047] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(817), 1,
      aux_sym_source_file_token1,
    ACTIONS(819), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35084] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(657), 1,
      aux_sym_source_file_token1,
    ACTIONS(659), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35121] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      sym_identifier,
    ACTIONS(1099), 1,
      anon_sym_RPAREN,
    ACTIONS(1101), 1,
      anon_sym_COMMA,
    ACTIONS(1103), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1171), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1244), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35190] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(578), 1,
      aux_sym_source_file_token1,
    ACTIONS(583), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35227] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(809), 1,
      aux_sym_source_file_token1,
    ACTIONS(811), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35264] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(797), 1,
      aux_sym_source_file_token1,
    ACTIONS(799), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35301] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(781), 1,
      aux_sym_source_file_token1,
    ACTIONS(783), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35338] = 17,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1024), 1,
      anon_sym_LPAREN,
    ACTIONS(1032), 1,
      anon_sym_struct,
    ACTIONS(1034), 1,
      anon_sym_TILDE,
    ACTIONS(1038), 1,
      anon_sym_interface,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_func,
    ACTIONS(1109), 1,
      anon_sym_LBRACK,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    ACTIONS(1113), 1,
      anon_sym_map,
    ACTIONS(1115), 1,
      anon_sym_chan,
    ACTIONS(1117), 1,
      anon_sym_LT_DASH,
    ACTIONS(868), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    STATE(900), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(947), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(870), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACE,
    STATE(997), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35403] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(777), 1,
      aux_sym_source_file_token1,
    ACTIONS(779), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35440] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(665), 1,
      aux_sym_source_file_token1,
    ACTIONS(667), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35477] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(737), 1,
      aux_sym_source_file_token1,
    ACTIONS(739), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35514] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1046), 1,
      anon_sym_DOT,
    ACTIONS(1048), 1,
      anon_sym_LPAREN,
    ACTIONS(1052), 1,
      anon_sym_LBRACK,
    ACTIONS(1056), 1,
      anon_sym_PIPE,
    STATE(538), 1,
      sym_argument_list,
    STATE(1298), 1,
      sym_type_arguments,
    ACTIONS(643), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(1062), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1066), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1060), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1064), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(641), 5,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1054), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [35573] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(721), 1,
      aux_sym_source_file_token1,
    ACTIONS(723), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35610] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_LPAREN,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(876), 1,
      anon_sym_LBRACK,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(882), 1,
      anon_sym_TILDE,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(890), 1,
      anon_sym_LT_DASH,
    ACTIONS(1087), 1,
      aux_sym_source_file_token1,
    ACTIONS(1119), 1,
      anon_sym_LBRACE,
    STATE(1137), 1,
      sym_block,
    ACTIONS(1089), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1024), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [35679] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(647), 1,
      aux_sym_source_file_token1,
    ACTIONS(649), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35716] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(713), 1,
      aux_sym_source_file_token1,
    ACTIONS(715), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35753] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(685), 1,
      aux_sym_source_file_token1,
    ACTIONS(687), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35790] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(681), 1,
      aux_sym_source_file_token1,
    ACTIONS(683), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35827] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(669), 1,
      aux_sym_source_file_token1,
    ACTIONS(671), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35864] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(693), 1,
      aux_sym_source_file_token1,
    ACTIONS(695), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35901] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1046), 1,
      anon_sym_DOT,
    ACTIONS(1048), 1,
      anon_sym_LPAREN,
    ACTIONS(1052), 1,
      anon_sym_LBRACK,
    ACTIONS(1056), 1,
      anon_sym_PIPE,
    STATE(538), 1,
      sym_argument_list,
    STATE(1298), 1,
      sym_type_arguments,
    ACTIONS(1062), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1060), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(643), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1054), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 9,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35956] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(689), 1,
      aux_sym_source_file_token1,
    ACTIONS(691), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [35993] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      sym_identifier,
    ACTIONS(1103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1121), 1,
      anon_sym_RPAREN,
    ACTIONS(1123), 1,
      anon_sym_COMMA,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1168), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1244), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [36062] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(705), 1,
      aux_sym_source_file_token1,
    ACTIONS(707), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36099] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(860), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(858), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [36162] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      sym_identifier,
    ACTIONS(1103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1127), 1,
      anon_sym_RPAREN,
    ACTIONS(1129), 1,
      anon_sym_COMMA,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1225), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(1244), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [36231] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(789), 1,
      aux_sym_source_file_token1,
    ACTIONS(791), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36268] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(729), 1,
      aux_sym_source_file_token1,
    ACTIONS(731), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36305] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(733), 1,
      aux_sym_source_file_token1,
    ACTIONS(735), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36342] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(745), 1,
      aux_sym_source_file_token1,
    ACTIONS(747), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36379] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(785), 1,
      aux_sym_source_file_token1,
    ACTIONS(787), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36416] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(813), 1,
      aux_sym_source_file_token1,
    ACTIONS(815), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36453] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(725), 1,
      aux_sym_source_file_token1,
    ACTIONS(727), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36490] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(697), 1,
      aux_sym_source_file_token1,
    ACTIONS(699), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36527] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(673), 1,
      aux_sym_source_file_token1,
    ACTIONS(675), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36564] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(677), 1,
      aux_sym_source_file_token1,
    ACTIONS(679), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36601] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_LPAREN,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(876), 1,
      anon_sym_LBRACK,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(882), 1,
      anon_sym_TILDE,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(890), 1,
      anon_sym_LT_DASH,
    ACTIONS(1018), 1,
      aux_sym_source_file_token1,
    ACTIONS(1119), 1,
      anon_sym_LBRACE,
    STATE(1178), 1,
      sym_block,
    ACTIONS(1022), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1036), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [36670] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(821), 1,
      aux_sym_source_file_token1,
    ACTIONS(823), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36707] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(701), 1,
      aux_sym_source_file_token1,
    ACTIONS(703), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36744] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(651), 1,
      aux_sym_source_file_token1,
    ACTIONS(653), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36781] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(709), 1,
      aux_sym_source_file_token1,
    ACTIONS(711), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36818] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(793), 1,
      aux_sym_source_file_token1,
    ACTIONS(795), 28,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36855] = 19,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_LPAREN,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(876), 1,
      anon_sym_LBRACK,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(882), 1,
      anon_sym_TILDE,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(890), 1,
      anon_sym_LT_DASH,
    ACTIONS(1091), 1,
      aux_sym_source_file_token1,
    ACTIONS(1119), 1,
      anon_sym_LBRACE,
    STATE(1142), 1,
      sym_block,
    ACTIONS(1093), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1029), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [36924] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1046), 1,
      anon_sym_DOT,
    ACTIONS(1048), 1,
      anon_sym_LPAREN,
    ACTIONS(1052), 1,
      anon_sym_LBRACK,
    STATE(538), 1,
      sym_argument_list,
    STATE(1298), 1,
      sym_type_arguments,
    ACTIONS(643), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(641), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [36971] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      sym_identifier,
    ACTIONS(1103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1131), 1,
      anon_sym_RPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1244), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1310), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [37037] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1050), 1,
      anon_sym_COMMA,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    STATE(399), 1,
      sym_argument_list,
    STATE(918), 1,
      aux_sym_expression_list_repeat1,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(763), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37101] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(922), 1,
      anon_sym_DOT,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(1133), 1,
      anon_sym_RPAREN,
    ACTIONS(1135), 1,
      anon_sym_COMMA,
    ACTIONS(1137), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1141), 1,
      anon_sym_PIPE,
    ACTIONS(1151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1153), 1,
      anon_sym_PIPE_PIPE,
    STATE(399), 1,
      sym_argument_list,
    STATE(1154), 1,
      aux_sym_argument_list_repeat1,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1145), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1147), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1139), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37167] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(922), 1,
      anon_sym_DOT,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(1137), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1141), 1,
      anon_sym_PIPE,
    ACTIONS(1151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1155), 1,
      anon_sym_RPAREN,
    ACTIONS(1157), 1,
      anon_sym_COMMA,
    STATE(399), 1,
      sym_argument_list,
    STATE(1187), 1,
      aux_sym_argument_list_repeat1,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1145), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1147), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1139), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37233] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(591), 1,
      anon_sym_DOT,
    ACTIONS(829), 1,
      anon_sym_LPAREN,
    ACTIONS(832), 1,
      anon_sym_LBRACK,
    STATE(398), 1,
      sym_literal_value,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(583), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37281] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(922), 1,
      anon_sym_DOT,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(1137), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1141), 1,
      anon_sym_PIPE,
    ACTIONS(1151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1159), 1,
      anon_sym_RPAREN,
    ACTIONS(1161), 1,
      anon_sym_COMMA,
    STATE(399), 1,
      sym_argument_list,
    STATE(1134), 1,
      aux_sym_argument_list_repeat1,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1145), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1147), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1139), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37347] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      sym_identifier,
    ACTIONS(1103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1163), 1,
      anon_sym_RPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1244), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1310), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [37413] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(763), 1,
      anon_sym_COLON_EQ,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(1050), 1,
      anon_sym_COMMA,
    ACTIONS(1165), 1,
      anon_sym_DOT,
    ACTIONS(1169), 1,
      anon_sym_LBRACE,
    ACTIONS(1171), 1,
      anon_sym_PIPE,
    ACTIONS(1181), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1183), 1,
      anon_sym_PIPE_PIPE,
    STATE(399), 1,
      sym_argument_list,
    STATE(918), 1,
      aux_sym_expression_list_repeat1,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1175), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1173), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1177), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1167), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37479] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      sym_identifier,
    ACTIONS(1103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1185), 1,
      anon_sym_RPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1244), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1310), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [37545] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      sym_identifier,
    ACTIONS(1103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1187), 1,
      anon_sym_RPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1244), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1310), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [37611] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      sym_identifier,
    ACTIONS(1103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1189), 1,
      anon_sym_RPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1244), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1310), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [37677] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(922), 1,
      anon_sym_DOT,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(1137), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1141), 1,
      anon_sym_PIPE,
    ACTIONS(1151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1191), 1,
      anon_sym_RPAREN,
    ACTIONS(1193), 1,
      anon_sym_COMMA,
    STATE(399), 1,
      sym_argument_list,
    STATE(1228), 1,
      aux_sym_argument_list_repeat1,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1145), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1147), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1139), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37743] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      sym_identifier,
    ACTIONS(1103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1195), 1,
      anon_sym_RPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1244), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1310), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [37809] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(594), 1,
      anon_sym_PIPE,
    ACTIONS(832), 1,
      anon_sym_LBRACK,
    ACTIONS(1076), 1,
      anon_sym_COMMA,
    STATE(398), 1,
      sym_literal_value,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(829), 2,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
    ACTIONS(583), 4,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 15,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [37861] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(922), 1,
      anon_sym_DOT,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(1137), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1141), 1,
      anon_sym_PIPE,
    ACTIONS(1151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1197), 1,
      anon_sym_RPAREN,
    ACTIONS(1199), 1,
      anon_sym_COMMA,
    STATE(399), 1,
      sym_argument_list,
    STATE(1231), 1,
      aux_sym_argument_list_repeat1,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1145), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1147), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1139), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37927] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(922), 1,
      anon_sym_DOT,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(1137), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1141), 1,
      anon_sym_PIPE,
    ACTIONS(1151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1201), 1,
      anon_sym_RPAREN,
    ACTIONS(1203), 1,
      anon_sym_COMMA,
    STATE(399), 1,
      sym_argument_list,
    STATE(1213), 1,
      aux_sym_argument_list_repeat1,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1145), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1147), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1139), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [37993] = 17,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_LPAREN,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(876), 1,
      anon_sym_LBRACK,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(882), 1,
      anon_sym_TILDE,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(890), 1,
      anon_sym_LT_DASH,
    ACTIONS(1205), 1,
      aux_sym_source_file_token1,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1077), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(1207), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38057] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    STATE(538), 1,
      sym_special_argument_list,
    ACTIONS(583), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 19,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38097] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      sym_identifier,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_STAR,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1221), 1,
      anon_sym_RBRACE,
    ACTIONS(1223), 1,
      anon_sym_LT_DASH,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(977), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1088), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(807), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(805), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38195] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1175), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(643), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1167), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(819), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(817), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38279] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      sym_identifier,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_STAR,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1223), 1,
      anon_sym_LT_DASH,
    ACTIONS(1225), 1,
      anon_sym_RBRACE,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(977), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1034), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38342] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(1171), 1,
      anon_sym_PIPE,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(643), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1175), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1173), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1167), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 9,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(789), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38430] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      sym_identifier,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_STAR,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1223), 1,
      anon_sym_LT_DASH,
    ACTIONS(1227), 1,
      anon_sym_RBRACE,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(977), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1088), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(653), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(651), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38528] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      sym_identifier,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_STAR,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1223), 1,
      anon_sym_LT_DASH,
    ACTIONS(1229), 1,
      anon_sym_RBRACE,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(977), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1028), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(669), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(693), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(741), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38696] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(570), 1,
      anon_sym_COMMA,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      aux_sym_var_spec_repeat1,
    STATE(1274), 1,
      sym_type_elem,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1091), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [38761] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(1171), 1,
      anon_sym_PIPE,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1175), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1173), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1177), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(641), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1167), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(697), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38851] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(763), 1,
      anon_sym_SEMI,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1050), 1,
      anon_sym_COMMA,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1231), 1,
      anon_sym_DOT,
    STATE(399), 1,
      sym_argument_list,
    STATE(918), 1,
      aux_sym_expression_list_repeat1,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [38914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(809), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [38949] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1233), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(799), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(797), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(781), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(777), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(795), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(793), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(709), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39183] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      sym_identifier,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_STAR,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1223), 1,
      anon_sym_LT_DASH,
    ACTIONS(1235), 1,
      anon_sym_RBRACE,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(977), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1088), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [39246] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(1171), 1,
      anon_sym_PIPE,
    ACTIONS(1181), 1,
      anon_sym_AMP_AMP,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1175), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1173), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(641), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PIPE_PIPE,
    ACTIONS(1177), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1167), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(665), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(739), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(737), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(649), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(647), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(701), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(821), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(677), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39513] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(570), 1,
      anon_sym_COMMA,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_STAR,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1223), 1,
      anon_sym_LT_DASH,
    ACTIONS(1237), 1,
      anon_sym_EQ,
    STATE(793), 1,
      aux_sym_var_spec_repeat1,
    STATE(904), 1,
      sym__simple_type,
    STATE(906), 1,
      sym_parenthesized_type,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [39580] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(763), 1,
      anon_sym_LBRACE,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(1171), 1,
      anon_sym_PIPE,
    ACTIONS(1181), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1183), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1239), 1,
      anon_sym_COMMA,
    STATE(399), 1,
      sym_argument_list,
    STATE(1165), 1,
      aux_sym_expression_list_repeat1,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1175), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1173), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1177), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1167), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [39643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(673), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(801), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(721), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(725), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39783] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      sym_identifier,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_STAR,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1223), 1,
      anon_sym_LT_DASH,
    ACTIONS(1241), 1,
      anon_sym_RBRACE,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(977), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1088), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [39846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(815), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(813), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(787), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(785), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(745), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(733), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [39986] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(570), 1,
      anon_sym_COMMA,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_STAR,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1223), 1,
      anon_sym_LT_DASH,
    ACTIONS(1243), 1,
      anon_sym_EQ,
    STATE(560), 1,
      aux_sym_var_spec_repeat1,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(897), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [40051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(713), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40086] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(922), 1,
      anon_sym_DOT,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(1141), 1,
      anon_sym_PIPE,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(643), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1145), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1143), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1139), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 9,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(685), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40174] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(922), 1,
      anon_sym_DOT,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(1141), 1,
      anon_sym_PIPE,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1145), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1147), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(641), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1139), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40229] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      sym_identifier,
    ACTIONS(1103), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1244), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1310), 2,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [40292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(663), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(661), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(681), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40362] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(570), 1,
      anon_sym_COMMA,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(793), 1,
      aux_sym_var_spec_repeat1,
    STATE(1247), 1,
      sym_type_elem,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1091), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [40427] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      sym_identifier,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_STAR,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1223), 1,
      anon_sym_LT_DASH,
    ACTIONS(1245), 1,
      anon_sym_RBRACE,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(977), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1022), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [40490] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(922), 1,
      anon_sym_DOT,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1145), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(643), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1139), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(641), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40539] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_DOT,
    ACTIONS(829), 1,
      anon_sym_LPAREN,
    ACTIONS(832), 1,
      anon_sym_LBRACK,
    STATE(398), 1,
      sym_literal_value,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(583), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 17,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40584] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(922), 1,
      anon_sym_DOT,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(1137), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1141), 1,
      anon_sym_PIPE,
    ACTIONS(1151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1153), 1,
      anon_sym_PIPE_PIPE,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1145), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1247), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1143), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1147), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1139), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40645] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(922), 1,
      anon_sym_DOT,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(1141), 1,
      anon_sym_PIPE,
    ACTIONS(1151), 1,
      anon_sym_AMP_AMP,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1145), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(641), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
    ACTIONS(1147), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1139), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [40702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(583), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(578), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40737] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      sym_identifier,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_STAR,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1223), 1,
      anon_sym_LT_DASH,
    ACTIONS(1249), 1,
      anon_sym_RBRACE,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(977), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1088), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [40800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(689), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(729), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(717), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(657), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [40940] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      sym_identifier,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_STAR,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1223), 1,
      anon_sym_LT_DASH,
    ACTIONS(1251), 1,
      anon_sym_RBRACE,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(977), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1088), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 7,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_AMP,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(705), 20,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [41038] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_RBRACK,
    STATE(1295), 1,
      sym_type_elem,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1091), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41100] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1255), 1,
      anon_sym_RBRACK,
    ACTIONS(1257), 1,
      anon_sym_COLON,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41160] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(570), 1,
      anon_sym_COMMA,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(793), 1,
      aux_sym_var_spec_repeat1,
    STATE(1304), 1,
      sym_parenthesized_type,
    STATE(1309), 1,
      sym__simple_type,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41224] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_STAR,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1223), 1,
      anon_sym_LT_DASH,
    ACTIONS(1259), 1,
      anon_sym_COMMA,
    STATE(801), 1,
      aux_sym_field_declaration_repeat1,
    STATE(908), 1,
      sym_parenthesized_type,
    STATE(912), 1,
      sym__simple_type,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41288] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(1171), 1,
      anon_sym_PIPE,
    ACTIONS(1181), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1183), 1,
      anon_sym_PIPE_PIPE,
    STATE(399), 1,
      sym_argument_list,
    STATE(899), 1,
      sym_block,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1175), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1173), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1177), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1167), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41348] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(1141), 1,
      anon_sym_PIPE,
    ACTIONS(1151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1261), 1,
      anon_sym_RPAREN,
    ACTIONS(1263), 1,
      anon_sym_COMMA,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1145), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1147), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1139), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41408] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1265), 1,
      anon_sym_RBRACK,
    ACTIONS(1267), 1,
      anon_sym_COLON,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41468] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(974), 1,
      anon_sym_LPAREN,
    ACTIONS(976), 1,
      anon_sym_func,
    ACTIONS(978), 1,
      anon_sym_LBRACK,
    ACTIONS(980), 1,
      anon_sym_STAR,
    ACTIONS(982), 1,
      anon_sym_LT_DASH,
    ACTIONS(1269), 1,
      anon_sym_LBRACE,
    STATE(359), 1,
      sym_block,
    STATE(840), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1081), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41530] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1211), 1,
      sym_identifier,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_STAR,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1223), 1,
      anon_sym_LT_DASH,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(977), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1088), 2,
      sym_method_elem,
      sym_type_elem,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41590] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(974), 1,
      anon_sym_LPAREN,
    ACTIONS(976), 1,
      anon_sym_func,
    ACTIONS(978), 1,
      anon_sym_LBRACK,
    ACTIONS(980), 1,
      anon_sym_STAR,
    ACTIONS(982), 1,
      anon_sym_LT_DASH,
    ACTIONS(1271), 1,
      sym_identifier,
    STATE(264), 1,
      sym_block,
    STATE(840), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1062), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41652] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1273), 1,
      anon_sym_RBRACK,
    STATE(1295), 1,
      sym_type_elem,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1091), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41714] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1275), 1,
      anon_sym_RBRACK,
    ACTIONS(1277), 1,
      anon_sym_COLON,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41774] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1217), 1,
      anon_sym_STAR,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1223), 1,
      anon_sym_LT_DASH,
    ACTIONS(1279), 1,
      anon_sym_EQ,
    ACTIONS(1281), 1,
      anon_sym_LBRACK,
    STATE(743), 1,
      sym_type_parameter_list,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1017), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41836] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(1141), 1,
      anon_sym_PIPE,
    ACTIONS(1151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1283), 1,
      anon_sym_RPAREN,
    ACTIONS(1285), 1,
      anon_sym_COMMA,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1145), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1147), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1139), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [41896] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(974), 1,
      anon_sym_LPAREN,
    ACTIONS(976), 1,
      anon_sym_func,
    ACTIONS(978), 1,
      anon_sym_LBRACK,
    ACTIONS(980), 1,
      anon_sym_STAR,
    ACTIONS(982), 1,
      anon_sym_LT_DASH,
    ACTIONS(1287), 1,
      anon_sym_LBRACE,
    STATE(551), 1,
      sym_block,
    STATE(840), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1109), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [41958] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(974), 1,
      anon_sym_LPAREN,
    ACTIONS(976), 1,
      anon_sym_func,
    ACTIONS(978), 1,
      anon_sym_LBRACK,
    ACTIONS(980), 1,
      anon_sym_STAR,
    ACTIONS(982), 1,
      anon_sym_LT_DASH,
    STATE(264), 1,
      sym_block,
    STATE(840), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1062), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [42020] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(1141), 1,
      anon_sym_PIPE,
    ACTIONS(1151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1289), 1,
      anon_sym_RPAREN,
    ACTIONS(1291), 1,
      anon_sym_COMMA,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1145), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1147), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1139), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42080] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1293), 1,
      anon_sym_RBRACK,
    ACTIONS(1295), 1,
      anon_sym_COLON,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42140] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(1141), 1,
      anon_sym_PIPE,
    ACTIONS(1151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1297), 1,
      anon_sym_RPAREN,
    ACTIONS(1299), 1,
      anon_sym_COMMA,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1145), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1147), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1139), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42200] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1301), 1,
      anon_sym_RBRACK,
    ACTIONS(1303), 1,
      anon_sym_COLON,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42260] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_RBRACK,
    STATE(1295), 1,
      sym_type_elem,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1091), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [42322] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1307), 1,
      anon_sym_RBRACK,
    ACTIONS(1309), 1,
      anon_sym_COLON,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42382] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1311), 1,
      anon_sym_RBRACK,
    ACTIONS(1313), 1,
      anon_sym_COLON,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42442] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1315), 1,
      anon_sym_RBRACK,
    ACTIONS(1317), 1,
      anon_sym_COLON,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42502] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1319), 1,
      anon_sym_RBRACK,
    ACTIONS(1321), 1,
      anon_sym_COLON,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42562] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(1171), 1,
      anon_sym_PIPE,
    ACTIONS(1181), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1183), 1,
      anon_sym_PIPE_PIPE,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(858), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(1175), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1173), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1177), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1167), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42620] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1323), 1,
      anon_sym_RBRACK,
    ACTIONS(1325), 1,
      anon_sym_COLON,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42680] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1327), 1,
      anon_sym_RBRACK,
    ACTIONS(1329), 1,
      anon_sym_COLON,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42740] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(1141), 1,
      anon_sym_PIPE,
    ACTIONS(1151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1153), 1,
      anon_sym_PIPE_PIPE,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(858), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1145), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1147), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1139), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42798] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1331), 1,
      anon_sym_RBRACK,
    ACTIONS(1333), 1,
      anon_sym_COLON,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42858] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(974), 1,
      anon_sym_LPAREN,
    ACTIONS(976), 1,
      anon_sym_func,
    ACTIONS(978), 1,
      anon_sym_LBRACK,
    ACTIONS(980), 1,
      anon_sym_STAR,
    ACTIONS(982), 1,
      anon_sym_LT_DASH,
    ACTIONS(1335), 1,
      anon_sym_LBRACE,
    STATE(506), 1,
      sym_block,
    STATE(840), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1122), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [42920] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(1141), 1,
      anon_sym_PIPE,
    ACTIONS(1151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1337), 1,
      anon_sym_RPAREN,
    ACTIONS(1339), 1,
      anon_sym_COMMA,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1145), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1147), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1139), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [42980] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1010), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43038] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1341), 1,
      anon_sym_RBRACK,
    ACTIONS(1343), 1,
      anon_sym_COLON,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43098] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1345), 1,
      anon_sym_RBRACK,
    STATE(1295), 1,
      sym_type_elem,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1091), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43160] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1347), 1,
      anon_sym_RBRACK,
    STATE(1295), 1,
      sym_type_elem,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1091), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43222] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(974), 1,
      anon_sym_LPAREN,
    ACTIONS(976), 1,
      anon_sym_func,
    ACTIONS(978), 1,
      anon_sym_LBRACK,
    ACTIONS(980), 1,
      anon_sym_STAR,
    ACTIONS(982), 1,
      anon_sym_LT_DASH,
    ACTIONS(1349), 1,
      sym_identifier,
    STATE(264), 1,
      sym_block,
    STATE(840), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1062), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43284] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1351), 1,
      anon_sym_RBRACK,
    ACTIONS(1353), 1,
      anon_sym_COLON,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43344] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1355), 1,
      anon_sym_RBRACK,
    ACTIONS(1357), 1,
      anon_sym_COLON,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43404] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(1141), 1,
      anon_sym_PIPE,
    ACTIONS(1151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1359), 1,
      anon_sym_RPAREN,
    ACTIONS(1361), 1,
      anon_sym_COMMA,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1145), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1147), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1139), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43464] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(974), 1,
      anon_sym_LPAREN,
    ACTIONS(976), 1,
      anon_sym_func,
    ACTIONS(978), 1,
      anon_sym_LBRACK,
    ACTIONS(980), 1,
      anon_sym_STAR,
    ACTIONS(982), 1,
      anon_sym_LT_DASH,
    ACTIONS(1363), 1,
      anon_sym_LBRACE,
    STATE(321), 1,
      sym_block,
    STATE(840), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1094), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43526] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1365), 1,
      anon_sym_RBRACK,
    ACTIONS(1367), 1,
      anon_sym_COLON,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43586] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1369), 1,
      anon_sym_RBRACK,
    STATE(1295), 1,
      sym_type_elem,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1091), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43648] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_RBRACK,
    ACTIONS(1373), 1,
      anon_sym_COLON,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43708] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1375), 1,
      anon_sym_RBRACK,
    ACTIONS(1377), 1,
      anon_sym_COLON,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43768] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(1171), 1,
      anon_sym_PIPE,
    ACTIONS(1181), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1183), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1379), 1,
      anon_sym_LBRACE,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1175), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1173), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1177), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1167), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43825] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1381), 1,
      anon_sym_RBRACK,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [43882] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1383), 1,
      anon_sym_RBRACK,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1160), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [43941] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(1153), 1,
      sym_type_elem,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1091), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44000] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1385), 1,
      anon_sym_RBRACK,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44057] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1387), 1,
      anon_sym_RBRACK,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44114] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(1141), 1,
      anon_sym_PIPE,
    ACTIONS(1151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1389), 1,
      anon_sym_RPAREN,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1145), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1147), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1139), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44171] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1391), 1,
      anon_sym_RBRACK,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44228] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_RPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1194), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44287] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1395), 1,
      anon_sym_SEMI,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44344] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1397), 1,
      anon_sym_RBRACK,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1160), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44403] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(1182), 1,
      sym_type_elem,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1091), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44462] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(1181), 1,
      sym_type_elem,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1091), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44521] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1399), 1,
      anon_sym_RBRACK,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1160), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44580] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1401), 1,
      anon_sym_RBRACK,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1160), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44639] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_type,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1317), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44698] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(1010), 1,
      anon_sym_LBRACE,
    ACTIONS(1171), 1,
      anon_sym_PIPE,
    ACTIONS(1181), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1183), 1,
      anon_sym_PIPE_PIPE,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1175), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1173), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1177), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1167), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44755] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1405), 1,
      anon_sym_RBRACK,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44812] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1407), 1,
      anon_sym_RPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1156), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [44871] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1409), 1,
      anon_sym_RBRACK,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44928] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1411), 1,
      anon_sym_RBRACK,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [44985] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1413), 1,
      anon_sym_RBRACK,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1160), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45044] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(1141), 1,
      anon_sym_PIPE,
    ACTIONS(1151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1415), 1,
      anon_sym_RPAREN,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1145), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1147), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1139), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45101] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1417), 1,
      anon_sym_RBRACK,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45158] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1419), 1,
      anon_sym_RBRACK,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45215] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1421), 1,
      anon_sym_type,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1317), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45274] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1423), 1,
      anon_sym_RBRACK,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1160), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45333] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1425), 1,
      anon_sym_RPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1180), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45392] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1427), 1,
      anon_sym_RBRACK,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45449] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1429), 1,
      anon_sym_RBRACK,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1160), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45508] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(1141), 1,
      anon_sym_PIPE,
    ACTIONS(1151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1431), 1,
      anon_sym_RPAREN,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1145), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1147), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1139), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45565] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1433), 1,
      anon_sym_RBRACK,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45622] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1435), 1,
      anon_sym_RBRACK,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1160), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45681] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(1141), 1,
      anon_sym_PIPE,
    ACTIONS(1151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1437), 1,
      anon_sym_RPAREN,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1145), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1147), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1139), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45738] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1439), 1,
      anon_sym_RBRACK,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1160), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45797] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1441), 1,
      anon_sym_RPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1175), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [45856] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1443), 1,
      anon_sym_RBRACK,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45913] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1445), 1,
      anon_sym_RBRACK,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [45970] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_RPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1176), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46029] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1449), 1,
      anon_sym_RBRACK,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1160), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46088] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1451), 1,
      anon_sym_RBRACK,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46145] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1453), 1,
      anon_sym_RBRACK,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46202] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(1141), 1,
      anon_sym_PIPE,
    ACTIONS(1151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1455), 1,
      anon_sym_RPAREN,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1145), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1147), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1139), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46259] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1457), 1,
      anon_sym_RBRACK,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46316] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(1295), 1,
      sym_type_elem,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1091), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46375] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1459), 1,
      anon_sym_RBRACK,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1160), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46434] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(1141), 1,
      anon_sym_PIPE,
    ACTIONS(1151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1461), 1,
      anon_sym_RPAREN,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1145), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1149), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1143), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1147), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1139), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46491] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1463), 1,
      anon_sym_COLON,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46548] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1465), 1,
      anon_sym_RBRACK,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1160), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46607] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1467), 1,
      anon_sym_type,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1403), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46666] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1469), 1,
      anon_sym_SEMI,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46723] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_RPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1215), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46782] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1473), 1,
      anon_sym_type,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1317), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [46841] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1475), 1,
      anon_sym_RBRACK,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46898] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(1171), 1,
      anon_sym_PIPE,
    ACTIONS(1181), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1183), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1477), 1,
      anon_sym_LBRACE,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(1175), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1179), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1173), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(1177), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1167), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [46955] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(984), 1,
      anon_sym_DOT,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1479), 1,
      anon_sym_RBRACK,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [47012] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_func,
    ACTIONS(916), 1,
      anon_sym_map,
    ACTIONS(918), 1,
      anon_sym_chan,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1481), 1,
      anon_sym_LBRACK,
    ACTIONS(1483), 1,
      anon_sym_STAR,
    ACTIONS(1485), 1,
      anon_sym_LT_DASH,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(826), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47068] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_func,
    ACTIONS(916), 1,
      anon_sym_map,
    ACTIONS(918), 1,
      anon_sym_chan,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1481), 1,
      anon_sym_LBRACK,
    ACTIONS(1483), 1,
      anon_sym_STAR,
    ACTIONS(1487), 1,
      anon_sym_LT_DASH,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(806), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47124] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1032), 1,
      anon_sym_struct,
    ACTIONS(1038), 1,
      anon_sym_interface,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_func,
    ACTIONS(1113), 1,
      anon_sym_map,
    ACTIONS(1115), 1,
      anon_sym_chan,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_STAR,
    ACTIONS(1495), 1,
      anon_sym_TILDE,
    ACTIONS(1497), 1,
      anon_sym_LT_DASH,
    STATE(900), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(991), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(997), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47180] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1032), 1,
      anon_sym_struct,
    ACTIONS(1038), 1,
      anon_sym_interface,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_func,
    ACTIONS(1113), 1,
      anon_sym_map,
    ACTIONS(1115), 1,
      anon_sym_chan,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_STAR,
    ACTIONS(1495), 1,
      anon_sym_TILDE,
    ACTIONS(1497), 1,
      anon_sym_LT_DASH,
    STATE(900), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(919), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(997), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47236] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1032), 1,
      anon_sym_struct,
    ACTIONS(1038), 1,
      anon_sym_interface,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_func,
    ACTIONS(1113), 1,
      anon_sym_map,
    ACTIONS(1115), 1,
      anon_sym_chan,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_STAR,
    ACTIONS(1495), 1,
      anon_sym_TILDE,
    ACTIONS(1497), 1,
      anon_sym_LT_DASH,
    STATE(900), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(949), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(997), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47292] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1032), 1,
      anon_sym_struct,
    ACTIONS(1038), 1,
      anon_sym_interface,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_func,
    ACTIONS(1113), 1,
      anon_sym_map,
    ACTIONS(1115), 1,
      anon_sym_chan,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_STAR,
    ACTIONS(1495), 1,
      anon_sym_TILDE,
    ACTIONS(1497), 1,
      anon_sym_LT_DASH,
    STATE(900), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(995), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(997), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47348] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1032), 1,
      anon_sym_struct,
    ACTIONS(1038), 1,
      anon_sym_interface,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_func,
    ACTIONS(1113), 1,
      anon_sym_map,
    ACTIONS(1115), 1,
      anon_sym_chan,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_STAR,
    ACTIONS(1495), 1,
      anon_sym_TILDE,
    ACTIONS(1497), 1,
      anon_sym_LT_DASH,
    STATE(900), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(942), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(997), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47404] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1243), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47460] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1032), 1,
      anon_sym_struct,
    ACTIONS(1038), 1,
      anon_sym_interface,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_func,
    ACTIONS(1113), 1,
      anon_sym_map,
    ACTIONS(1115), 1,
      anon_sym_chan,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_STAR,
    ACTIONS(1495), 1,
      anon_sym_TILDE,
    ACTIONS(1499), 1,
      anon_sym_LT_DASH,
    STATE(900), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(985), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(997), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47516] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1032), 1,
      anon_sym_struct,
    ACTIONS(1038), 1,
      anon_sym_interface,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_func,
    ACTIONS(1113), 1,
      anon_sym_map,
    ACTIONS(1115), 1,
      anon_sym_chan,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_STAR,
    ACTIONS(1495), 1,
      anon_sym_TILDE,
    ACTIONS(1499), 1,
      anon_sym_LT_DASH,
    STATE(900), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(929), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(997), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47572] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(976), 1,
      anon_sym_func,
    ACTIONS(978), 1,
      anon_sym_LBRACK,
    ACTIONS(980), 1,
      anon_sym_STAR,
    ACTIONS(982), 1,
      anon_sym_LT_DASH,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(840), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(868), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47628] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1160), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47684] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1032), 1,
      anon_sym_struct,
    ACTIONS(1038), 1,
      anon_sym_interface,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_func,
    ACTIONS(1113), 1,
      anon_sym_map,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_STAR,
    ACTIONS(1495), 1,
      anon_sym_TILDE,
    ACTIONS(1497), 1,
      anon_sym_LT_DASH,
    ACTIONS(1501), 1,
      anon_sym_chan,
    STATE(900), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(925), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(997), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47740] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_STAR,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1223), 1,
      anon_sym_LT_DASH,
    ACTIONS(1503), 1,
      anon_sym_chan,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(822), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47796] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_STAR,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1505), 1,
      anon_sym_LT_DASH,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47852] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    ACTIONS(926), 1,
      anon_sym_LBRACK,
    ACTIONS(994), 1,
      anon_sym_PIPE,
    ACTIONS(1002), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1125), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1507), 1,
      anon_sym_DOT,
    STATE(399), 1,
      sym_argument_list,
    STATE(1301), 1,
      sym_type_arguments,
    ACTIONS(988), 2,
      anon_sym_AMP,
      anon_sym_SLASH,
    ACTIONS(1000), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(996), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
    ACTIONS(998), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(986), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [47906] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_chan,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(870), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [47962] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_STAR,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1223), 1,
      anon_sym_LT_DASH,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1040), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48018] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1349), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48074] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(976), 1,
      anon_sym_func,
    ACTIONS(978), 1,
      anon_sym_LBRACK,
    ACTIONS(980), 1,
      anon_sym_STAR,
    ACTIONS(982), 1,
      anon_sym_LT_DASH,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(840), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(847), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48130] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(976), 1,
      anon_sym_func,
    ACTIONS(978), 1,
      anon_sym_LBRACK,
    ACTIONS(980), 1,
      anon_sym_STAR,
    ACTIONS(982), 1,
      anon_sym_LT_DASH,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(840), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(855), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48186] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      sym_identifier,
    ACTIONS(1026), 1,
      anon_sym_func,
    ACTIONS(1032), 1,
      anon_sym_struct,
    ACTIONS(1038), 1,
      anon_sym_interface,
    ACTIONS(1040), 1,
      anon_sym_map,
    ACTIONS(1042), 1,
      anon_sym_chan,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1495), 1,
      anon_sym_TILDE,
    ACTIONS(1511), 1,
      anon_sym_LBRACK,
    ACTIONS(1513), 1,
      anon_sym_STAR,
    ACTIONS(1515), 1,
      anon_sym_LT_DASH,
    STATE(911), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(991), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(997), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48242] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1355), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48298] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_STAR,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1223), 1,
      anon_sym_LT_DASH,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(823), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48354] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      sym_identifier,
    ACTIONS(1026), 1,
      anon_sym_func,
    ACTIONS(1032), 1,
      anon_sym_struct,
    ACTIONS(1038), 1,
      anon_sym_interface,
    ACTIONS(1040), 1,
      anon_sym_map,
    ACTIONS(1042), 1,
      anon_sym_chan,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1495), 1,
      anon_sym_TILDE,
    ACTIONS(1511), 1,
      anon_sym_LBRACK,
    ACTIONS(1513), 1,
      anon_sym_STAR,
    ACTIONS(1515), 1,
      anon_sym_LT_DASH,
    STATE(911), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(919), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(997), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48410] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1517), 1,
      anon_sym_LT_DASH,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(871), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48466] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1174), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48522] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_STAR,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1223), 1,
      anon_sym_LT_DASH,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(806), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48578] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      sym_identifier,
    ACTIONS(1026), 1,
      anon_sym_func,
    ACTIONS(1032), 1,
      anon_sym_struct,
    ACTIONS(1038), 1,
      anon_sym_interface,
    ACTIONS(1040), 1,
      anon_sym_map,
    ACTIONS(1042), 1,
      anon_sym_chan,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1495), 1,
      anon_sym_TILDE,
    ACTIONS(1511), 1,
      anon_sym_LBRACK,
    ACTIONS(1513), 1,
      anon_sym_STAR,
    ACTIONS(1515), 1,
      anon_sym_LT_DASH,
    STATE(911), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(995), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(997), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48634] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1323), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48690] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      sym_identifier,
    ACTIONS(1026), 1,
      anon_sym_func,
    ACTIONS(1032), 1,
      anon_sym_struct,
    ACTIONS(1038), 1,
      anon_sym_interface,
    ACTIONS(1040), 1,
      anon_sym_map,
    ACTIONS(1042), 1,
      anon_sym_chan,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1495), 1,
      anon_sym_TILDE,
    ACTIONS(1511), 1,
      anon_sym_LBRACK,
    ACTIONS(1513), 1,
      anon_sym_STAR,
    ACTIONS(1515), 1,
      anon_sym_LT_DASH,
    STATE(911), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(949), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(997), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48746] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      sym_identifier,
    ACTIONS(1026), 1,
      anon_sym_func,
    ACTIONS(1032), 1,
      anon_sym_struct,
    ACTIONS(1038), 1,
      anon_sym_interface,
    ACTIONS(1040), 1,
      anon_sym_map,
    ACTIONS(1042), 1,
      anon_sym_chan,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1495), 1,
      anon_sym_TILDE,
    ACTIONS(1511), 1,
      anon_sym_LBRACK,
    ACTIONS(1513), 1,
      anon_sym_STAR,
    ACTIONS(1519), 1,
      anon_sym_LT_DASH,
    STATE(911), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(985), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(997), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48802] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      sym_identifier,
    ACTIONS(1026), 1,
      anon_sym_func,
    ACTIONS(1032), 1,
      anon_sym_struct,
    ACTIONS(1038), 1,
      anon_sym_interface,
    ACTIONS(1040), 1,
      anon_sym_map,
    ACTIONS(1042), 1,
      anon_sym_chan,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1495), 1,
      anon_sym_TILDE,
    ACTIONS(1511), 1,
      anon_sym_LBRACK,
    ACTIONS(1513), 1,
      anon_sym_STAR,
    ACTIONS(1515), 1,
      anon_sym_LT_DASH,
    STATE(911), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(942), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(997), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48858] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_func,
    ACTIONS(916), 1,
      anon_sym_map,
    ACTIONS(918), 1,
      anon_sym_chan,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1481), 1,
      anon_sym_LBRACK,
    ACTIONS(1483), 1,
      anon_sym_STAR,
    ACTIONS(1487), 1,
      anon_sym_LT_DASH,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(804), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48914] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1517), 1,
      anon_sym_LT_DASH,
    STATE(850), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [48970] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(976), 1,
      anon_sym_func,
    ACTIONS(978), 1,
      anon_sym_LBRACK,
    ACTIONS(980), 1,
      anon_sym_STAR,
    ACTIONS(982), 1,
      anon_sym_LT_DASH,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(840), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(876), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49026] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1369), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49082] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1192), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49138] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      sym_identifier,
    ACTIONS(1026), 1,
      anon_sym_func,
    ACTIONS(1032), 1,
      anon_sym_struct,
    ACTIONS(1038), 1,
      anon_sym_interface,
    ACTIONS(1040), 1,
      anon_sym_map,
    ACTIONS(1042), 1,
      anon_sym_chan,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1495), 1,
      anon_sym_TILDE,
    ACTIONS(1511), 1,
      anon_sym_LBRACK,
    ACTIONS(1513), 1,
      anon_sym_STAR,
    ACTIONS(1519), 1,
      anon_sym_LT_DASH,
    STATE(911), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(929), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(997), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49194] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(543), 1,
      anon_sym_chan,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(976), 1,
      anon_sym_func,
    ACTIONS(978), 1,
      anon_sym_LBRACK,
    ACTIONS(980), 1,
      anon_sym_STAR,
    ACTIONS(982), 1,
      anon_sym_LT_DASH,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(840), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(870), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49250] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      sym_identifier,
    ACTIONS(1026), 1,
      anon_sym_func,
    ACTIONS(1032), 1,
      anon_sym_struct,
    ACTIONS(1038), 1,
      anon_sym_interface,
    ACTIONS(1040), 1,
      anon_sym_map,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1495), 1,
      anon_sym_TILDE,
    ACTIONS(1511), 1,
      anon_sym_LBRACK,
    ACTIONS(1513), 1,
      anon_sym_STAR,
    ACTIONS(1515), 1,
      anon_sym_LT_DASH,
    ACTIONS(1521), 1,
      anon_sym_chan,
    STATE(911), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(925), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(997), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49306] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1339), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49362] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(976), 1,
      anon_sym_func,
    ACTIONS(978), 1,
      anon_sym_LBRACK,
    ACTIONS(980), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1523), 1,
      anon_sym_LT_DASH,
    STATE(840), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(871), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49418] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(868), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49474] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1385), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49530] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1381), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49586] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1334), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49642] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(847), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49698] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(976), 1,
      anon_sym_func,
    ACTIONS(978), 1,
      anon_sym_LBRACK,
    ACTIONS(980), 1,
      anon_sym_STAR,
    ACTIONS(982), 1,
      anon_sym_LT_DASH,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(840), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(865), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49754] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_STAR,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1223), 1,
      anon_sym_LT_DASH,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(922), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49810] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_STAR,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1223), 1,
      anon_sym_LT_DASH,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(923), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49866] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1203), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49922] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1196), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [49978] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_func,
    ACTIONS(916), 1,
      anon_sym_map,
    ACTIONS(918), 1,
      anon_sym_chan,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1481), 1,
      anon_sym_LBRACK,
    ACTIONS(1483), 1,
      anon_sym_STAR,
    ACTIONS(1487), 1,
      anon_sym_LT_DASH,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(810), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50034] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_STAR,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1223), 1,
      anon_sym_LT_DASH,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(821), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50090] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1317), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50146] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_func,
    ACTIONS(916), 1,
      anon_sym_map,
    ACTIONS(918), 1,
      anon_sym_chan,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1481), 1,
      anon_sym_LBRACK,
    ACTIONS(1483), 1,
      anon_sym_STAR,
    ACTIONS(1487), 1,
      anon_sym_LT_DASH,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(829), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50202] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(976), 1,
      anon_sym_func,
    ACTIONS(978), 1,
      anon_sym_LBRACK,
    ACTIONS(980), 1,
      anon_sym_STAR,
    ACTIONS(982), 1,
      anon_sym_LT_DASH,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(840), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(858), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50258] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1382), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50314] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(858), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50370] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_func,
    ACTIONS(916), 1,
      anon_sym_map,
    ACTIONS(918), 1,
      anon_sym_chan,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1481), 1,
      anon_sym_LBRACK,
    ACTIONS(1483), 1,
      anon_sym_STAR,
    ACTIONS(1487), 1,
      anon_sym_LT_DASH,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(821), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50426] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1237), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50482] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1258), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50538] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(876), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50594] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1342), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50650] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(855), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50706] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1391), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50762] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_func,
    ACTIONS(916), 1,
      anon_sym_map,
    ACTIONS(918), 1,
      anon_sym_chan,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1481), 1,
      anon_sym_LBRACK,
    ACTIONS(1483), 1,
      anon_sym_STAR,
    ACTIONS(1487), 1,
      anon_sym_LT_DASH,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(823), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50818] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1032), 1,
      anon_sym_struct,
    ACTIONS(1038), 1,
      anon_sym_interface,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_func,
    ACTIONS(1113), 1,
      anon_sym_map,
    ACTIONS(1115), 1,
      anon_sym_chan,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_STAR,
    ACTIONS(1495), 1,
      anon_sym_TILDE,
    ACTIONS(1497), 1,
      anon_sym_LT_DASH,
    STATE(900), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(992), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(997), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50874] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_STAR,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1505), 1,
      anon_sym_LT_DASH,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(826), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50930] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_func,
    ACTIONS(916), 1,
      anon_sym_map,
    ACTIONS(918), 1,
      anon_sym_chan,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1481), 1,
      anon_sym_LBRACK,
    ACTIONS(1483), 1,
      anon_sym_STAR,
    ACTIONS(1485), 1,
      anon_sym_LT_DASH,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(830), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [50986] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_func,
    ACTIONS(916), 1,
      anon_sym_map,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1481), 1,
      anon_sym_LBRACK,
    ACTIONS(1483), 1,
      anon_sym_STAR,
    ACTIONS(1487), 1,
      anon_sym_LT_DASH,
    ACTIONS(1525), 1,
      anon_sym_chan,
    STATE(795), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(822), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [51042] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1136), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [51098] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_STAR,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1223), 1,
      anon_sym_LT_DASH,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(829), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [51154] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1318), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [51210] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1383), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [51266] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(37), 1,
      anon_sym_map,
    ACTIONS(39), 1,
      anon_sym_chan,
    ACTIONS(972), 1,
      sym_identifier,
    ACTIONS(976), 1,
      anon_sym_func,
    ACTIONS(978), 1,
      anon_sym_LBRACK,
    ACTIONS(980), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    ACTIONS(1523), 1,
      anon_sym_LT_DASH,
    STATE(840), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(850), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [51322] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1399), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [51378] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(866), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_func,
    ACTIONS(880), 1,
      anon_sym_struct,
    ACTIONS(884), 1,
      anon_sym_interface,
    ACTIONS(886), 1,
      anon_sym_map,
    ACTIONS(888), 1,
      anon_sym_chan,
    ACTIONS(1213), 1,
      anon_sym_LPAREN,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_STAR,
    ACTIONS(1219), 1,
      anon_sym_TILDE,
    ACTIONS(1223), 1,
      anon_sym_LT_DASH,
    STATE(799), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(810), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(824), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [51434] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1191), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [51490] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1403), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [51546] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_struct,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(35), 1,
      anon_sym_interface,
    ACTIONS(561), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_func,
    ACTIONS(585), 1,
      anon_sym_map,
    ACTIONS(587), 1,
      anon_sym_chan,
    ACTIONS(589), 1,
      anon_sym_LT_DASH,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_STAR,
    ACTIONS(1074), 1,
      anon_sym_LPAREN,
    STATE(867), 2,
      sym_negated_type,
      sym_qualified_type,
    STATE(1199), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(860), 9,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_interface_type,
      sym_map_type,
      sym_channel_type,
      sym_function_type,
  [51602] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1529), 1,
      aux_sym_source_file_token1,
    ACTIONS(1527), 21,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51632] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1533), 1,
      aux_sym_source_file_token1,
    ACTIONS(1531), 21,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51662] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1537), 1,
      aux_sym_source_file_token1,
    ACTIONS(1535), 21,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51692] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1541), 1,
      aux_sym_source_file_token1,
    ACTIONS(1539), 21,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [51722] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1545), 1,
      aux_sym_source_file_token1,
    ACTIONS(1547), 1,
      anon_sym_COMMA,
    STATE(780), 1,
      aux_sym_const_spec_repeat1,
    ACTIONS(1543), 17,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
  [51754] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1545), 1,
      aux_sym_source_file_token1,
    ACTIONS(1543), 18,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_RBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      anon_sym_case,
      anon_sym_default,
      sym_identifier,
  [51781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1537), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [51807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1539), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1541), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [51833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1527), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1529), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [51859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1531), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1533), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_LT_DASH,
      anon_sym_COLON,
  [51885] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1541), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1539), 14,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [51909] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1537), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1535), 14,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [51933] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1529), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1527), 14,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [51957] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1533), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1531), 14,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LPAREN,
      anon_sym_func,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_struct,
      anon_sym_TILDE,
      anon_sym_LBRACE,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      anon_sym_LT_DASH,
      sym_identifier,
  [51981] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 1,
      anon_sym_COMMA,
    STATE(790), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(858), 13,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [52006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_COMMA,
    STATE(790), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1553), 13,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [52031] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_DOT,
    ACTIONS(1076), 1,
      aux_sym_source_file_token1,
    ACTIONS(1557), 1,
      anon_sym_LBRACK,
    STATE(814), 1,
      sym_type_arguments,
    ACTIONS(1555), 10,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52059] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1564), 1,
      anon_sym_COMMA,
    STATE(793), 1,
      aux_sym_var_spec_repeat1,
    ACTIONS(1560), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1562), 6,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
  [52085] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_DOT,
    ACTIONS(1076), 1,
      aux_sym_source_file_token1,
    ACTIONS(1567), 1,
      anon_sym_LBRACK,
    STATE(814), 1,
      sym_type_arguments,
    ACTIONS(1555), 10,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52113] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1569), 1,
      aux_sym_source_file_token1,
    ACTIONS(1573), 1,
      anon_sym_LBRACK,
    STATE(818), 1,
      sym_type_arguments,
    ACTIONS(1571), 10,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1578), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1576), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [52159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1582), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1580), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [52180] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 1,
      anon_sym_EQ,
    ACTIONS(1586), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1580), 11,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [52203] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1567), 1,
      anon_sym_LBRACK,
    ACTIONS(1569), 1,
      aux_sym_source_file_token1,
    STATE(818), 1,
      sym_type_arguments,
    ACTIONS(1571), 10,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1588), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [52249] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 1,
      anon_sym_COMMA,
    STATE(801), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(1594), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1592), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [52274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1599), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1580), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [52295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1601), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1603), 7,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
  [52316] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1605), 1,
      aux_sym_source_file_token1,
    ACTIONS(1607), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52336] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1609), 1,
      aux_sym_source_file_token1,
    ACTIONS(1611), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52356] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1613), 1,
      aux_sym_source_file_token1,
    ACTIONS(1615), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52376] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1617), 1,
      aux_sym_source_file_token1,
    ACTIONS(1619), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52396] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1621), 1,
      aux_sym_source_file_token1,
    ACTIONS(1623), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52416] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1625), 1,
      aux_sym_source_file_token1,
    ACTIONS(1627), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52436] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1629), 1,
      aux_sym_source_file_token1,
    ACTIONS(1631), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52456] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1633), 1,
      aux_sym_source_file_token1,
    ACTIONS(1635), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52476] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1637), 1,
      aux_sym_source_file_token1,
    ACTIONS(1639), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52496] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1641), 1,
      aux_sym_source_file_token1,
    ACTIONS(1643), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52516] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1645), 1,
      aux_sym_source_file_token1,
    ACTIONS(1647), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52536] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1649), 1,
      aux_sym_source_file_token1,
    ACTIONS(1651), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1653), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
    ACTIONS(1655), 6,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
  [52576] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1657), 1,
      aux_sym_source_file_token1,
    ACTIONS(1659), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52596] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1661), 1,
      aux_sym_source_file_token1,
    ACTIONS(1663), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52616] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1665), 1,
      aux_sym_source_file_token1,
    ACTIONS(1667), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52636] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1669), 1,
      aux_sym_source_file_token1,
    ACTIONS(1671), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52656] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1673), 1,
      aux_sym_source_file_token1,
    ACTIONS(1675), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52676] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1613), 1,
      aux_sym_source_file_token1,
    ACTIONS(1615), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52696] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1677), 1,
      aux_sym_source_file_token1,
    ACTIONS(1679), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52716] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1569), 1,
      aux_sym_source_file_token1,
    ACTIONS(1571), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52736] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1681), 1,
      aux_sym_source_file_token1,
    ACTIONS(1683), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52756] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1685), 1,
      aux_sym_source_file_token1,
    ACTIONS(1687), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52776] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1689), 1,
      aux_sym_source_file_token1,
    ACTIONS(1691), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52796] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1693), 1,
      aux_sym_source_file_token1,
    ACTIONS(1695), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52816] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1697), 1,
      aux_sym_source_file_token1,
    ACTIONS(1699), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52836] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1613), 1,
      aux_sym_source_file_token1,
    ACTIONS(1615), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52856] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1701), 1,
      aux_sym_source_file_token1,
    ACTIONS(1703), 11,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_default,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [52876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1705), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [52895] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1709), 1,
      anon_sym_DOT,
    ACTIONS(1711), 1,
      anon_sym_LBRACK,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(1076), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [52918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1714), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [52937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1720), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_TILDE,
      anon_sym_LT_DASH,
    ACTIONS(1718), 6,
      anon_sym_func,
      anon_sym_struct,
      anon_sym_interface,
      anon_sym_map,
      anon_sym_chan,
      sym_identifier,
  [52956] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1722), 1,
      sym_identifier,
    ACTIONS(1724), 1,
      anon_sym_DOT,
    ACTIONS(1726), 1,
      sym_blank_identifier,
    ACTIONS(1728), 1,
      anon_sym_LPAREN,
    ACTIONS(1730), 1,
      sym_raw_string_literal,
    STATE(1107), 1,
      sym_interpreted_string_literal,
    STATE(1166), 1,
      sym_dot,
    STATE(1177), 2,
      sym_import_spec,
      sym_import_spec_list,
  [52988] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(872), 1,
      anon_sym_LPAREN,
    ACTIONS(896), 1,
      anon_sym_DOT,
    ACTIONS(1076), 1,
      aux_sym_source_file_token1,
    ACTIONS(1567), 1,
      anon_sym_LBRACK,
    STATE(526), 1,
      sym_parameter_list,
    STATE(814), 1,
      sym_type_arguments,
    ACTIONS(1555), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [53016] = 9,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_DOT,
    ACTIONS(906), 1,
      anon_sym_DQUOTE,
    ACTIONS(1567), 1,
      anon_sym_LBRACK,
    ACTIONS(1732), 1,
      aux_sym_source_file_token1,
    ACTIONS(1736), 1,
      sym_raw_string_literal,
    STATE(814), 1,
      sym_type_arguments,
    STATE(1068), 1,
      sym_interpreted_string_literal,
    ACTIONS(1734), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [53046] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_DOT,
    ACTIONS(1738), 1,
      sym_identifier,
    ACTIONS(1740), 1,
      sym_blank_identifier,
    ACTIONS(1742), 1,
      anon_sym_LPAREN,
    ACTIONS(1744), 1,
      sym_raw_string_literal,
    ACTIONS(1746), 1,
      anon_sym_DQUOTE,
    STATE(1058), 1,
      sym_interpreted_string_literal,
    STATE(1185), 1,
      sym_dot,
    STATE(1061), 2,
      sym_import_spec,
      sym_import_spec_list,
  [53078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_LBRACK,
    STATE(845), 1,
      sym_type_arguments,
    ACTIONS(1569), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53098] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1709), 1,
      anon_sym_DOT,
    ACTIONS(1751), 1,
      anon_sym_LBRACK,
    STATE(848), 1,
      sym_type_arguments,
    ACTIONS(1076), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1641), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53135] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1722), 1,
      sym_identifier,
    ACTIONS(1724), 1,
      anon_sym_DOT,
    ACTIONS(1726), 1,
      sym_blank_identifier,
    ACTIONS(1730), 1,
      sym_raw_string_literal,
    ACTIONS(1753), 1,
      anon_sym_RPAREN,
    STATE(1107), 1,
      sym_interpreted_string_literal,
    STATE(1133), 1,
      sym_import_spec,
    STATE(1166), 1,
      sym_dot,
  [53166] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1722), 1,
      sym_identifier,
    ACTIONS(1724), 1,
      anon_sym_DOT,
    ACTIONS(1726), 1,
      sym_blank_identifier,
    ACTIONS(1730), 1,
      sym_raw_string_literal,
    ACTIONS(1755), 1,
      anon_sym_RPAREN,
    STATE(1107), 1,
      sym_interpreted_string_literal,
    STATE(1133), 1,
      sym_import_spec,
    STATE(1166), 1,
      sym_dot,
  [53197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1661), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1645), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53257] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(906), 1,
      anon_sym_DQUOTE,
    ACTIONS(1567), 1,
      anon_sym_LBRACK,
    ACTIONS(1757), 1,
      aux_sym_source_file_token1,
    ACTIONS(1761), 1,
      sym_raw_string_literal,
    STATE(818), 1,
      sym_type_arguments,
    STATE(1057), 1,
      sym_interpreted_string_literal,
    ACTIONS(1759), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [53284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1665), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1633), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53329] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1722), 1,
      sym_identifier,
    ACTIONS(1724), 1,
      anon_sym_DOT,
    ACTIONS(1726), 1,
      sym_blank_identifier,
    ACTIONS(1730), 1,
      sym_raw_string_literal,
    ACTIONS(1763), 1,
      anon_sym_RPAREN,
    STATE(1020), 1,
      sym_import_spec,
    STATE(1107), 1,
      sym_interpreted_string_literal,
    STATE(1166), 1,
      sym_dot,
  [53360] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(1748), 1,
      anon_sym_LBRACK,
    STATE(397), 1,
      sym_literal_value,
    STATE(845), 1,
      sym_type_arguments,
    ACTIONS(1569), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [53383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1673), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1649), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1677), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53443] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1722), 1,
      sym_identifier,
    ACTIONS(1724), 1,
      anon_sym_DOT,
    ACTIONS(1726), 1,
      sym_blank_identifier,
    ACTIONS(1730), 1,
      sym_raw_string_literal,
    ACTIONS(1765), 1,
      anon_sym_RPAREN,
    STATE(1030), 1,
      sym_import_spec,
    STATE(1107), 1,
      sym_interpreted_string_literal,
    STATE(1166), 1,
      sym_dot,
  [53474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53504] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1722), 1,
      sym_identifier,
    ACTIONS(1724), 1,
      anon_sym_DOT,
    ACTIONS(1726), 1,
      sym_blank_identifier,
    ACTIONS(1730), 1,
      sym_raw_string_literal,
    ACTIONS(1767), 1,
      anon_sym_RPAREN,
    STATE(1107), 1,
      sym_interpreted_string_literal,
    STATE(1133), 1,
      sym_import_spec,
    STATE(1166), 1,
      sym_dot,
  [53535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1657), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1625), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1605), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53580] = 8,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(906), 1,
      anon_sym_DQUOTE,
    ACTIONS(1567), 1,
      anon_sym_LBRACK,
    ACTIONS(1769), 1,
      aux_sym_source_file_token1,
    ACTIONS(1773), 1,
      sym_raw_string_literal,
    STATE(818), 1,
      sym_type_arguments,
    STATE(1071), 1,
      sym_interpreted_string_literal,
    ACTIONS(1771), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [53607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1751), 1,
      anon_sym_LBRACK,
    STATE(845), 1,
      sym_type_arguments,
    ACTIONS(1569), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1697), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1613), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1613), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1701), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1689), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53716] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1722), 1,
      sym_identifier,
    ACTIONS(1724), 1,
      anon_sym_DOT,
    ACTIONS(1726), 1,
      sym_blank_identifier,
    ACTIONS(1730), 1,
      sym_raw_string_literal,
    ACTIONS(1775), 1,
      anon_sym_RPAREN,
    STATE(1107), 1,
      sym_interpreted_string_literal,
    STATE(1133), 1,
      sym_import_spec,
    STATE(1166), 1,
      sym_dot,
  [53747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1609), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1613), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1681), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_COLON,
  [53807] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_DOT,
    ACTIONS(1779), 1,
      anon_sym_LBRACK,
    STATE(956), 1,
      sym_type_arguments,
    ACTIONS(1076), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1555), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACE,
  [53829] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1782), 1,
      sym_identifier,
    ACTIONS(1784), 1,
      anon_sym_STAR,
    ACTIONS(1786), 1,
      anon_sym_RBRACE,
    STATE(849), 1,
      sym_qualified_type,
    STATE(903), 1,
      sym_generic_type,
    STATE(1074), 1,
      sym_field_declaration,
    STATE(1293), 1,
      sym_negated_type,
  [53857] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(858), 1,
      aux_sym_source_file_token1,
    ACTIONS(1788), 1,
      anon_sym_COMMA,
    STATE(881), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(860), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [53877] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1782), 1,
      sym_identifier,
    ACTIONS(1784), 1,
      anon_sym_STAR,
    ACTIONS(1791), 1,
      anon_sym_RBRACE,
    STATE(849), 1,
      sym_qualified_type,
    STATE(903), 1,
      sym_generic_type,
    STATE(1074), 1,
      sym_field_declaration,
    STATE(1293), 1,
      sym_negated_type,
  [53905] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1782), 1,
      sym_identifier,
    ACTIONS(1784), 1,
      anon_sym_STAR,
    ACTIONS(1793), 1,
      anon_sym_RBRACE,
    STATE(849), 1,
      sym_qualified_type,
    STATE(903), 1,
      sym_generic_type,
    STATE(1027), 1,
      sym_field_declaration,
    STATE(1293), 1,
      sym_negated_type,
  [53933] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_DOT,
    ACTIONS(1795), 1,
      anon_sym_LBRACK,
    STATE(956), 1,
      sym_type_arguments,
    ACTIONS(1076), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1555), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACE,
  [53955] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1782), 1,
      sym_identifier,
    ACTIONS(1784), 1,
      anon_sym_STAR,
    ACTIONS(1797), 1,
      anon_sym_RBRACE,
    STATE(849), 1,
      sym_qualified_type,
    STATE(903), 1,
      sym_generic_type,
    STATE(1019), 1,
      sym_field_declaration,
    STATE(1293), 1,
      sym_negated_type,
  [53983] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1782), 1,
      sym_identifier,
    ACTIONS(1784), 1,
      anon_sym_STAR,
    ACTIONS(1799), 1,
      anon_sym_RBRACE,
    STATE(849), 1,
      sym_qualified_type,
    STATE(903), 1,
      sym_generic_type,
    STATE(1074), 1,
      sym_field_declaration,
    STATE(1293), 1,
      sym_negated_type,
  [54011] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(1722), 1,
      sym_identifier,
    ACTIONS(1724), 1,
      anon_sym_DOT,
    ACTIONS(1726), 1,
      sym_blank_identifier,
    ACTIONS(1730), 1,
      sym_raw_string_literal,
    STATE(1107), 1,
      sym_interpreted_string_literal,
    STATE(1133), 1,
      sym_import_spec,
    STATE(1166), 1,
      sym_dot,
  [54039] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1782), 1,
      sym_identifier,
    ACTIONS(1784), 1,
      anon_sym_STAR,
    ACTIONS(1801), 1,
      anon_sym_RBRACE,
    STATE(849), 1,
      sym_qualified_type,
    STATE(903), 1,
      sym_generic_type,
    STATE(1074), 1,
      sym_field_declaration,
    STATE(1293), 1,
      sym_negated_type,
  [54067] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1782), 1,
      sym_identifier,
    ACTIONS(1784), 1,
      anon_sym_STAR,
    ACTIONS(1803), 1,
      anon_sym_RBRACE,
    STATE(849), 1,
      sym_qualified_type,
    STATE(903), 1,
      sym_generic_type,
    STATE(1039), 1,
      sym_field_declaration,
    STATE(1293), 1,
      sym_negated_type,
  [54095] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1782), 1,
      sym_identifier,
    ACTIONS(1784), 1,
      anon_sym_STAR,
    ACTIONS(1805), 1,
      anon_sym_RBRACE,
    STATE(849), 1,
      sym_qualified_type,
    STATE(903), 1,
      sym_generic_type,
    STATE(1074), 1,
      sym_field_declaration,
    STATE(1293), 1,
      sym_negated_type,
  [54123] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(956), 1,
      anon_sym_COMMA,
    ACTIONS(1553), 1,
      aux_sym_source_file_token1,
    STATE(881), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1807), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    STATE(397), 1,
      sym_literal_value,
    ACTIONS(1569), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [54161] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1782), 1,
      sym_identifier,
    ACTIONS(1784), 1,
      anon_sym_STAR,
    ACTIONS(1809), 1,
      anon_sym_RBRACE,
    STATE(849), 1,
      sym_qualified_type,
    STATE(903), 1,
      sym_generic_type,
    STATE(1074), 1,
      sym_field_declaration,
    STATE(1293), 1,
      sym_negated_type,
  [54189] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1095), 1,
      anon_sym_LBRACE,
    STATE(418), 1,
      sym_block,
    ACTIONS(1689), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [54207] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1811), 1,
      aux_sym_source_file_token1,
    STATE(909), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(1813), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(211), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54226] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1815), 1,
      aux_sym_source_file_token1,
    STATE(895), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(1817), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(1819), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54245] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1821), 1,
      aux_sym_source_file_token1,
    ACTIONS(1825), 1,
      anon_sym_EQ,
    ACTIONS(1823), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54262] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(1782), 1,
      sym_identifier,
    ACTIONS(1784), 1,
      anon_sym_STAR,
    STATE(849), 1,
      sym_qualified_type,
    STATE(903), 1,
      sym_generic_type,
    STATE(1074), 1,
      sym_field_declaration,
    STATE(1293), 1,
      sym_negated_type,
  [54287] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1827), 1,
      aux_sym_source_file_token1,
    ACTIONS(1831), 1,
      anon_sym_else,
    ACTIONS(1829), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54304] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1833), 1,
      anon_sym_LBRACK,
    STATE(916), 1,
      sym_type_arguments,
    ACTIONS(1569), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1571), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACE,
  [54323] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(906), 1,
      anon_sym_DQUOTE,
    ACTIONS(1769), 1,
      aux_sym_source_file_token1,
    ACTIONS(1773), 1,
      sym_raw_string_literal,
    STATE(1071), 1,
      sym_interpreted_string_literal,
    ACTIONS(1771), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [54344] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1836), 1,
      aux_sym_source_file_token1,
    ACTIONS(1840), 1,
      anon_sym_else,
    ACTIONS(1838), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54361] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(906), 1,
      anon_sym_DQUOTE,
    ACTIONS(1757), 1,
      aux_sym_source_file_token1,
    ACTIONS(1761), 1,
      sym_raw_string_literal,
    STATE(1057), 1,
      sym_interpreted_string_literal,
    ACTIONS(1759), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [54382] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1842), 1,
      aux_sym_source_file_token1,
    ACTIONS(1846), 1,
      anon_sym_EQ,
    ACTIONS(1844), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54399] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(906), 1,
      anon_sym_DQUOTE,
    ACTIONS(1848), 1,
      aux_sym_source_file_token1,
    ACTIONS(1852), 1,
      sym_raw_string_literal,
    STATE(1073), 1,
      sym_interpreted_string_literal,
    ACTIONS(1850), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [54420] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1842), 1,
      aux_sym_source_file_token1,
    ACTIONS(1854), 1,
      anon_sym_EQ,
    ACTIONS(1844), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54437] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1856), 1,
      sym_identifier,
    ACTIONS(1858), 1,
      aux_sym_source_file_token1,
    ACTIONS(1860), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54454] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(906), 1,
      anon_sym_DQUOTE,
    ACTIONS(1862), 1,
      aux_sym_source_file_token1,
    ACTIONS(1866), 1,
      sym_raw_string_literal,
    STATE(1132), 1,
      sym_interpreted_string_literal,
    ACTIONS(1864), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [54475] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1868), 1,
      aux_sym_source_file_token1,
    STATE(909), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(1871), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(1874), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54494] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1876), 1,
      sym_identifier,
    ACTIONS(1878), 1,
      aux_sym_source_file_token1,
    ACTIONS(1880), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54511] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1795), 1,
      anon_sym_LBRACK,
    STATE(916), 1,
      sym_type_arguments,
    ACTIONS(1569), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1571), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACE,
  [54530] = 6,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(906), 1,
      anon_sym_DQUOTE,
    ACTIONS(1862), 1,
      aux_sym_source_file_token1,
    ACTIONS(1882), 1,
      sym_raw_string_literal,
    STATE(1070), 1,
      sym_interpreted_string_literal,
    ACTIONS(1864), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [54551] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1884), 1,
      aux_sym_source_file_token1,
    ACTIONS(1886), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54565] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1888), 1,
      anon_sym_RBRACE,
    ACTIONS(1890), 1,
      anon_sym_case,
    ACTIONS(1892), 1,
      anon_sym_default,
    STATE(966), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [54583] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1669), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1671), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54597] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1661), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1663), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54611] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1036), 1,
      anon_sym_LBRACE,
    STATE(1078), 1,
      sym_block,
    ACTIONS(1894), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1896), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [54629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1050), 1,
      anon_sym_COMMA,
    ACTIONS(1807), 1,
      anon_sym_COLON,
    STATE(936), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(1553), 3,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [54647] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1629), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1631), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54661] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1625), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1627), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54675] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1898), 1,
      aux_sym_source_file_token1,
    ACTIONS(1874), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54689] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1900), 1,
      aux_sym_source_file_token1,
    ACTIONS(1902), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54703] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1904), 1,
      aux_sym_source_file_token1,
    ACTIONS(1906), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54717] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1036), 1,
      anon_sym_LBRACE,
    STATE(1079), 1,
      sym_block,
    ACTIONS(1908), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1910), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [54735] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1613), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1615), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54749] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1912), 1,
      aux_sym_source_file_token1,
    ACTIONS(1914), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54763] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1916), 1,
      aux_sym_source_file_token1,
    ACTIONS(1918), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54777] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1920), 1,
      aux_sym_source_file_token1,
    ACTIONS(1922), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54791] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1613), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1615), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54805] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1924), 1,
      aux_sym_source_file_token1,
    ACTIONS(1926), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54819] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1609), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1611), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54833] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1928), 1,
      anon_sym_LPAREN,
    ACTIONS(1932), 1,
      anon_sym_LBRACK,
    ACTIONS(1934), 1,
      anon_sym_PIPE,
    STATE(1108), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(1930), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [54853] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1936), 1,
      aux_sym_source_file_token1,
    ACTIONS(1938), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54867] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1940), 1,
      aux_sym_source_file_token1,
    ACTIONS(1942), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54881] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1944), 1,
      aux_sym_source_file_token1,
    ACTIONS(1948), 1,
      anon_sym_PIPE,
    STATE(945), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(1946), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [54899] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_COLON,
    ACTIONS(1950), 1,
      anon_sym_COMMA,
    STATE(936), 1,
      aux_sym_expression_list_repeat1,
    ACTIONS(858), 3,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [54917] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1953), 1,
      aux_sym_source_file_token1,
    ACTIONS(1955), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54931] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1665), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1667), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [54945] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1957), 1,
      aux_sym_source_file_token1,
    ACTIONS(1959), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54959] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1961), 1,
      aux_sym_source_file_token1,
    ACTIONS(1963), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54973] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1965), 1,
      aux_sym_source_file_token1,
    ACTIONS(1967), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [54987] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1677), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1679), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55001] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1969), 1,
      aux_sym_source_file_token1,
    ACTIONS(1971), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55015] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1701), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1703), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55029] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1973), 1,
      aux_sym_source_file_token1,
    ACTIONS(1977), 1,
      anon_sym_PIPE,
    STATE(945), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(1975), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [55047] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1980), 1,
      aux_sym_source_file_token1,
    ACTIONS(1982), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55061] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1689), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1691), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55075] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1984), 1,
      aux_sym_source_file_token1,
    ACTIONS(1986), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55089] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1613), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1615), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55103] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1988), 1,
      aux_sym_source_file_token1,
    ACTIONS(1990), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55117] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1992), 1,
      aux_sym_source_file_token1,
    ACTIONS(1994), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55131] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1996), 1,
      aux_sym_source_file_token1,
    ACTIONS(1998), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55145] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2000), 1,
      aux_sym_source_file_token1,
    ACTIONS(2002), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55159] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1621), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1623), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55173] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2004), 1,
      aux_sym_source_file_token1,
    ACTIONS(2006), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55187] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1645), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1647), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55201] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2008), 1,
      aux_sym_source_file_token1,
    ACTIONS(2010), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55215] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2012), 1,
      aux_sym_source_file_token1,
    ACTIONS(2014), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55229] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2016), 1,
      aux_sym_source_file_token1,
    ACTIONS(2018), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55243] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2020), 1,
      aux_sym_source_file_token1,
    ACTIONS(2022), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1892), 1,
      anon_sym_default,
    ACTIONS(2024), 1,
      anon_sym_RBRACE,
    ACTIONS(2026), 1,
      anon_sym_case,
    STATE(988), 3,
      sym_default_case,
      sym_communication_case,
      aux_sym_select_statement_repeat1,
  [55275] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2028), 1,
      aux_sym_source_file_token1,
    ACTIONS(2030), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_case,
    ACTIONS(1892), 1,
      anon_sym_default,
    ACTIONS(2032), 1,
      anon_sym_RBRACE,
    STATE(983), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [55307] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1649), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1651), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55321] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1892), 1,
      anon_sym_default,
    ACTIONS(2034), 1,
      anon_sym_RBRACE,
    ACTIONS(2036), 1,
      anon_sym_case,
    STATE(980), 3,
      sym_default_case,
      sym_type_case,
      aux_sym_type_switch_statement_repeat1,
  [55339] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_case,
    ACTIONS(1892), 1,
      anon_sym_default,
    ACTIONS(2038), 1,
      anon_sym_RBRACE,
    STATE(972), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [55357] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2040), 1,
      aux_sym_source_file_token1,
    ACTIONS(2042), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55371] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2044), 1,
      aux_sym_source_file_token1,
    ACTIONS(2046), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55385] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2048), 1,
      aux_sym_source_file_token1,
    ACTIONS(2050), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55399] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2008), 1,
      aux_sym_source_file_token1,
    ACTIONS(2010), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55413] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2052), 1,
      aux_sym_source_file_token1,
    ACTIONS(2054), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2056), 1,
      anon_sym_RBRACE,
    ACTIONS(2058), 1,
      anon_sym_case,
    ACTIONS(2061), 1,
      anon_sym_default,
    STATE(972), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [55445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_case,
    ACTIONS(1892), 1,
      anon_sym_default,
    ACTIONS(2064), 1,
      anon_sym_RBRACE,
    STATE(1002), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [55463] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2066), 1,
      aux_sym_source_file_token1,
    ACTIONS(2068), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55477] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1036), 1,
      anon_sym_LBRACE,
    STATE(1059), 1,
      sym_block,
    ACTIONS(2070), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2072), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55495] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2074), 1,
      aux_sym_source_file_token1,
    ACTIONS(2076), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55509] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1930), 1,
      aux_sym_source_file_token1,
    ACTIONS(1948), 1,
      anon_sym_PIPE,
    STATE(935), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(2078), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [55527] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2080), 1,
      aux_sym_source_file_token1,
    ACTIONS(2082), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55541] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_case,
    ACTIONS(1892), 1,
      anon_sym_default,
    ACTIONS(2084), 1,
      anon_sym_RBRACE,
    STATE(972), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [55559] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1892), 1,
      anon_sym_default,
    ACTIONS(2036), 1,
      anon_sym_case,
    ACTIONS(2086), 1,
      anon_sym_RBRACE,
    STATE(1011), 3,
      sym_default_case,
      sym_type_case,
      aux_sym_type_switch_statement_repeat1,
  [55577] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2088), 1,
      aux_sym_source_file_token1,
    ACTIONS(2090), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55591] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 1,
      anon_sym_LBRACE,
    ACTIONS(1709), 1,
      anon_sym_DOT,
    ACTIONS(1711), 1,
      anon_sym_LBRACK,
    ACTIONS(2092), 1,
      anon_sym_LPAREN,
    STATE(454), 1,
      sym_parameter_list,
    STATE(848), 1,
      sym_type_arguments,
  [55613] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_case,
    ACTIONS(1892), 1,
      anon_sym_default,
    ACTIONS(2094), 1,
      anon_sym_RBRACE,
    STATE(972), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [55631] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1641), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1643), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55645] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1685), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1687), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55659] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2096), 1,
      aux_sym_source_file_token1,
    ACTIONS(2098), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55673] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1657), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1659), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2100), 1,
      anon_sym_RBRACE,
    ACTIONS(2102), 1,
      anon_sym_case,
    ACTIONS(2105), 1,
      anon_sym_default,
    STATE(988), 3,
      sym_default_case,
      sym_communication_case,
      aux_sym_select_statement_repeat1,
  [55705] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2108), 1,
      aux_sym_source_file_token1,
    ACTIONS(2110), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55719] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2112), 1,
      aux_sym_source_file_token1,
    ACTIONS(2114), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55733] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1673), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1675), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55747] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1605), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1607), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55761] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1693), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1695), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55775] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1892), 1,
      anon_sym_default,
    ACTIONS(2026), 1,
      anon_sym_case,
    ACTIONS(2116), 1,
      anon_sym_RBRACE,
    STATE(961), 3,
      sym_default_case,
      sym_communication_case,
      aux_sym_select_statement_repeat1,
  [55793] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1697), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1699), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55807] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1681), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1683), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55821] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1569), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1571), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55835] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1617), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1619), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [55861] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1637), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1639), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55875] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2118), 1,
      aux_sym_source_file_token1,
    ACTIONS(2120), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55889] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_case,
    ACTIONS(1892), 1,
      anon_sym_default,
    ACTIONS(2122), 1,
      anon_sym_RBRACE,
    STATE(972), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [55907] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1890), 1,
      anon_sym_case,
    ACTIONS(1892), 1,
      anon_sym_default,
    ACTIONS(2124), 1,
      anon_sym_RBRACE,
    STATE(979), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_expression_switch_statement_repeat1,
  [55925] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1633), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(1635), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
  [55939] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2126), 1,
      aux_sym_source_file_token1,
    ACTIONS(2128), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55953] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2130), 1,
      aux_sym_source_file_token1,
    ACTIONS(2132), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55967] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2134), 1,
      aux_sym_source_file_token1,
    ACTIONS(2136), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [55981] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 1,
      anon_sym_LBRACE,
    ACTIONS(1709), 1,
      anon_sym_DOT,
    ACTIONS(1711), 1,
      anon_sym_LBRACK,
    ACTIONS(2138), 1,
      anon_sym_LPAREN,
    STATE(479), 1,
      sym_parameter_list,
    STATE(848), 1,
      sym_type_arguments,
  [56003] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2140), 1,
      aux_sym_source_file_token1,
    ACTIONS(2142), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56017] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2144), 1,
      aux_sym_source_file_token1,
    ACTIONS(2146), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_RBRACE,
    ACTIONS(2150), 1,
      anon_sym_case,
    ACTIONS(2153), 1,
      anon_sym_default,
    STATE(1011), 3,
      sym_default_case,
      sym_type_case,
      aux_sym_type_switch_statement_repeat1,
  [56049] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2156), 1,
      aux_sym_source_file_token1,
    ACTIONS(2158), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56063] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2160), 1,
      aux_sym_source_file_token1,
    ACTIONS(2162), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56077] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2164), 1,
      aux_sym_source_file_token1,
    ACTIONS(2166), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56091] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2168), 1,
      aux_sym_source_file_token1,
    ACTIONS(2170), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56105] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2172), 1,
      aux_sym_source_file_token1,
    ACTIONS(2174), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56119] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2176), 1,
      aux_sym_source_file_token1,
    ACTIONS(2178), 5,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [56133] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 1,
      anon_sym_LPAREN,
    ACTIONS(1748), 1,
      anon_sym_LBRACK,
    ACTIONS(2180), 1,
      anon_sym_LBRACE,
    STATE(261), 1,
      sym_literal_value,
    STATE(845), 1,
      sym_type_arguments,
  [56152] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2182), 1,
      aux_sym_source_file_token1,
    ACTIONS(2186), 1,
      anon_sym_RBRACE,
    STATE(1026), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2184), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56169] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2188), 1,
      aux_sym_source_file_token1,
    ACTIONS(2192), 1,
      anon_sym_RPAREN,
    STATE(1043), 1,
      aux_sym_import_spec_list_repeat1,
    ACTIONS(2190), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56186] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(31), 1,
      anon_sym_TILDE,
    ACTIONS(2194), 1,
      sym_identifier,
    STATE(866), 1,
      sym_qualified_type,
    STATE(901), 1,
      sym_generic_type,
    STATE(1293), 1,
      sym_negated_type,
  [56205] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2196), 1,
      aux_sym_source_file_token1,
    ACTIONS(2200), 1,
      anon_sym_RBRACE,
    STATE(1031), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2198), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56222] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_LBRACE,
    ACTIONS(1569), 1,
      anon_sym_LPAREN,
    ACTIONS(1748), 1,
      anon_sym_LBRACK,
    STATE(543), 1,
      sym_literal_value,
    STATE(845), 1,
      sym_type_arguments,
  [56241] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1119), 1,
      anon_sym_LBRACE,
    ACTIONS(1894), 1,
      aux_sym_source_file_token1,
    STATE(1173), 1,
      sym_block,
    ACTIONS(1896), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56258] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2202), 1,
      aux_sym_source_file_token1,
    ACTIONS(2208), 1,
      anon_sym_RPAREN,
    STATE(1025), 1,
      aux_sym_import_spec_list_repeat1,
    ACTIONS(2205), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56275] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2210), 1,
      aux_sym_source_file_token1,
    ACTIONS(2214), 1,
      anon_sym_RBRACE,
    STATE(1041), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2212), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56292] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2216), 1,
      aux_sym_source_file_token1,
    ACTIONS(2220), 1,
      anon_sym_RBRACE,
    STATE(1045), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2218), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56309] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2222), 1,
      aux_sym_source_file_token1,
    ACTIONS(2226), 1,
      anon_sym_RBRACE,
    STATE(1047), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2224), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56326] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1119), 1,
      anon_sym_LBRACE,
    ACTIONS(1908), 1,
      aux_sym_source_file_token1,
    STATE(1186), 1,
      sym_block,
    ACTIONS(1910), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56343] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2228), 1,
      aux_sym_source_file_token1,
    ACTIONS(2232), 1,
      anon_sym_RPAREN,
    STATE(1042), 1,
      aux_sym_import_spec_list_repeat1,
    ACTIONS(2230), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56360] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2234), 1,
      aux_sym_source_file_token1,
    ACTIONS(2238), 1,
      anon_sym_RBRACE,
    STATE(1037), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2236), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56377] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2240), 1,
      aux_sym_source_file_token1,
    ACTIONS(2244), 1,
      anon_sym_RBRACE,
    STATE(1037), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2242), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56394] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 1,
      anon_sym_LPAREN,
    ACTIONS(1748), 1,
      anon_sym_LBRACK,
    ACTIONS(2246), 1,
      anon_sym_LBRACE,
    STATE(499), 1,
      sym_literal_value,
    STATE(845), 1,
      sym_type_arguments,
  [56413] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2248), 1,
      aux_sym_source_file_token1,
    ACTIONS(2252), 1,
      anon_sym_RBRACE,
    STATE(1032), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2250), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56430] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 1,
      anon_sym_LPAREN,
    ACTIONS(1748), 1,
      anon_sym_LBRACK,
    ACTIONS(2254), 1,
      anon_sym_LBRACE,
    STATE(304), 1,
      sym_literal_value,
    STATE(845), 1,
      sym_type_arguments,
  [56449] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1119), 1,
      anon_sym_LBRACE,
    ACTIONS(2070), 1,
      aux_sym_source_file_token1,
    STATE(1141), 1,
      sym_block,
    ACTIONS(2072), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56466] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2256), 1,
      aux_sym_source_file_token1,
    ACTIONS(2262), 1,
      anon_sym_RBRACE,
    STATE(1037), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2259), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56483] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 1,
      sym_identifier,
    ACTIONS(2266), 1,
      anon_sym_RPAREN,
    STATE(1044), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1241), 2,
      sym_type_alias,
      sym_type_spec,
  [56500] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2268), 1,
      aux_sym_source_file_token1,
    ACTIONS(2272), 1,
      anon_sym_RBRACE,
    STATE(1049), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2270), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56517] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(1973), 1,
      aux_sym_source_file_token1,
    ACTIONS(1975), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [56530] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2274), 1,
      aux_sym_source_file_token1,
    ACTIONS(2280), 1,
      anon_sym_RBRACE,
    STATE(1041), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2277), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56547] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2282), 1,
      aux_sym_source_file_token1,
    ACTIONS(2286), 1,
      anon_sym_RPAREN,
    STATE(1025), 1,
      aux_sym_import_spec_list_repeat1,
    ACTIONS(2284), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56564] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2288), 1,
      aux_sym_source_file_token1,
    ACTIONS(2292), 1,
      anon_sym_RPAREN,
    STATE(1025), 1,
      aux_sym_import_spec_list_repeat1,
    ACTIONS(2290), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56581] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 1,
      sym_identifier,
    ACTIONS(2294), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1241), 2,
      sym_type_alias,
      sym_type_spec,
  [56598] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2296), 1,
      aux_sym_source_file_token1,
    ACTIONS(2300), 1,
      anon_sym_RBRACE,
    STATE(1041), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2298), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56615] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(840), 1,
      anon_sym_LBRACE,
    ACTIONS(1569), 1,
      anon_sym_LPAREN,
    ACTIONS(1748), 1,
      anon_sym_LBRACK,
    STATE(347), 1,
      sym_literal_value,
    STATE(845), 1,
      sym_type_arguments,
  [56634] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2302), 1,
      aux_sym_source_file_token1,
    ACTIONS(2306), 1,
      anon_sym_RBRACE,
    STATE(1037), 1,
      aux_sym_interface_type_repeat1,
    ACTIONS(2304), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56651] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2308), 1,
      sym_identifier,
    ACTIONS(2311), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      aux_sym_type_declaration_repeat1,
    STATE(1241), 2,
      sym_type_alias,
      sym_type_spec,
  [56668] = 5,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2313), 1,
      aux_sym_source_file_token1,
    ACTIONS(2317), 1,
      anon_sym_RBRACE,
    STATE(1041), 1,
      aux_sym_field_declaration_list_repeat1,
    ACTIONS(2315), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2319), 1,
      anon_sym_COMMA,
    STATE(1050), 1,
      aux_sym_type_case_repeat1,
    ACTIONS(2322), 2,
      anon_sym_RBRACK,
      anon_sym_COLON,
  [56699] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2324), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2326), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(2328), 1,
      anon_sym_if,
    STATE(1012), 2,
      sym_block,
      sym_if_statement,
  [56725] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2330), 1,
      anon_sym_DQUOTE2,
    STATE(1098), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2332), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56739] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2334), 1,
      aux_sym_source_file_token1,
    ACTIONS(2336), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RPAREN,
  [56751] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(647), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(649), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56763] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2338), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2340), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56775] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2342), 1,
      aux_sym_source_file_token1,
    ACTIONS(2344), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [56787] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2346), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2348), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56799] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2350), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2352), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      sym_identifier,
    ACTIONS(2356), 1,
      anon_sym_LPAREN,
    STATE(1013), 2,
      sym_var_spec,
      sym_var_spec_list,
  [56825] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2358), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2360), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    STATE(286), 1,
      sym_block,
    ACTIONS(1689), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [56851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      sym_identifier,
    ACTIONS(2365), 1,
      anon_sym_RPAREN,
    STATE(1063), 1,
      aux_sym_var_spec_list_repeat1,
    STATE(1211), 1,
      sym_var_spec,
  [56867] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(2369), 1,
      anon_sym_RBRACE,
    ACTIONS(2371), 1,
      anon_sym_COLON,
    STATE(1200), 1,
      aux_sym_literal_value_repeat1,
  [56883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(840), 1,
      anon_sym_LBRACE,
    STATE(347), 1,
      sym_literal_value,
    ACTIONS(1569), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [56897] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2373), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2375), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56909] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2377), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2379), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56921] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2381), 1,
      aux_sym_source_file_token1,
    ACTIONS(2383), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [56933] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2385), 1,
      anon_sym_DQUOTE2,
    STATE(1053), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2387), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [56947] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2389), 1,
      aux_sym_source_file_token1,
    ACTIONS(2391), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [56959] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2393), 1,
      aux_sym_source_file_token1,
    ACTIONS(2395), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [56971] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2389), 1,
      aux_sym_source_file_token1,
    ACTIONS(2391), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [56983] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2397), 1,
      aux_sym_source_file_token1,
    ACTIONS(2399), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [56995] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2401), 1,
      aux_sym_source_file_token1,
    ACTIONS(2280), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [57007] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2403), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2405), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57019] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2389), 1,
      aux_sym_source_file_token1,
    ACTIONS(2391), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [57031] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2407), 1,
      aux_sym_source_file_token1,
    ACTIONS(2409), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [57043] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2411), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2413), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57055] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2415), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2417), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2419), 1,
      sym_identifier,
    ACTIONS(2422), 1,
      anon_sym_RPAREN,
    STATE(1080), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1206), 1,
      sym_const_spec,
  [57083] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_LBRACE,
    STATE(366), 1,
      sym_block,
    ACTIONS(1689), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [57097] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      sym_identifier,
    ACTIONS(2424), 1,
      anon_sym_RPAREN,
    STATE(1063), 1,
      aux_sym_var_spec_list_repeat1,
    STATE(1211), 1,
      sym_var_spec,
  [57113] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 1,
      sym_identifier,
    ACTIONS(2426), 1,
      anon_sym_LPAREN,
    STATE(955), 2,
      sym_type_alias,
      sym_type_spec,
  [57127] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_PIPE,
    STATE(1084), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(1973), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [57141] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2431), 1,
      aux_sym_source_file_token1,
    ACTIONS(2433), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [57153] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2435), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2437), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57165] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2439), 1,
      sym_identifier,
    ACTIONS(2441), 1,
      anon_sym_RPAREN,
    STATE(1080), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1206), 1,
      sym_const_spec,
  [57181] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2443), 1,
      aux_sym_source_file_token1,
    ACTIONS(2262), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [57193] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2445), 1,
      aux_sym_source_file_token1,
    ACTIONS(2447), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RPAREN,
  [57205] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2439), 1,
      sym_identifier,
    ACTIONS(2449), 1,
      anon_sym_RPAREN,
    STATE(1087), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1206), 1,
      sym_const_spec,
  [57221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1934), 1,
      anon_sym_PIPE,
    STATE(1108), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(1930), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [57235] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2451), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2453), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2371), 1,
      anon_sym_COLON,
    ACTIONS(2455), 1,
      anon_sym_COMMA,
    ACTIONS(2457), 1,
      anon_sym_RBRACE,
    STATE(1207), 1,
      aux_sym_literal_value_repeat1,
  [57263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 1,
      anon_sym_LBRACE,
    STATE(306), 1,
      sym_block,
    ACTIONS(1689), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [57277] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_DQUOTE2,
    STATE(1114), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2461), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_LBRACE,
    STATE(499), 1,
      sym_literal_value,
    ACTIONS(1569), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [57305] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    ACTIONS(2328), 1,
      anon_sym_if,
    STATE(913), 2,
      sym_block,
      sym_if_statement,
  [57319] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2463), 1,
      anon_sym_DQUOTE2,
    STATE(1098), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2465), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57333] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2468), 1,
      anon_sym_DQUOTE2,
    STATE(1098), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2332), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57347] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2445), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2447), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57359] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(661), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(663), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57371] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2371), 1,
      anon_sym_COLON,
    ACTIONS(2470), 1,
      anon_sym_COMMA,
    ACTIONS(2472), 1,
      anon_sym_RBRACE,
    STATE(1233), 1,
      aux_sym_literal_value_repeat1,
  [57387] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2371), 1,
      anon_sym_COLON,
    ACTIONS(2474), 1,
      anon_sym_COMMA,
    ACTIONS(2476), 1,
      anon_sym_RBRACE,
    STATE(1164), 1,
      aux_sym_literal_value_repeat1,
  [57403] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(657), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(659), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57415] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2371), 1,
      anon_sym_COLON,
    ACTIONS(2478), 1,
      anon_sym_COMMA,
    ACTIONS(2480), 1,
      anon_sym_RBRACE,
    STATE(1220), 1,
      aux_sym_literal_value_repeat1,
  [57431] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2482), 1,
      anon_sym_DQUOTE2,
    STATE(1126), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2484), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57445] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2346), 1,
      aux_sym_source_file_token1,
    ACTIONS(2348), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RPAREN,
  [57457] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1934), 1,
      anon_sym_PIPE,
    STATE(1084), 1,
      aux_sym_type_elem_repeat1,
    ACTIONS(1944), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [57471] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 1,
      anon_sym_LBRACE,
    STATE(567), 1,
      sym_block,
    ACTIONS(1689), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [57485] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2486), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2488), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 1,
      anon_sym_LBRACE,
    STATE(304), 1,
      sym_literal_value,
    ACTIONS(1569), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [57511] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2490), 1,
      anon_sym_DQUOTE2,
    STATE(1099), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2492), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57525] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2334), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(2336), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57537] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2494), 1,
      anon_sym_DQUOTE2,
    STATE(1098), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2332), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57551] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      sym_identifier,
    ACTIONS(2496), 1,
      anon_sym_RPAREN,
    STATE(1082), 1,
      aux_sym_var_spec_list_repeat1,
    STATE(1211), 1,
      sym_var_spec,
  [57567] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2498), 1,
      ts_builtin_sym_end,
    ACTIONS(2500), 1,
      aux_sym_source_file_token1,
    ACTIONS(2502), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57581] = 4,
    ACTIONS(75), 1,
      ts_builtin_sym_end,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2500), 1,
      aux_sym_source_file_token1,
    ACTIONS(2502), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57595] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2504), 1,
      anon_sym_DQUOTE2,
    STATE(1098), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2332), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57609] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2506), 1,
      anon_sym_DQUOTE2,
    STATE(1123), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2508), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57623] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2510), 1,
      anon_sym_DQUOTE2,
    STATE(1131), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2512), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57637] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(651), 2,
      ts_builtin_sym_end,
      aux_sym_source_file_token1,
    ACTIONS(653), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 1,
      anon_sym_LBRACE,
    STATE(497), 1,
      sym_block,
    ACTIONS(1689), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [57663] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_DQUOTE2,
    STATE(1098), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2332), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57677] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2138), 1,
      anon_sym_LPAREN,
    ACTIONS(2516), 1,
      anon_sym_LBRACK,
    STATE(502), 1,
      sym_parameter_list,
    STATE(1302), 1,
      sym_type_parameter_list,
  [57693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2180), 1,
      anon_sym_LBRACE,
    STATE(261), 1,
      sym_literal_value,
    ACTIONS(1569), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [57707] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2518), 1,
      anon_sym_DQUOTE2,
    STATE(1098), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2332), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57721] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_DQUOTE2,
    STATE(1118), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2522), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57735] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LPAREN,
    ACTIONS(2516), 1,
      anon_sym_LBRACK,
    STATE(450), 1,
      sym_parameter_list,
    STATE(1315), 1,
      sym_type_parameter_list,
  [57751] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2371), 1,
      anon_sym_COLON,
    ACTIONS(2524), 1,
      anon_sym_COMMA,
    ACTIONS(2526), 1,
      anon_sym_RBRACE,
    STATE(1148), 1,
      aux_sym_literal_value_repeat1,
  [57767] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_LBRACE,
    STATE(543), 1,
      sym_literal_value,
    ACTIONS(1569), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
  [57781] = 4,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2528), 1,
      anon_sym_DQUOTE2,
    STATE(1098), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2332), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [57795] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2389), 1,
      aux_sym_source_file_token1,
    ACTIONS(2391), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RBRACE,
  [57807] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2530), 1,
      aux_sym_source_file_token1,
    ACTIONS(2208), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_RPAREN,
  [57819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(395), 1,
      anon_sym_RPAREN,
    ACTIONS(2532), 1,
      anon_sym_COMMA,
    STATE(1170), 1,
      aux_sym_argument_list_repeat1,
  [57832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [57841] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2536), 1,
      anon_sym_COMMA,
    ACTIONS(2538), 1,
      anon_sym_RBRACK,
    STATE(1151), 1,
      aux_sym_type_case_repeat1,
  [57854] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2373), 1,
      aux_sym_source_file_token1,
    ACTIONS(2375), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 1,
      anon_sym_RPAREN,
    ACTIONS(1135), 1,
      anon_sym_COMMA,
    STATE(1154), 1,
      aux_sym_argument_list_repeat1,
  [57878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(974), 1,
      anon_sym_LPAREN,
    ACTIONS(2540), 1,
      sym_identifier,
    STATE(629), 1,
      sym_parameter_list,
  [57891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 1,
      anon_sym_RPAREN,
    ACTIONS(2542), 1,
      anon_sym_COMMA,
    STATE(1222), 1,
      aux_sym_parameter_list_repeat1,
  [57904] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2350), 1,
      aux_sym_source_file_token1,
    ACTIONS(2352), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57915] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2338), 1,
      aux_sym_source_file_token1,
    ACTIONS(2340), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57926] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2544), 1,
      anon_sym_COMMA,
    ACTIONS(2547), 1,
      anon_sym_RBRACK,
    STATE(1143), 1,
      aux_sym_type_arguments_repeat1,
  [57939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(507), 1,
      anon_sym_RPAREN,
    ACTIONS(2549), 1,
      anon_sym_COMMA,
    STATE(1219), 1,
      aux_sym_expression_list_repeat1,
  [57952] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2324), 1,
      aux_sym_source_file_token1,
    ACTIONS(2326), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 1,
      anon_sym_RBRACK,
    ACTIONS(2551), 1,
      anon_sym_COMMA,
    STATE(1143), 1,
      aux_sym_type_arguments_repeat1,
  [57976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1746), 1,
      anon_sym_DQUOTE,
    ACTIONS(2553), 1,
      sym_raw_string_literal,
    STATE(1100), 1,
      sym_interpreted_string_literal,
  [57989] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 1,
      anon_sym_RBRACE,
    ACTIONS(2555), 1,
      anon_sym_COMMA,
    STATE(1158), 1,
      aux_sym_literal_value_repeat1,
  [58002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 1,
      anon_sym_COMMA,
    ACTIONS(2559), 1,
      anon_sym_RBRACK,
    STATE(1217), 1,
      aux_sym_type_parameter_list_repeat1,
  [58015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2561), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [58024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1401), 1,
      anon_sym_RBRACK,
    ACTIONS(2563), 1,
      anon_sym_COMMA,
    STATE(1050), 1,
      aux_sym_type_case_repeat1,
  [58037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_COMMA,
    ACTIONS(2526), 1,
      anon_sym_RBRACE,
    STATE(1148), 1,
      aux_sym_literal_value_repeat1,
  [58050] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2565), 1,
      anon_sym_COMMA,
    ACTIONS(2567), 1,
      anon_sym_RBRACK,
    STATE(1146), 1,
      aux_sym_type_arguments_repeat1,
  [58063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(415), 1,
      anon_sym_RPAREN,
    ACTIONS(2569), 1,
      anon_sym_COMMA,
    STATE(1170), 1,
      aux_sym_argument_list_repeat1,
  [58076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2371), 1,
      anon_sym_COLON,
    ACTIONS(2571), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [58087] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_RPAREN,
    ACTIONS(2575), 1,
      anon_sym_COMMA,
    STATE(1144), 1,
      aux_sym_expression_list_repeat1,
  [58100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2577), 1,
      anon_sym_COMMA,
    ACTIONS(2579), 1,
      anon_sym_COLON,
    STATE(1050), 1,
      aux_sym_type_case_repeat1,
  [58113] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2571), 1,
      anon_sym_RBRACE,
    ACTIONS(2581), 1,
      anon_sym_COMMA,
    STATE(1158), 1,
      aux_sym_literal_value_repeat1,
  [58126] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2500), 1,
      aux_sym_source_file_token1,
    ACTIONS(2502), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2322), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
  [58146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_RBRACK,
    ACTIONS(2584), 1,
      anon_sym_COMMA,
    STATE(1050), 1,
      aux_sym_type_case_repeat1,
  [58159] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(858), 1,
      anon_sym_LBRACE,
    ACTIONS(2586), 1,
      anon_sym_COMMA,
    STATE(1162), 1,
      aux_sym_expression_list_repeat1,
  [58172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(2589), 1,
      sym_raw_string_literal,
    STATE(1089), 1,
      sym_interpreted_string_literal,
  [58185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(357), 1,
      anon_sym_RBRACE,
    ACTIONS(2591), 1,
      anon_sym_COMMA,
    STATE(1158), 1,
      aux_sym_literal_value_repeat1,
  [58198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      anon_sym_COMMA,
    ACTIONS(1553), 1,
      anon_sym_LBRACE,
    STATE(1162), 1,
      aux_sym_expression_list_repeat1,
  [58211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(2593), 1,
      sym_raw_string_literal,
    STATE(1054), 1,
      sym_interpreted_string_literal,
  [58224] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_RBRACK,
    ACTIONS(2595), 1,
      anon_sym_COMMA,
    STATE(1143), 1,
      aux_sym_type_arguments_repeat1,
  [58237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2597), 1,
      anon_sym_RPAREN,
    ACTIONS(2599), 1,
      anon_sym_COMMA,
    STATE(1140), 1,
      aux_sym_parameter_list_repeat1,
  [58250] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2377), 1,
      aux_sym_source_file_token1,
    ACTIONS(2379), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_RPAREN,
    ACTIONS(2601), 1,
      anon_sym_COMMA,
    STATE(1170), 1,
      aux_sym_argument_list_repeat1,
  [58274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2604), 1,
      anon_sym_RPAREN,
    ACTIONS(2606), 1,
      anon_sym_COMMA,
    STATE(1229), 1,
      aux_sym_parameter_list_repeat1,
  [58287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2608), 1,
      anon_sym_COMMA,
    ACTIONS(2610), 1,
      anon_sym_RBRACK,
    STATE(1149), 1,
      aux_sym_type_parameter_list_repeat1,
  [58300] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2411), 1,
      aux_sym_source_file_token1,
    ACTIONS(2413), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2577), 1,
      anon_sym_COMMA,
    ACTIONS(2612), 1,
      anon_sym_COLON,
    STATE(1157), 1,
      aux_sym_type_case_repeat1,
  [58324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2614), 1,
      anon_sym_RPAREN,
    ACTIONS(2616), 1,
      anon_sym_COMMA,
    STATE(1209), 1,
      aux_sym_expression_list_repeat1,
  [58337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2618), 1,
      anon_sym_RPAREN,
    ACTIONS(2620), 1,
      anon_sym_COMMA,
    STATE(1242), 1,
      aux_sym_expression_list_repeat1,
  [58350] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2358), 1,
      aux_sym_source_file_token1,
    ACTIONS(2360), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58361] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2451), 1,
      aux_sym_source_file_token1,
    ACTIONS(2453), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58372] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2435), 1,
      aux_sym_source_file_token1,
    ACTIONS(2437), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2622), 1,
      anon_sym_RPAREN,
    ACTIONS(2624), 1,
      anon_sym_COMMA,
    STATE(1195), 1,
      aux_sym_expression_list_repeat1,
  [58396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2626), 1,
      anon_sym_COMMA,
    ACTIONS(2628), 1,
      anon_sym_RBRACK,
    STATE(1167), 1,
      aux_sym_type_arguments_repeat1,
  [58409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 1,
      anon_sym_COMMA,
    ACTIONS(2632), 1,
      anon_sym_RBRACK,
    STATE(1235), 1,
      aux_sym_type_arguments_repeat1,
  [58422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [58431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2478), 1,
      anon_sym_COMMA,
    ACTIONS(2480), 1,
      anon_sym_RBRACE,
    STATE(1220), 1,
      aux_sym_literal_value_repeat1,
  [58444] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1746), 1,
      anon_sym_DQUOTE,
    ACTIONS(2634), 1,
      sym_raw_string_literal,
    STATE(1113), 1,
      sym_interpreted_string_literal,
  [58457] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2415), 1,
      aux_sym_source_file_token1,
    ACTIONS(2417), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(461), 1,
      anon_sym_RPAREN,
    ACTIONS(2636), 1,
      anon_sym_COMMA,
    STATE(1170), 1,
      aux_sym_argument_list_repeat1,
  [58481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2474), 1,
      anon_sym_COMMA,
    ACTIONS(2476), 1,
      anon_sym_RBRACE,
    STATE(1164), 1,
      aux_sym_literal_value_repeat1,
  [58494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2638), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [58503] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2470), 1,
      anon_sym_COMMA,
    ACTIONS(2472), 1,
      anon_sym_RBRACE,
    STATE(1233), 1,
      aux_sym_literal_value_repeat1,
  [58516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2640), 1,
      anon_sym_COMMA,
    ACTIONS(2642), 1,
      anon_sym_RBRACK,
    STATE(1161), 1,
      aux_sym_type_case_repeat1,
  [58529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2644), 1,
      anon_sym_COMMA,
    ACTIONS(2646), 1,
      anon_sym_RBRACK,
    STATE(1227), 1,
      aux_sym_type_case_repeat1,
  [58542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      anon_sym_RBRACK,
    ACTIONS(2648), 1,
      anon_sym_COMMA,
    STATE(1050), 1,
      aux_sym_type_case_repeat1,
  [58555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2650), 1,
      anon_sym_RPAREN,
    ACTIONS(2652), 1,
      anon_sym_COMMA,
    STATE(1205), 1,
      aux_sym_expression_list_repeat1,
  [58568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(487), 1,
      anon_sym_RPAREN,
    ACTIONS(2654), 1,
      anon_sym_COMMA,
    STATE(1219), 1,
      aux_sym_expression_list_repeat1,
  [58581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2656), 1,
      anon_sym_COMMA,
    ACTIONS(2658), 1,
      anon_sym_RBRACK,
    STATE(1232), 1,
      aux_sym_type_case_repeat1,
  [58594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2455), 1,
      anon_sym_COMMA,
    ACTIONS(2457), 1,
      anon_sym_RBRACE,
    STATE(1207), 1,
      aux_sym_literal_value_repeat1,
  [58607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_RPAREN,
    ACTIONS(1161), 1,
      anon_sym_COMMA,
    STATE(1134), 1,
      aux_sym_argument_list_repeat1,
  [58620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2662), 1,
      anon_sym_RBRACK,
    STATE(1210), 1,
      aux_sym_type_case_repeat1,
  [58633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(355), 1,
      anon_sym_RBRACE,
    ACTIONS(2664), 1,
      anon_sym_COMMA,
    STATE(1158), 1,
      aux_sym_literal_value_repeat1,
  [58646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 1,
      anon_sym_RPAREN,
    ACTIONS(1203), 1,
      anon_sym_COMMA,
    STATE(1213), 1,
      aux_sym_argument_list_repeat1,
  [58659] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_RPAREN,
    ACTIONS(1193), 1,
      anon_sym_COMMA,
    STATE(1228), 1,
      aux_sym_argument_list_repeat1,
  [58672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [58681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      anon_sym_RPAREN,
    ACTIONS(1199), 1,
      anon_sym_COMMA,
    STATE(1231), 1,
      aux_sym_argument_list_repeat1,
  [58694] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(497), 1,
      anon_sym_RPAREN,
    ACTIONS(2666), 1,
      anon_sym_COMMA,
    STATE(1219), 1,
      aux_sym_expression_list_repeat1,
  [58707] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2668), 1,
      aux_sym_source_file_token1,
    ACTIONS(2670), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58718] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(351), 1,
      anon_sym_RBRACE,
    ACTIONS(2672), 1,
      anon_sym_COMMA,
    STATE(1158), 1,
      aux_sym_literal_value_repeat1,
  [58731] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2403), 1,
      aux_sym_source_file_token1,
    ACTIONS(2405), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(521), 1,
      anon_sym_RPAREN,
    ACTIONS(2674), 1,
      anon_sym_COMMA,
    STATE(1219), 1,
      aux_sym_expression_list_repeat1,
  [58755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1399), 1,
      anon_sym_RBRACK,
    ACTIONS(2676), 1,
      anon_sym_COMMA,
    STATE(1050), 1,
      aux_sym_type_case_repeat1,
  [58768] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2678), 1,
      aux_sym_source_file_token1,
    ACTIONS(2680), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1928), 1,
      anon_sym_LPAREN,
    ACTIONS(1932), 1,
      anon_sym_LBRACK,
    ACTIONS(2682), 1,
      anon_sym_RPAREN,
  [58792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_RPAREN,
    ACTIONS(2684), 1,
      anon_sym_COMMA,
    STATE(1170), 1,
      aux_sym_argument_list_repeat1,
  [58805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2686), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [58814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2688), 1,
      anon_sym_RPAREN,
    ACTIONS(2690), 1,
      anon_sym_COMMA,
    STATE(1224), 1,
      aux_sym_expression_list_repeat1,
  [58827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      sym_identifier,
    ACTIONS(2694), 1,
      anon_sym_RBRACK,
    STATE(1248), 1,
      sym_type_parameter_declaration,
  [58840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2696), 1,
      anon_sym_COMMA,
    ACTIONS(2699), 1,
      anon_sym_RBRACK,
    STATE(1217), 1,
      aux_sym_type_parameter_list_repeat1,
  [58853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2701), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [58862] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(858), 1,
      anon_sym_RPAREN,
    ACTIONS(2703), 1,
      anon_sym_COMMA,
    STATE(1219), 1,
      aux_sym_expression_list_repeat1,
  [58875] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(359), 1,
      anon_sym_RBRACE,
    ACTIONS(2706), 1,
      anon_sym_COMMA,
    STATE(1158), 1,
      aux_sym_literal_value_repeat1,
  [58888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2708), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [58897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2710), 1,
      anon_sym_RPAREN,
    ACTIONS(2712), 1,
      anon_sym_COMMA,
    STATE(1222), 1,
      aux_sym_parameter_list_repeat1,
  [58910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(974), 1,
      anon_sym_LPAREN,
    ACTIONS(2715), 1,
      sym_identifier,
    STATE(602), 1,
      sym_parameter_list,
  [58923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 1,
      anon_sym_RPAREN,
    ACTIONS(2717), 1,
      anon_sym_COMMA,
    STATE(1219), 1,
      aux_sym_expression_list_repeat1,
  [58936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2719), 1,
      anon_sym_RPAREN,
    ACTIONS(2721), 1,
      anon_sym_COMMA,
    STATE(1239), 1,
      aux_sym_parameter_list_repeat1,
  [58949] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2486), 1,
      aux_sym_source_file_token1,
    ACTIONS(2488), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58960] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 1,
      anon_sym_RBRACK,
    ACTIONS(2723), 1,
      anon_sym_COMMA,
    STATE(1050), 1,
      aux_sym_type_case_repeat1,
  [58973] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 1,
      anon_sym_RPAREN,
    ACTIONS(2725), 1,
      anon_sym_COMMA,
    STATE(1170), 1,
      aux_sym_argument_list_repeat1,
  [58986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 1,
      anon_sym_RPAREN,
    ACTIONS(2727), 1,
      anon_sym_COMMA,
    STATE(1222), 1,
      aux_sym_parameter_list_repeat1,
  [58999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2559), 1,
      anon_sym_RBRACK,
    ACTIONS(2692), 1,
      sym_identifier,
    STATE(1248), 1,
      sym_type_parameter_declaration,
  [59012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(385), 1,
      anon_sym_RPAREN,
    ACTIONS(2729), 1,
      anon_sym_COMMA,
    STATE(1170), 1,
      aux_sym_argument_list_repeat1,
  [59025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_RBRACK,
    ACTIONS(2731), 1,
      anon_sym_COMMA,
    STATE(1050), 1,
      aux_sym_type_case_repeat1,
  [59038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(349), 1,
      anon_sym_RBRACE,
    ACTIONS(2733), 1,
      anon_sym_COMMA,
    STATE(1158), 1,
      aux_sym_literal_value_repeat1,
  [59051] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(2369), 1,
      anon_sym_RBRACE,
    STATE(1200), 1,
      aux_sym_literal_value_repeat1,
  [59064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_RBRACK,
    ACTIONS(2735), 1,
      anon_sym_COMMA,
    STATE(1143), 1,
      aux_sym_type_arguments_repeat1,
  [59077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(205), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [59086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2737), 1,
      anon_sym_COMMA,
    ACTIONS(2739), 1,
      anon_sym_RBRACK,
    STATE(1193), 1,
      aux_sym_type_case_repeat1,
  [59099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2439), 1,
      sym_identifier,
    ACTIONS(2741), 1,
      anon_sym_LPAREN,
    STATE(976), 1,
      sym_const_spec,
  [59112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_RPAREN,
    ACTIONS(2743), 1,
      anon_sym_COMMA,
    STATE(1222), 1,
      aux_sym_parameter_list_repeat1,
  [59125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_RPAREN,
    ACTIONS(1157), 1,
      anon_sym_COMMA,
    STATE(1187), 1,
      aux_sym_argument_list_repeat1,
  [59138] = 3,
    ACTIONS(291), 1,
      sym_comment,
    ACTIONS(2745), 1,
      aux_sym_source_file_token1,
    ACTIONS(2747), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(503), 1,
      anon_sym_RPAREN,
    ACTIONS(2749), 1,
      anon_sym_COMMA,
    STATE(1219), 1,
      aux_sym_expression_list_repeat1,
  [59162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2751), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2753), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2755), 1,
      anon_sym_LPAREN,
    ACTIONS(2757), 1,
      anon_sym_LBRACK,
  [59188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2759), 1,
      anon_sym_LPAREN,
    ACTIONS(2761), 1,
      anon_sym_LBRACK,
  [59198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2763), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2699), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2767), 1,
      anon_sym_LBRACK,
  [59224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(840), 1,
      anon_sym_LBRACE,
    STATE(347), 1,
      sym_literal_value,
  [59234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LPAREN,
    STATE(457), 1,
      sym_parameter_list,
  [59244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_LPAREN,
    ACTIONS(2771), 1,
      anon_sym_LBRACK,
  [59254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1928), 1,
      anon_sym_LPAREN,
    ACTIONS(1932), 1,
      anon_sym_LBRACK,
  [59264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2130), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2144), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2773), 1,
      sym_identifier,
    ACTIONS(2775), 1,
      anon_sym_LPAREN,
  [59290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      anon_sym_LPAREN,
    STATE(354), 1,
      sym_argument_list,
  [59300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2311), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [59316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(974), 1,
      anon_sym_LPAREN,
    STATE(434), 1,
      sym_parameter_list,
  [59326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2365), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [59334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(974), 1,
      anon_sym_LPAREN,
    STATE(607), 1,
      sym_parameter_list,
  [59344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 1,
      anon_sym_LBRACE,
    STATE(304), 1,
      sym_literal_value,
  [59354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2422), 2,
      anon_sym_RPAREN,
      sym_identifier,
  [59362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2779), 1,
      anon_sym_LBRACE,
    STATE(877), 1,
      sym_field_declaration_list,
  [59372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(974), 1,
      anon_sym_LPAREN,
    STATE(600), 1,
      sym_parameter_list,
  [59382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      anon_sym_LPAREN,
    STATE(305), 1,
      sym_argument_list,
  [59392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2781), 1,
      sym_identifier,
    ACTIONS(2783), 1,
      anon_sym_LPAREN,
  [59402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1992), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2781), 1,
      sym_identifier,
    ACTIONS(2785), 1,
      anon_sym_LPAREN,
  [59420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1988), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_LBRACE,
    STATE(969), 1,
      sym_block,
  [59438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2138), 1,
      anon_sym_LPAREN,
    STATE(386), 1,
      sym_parameter_list,
  [59448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2787), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(974), 1,
      anon_sym_LPAREN,
    STATE(633), 1,
      sym_parameter_list,
  [59466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2789), 1,
      anon_sym_LBRACE,
    STATE(825), 1,
      sym_field_declaration_list,
  [59484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2791), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [59492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    STATE(397), 1,
      sym_literal_value,
  [59502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2793), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [59510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2571), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [59518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2164), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_LBRACE,
    STATE(543), 1,
      sym_literal_value,
  [59536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(974), 1,
      anon_sym_LPAREN,
    STATE(623), 1,
      sym_parameter_list,
  [59546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_LPAREN,
    ACTIONS(2797), 1,
      anon_sym_LBRACK,
  [59556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2799), 1,
      anon_sym_LPAREN,
    STATE(268), 1,
      sym_argument_list,
  [59566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      sym_identifier,
    STATE(1248), 1,
      sym_type_parameter_declaration,
  [59576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LPAREN,
    STATE(473), 1,
      sym_parameter_list,
  [59586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2801), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(974), 1,
      anon_sym_LPAREN,
    STATE(437), 1,
      sym_parameter_list,
  [59604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(974), 1,
      anon_sym_LPAREN,
    STATE(608), 1,
      sym_parameter_list,
  [59614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2803), 1,
      sym_identifier,
    ACTIONS(2805), 1,
      anon_sym_LPAREN,
  [59624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2807), 1,
      anon_sym_LBRACK,
    STATE(818), 1,
      sym_type_arguments,
  [59634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2180), 1,
      anon_sym_LBRACE,
    STATE(261), 1,
      sym_literal_value,
  [59644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2547), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2809), 1,
      sym_identifier,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
  [59662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2813), 1,
      anon_sym_LPAREN,
    STATE(498), 1,
      sym_argument_list,
  [59672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1048), 1,
      anon_sym_LPAREN,
    STATE(565), 1,
      sym_argument_list,
  [59682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2815), 1,
      sym_identifier,
    ACTIONS(2817), 1,
      anon_sym_LPAREN,
  [59692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2819), 1,
      sym_identifier,
    ACTIONS(2821), 1,
      anon_sym_LPAREN,
  [59702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_LPAREN,
    STATE(401), 1,
      sym_argument_list,
  [59712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2138), 1,
      anon_sym_LPAREN,
    STATE(508), 1,
      sym_parameter_list,
  [59722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2823), 2,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [59730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2825), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2138), 1,
      anon_sym_LPAREN,
    STATE(384), 1,
      sym_parameter_list,
  [59748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2819), 1,
      sym_identifier,
    ACTIONS(2827), 1,
      anon_sym_LPAREN,
  [59758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2819), 1,
      sym_identifier,
    ACTIONS(2829), 1,
      anon_sym_LPAREN,
  [59768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_LBRACE,
    STATE(499), 1,
      sym_literal_value,
  [59778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2825), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2710), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2831), 1,
      anon_sym_LBRACE,
    STATE(996), 1,
      sym_field_declaration_list,
  [59804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2819), 1,
      sym_identifier,
    ACTIONS(2833), 1,
      anon_sym_LPAREN,
  [59814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2835), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [59822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      sym_identifier,
    STATE(1172), 1,
      sym_type_parameter_declaration,
  [59832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_LPAREN,
    STATE(455), 1,
      sym_parameter_list,
  [59842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(974), 1,
      anon_sym_LPAREN,
    STATE(456), 1,
      sym_parameter_list,
  [59852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2837), 1,
      anon_sym_RPAREN,
  [59859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2839), 1,
      anon_sym_RPAREN,
  [59866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2841), 1,
      sym_identifier,
  [59873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2843), 1,
      anon_sym_RPAREN,
  [59880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2845), 1,
      anon_sym_RPAREN,
  [59887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2719), 1,
      anon_sym_RPAREN,
  [59894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2847), 1,
      anon_sym_RPAREN,
  [59901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2849), 1,
      anon_sym_SEMI,
  [59908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2851), 1,
      anon_sym_RPAREN,
  [59915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2853), 1,
      anon_sym_RPAREN,
  [59922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2855), 1,
      anon_sym_LBRACE,
  [59929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2857), 1,
      anon_sym_LBRACE,
  [59936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      sym_identifier,
  [59943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2861), 1,
      anon_sym_LBRACE,
  [59950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_LBRACE,
  [59957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2865), 1,
      anon_sym_chan,
  [59964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_RBRACE,
  [59971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2867), 1,
      anon_sym_RBRACK,
  [59978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2869), 1,
      anon_sym_RBRACE,
  [59985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2480), 1,
      anon_sym_RBRACE,
  [59992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2604), 1,
      anon_sym_RPAREN,
  [59999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2871), 1,
      anon_sym_RBRACE,
  [60006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2873), 1,
      anon_sym_RBRACK,
  [60013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2875), 1,
      sym_identifier,
  [60020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2597), 1,
      anon_sym_RPAREN,
  [60027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2877), 1,
      anon_sym_RBRACK,
  [60034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2879), 1,
      anon_sym_LBRACE,
  [60041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2881), 1,
      anon_sym_RPAREN,
  [60048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 1,
      anon_sym_RBRACE,
  [60055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2885), 1,
      sym_identifier,
  [60062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_RBRACE,
  [60069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2889), 1,
      anon_sym_chan,
  [60076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2682), 1,
      anon_sym_RPAREN,
  [60083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2891), 1,
      anon_sym_chan,
  [60090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_RBRACE,
  [60097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2893), 1,
      anon_sym_RPAREN,
  [60104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2895), 1,
      anon_sym_RPAREN,
  [60111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2897), 1,
      anon_sym_LBRACE,
  [60118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2899), 1,
      anon_sym_RPAREN,
  [60125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2901), 1,
      anon_sym_RPAREN,
  [60132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2903), 1,
      anon_sym_LBRACE,
  [60139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2905), 1,
      anon_sym_LBRACE,
  [60146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2907), 1,
      anon_sym_RPAREN,
  [60153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2909), 1,
      anon_sym_EQ,
  [60160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2911), 1,
      anon_sym_COLON,
  [60167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2913), 1,
      sym_identifier,
  [60174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2915), 1,
      ts_builtin_sym_end,
  [60181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2917), 1,
      anon_sym_LBRACE,
  [60188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2919), 1,
      sym_identifier,
  [60195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2921), 1,
      anon_sym_LBRACE,
  [60202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2923), 1,
      sym_identifier,
  [60209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2925), 1,
      anon_sym_RBRACK,
  [60216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2927), 1,
      anon_sym_RBRACK,
  [60223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2929), 1,
      anon_sym_COLON_EQ,
  [60230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2931), 1,
      anon_sym_COLON,
  [60237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2933), 1,
      anon_sym_COLON,
  [60244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2935), 1,
      anon_sym_SEMI,
  [60251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2937), 1,
      anon_sym_chan,
  [60258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2939), 1,
      anon_sym_RBRACE,
  [60265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2941), 1,
      anon_sym_LBRACK,
  [60272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2943), 1,
      anon_sym_SEMI,
  [60279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2945), 1,
      anon_sym_LBRACE,
  [60286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2947), 1,
      anon_sym_LBRACE,
  [60293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2476), 1,
      anon_sym_RBRACE,
  [60300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2949), 1,
      anon_sym_RPAREN,
  [60307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2951), 1,
      anon_sym_LBRACE,
  [60314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2953), 1,
      anon_sym_RBRACK,
  [60321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2955), 1,
      sym_identifier,
  [60328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2957), 1,
      anon_sym_RPAREN,
  [60335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_RBRACE,
  [60342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2959), 1,
      anon_sym_EQ,
  [60349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2961), 1,
      anon_sym_RPAREN,
  [60356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2963), 1,
      anon_sym_LBRACE,
  [60363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_RBRACE,
  [60370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2965), 1,
      anon_sym_RBRACK,
  [60377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2967), 1,
      anon_sym_chan,
  [60384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2969), 1,
      sym_identifier,
  [60391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2971), 1,
      anon_sym_LBRACK,
  [60398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2973), 1,
      anon_sym_RBRACE,
  [60405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2975), 1,
      anon_sym_LBRACK,
  [60412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2977), 1,
      anon_sym_chan,
  [60419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2979), 1,
      anon_sym_LBRACK,
  [60426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2981), 1,
      anon_sym_RPAREN,
  [60433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2983), 1,
      anon_sym_LBRACK,
  [60440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2985), 1,
      anon_sym_RBRACE,
  [60447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2987), 1,
      anon_sym_LBRACK,
  [60454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2989), 1,
      anon_sym_RPAREN,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(28)] = 0,
  [SMALL_STATE(29)] = 119,
  [SMALL_STATE(30)] = 245,
  [SMALL_STATE(31)] = 371,
  [SMALL_STATE(32)] = 497,
  [SMALL_STATE(33)] = 623,
  [SMALL_STATE(34)] = 749,
  [SMALL_STATE(35)] = 875,
  [SMALL_STATE(36)] = 998,
  [SMALL_STATE(37)] = 1121,
  [SMALL_STATE(38)] = 1244,
  [SMALL_STATE(39)] = 1367,
  [SMALL_STATE(40)] = 1490,
  [SMALL_STATE(41)] = 1613,
  [SMALL_STATE(42)] = 1736,
  [SMALL_STATE(43)] = 1859,
  [SMALL_STATE(44)] = 1982,
  [SMALL_STATE(45)] = 2105,
  [SMALL_STATE(46)] = 2228,
  [SMALL_STATE(47)] = 2351,
  [SMALL_STATE(48)] = 2471,
  [SMALL_STATE(49)] = 2586,
  [SMALL_STATE(50)] = 2703,
  [SMALL_STATE(51)] = 2817,
  [SMALL_STATE(52)] = 2931,
  [SMALL_STATE(53)] = 3045,
  [SMALL_STATE(54)] = 3159,
  [SMALL_STATE(55)] = 3273,
  [SMALL_STATE(56)] = 3387,
  [SMALL_STATE(57)] = 3501,
  [SMALL_STATE(58)] = 3615,
  [SMALL_STATE(59)] = 3729,
  [SMALL_STATE(60)] = 3843,
  [SMALL_STATE(61)] = 3957,
  [SMALL_STATE(62)] = 4071,
  [SMALL_STATE(63)] = 4185,
  [SMALL_STATE(64)] = 4299,
  [SMALL_STATE(65)] = 4413,
  [SMALL_STATE(66)] = 4527,
  [SMALL_STATE(67)] = 4641,
  [SMALL_STATE(68)] = 4755,
  [SMALL_STATE(69)] = 4869,
  [SMALL_STATE(70)] = 4983,
  [SMALL_STATE(71)] = 5097,
  [SMALL_STATE(72)] = 5211,
  [SMALL_STATE(73)] = 5325,
  [SMALL_STATE(74)] = 5439,
  [SMALL_STATE(75)] = 5553,
  [SMALL_STATE(76)] = 5667,
  [SMALL_STATE(77)] = 5781,
  [SMALL_STATE(78)] = 5895,
  [SMALL_STATE(79)] = 6009,
  [SMALL_STATE(80)] = 6123,
  [SMALL_STATE(81)] = 6237,
  [SMALL_STATE(82)] = 6348,
  [SMALL_STATE(83)] = 6459,
  [SMALL_STATE(84)] = 6570,
  [SMALL_STATE(85)] = 6681,
  [SMALL_STATE(86)] = 6792,
  [SMALL_STATE(87)] = 6903,
  [SMALL_STATE(88)] = 7014,
  [SMALL_STATE(89)] = 7125,
  [SMALL_STATE(90)] = 7236,
  [SMALL_STATE(91)] = 7347,
  [SMALL_STATE(92)] = 7458,
  [SMALL_STATE(93)] = 7569,
  [SMALL_STATE(94)] = 7680,
  [SMALL_STATE(95)] = 7791,
  [SMALL_STATE(96)] = 7902,
  [SMALL_STATE(97)] = 8013,
  [SMALL_STATE(98)] = 8124,
  [SMALL_STATE(99)] = 8235,
  [SMALL_STATE(100)] = 8346,
  [SMALL_STATE(101)] = 8457,
  [SMALL_STATE(102)] = 8568,
  [SMALL_STATE(103)] = 8679,
  [SMALL_STATE(104)] = 8790,
  [SMALL_STATE(105)] = 8901,
  [SMALL_STATE(106)] = 9012,
  [SMALL_STATE(107)] = 9123,
  [SMALL_STATE(108)] = 9234,
  [SMALL_STATE(109)] = 9345,
  [SMALL_STATE(110)] = 9456,
  [SMALL_STATE(111)] = 9567,
  [SMALL_STATE(112)] = 9678,
  [SMALL_STATE(113)] = 9789,
  [SMALL_STATE(114)] = 9900,
  [SMALL_STATE(115)] = 10011,
  [SMALL_STATE(116)] = 10122,
  [SMALL_STATE(117)] = 10233,
  [SMALL_STATE(118)] = 10344,
  [SMALL_STATE(119)] = 10455,
  [SMALL_STATE(120)] = 10566,
  [SMALL_STATE(121)] = 10677,
  [SMALL_STATE(122)] = 10788,
  [SMALL_STATE(123)] = 10899,
  [SMALL_STATE(124)] = 11010,
  [SMALL_STATE(125)] = 11121,
  [SMALL_STATE(126)] = 11232,
  [SMALL_STATE(127)] = 11343,
  [SMALL_STATE(128)] = 11454,
  [SMALL_STATE(129)] = 11565,
  [SMALL_STATE(130)] = 11676,
  [SMALL_STATE(131)] = 11787,
  [SMALL_STATE(132)] = 11895,
  [SMALL_STATE(133)] = 12003,
  [SMALL_STATE(134)] = 12111,
  [SMALL_STATE(135)] = 12219,
  [SMALL_STATE(136)] = 12327,
  [SMALL_STATE(137)] = 12435,
  [SMALL_STATE(138)] = 12543,
  [SMALL_STATE(139)] = 12651,
  [SMALL_STATE(140)] = 12759,
  [SMALL_STATE(141)] = 12867,
  [SMALL_STATE(142)] = 12975,
  [SMALL_STATE(143)] = 13083,
  [SMALL_STATE(144)] = 13191,
  [SMALL_STATE(145)] = 13299,
  [SMALL_STATE(146)] = 13407,
  [SMALL_STATE(147)] = 13515,
  [SMALL_STATE(148)] = 13623,
  [SMALL_STATE(149)] = 13731,
  [SMALL_STATE(150)] = 13839,
  [SMALL_STATE(151)] = 13947,
  [SMALL_STATE(152)] = 14055,
  [SMALL_STATE(153)] = 14163,
  [SMALL_STATE(154)] = 14271,
  [SMALL_STATE(155)] = 14379,
  [SMALL_STATE(156)] = 14487,
  [SMALL_STATE(157)] = 14595,
  [SMALL_STATE(158)] = 14703,
  [SMALL_STATE(159)] = 14811,
  [SMALL_STATE(160)] = 14919,
  [SMALL_STATE(161)] = 15027,
  [SMALL_STATE(162)] = 15135,
  [SMALL_STATE(163)] = 15243,
  [SMALL_STATE(164)] = 15351,
  [SMALL_STATE(165)] = 15459,
  [SMALL_STATE(166)] = 15567,
  [SMALL_STATE(167)] = 15675,
  [SMALL_STATE(168)] = 15783,
  [SMALL_STATE(169)] = 15891,
  [SMALL_STATE(170)] = 15999,
  [SMALL_STATE(171)] = 16107,
  [SMALL_STATE(172)] = 16215,
  [SMALL_STATE(173)] = 16323,
  [SMALL_STATE(174)] = 16431,
  [SMALL_STATE(175)] = 16539,
  [SMALL_STATE(176)] = 16647,
  [SMALL_STATE(177)] = 16755,
  [SMALL_STATE(178)] = 16863,
  [SMALL_STATE(179)] = 16971,
  [SMALL_STATE(180)] = 17079,
  [SMALL_STATE(181)] = 17187,
  [SMALL_STATE(182)] = 17295,
  [SMALL_STATE(183)] = 17403,
  [SMALL_STATE(184)] = 17511,
  [SMALL_STATE(185)] = 17619,
  [SMALL_STATE(186)] = 17727,
  [SMALL_STATE(187)] = 17835,
  [SMALL_STATE(188)] = 17943,
  [SMALL_STATE(189)] = 18051,
  [SMALL_STATE(190)] = 18159,
  [SMALL_STATE(191)] = 18267,
  [SMALL_STATE(192)] = 18375,
  [SMALL_STATE(193)] = 18483,
  [SMALL_STATE(194)] = 18591,
  [SMALL_STATE(195)] = 18699,
  [SMALL_STATE(196)] = 18807,
  [SMALL_STATE(197)] = 18915,
  [SMALL_STATE(198)] = 19023,
  [SMALL_STATE(199)] = 19131,
  [SMALL_STATE(200)] = 19239,
  [SMALL_STATE(201)] = 19347,
  [SMALL_STATE(202)] = 19455,
  [SMALL_STATE(203)] = 19563,
  [SMALL_STATE(204)] = 19671,
  [SMALL_STATE(205)] = 19779,
  [SMALL_STATE(206)] = 19887,
  [SMALL_STATE(207)] = 19995,
  [SMALL_STATE(208)] = 20103,
  [SMALL_STATE(209)] = 20211,
  [SMALL_STATE(210)] = 20319,
  [SMALL_STATE(211)] = 20427,
  [SMALL_STATE(212)] = 20535,
  [SMALL_STATE(213)] = 20643,
  [SMALL_STATE(214)] = 20751,
  [SMALL_STATE(215)] = 20859,
  [SMALL_STATE(216)] = 20967,
  [SMALL_STATE(217)] = 21075,
  [SMALL_STATE(218)] = 21183,
  [SMALL_STATE(219)] = 21291,
  [SMALL_STATE(220)] = 21399,
  [SMALL_STATE(221)] = 21507,
  [SMALL_STATE(222)] = 21615,
  [SMALL_STATE(223)] = 21723,
  [SMALL_STATE(224)] = 21831,
  [SMALL_STATE(225)] = 21939,
  [SMALL_STATE(226)] = 22047,
  [SMALL_STATE(227)] = 22155,
  [SMALL_STATE(228)] = 22263,
  [SMALL_STATE(229)] = 22371,
  [SMALL_STATE(230)] = 22479,
  [SMALL_STATE(231)] = 22587,
  [SMALL_STATE(232)] = 22695,
  [SMALL_STATE(233)] = 22803,
  [SMALL_STATE(234)] = 22911,
  [SMALL_STATE(235)] = 23019,
  [SMALL_STATE(236)] = 23127,
  [SMALL_STATE(237)] = 23227,
  [SMALL_STATE(238)] = 23298,
  [SMALL_STATE(239)] = 23369,
  [SMALL_STATE(240)] = 23437,
  [SMALL_STATE(241)] = 23525,
  [SMALL_STATE(242)] = 23590,
  [SMALL_STATE(243)] = 23655,
  [SMALL_STATE(244)] = 23710,
  [SMALL_STATE(245)] = 23783,
  [SMALL_STATE(246)] = 23854,
  [SMALL_STATE(247)] = 23923,
  [SMALL_STATE(248)] = 23990,
  [SMALL_STATE(249)] = 24044,
  [SMALL_STATE(250)] = 24098,
  [SMALL_STATE(251)] = 24156,
  [SMALL_STATE(252)] = 24210,
  [SMALL_STATE(253)] = 24264,
  [SMALL_STATE(254)] = 24317,
  [SMALL_STATE(255)] = 24370,
  [SMALL_STATE(256)] = 24423,
  [SMALL_STATE(257)] = 24476,
  [SMALL_STATE(258)] = 24529,
  [SMALL_STATE(259)] = 24582,
  [SMALL_STATE(260)] = 24635,
  [SMALL_STATE(261)] = 24688,
  [SMALL_STATE(262)] = 24741,
  [SMALL_STATE(263)] = 24794,
  [SMALL_STATE(264)] = 24847,
  [SMALL_STATE(265)] = 24900,
  [SMALL_STATE(266)] = 24953,
  [SMALL_STATE(267)] = 25006,
  [SMALL_STATE(268)] = 25059,
  [SMALL_STATE(269)] = 25112,
  [SMALL_STATE(270)] = 25165,
  [SMALL_STATE(271)] = 25218,
  [SMALL_STATE(272)] = 25271,
  [SMALL_STATE(273)] = 25324,
  [SMALL_STATE(274)] = 25377,
  [SMALL_STATE(275)] = 25468,
  [SMALL_STATE(276)] = 25521,
  [SMALL_STATE(277)] = 25574,
  [SMALL_STATE(278)] = 25627,
  [SMALL_STATE(279)] = 25718,
  [SMALL_STATE(280)] = 25771,
  [SMALL_STATE(281)] = 25824,
  [SMALL_STATE(282)] = 25877,
  [SMALL_STATE(283)] = 25930,
  [SMALL_STATE(284)] = 25983,
  [SMALL_STATE(285)] = 26036,
  [SMALL_STATE(286)] = 26089,
  [SMALL_STATE(287)] = 26142,
  [SMALL_STATE(288)] = 26195,
  [SMALL_STATE(289)] = 26248,
  [SMALL_STATE(290)] = 26336,
  [SMALL_STATE(291)] = 26407,
  [SMALL_STATE(292)] = 26472,
  [SMALL_STATE(293)] = 26533,
  [SMALL_STATE(294)] = 26594,
  [SMALL_STATE(295)] = 26663,
  [SMALL_STATE(296)] = 26726,
  [SMALL_STATE(297)] = 26811,
  [SMALL_STATE(298)] = 26872,
  [SMALL_STATE(299)] = 26926,
  [SMALL_STATE(300)] = 26975,
  [SMALL_STATE(301)] = 27024,
  [SMALL_STATE(302)] = 27073,
  [SMALL_STATE(303)] = 27122,
  [SMALL_STATE(304)] = 27171,
  [SMALL_STATE(305)] = 27220,
  [SMALL_STATE(306)] = 27269,
  [SMALL_STATE(307)] = 27318,
  [SMALL_STATE(308)] = 27367,
  [SMALL_STATE(309)] = 27416,
  [SMALL_STATE(310)] = 27465,
  [SMALL_STATE(311)] = 27514,
  [SMALL_STATE(312)] = 27563,
  [SMALL_STATE(313)] = 27612,
  [SMALL_STATE(314)] = 27661,
  [SMALL_STATE(315)] = 27710,
  [SMALL_STATE(316)] = 27759,
  [SMALL_STATE(317)] = 27808,
  [SMALL_STATE(318)] = 27857,
  [SMALL_STATE(319)] = 27906,
  [SMALL_STATE(320)] = 27955,
  [SMALL_STATE(321)] = 28004,
  [SMALL_STATE(322)] = 28053,
  [SMALL_STATE(323)] = 28102,
  [SMALL_STATE(324)] = 28151,
  [SMALL_STATE(325)] = 28200,
  [SMALL_STATE(326)] = 28249,
  [SMALL_STATE(327)] = 28298,
  [SMALL_STATE(328)] = 28347,
  [SMALL_STATE(329)] = 28396,
  [SMALL_STATE(330)] = 28445,
  [SMALL_STATE(331)] = 28494,
  [SMALL_STATE(332)] = 28543,
  [SMALL_STATE(333)] = 28592,
  [SMALL_STATE(334)] = 28641,
  [SMALL_STATE(335)] = 28690,
  [SMALL_STATE(336)] = 28739,
  [SMALL_STATE(337)] = 28788,
  [SMALL_STATE(338)] = 28847,
  [SMALL_STATE(339)] = 28907,
  [SMALL_STATE(340)] = 28965,
  [SMALL_STATE(341)] = 29029,
  [SMALL_STATE(342)] = 29095,
  [SMALL_STATE(343)] = 29151,
  [SMALL_STATE(344)] = 29207,
  [SMALL_STATE(345)] = 29275,
  [SMALL_STATE(346)] = 29324,
  [SMALL_STATE(347)] = 29368,
  [SMALL_STATE(348)] = 29412,
  [SMALL_STATE(349)] = 29456,
  [SMALL_STATE(350)] = 29500,
  [SMALL_STATE(351)] = 29544,
  [SMALL_STATE(352)] = 29588,
  [SMALL_STATE(353)] = 29632,
  [SMALL_STATE(354)] = 29676,
  [SMALL_STATE(355)] = 29720,
  [SMALL_STATE(356)] = 29764,
  [SMALL_STATE(357)] = 29808,
  [SMALL_STATE(358)] = 29852,
  [SMALL_STATE(359)] = 29896,
  [SMALL_STATE(360)] = 29940,
  [SMALL_STATE(361)] = 29984,
  [SMALL_STATE(362)] = 30028,
  [SMALL_STATE(363)] = 30072,
  [SMALL_STATE(364)] = 30116,
  [SMALL_STATE(365)] = 30160,
  [SMALL_STATE(366)] = 30204,
  [SMALL_STATE(367)] = 30248,
  [SMALL_STATE(368)] = 30292,
  [SMALL_STATE(369)] = 30336,
  [SMALL_STATE(370)] = 30380,
  [SMALL_STATE(371)] = 30424,
  [SMALL_STATE(372)] = 30468,
  [SMALL_STATE(373)] = 30512,
  [SMALL_STATE(374)] = 30556,
  [SMALL_STATE(375)] = 30600,
  [SMALL_STATE(376)] = 30644,
  [SMALL_STATE(377)] = 30688,
  [SMALL_STATE(378)] = 30732,
  [SMALL_STATE(379)] = 30776,
  [SMALL_STATE(380)] = 30820,
  [SMALL_STATE(381)] = 30864,
  [SMALL_STATE(382)] = 30908,
  [SMALL_STATE(383)] = 30952,
  [SMALL_STATE(384)] = 30996,
  [SMALL_STATE(385)] = 31067,
  [SMALL_STATE(386)] = 31152,
  [SMALL_STATE(387)] = 31223,
  [SMALL_STATE(388)] = 31275,
  [SMALL_STATE(389)] = 31327,
  [SMALL_STATE(390)] = 31380,
  [SMALL_STATE(391)] = 31455,
  [SMALL_STATE(392)] = 31500,
  [SMALL_STATE(393)] = 31575,
  [SMALL_STATE(394)] = 31615,
  [SMALL_STATE(395)] = 31655,
  [SMALL_STATE(396)] = 31695,
  [SMALL_STATE(397)] = 31735,
  [SMALL_STATE(398)] = 31775,
  [SMALL_STATE(399)] = 31815,
  [SMALL_STATE(400)] = 31855,
  [SMALL_STATE(401)] = 31895,
  [SMALL_STATE(402)] = 31935,
  [SMALL_STATE(403)] = 31975,
  [SMALL_STATE(404)] = 32015,
  [SMALL_STATE(405)] = 32055,
  [SMALL_STATE(406)] = 32095,
  [SMALL_STATE(407)] = 32135,
  [SMALL_STATE(408)] = 32175,
  [SMALL_STATE(409)] = 32215,
  [SMALL_STATE(410)] = 32255,
  [SMALL_STATE(411)] = 32295,
  [SMALL_STATE(412)] = 32335,
  [SMALL_STATE(413)] = 32375,
  [SMALL_STATE(414)] = 32415,
  [SMALL_STATE(415)] = 32455,
  [SMALL_STATE(416)] = 32495,
  [SMALL_STATE(417)] = 32535,
  [SMALL_STATE(418)] = 32575,
  [SMALL_STATE(419)] = 32615,
  [SMALL_STATE(420)] = 32655,
  [SMALL_STATE(421)] = 32695,
  [SMALL_STATE(422)] = 32735,
  [SMALL_STATE(423)] = 32775,
  [SMALL_STATE(424)] = 32815,
  [SMALL_STATE(425)] = 32855,
  [SMALL_STATE(426)] = 32895,
  [SMALL_STATE(427)] = 32959,
  [SMALL_STATE(428)] = 32999,
  [SMALL_STATE(429)] = 33039,
  [SMALL_STATE(430)] = 33079,
  [SMALL_STATE(431)] = 33119,
  [SMALL_STATE(432)] = 33171,
  [SMALL_STATE(433)] = 33211,
  [SMALL_STATE(434)] = 33262,
  [SMALL_STATE(435)] = 33327,
  [SMALL_STATE(436)] = 33386,
  [SMALL_STATE(437)] = 33439,
  [SMALL_STATE(438)] = 33504,
  [SMALL_STATE(439)] = 33561,
  [SMALL_STATE(440)] = 33618,
  [SMALL_STATE(441)] = 33673,
  [SMALL_STATE(442)] = 33726,
  [SMALL_STATE(443)] = 33787,
  [SMALL_STATE(444)] = 33850,
  [SMALL_STATE(445)] = 33899,
  [SMALL_STATE(446)] = 33948,
  [SMALL_STATE(447)] = 34006,
  [SMALL_STATE(448)] = 34048,
  [SMALL_STATE(449)] = 34106,
  [SMALL_STATE(450)] = 34164,
  [SMALL_STATE(451)] = 34234,
  [SMALL_STATE(452)] = 34306,
  [SMALL_STATE(453)] = 34380,
  [SMALL_STATE(454)] = 34430,
  [SMALL_STATE(455)] = 34500,
  [SMALL_STATE(456)] = 34570,
  [SMALL_STATE(457)] = 34638,
  [SMALL_STATE(458)] = 34703,
  [SMALL_STATE(459)] = 34740,
  [SMALL_STATE(460)] = 34777,
  [SMALL_STATE(461)] = 34838,
  [SMALL_STATE(462)] = 34889,
  [SMALL_STATE(463)] = 34936,
  [SMALL_STATE(464)] = 34973,
  [SMALL_STATE(465)] = 35010,
  [SMALL_STATE(466)] = 35047,
  [SMALL_STATE(467)] = 35084,
  [SMALL_STATE(468)] = 35121,
  [SMALL_STATE(469)] = 35190,
  [SMALL_STATE(470)] = 35227,
  [SMALL_STATE(471)] = 35264,
  [SMALL_STATE(472)] = 35301,
  [SMALL_STATE(473)] = 35338,
  [SMALL_STATE(474)] = 35403,
  [SMALL_STATE(475)] = 35440,
  [SMALL_STATE(476)] = 35477,
  [SMALL_STATE(477)] = 35514,
  [SMALL_STATE(478)] = 35573,
  [SMALL_STATE(479)] = 35610,
  [SMALL_STATE(480)] = 35679,
  [SMALL_STATE(481)] = 35716,
  [SMALL_STATE(482)] = 35753,
  [SMALL_STATE(483)] = 35790,
  [SMALL_STATE(484)] = 35827,
  [SMALL_STATE(485)] = 35864,
  [SMALL_STATE(486)] = 35901,
  [SMALL_STATE(487)] = 35956,
  [SMALL_STATE(488)] = 35993,
  [SMALL_STATE(489)] = 36062,
  [SMALL_STATE(490)] = 36099,
  [SMALL_STATE(491)] = 36162,
  [SMALL_STATE(492)] = 36231,
  [SMALL_STATE(493)] = 36268,
  [SMALL_STATE(494)] = 36305,
  [SMALL_STATE(495)] = 36342,
  [SMALL_STATE(496)] = 36379,
  [SMALL_STATE(497)] = 36416,
  [SMALL_STATE(498)] = 36453,
  [SMALL_STATE(499)] = 36490,
  [SMALL_STATE(500)] = 36527,
  [SMALL_STATE(501)] = 36564,
  [SMALL_STATE(502)] = 36601,
  [SMALL_STATE(503)] = 36670,
  [SMALL_STATE(504)] = 36707,
  [SMALL_STATE(505)] = 36744,
  [SMALL_STATE(506)] = 36781,
  [SMALL_STATE(507)] = 36818,
  [SMALL_STATE(508)] = 36855,
  [SMALL_STATE(509)] = 36924,
  [SMALL_STATE(510)] = 36971,
  [SMALL_STATE(511)] = 37037,
  [SMALL_STATE(512)] = 37101,
  [SMALL_STATE(513)] = 37167,
  [SMALL_STATE(514)] = 37233,
  [SMALL_STATE(515)] = 37281,
  [SMALL_STATE(516)] = 37347,
  [SMALL_STATE(517)] = 37413,
  [SMALL_STATE(518)] = 37479,
  [SMALL_STATE(519)] = 37545,
  [SMALL_STATE(520)] = 37611,
  [SMALL_STATE(521)] = 37677,
  [SMALL_STATE(522)] = 37743,
  [SMALL_STATE(523)] = 37809,
  [SMALL_STATE(524)] = 37861,
  [SMALL_STATE(525)] = 37927,
  [SMALL_STATE(526)] = 37993,
  [SMALL_STATE(527)] = 38057,
  [SMALL_STATE(528)] = 38097,
  [SMALL_STATE(529)] = 38160,
  [SMALL_STATE(530)] = 38195,
  [SMALL_STATE(531)] = 38244,
  [SMALL_STATE(532)] = 38279,
  [SMALL_STATE(533)] = 38342,
  [SMALL_STATE(534)] = 38395,
  [SMALL_STATE(535)] = 38430,
  [SMALL_STATE(536)] = 38493,
  [SMALL_STATE(537)] = 38528,
  [SMALL_STATE(538)] = 38591,
  [SMALL_STATE(539)] = 38626,
  [SMALL_STATE(540)] = 38661,
  [SMALL_STATE(541)] = 38696,
  [SMALL_STATE(542)] = 38761,
  [SMALL_STATE(543)] = 38816,
  [SMALL_STATE(544)] = 38851,
  [SMALL_STATE(545)] = 38914,
  [SMALL_STATE(546)] = 38949,
  [SMALL_STATE(547)] = 39008,
  [SMALL_STATE(548)] = 39043,
  [SMALL_STATE(549)] = 39078,
  [SMALL_STATE(550)] = 39113,
  [SMALL_STATE(551)] = 39148,
  [SMALL_STATE(552)] = 39183,
  [SMALL_STATE(553)] = 39246,
  [SMALL_STATE(554)] = 39303,
  [SMALL_STATE(555)] = 39338,
  [SMALL_STATE(556)] = 39373,
  [SMALL_STATE(557)] = 39408,
  [SMALL_STATE(558)] = 39443,
  [SMALL_STATE(559)] = 39478,
  [SMALL_STATE(560)] = 39513,
  [SMALL_STATE(561)] = 39580,
  [SMALL_STATE(562)] = 39643,
  [SMALL_STATE(563)] = 39678,
  [SMALL_STATE(564)] = 39713,
  [SMALL_STATE(565)] = 39748,
  [SMALL_STATE(566)] = 39783,
  [SMALL_STATE(567)] = 39846,
  [SMALL_STATE(568)] = 39881,
  [SMALL_STATE(569)] = 39916,
  [SMALL_STATE(570)] = 39951,
  [SMALL_STATE(571)] = 39986,
  [SMALL_STATE(572)] = 40051,
  [SMALL_STATE(573)] = 40086,
  [SMALL_STATE(574)] = 40139,
  [SMALL_STATE(575)] = 40174,
  [SMALL_STATE(576)] = 40229,
  [SMALL_STATE(577)] = 40292,
  [SMALL_STATE(578)] = 40327,
  [SMALL_STATE(579)] = 40362,
  [SMALL_STATE(580)] = 40427,
  [SMALL_STATE(581)] = 40490,
  [SMALL_STATE(582)] = 40539,
  [SMALL_STATE(583)] = 40584,
  [SMALL_STATE(584)] = 40645,
  [SMALL_STATE(585)] = 40702,
  [SMALL_STATE(586)] = 40737,
  [SMALL_STATE(587)] = 40800,
  [SMALL_STATE(588)] = 40835,
  [SMALL_STATE(589)] = 40870,
  [SMALL_STATE(590)] = 40905,
  [SMALL_STATE(591)] = 40940,
  [SMALL_STATE(592)] = 41003,
  [SMALL_STATE(593)] = 41038,
  [SMALL_STATE(594)] = 41100,
  [SMALL_STATE(595)] = 41160,
  [SMALL_STATE(596)] = 41224,
  [SMALL_STATE(597)] = 41288,
  [SMALL_STATE(598)] = 41348,
  [SMALL_STATE(599)] = 41408,
  [SMALL_STATE(600)] = 41468,
  [SMALL_STATE(601)] = 41530,
  [SMALL_STATE(602)] = 41590,
  [SMALL_STATE(603)] = 41652,
  [SMALL_STATE(604)] = 41714,
  [SMALL_STATE(605)] = 41774,
  [SMALL_STATE(606)] = 41836,
  [SMALL_STATE(607)] = 41896,
  [SMALL_STATE(608)] = 41958,
  [SMALL_STATE(609)] = 42020,
  [SMALL_STATE(610)] = 42080,
  [SMALL_STATE(611)] = 42140,
  [SMALL_STATE(612)] = 42200,
  [SMALL_STATE(613)] = 42260,
  [SMALL_STATE(614)] = 42322,
  [SMALL_STATE(615)] = 42382,
  [SMALL_STATE(616)] = 42442,
  [SMALL_STATE(617)] = 42502,
  [SMALL_STATE(618)] = 42562,
  [SMALL_STATE(619)] = 42620,
  [SMALL_STATE(620)] = 42680,
  [SMALL_STATE(621)] = 42740,
  [SMALL_STATE(622)] = 42798,
  [SMALL_STATE(623)] = 42858,
  [SMALL_STATE(624)] = 42920,
  [SMALL_STATE(625)] = 42980,
  [SMALL_STATE(626)] = 43038,
  [SMALL_STATE(627)] = 43098,
  [SMALL_STATE(628)] = 43160,
  [SMALL_STATE(629)] = 43222,
  [SMALL_STATE(630)] = 43284,
  [SMALL_STATE(631)] = 43344,
  [SMALL_STATE(632)] = 43404,
  [SMALL_STATE(633)] = 43464,
  [SMALL_STATE(634)] = 43526,
  [SMALL_STATE(635)] = 43586,
  [SMALL_STATE(636)] = 43648,
  [SMALL_STATE(637)] = 43708,
  [SMALL_STATE(638)] = 43768,
  [SMALL_STATE(639)] = 43825,
  [SMALL_STATE(640)] = 43882,
  [SMALL_STATE(641)] = 43941,
  [SMALL_STATE(642)] = 44000,
  [SMALL_STATE(643)] = 44057,
  [SMALL_STATE(644)] = 44114,
  [SMALL_STATE(645)] = 44171,
  [SMALL_STATE(646)] = 44228,
  [SMALL_STATE(647)] = 44287,
  [SMALL_STATE(648)] = 44344,
  [SMALL_STATE(649)] = 44403,
  [SMALL_STATE(650)] = 44462,
  [SMALL_STATE(651)] = 44521,
  [SMALL_STATE(652)] = 44580,
  [SMALL_STATE(653)] = 44639,
  [SMALL_STATE(654)] = 44698,
  [SMALL_STATE(655)] = 44755,
  [SMALL_STATE(656)] = 44812,
  [SMALL_STATE(657)] = 44871,
  [SMALL_STATE(658)] = 44928,
  [SMALL_STATE(659)] = 44985,
  [SMALL_STATE(660)] = 45044,
  [SMALL_STATE(661)] = 45101,
  [SMALL_STATE(662)] = 45158,
  [SMALL_STATE(663)] = 45215,
  [SMALL_STATE(664)] = 45274,
  [SMALL_STATE(665)] = 45333,
  [SMALL_STATE(666)] = 45392,
  [SMALL_STATE(667)] = 45449,
  [SMALL_STATE(668)] = 45508,
  [SMALL_STATE(669)] = 45565,
  [SMALL_STATE(670)] = 45622,
  [SMALL_STATE(671)] = 45681,
  [SMALL_STATE(672)] = 45738,
  [SMALL_STATE(673)] = 45797,
  [SMALL_STATE(674)] = 45856,
  [SMALL_STATE(675)] = 45913,
  [SMALL_STATE(676)] = 45970,
  [SMALL_STATE(677)] = 46029,
  [SMALL_STATE(678)] = 46088,
  [SMALL_STATE(679)] = 46145,
  [SMALL_STATE(680)] = 46202,
  [SMALL_STATE(681)] = 46259,
  [SMALL_STATE(682)] = 46316,
  [SMALL_STATE(683)] = 46375,
  [SMALL_STATE(684)] = 46434,
  [SMALL_STATE(685)] = 46491,
  [SMALL_STATE(686)] = 46548,
  [SMALL_STATE(687)] = 46607,
  [SMALL_STATE(688)] = 46666,
  [SMALL_STATE(689)] = 46723,
  [SMALL_STATE(690)] = 46782,
  [SMALL_STATE(691)] = 46841,
  [SMALL_STATE(692)] = 46898,
  [SMALL_STATE(693)] = 46955,
  [SMALL_STATE(694)] = 47012,
  [SMALL_STATE(695)] = 47068,
  [SMALL_STATE(696)] = 47124,
  [SMALL_STATE(697)] = 47180,
  [SMALL_STATE(698)] = 47236,
  [SMALL_STATE(699)] = 47292,
  [SMALL_STATE(700)] = 47348,
  [SMALL_STATE(701)] = 47404,
  [SMALL_STATE(702)] = 47460,
  [SMALL_STATE(703)] = 47516,
  [SMALL_STATE(704)] = 47572,
  [SMALL_STATE(705)] = 47628,
  [SMALL_STATE(706)] = 47684,
  [SMALL_STATE(707)] = 47740,
  [SMALL_STATE(708)] = 47796,
  [SMALL_STATE(709)] = 47852,
  [SMALL_STATE(710)] = 47906,
  [SMALL_STATE(711)] = 47962,
  [SMALL_STATE(712)] = 48018,
  [SMALL_STATE(713)] = 48074,
  [SMALL_STATE(714)] = 48130,
  [SMALL_STATE(715)] = 48186,
  [SMALL_STATE(716)] = 48242,
  [SMALL_STATE(717)] = 48298,
  [SMALL_STATE(718)] = 48354,
  [SMALL_STATE(719)] = 48410,
  [SMALL_STATE(720)] = 48466,
  [SMALL_STATE(721)] = 48522,
  [SMALL_STATE(722)] = 48578,
  [SMALL_STATE(723)] = 48634,
  [SMALL_STATE(724)] = 48690,
  [SMALL_STATE(725)] = 48746,
  [SMALL_STATE(726)] = 48802,
  [SMALL_STATE(727)] = 48858,
  [SMALL_STATE(728)] = 48914,
  [SMALL_STATE(729)] = 48970,
  [SMALL_STATE(730)] = 49026,
  [SMALL_STATE(731)] = 49082,
  [SMALL_STATE(732)] = 49138,
  [SMALL_STATE(733)] = 49194,
  [SMALL_STATE(734)] = 49250,
  [SMALL_STATE(735)] = 49306,
  [SMALL_STATE(736)] = 49362,
  [SMALL_STATE(737)] = 49418,
  [SMALL_STATE(738)] = 49474,
  [SMALL_STATE(739)] = 49530,
  [SMALL_STATE(740)] = 49586,
  [SMALL_STATE(741)] = 49642,
  [SMALL_STATE(742)] = 49698,
  [SMALL_STATE(743)] = 49754,
  [SMALL_STATE(744)] = 49810,
  [SMALL_STATE(745)] = 49866,
  [SMALL_STATE(746)] = 49922,
  [SMALL_STATE(747)] = 49978,
  [SMALL_STATE(748)] = 50034,
  [SMALL_STATE(749)] = 50090,
  [SMALL_STATE(750)] = 50146,
  [SMALL_STATE(751)] = 50202,
  [SMALL_STATE(752)] = 50258,
  [SMALL_STATE(753)] = 50314,
  [SMALL_STATE(754)] = 50370,
  [SMALL_STATE(755)] = 50426,
  [SMALL_STATE(756)] = 50482,
  [SMALL_STATE(757)] = 50538,
  [SMALL_STATE(758)] = 50594,
  [SMALL_STATE(759)] = 50650,
  [SMALL_STATE(760)] = 50706,
  [SMALL_STATE(761)] = 50762,
  [SMALL_STATE(762)] = 50818,
  [SMALL_STATE(763)] = 50874,
  [SMALL_STATE(764)] = 50930,
  [SMALL_STATE(765)] = 50986,
  [SMALL_STATE(766)] = 51042,
  [SMALL_STATE(767)] = 51098,
  [SMALL_STATE(768)] = 51154,
  [SMALL_STATE(769)] = 51210,
  [SMALL_STATE(770)] = 51266,
  [SMALL_STATE(771)] = 51322,
  [SMALL_STATE(772)] = 51378,
  [SMALL_STATE(773)] = 51434,
  [SMALL_STATE(774)] = 51490,
  [SMALL_STATE(775)] = 51546,
  [SMALL_STATE(776)] = 51602,
  [SMALL_STATE(777)] = 51632,
  [SMALL_STATE(778)] = 51662,
  [SMALL_STATE(779)] = 51692,
  [SMALL_STATE(780)] = 51722,
  [SMALL_STATE(781)] = 51754,
  [SMALL_STATE(782)] = 51781,
  [SMALL_STATE(783)] = 51807,
  [SMALL_STATE(784)] = 51833,
  [SMALL_STATE(785)] = 51859,
  [SMALL_STATE(786)] = 51885,
  [SMALL_STATE(787)] = 51909,
  [SMALL_STATE(788)] = 51933,
  [SMALL_STATE(789)] = 51957,
  [SMALL_STATE(790)] = 51981,
  [SMALL_STATE(791)] = 52006,
  [SMALL_STATE(792)] = 52031,
  [SMALL_STATE(793)] = 52059,
  [SMALL_STATE(794)] = 52085,
  [SMALL_STATE(795)] = 52113,
  [SMALL_STATE(796)] = 52138,
  [SMALL_STATE(797)] = 52159,
  [SMALL_STATE(798)] = 52180,
  [SMALL_STATE(799)] = 52203,
  [SMALL_STATE(800)] = 52228,
  [SMALL_STATE(801)] = 52249,
  [SMALL_STATE(802)] = 52274,
  [SMALL_STATE(803)] = 52295,
  [SMALL_STATE(804)] = 52316,
  [SMALL_STATE(805)] = 52336,
  [SMALL_STATE(806)] = 52356,
  [SMALL_STATE(807)] = 52376,
  [SMALL_STATE(808)] = 52396,
  [SMALL_STATE(809)] = 52416,
  [SMALL_STATE(810)] = 52436,
  [SMALL_STATE(811)] = 52456,
  [SMALL_STATE(812)] = 52476,
  [SMALL_STATE(813)] = 52496,
  [SMALL_STATE(814)] = 52516,
  [SMALL_STATE(815)] = 52536,
  [SMALL_STATE(816)] = 52556,
  [SMALL_STATE(817)] = 52576,
  [SMALL_STATE(818)] = 52596,
  [SMALL_STATE(819)] = 52616,
  [SMALL_STATE(820)] = 52636,
  [SMALL_STATE(821)] = 52656,
  [SMALL_STATE(822)] = 52676,
  [SMALL_STATE(823)] = 52696,
  [SMALL_STATE(824)] = 52716,
  [SMALL_STATE(825)] = 52736,
  [SMALL_STATE(826)] = 52756,
  [SMALL_STATE(827)] = 52776,
  [SMALL_STATE(828)] = 52796,
  [SMALL_STATE(829)] = 52816,
  [SMALL_STATE(830)] = 52836,
  [SMALL_STATE(831)] = 52856,
  [SMALL_STATE(832)] = 52876,
  [SMALL_STATE(833)] = 52895,
  [SMALL_STATE(834)] = 52918,
  [SMALL_STATE(835)] = 52937,
  [SMALL_STATE(836)] = 52956,
  [SMALL_STATE(837)] = 52988,
  [SMALL_STATE(838)] = 53016,
  [SMALL_STATE(839)] = 53046,
  [SMALL_STATE(840)] = 53078,
  [SMALL_STATE(841)] = 53098,
  [SMALL_STATE(842)] = 53120,
  [SMALL_STATE(843)] = 53135,
  [SMALL_STATE(844)] = 53166,
  [SMALL_STATE(845)] = 53197,
  [SMALL_STATE(846)] = 53212,
  [SMALL_STATE(847)] = 53227,
  [SMALL_STATE(848)] = 53242,
  [SMALL_STATE(849)] = 53257,
  [SMALL_STATE(850)] = 53284,
  [SMALL_STATE(851)] = 53299,
  [SMALL_STATE(852)] = 53314,
  [SMALL_STATE(853)] = 53329,
  [SMALL_STATE(854)] = 53360,
  [SMALL_STATE(855)] = 53383,
  [SMALL_STATE(856)] = 53398,
  [SMALL_STATE(857)] = 53413,
  [SMALL_STATE(858)] = 53428,
  [SMALL_STATE(859)] = 53443,
  [SMALL_STATE(860)] = 53474,
  [SMALL_STATE(861)] = 53489,
  [SMALL_STATE(862)] = 53504,
  [SMALL_STATE(863)] = 53535,
  [SMALL_STATE(864)] = 53550,
  [SMALL_STATE(865)] = 53565,
  [SMALL_STATE(866)] = 53580,
  [SMALL_STATE(867)] = 53607,
  [SMALL_STATE(868)] = 53626,
  [SMALL_STATE(869)] = 53641,
  [SMALL_STATE(870)] = 53656,
  [SMALL_STATE(871)] = 53671,
  [SMALL_STATE(872)] = 53686,
  [SMALL_STATE(873)] = 53701,
  [SMALL_STATE(874)] = 53716,
  [SMALL_STATE(875)] = 53747,
  [SMALL_STATE(876)] = 53762,
  [SMALL_STATE(877)] = 53777,
  [SMALL_STATE(878)] = 53792,
  [SMALL_STATE(879)] = 53807,
  [SMALL_STATE(880)] = 53829,
  [SMALL_STATE(881)] = 53857,
  [SMALL_STATE(882)] = 53877,
  [SMALL_STATE(883)] = 53905,
  [SMALL_STATE(884)] = 53933,
  [SMALL_STATE(885)] = 53955,
  [SMALL_STATE(886)] = 53983,
  [SMALL_STATE(887)] = 54011,
  [SMALL_STATE(888)] = 54039,
  [SMALL_STATE(889)] = 54067,
  [SMALL_STATE(890)] = 54095,
  [SMALL_STATE(891)] = 54123,
  [SMALL_STATE(892)] = 54143,
  [SMALL_STATE(893)] = 54161,
  [SMALL_STATE(894)] = 54189,
  [SMALL_STATE(895)] = 54207,
  [SMALL_STATE(896)] = 54226,
  [SMALL_STATE(897)] = 54245,
  [SMALL_STATE(898)] = 54262,
  [SMALL_STATE(899)] = 54287,
  [SMALL_STATE(900)] = 54304,
  [SMALL_STATE(901)] = 54323,
  [SMALL_STATE(902)] = 54344,
  [SMALL_STATE(903)] = 54361,
  [SMALL_STATE(904)] = 54382,
  [SMALL_STATE(905)] = 54399,
  [SMALL_STATE(906)] = 54420,
  [SMALL_STATE(907)] = 54437,
  [SMALL_STATE(908)] = 54454,
  [SMALL_STATE(909)] = 54475,
  [SMALL_STATE(910)] = 54494,
  [SMALL_STATE(911)] = 54511,
  [SMALL_STATE(912)] = 54530,
  [SMALL_STATE(913)] = 54551,
  [SMALL_STATE(914)] = 54565,
  [SMALL_STATE(915)] = 54583,
  [SMALL_STATE(916)] = 54597,
  [SMALL_STATE(917)] = 54611,
  [SMALL_STATE(918)] = 54629,
  [SMALL_STATE(919)] = 54647,
  [SMALL_STATE(920)] = 54661,
  [SMALL_STATE(921)] = 54675,
  [SMALL_STATE(922)] = 54689,
  [SMALL_STATE(923)] = 54703,
  [SMALL_STATE(924)] = 54717,
  [SMALL_STATE(925)] = 54735,
  [SMALL_STATE(926)] = 54749,
  [SMALL_STATE(927)] = 54763,
  [SMALL_STATE(928)] = 54777,
  [SMALL_STATE(929)] = 54791,
  [SMALL_STATE(930)] = 54805,
  [SMALL_STATE(931)] = 54819,
  [SMALL_STATE(932)] = 54833,
  [SMALL_STATE(933)] = 54853,
  [SMALL_STATE(934)] = 54867,
  [SMALL_STATE(935)] = 54881,
  [SMALL_STATE(936)] = 54899,
  [SMALL_STATE(937)] = 54917,
  [SMALL_STATE(938)] = 54931,
  [SMALL_STATE(939)] = 54945,
  [SMALL_STATE(940)] = 54959,
  [SMALL_STATE(941)] = 54973,
  [SMALL_STATE(942)] = 54987,
  [SMALL_STATE(943)] = 55001,
  [SMALL_STATE(944)] = 55015,
  [SMALL_STATE(945)] = 55029,
  [SMALL_STATE(946)] = 55047,
  [SMALL_STATE(947)] = 55061,
  [SMALL_STATE(948)] = 55075,
  [SMALL_STATE(949)] = 55089,
  [SMALL_STATE(950)] = 55103,
  [SMALL_STATE(951)] = 55117,
  [SMALL_STATE(952)] = 55131,
  [SMALL_STATE(953)] = 55145,
  [SMALL_STATE(954)] = 55159,
  [SMALL_STATE(955)] = 55173,
  [SMALL_STATE(956)] = 55187,
  [SMALL_STATE(957)] = 55201,
  [SMALL_STATE(958)] = 55215,
  [SMALL_STATE(959)] = 55229,
  [SMALL_STATE(960)] = 55243,
  [SMALL_STATE(961)] = 55257,
  [SMALL_STATE(962)] = 55275,
  [SMALL_STATE(963)] = 55289,
  [SMALL_STATE(964)] = 55307,
  [SMALL_STATE(965)] = 55321,
  [SMALL_STATE(966)] = 55339,
  [SMALL_STATE(967)] = 55357,
  [SMALL_STATE(968)] = 55371,
  [SMALL_STATE(969)] = 55385,
  [SMALL_STATE(970)] = 55399,
  [SMALL_STATE(971)] = 55413,
  [SMALL_STATE(972)] = 55427,
  [SMALL_STATE(973)] = 55445,
  [SMALL_STATE(974)] = 55463,
  [SMALL_STATE(975)] = 55477,
  [SMALL_STATE(976)] = 55495,
  [SMALL_STATE(977)] = 55509,
  [SMALL_STATE(978)] = 55527,
  [SMALL_STATE(979)] = 55541,
  [SMALL_STATE(980)] = 55559,
  [SMALL_STATE(981)] = 55577,
  [SMALL_STATE(982)] = 55591,
  [SMALL_STATE(983)] = 55613,
  [SMALL_STATE(984)] = 55631,
  [SMALL_STATE(985)] = 55645,
  [SMALL_STATE(986)] = 55659,
  [SMALL_STATE(987)] = 55673,
  [SMALL_STATE(988)] = 55687,
  [SMALL_STATE(989)] = 55705,
  [SMALL_STATE(990)] = 55719,
  [SMALL_STATE(991)] = 55733,
  [SMALL_STATE(992)] = 55747,
  [SMALL_STATE(993)] = 55761,
  [SMALL_STATE(994)] = 55775,
  [SMALL_STATE(995)] = 55793,
  [SMALL_STATE(996)] = 55807,
  [SMALL_STATE(997)] = 55821,
  [SMALL_STATE(998)] = 55835,
  [SMALL_STATE(999)] = 55849,
  [SMALL_STATE(1000)] = 55861,
  [SMALL_STATE(1001)] = 55875,
  [SMALL_STATE(1002)] = 55889,
  [SMALL_STATE(1003)] = 55907,
  [SMALL_STATE(1004)] = 55925,
  [SMALL_STATE(1005)] = 55939,
  [SMALL_STATE(1006)] = 55953,
  [SMALL_STATE(1007)] = 55967,
  [SMALL_STATE(1008)] = 55981,
  [SMALL_STATE(1009)] = 56003,
  [SMALL_STATE(1010)] = 56017,
  [SMALL_STATE(1011)] = 56031,
  [SMALL_STATE(1012)] = 56049,
  [SMALL_STATE(1013)] = 56063,
  [SMALL_STATE(1014)] = 56077,
  [SMALL_STATE(1015)] = 56091,
  [SMALL_STATE(1016)] = 56105,
  [SMALL_STATE(1017)] = 56119,
  [SMALL_STATE(1018)] = 56133,
  [SMALL_STATE(1019)] = 56152,
  [SMALL_STATE(1020)] = 56169,
  [SMALL_STATE(1021)] = 56186,
  [SMALL_STATE(1022)] = 56205,
  [SMALL_STATE(1023)] = 56222,
  [SMALL_STATE(1024)] = 56241,
  [SMALL_STATE(1025)] = 56258,
  [SMALL_STATE(1026)] = 56275,
  [SMALL_STATE(1027)] = 56292,
  [SMALL_STATE(1028)] = 56309,
  [SMALL_STATE(1029)] = 56326,
  [SMALL_STATE(1030)] = 56343,
  [SMALL_STATE(1031)] = 56360,
  [SMALL_STATE(1032)] = 56377,
  [SMALL_STATE(1033)] = 56394,
  [SMALL_STATE(1034)] = 56413,
  [SMALL_STATE(1035)] = 56430,
  [SMALL_STATE(1036)] = 56449,
  [SMALL_STATE(1037)] = 56466,
  [SMALL_STATE(1038)] = 56483,
  [SMALL_STATE(1039)] = 56500,
  [SMALL_STATE(1040)] = 56517,
  [SMALL_STATE(1041)] = 56530,
  [SMALL_STATE(1042)] = 56547,
  [SMALL_STATE(1043)] = 56564,
  [SMALL_STATE(1044)] = 56581,
  [SMALL_STATE(1045)] = 56598,
  [SMALL_STATE(1046)] = 56615,
  [SMALL_STATE(1047)] = 56634,
  [SMALL_STATE(1048)] = 56651,
  [SMALL_STATE(1049)] = 56668,
  [SMALL_STATE(1050)] = 56685,
  [SMALL_STATE(1051)] = 56699,
  [SMALL_STATE(1052)] = 56711,
  [SMALL_STATE(1053)] = 56725,
  [SMALL_STATE(1054)] = 56739,
  [SMALL_STATE(1055)] = 56751,
  [SMALL_STATE(1056)] = 56763,
  [SMALL_STATE(1057)] = 56775,
  [SMALL_STATE(1058)] = 56787,
  [SMALL_STATE(1059)] = 56799,
  [SMALL_STATE(1060)] = 56811,
  [SMALL_STATE(1061)] = 56825,
  [SMALL_STATE(1062)] = 56837,
  [SMALL_STATE(1063)] = 56851,
  [SMALL_STATE(1064)] = 56867,
  [SMALL_STATE(1065)] = 56883,
  [SMALL_STATE(1066)] = 56897,
  [SMALL_STATE(1067)] = 56909,
  [SMALL_STATE(1068)] = 56921,
  [SMALL_STATE(1069)] = 56933,
  [SMALL_STATE(1070)] = 56947,
  [SMALL_STATE(1071)] = 56959,
  [SMALL_STATE(1072)] = 56971,
  [SMALL_STATE(1073)] = 56983,
  [SMALL_STATE(1074)] = 56995,
  [SMALL_STATE(1075)] = 57007,
  [SMALL_STATE(1076)] = 57019,
  [SMALL_STATE(1077)] = 57031,
  [SMALL_STATE(1078)] = 57043,
  [SMALL_STATE(1079)] = 57055,
  [SMALL_STATE(1080)] = 57067,
  [SMALL_STATE(1081)] = 57083,
  [SMALL_STATE(1082)] = 57097,
  [SMALL_STATE(1083)] = 57113,
  [SMALL_STATE(1084)] = 57127,
  [SMALL_STATE(1085)] = 57141,
  [SMALL_STATE(1086)] = 57153,
  [SMALL_STATE(1087)] = 57165,
  [SMALL_STATE(1088)] = 57181,
  [SMALL_STATE(1089)] = 57193,
  [SMALL_STATE(1090)] = 57205,
  [SMALL_STATE(1091)] = 57221,
  [SMALL_STATE(1092)] = 57235,
  [SMALL_STATE(1093)] = 57247,
  [SMALL_STATE(1094)] = 57263,
  [SMALL_STATE(1095)] = 57277,
  [SMALL_STATE(1096)] = 57291,
  [SMALL_STATE(1097)] = 57305,
  [SMALL_STATE(1098)] = 57319,
  [SMALL_STATE(1099)] = 57333,
  [SMALL_STATE(1100)] = 57347,
  [SMALL_STATE(1101)] = 57359,
  [SMALL_STATE(1102)] = 57371,
  [SMALL_STATE(1103)] = 57387,
  [SMALL_STATE(1104)] = 57403,
  [SMALL_STATE(1105)] = 57415,
  [SMALL_STATE(1106)] = 57431,
  [SMALL_STATE(1107)] = 57445,
  [SMALL_STATE(1108)] = 57457,
  [SMALL_STATE(1109)] = 57471,
  [SMALL_STATE(1110)] = 57485,
  [SMALL_STATE(1111)] = 57497,
  [SMALL_STATE(1112)] = 57511,
  [SMALL_STATE(1113)] = 57525,
  [SMALL_STATE(1114)] = 57537,
  [SMALL_STATE(1115)] = 57551,
  [SMALL_STATE(1116)] = 57567,
  [SMALL_STATE(1117)] = 57581,
  [SMALL_STATE(1118)] = 57595,
  [SMALL_STATE(1119)] = 57609,
  [SMALL_STATE(1120)] = 57623,
  [SMALL_STATE(1121)] = 57637,
  [SMALL_STATE(1122)] = 57649,
  [SMALL_STATE(1123)] = 57663,
  [SMALL_STATE(1124)] = 57677,
  [SMALL_STATE(1125)] = 57693,
  [SMALL_STATE(1126)] = 57707,
  [SMALL_STATE(1127)] = 57721,
  [SMALL_STATE(1128)] = 57735,
  [SMALL_STATE(1129)] = 57751,
  [SMALL_STATE(1130)] = 57767,
  [SMALL_STATE(1131)] = 57781,
  [SMALL_STATE(1132)] = 57795,
  [SMALL_STATE(1133)] = 57807,
  [SMALL_STATE(1134)] = 57819,
  [SMALL_STATE(1135)] = 57832,
  [SMALL_STATE(1136)] = 57841,
  [SMALL_STATE(1137)] = 57854,
  [SMALL_STATE(1138)] = 57865,
  [SMALL_STATE(1139)] = 57878,
  [SMALL_STATE(1140)] = 57891,
  [SMALL_STATE(1141)] = 57904,
  [SMALL_STATE(1142)] = 57915,
  [SMALL_STATE(1143)] = 57926,
  [SMALL_STATE(1144)] = 57939,
  [SMALL_STATE(1145)] = 57952,
  [SMALL_STATE(1146)] = 57963,
  [SMALL_STATE(1147)] = 57976,
  [SMALL_STATE(1148)] = 57989,
  [SMALL_STATE(1149)] = 58002,
  [SMALL_STATE(1150)] = 58015,
  [SMALL_STATE(1151)] = 58024,
  [SMALL_STATE(1152)] = 58037,
  [SMALL_STATE(1153)] = 58050,
  [SMALL_STATE(1154)] = 58063,
  [SMALL_STATE(1155)] = 58076,
  [SMALL_STATE(1156)] = 58087,
  [SMALL_STATE(1157)] = 58100,
  [SMALL_STATE(1158)] = 58113,
  [SMALL_STATE(1159)] = 58126,
  [SMALL_STATE(1160)] = 58137,
  [SMALL_STATE(1161)] = 58146,
  [SMALL_STATE(1162)] = 58159,
  [SMALL_STATE(1163)] = 58172,
  [SMALL_STATE(1164)] = 58185,
  [SMALL_STATE(1165)] = 58198,
  [SMALL_STATE(1166)] = 58211,
  [SMALL_STATE(1167)] = 58224,
  [SMALL_STATE(1168)] = 58237,
  [SMALL_STATE(1169)] = 58250,
  [SMALL_STATE(1170)] = 58261,
  [SMALL_STATE(1171)] = 58274,
  [SMALL_STATE(1172)] = 58287,
  [SMALL_STATE(1173)] = 58300,
  [SMALL_STATE(1174)] = 58311,
  [SMALL_STATE(1175)] = 58324,
  [SMALL_STATE(1176)] = 58337,
  [SMALL_STATE(1177)] = 58350,
  [SMALL_STATE(1178)] = 58361,
  [SMALL_STATE(1179)] = 58372,
  [SMALL_STATE(1180)] = 58383,
  [SMALL_STATE(1181)] = 58396,
  [SMALL_STATE(1182)] = 58409,
  [SMALL_STATE(1183)] = 58422,
  [SMALL_STATE(1184)] = 58431,
  [SMALL_STATE(1185)] = 58444,
  [SMALL_STATE(1186)] = 58457,
  [SMALL_STATE(1187)] = 58468,
  [SMALL_STATE(1188)] = 58481,
  [SMALL_STATE(1189)] = 58494,
  [SMALL_STATE(1190)] = 58503,
  [SMALL_STATE(1191)] = 58516,
  [SMALL_STATE(1192)] = 58529,
  [SMALL_STATE(1193)] = 58542,
  [SMALL_STATE(1194)] = 58555,
  [SMALL_STATE(1195)] = 58568,
  [SMALL_STATE(1196)] = 58581,
  [SMALL_STATE(1197)] = 58594,
  [SMALL_STATE(1198)] = 58607,
  [SMALL_STATE(1199)] = 58620,
  [SMALL_STATE(1200)] = 58633,
  [SMALL_STATE(1201)] = 58646,
  [SMALL_STATE(1202)] = 58659,
  [SMALL_STATE(1203)] = 58672,
  [SMALL_STATE(1204)] = 58681,
  [SMALL_STATE(1205)] = 58694,
  [SMALL_STATE(1206)] = 58707,
  [SMALL_STATE(1207)] = 58718,
  [SMALL_STATE(1208)] = 58731,
  [SMALL_STATE(1209)] = 58742,
  [SMALL_STATE(1210)] = 58755,
  [SMALL_STATE(1211)] = 58768,
  [SMALL_STATE(1212)] = 58779,
  [SMALL_STATE(1213)] = 58792,
  [SMALL_STATE(1214)] = 58805,
  [SMALL_STATE(1215)] = 58814,
  [SMALL_STATE(1216)] = 58827,
  [SMALL_STATE(1217)] = 58840,
  [SMALL_STATE(1218)] = 58853,
  [SMALL_STATE(1219)] = 58862,
  [SMALL_STATE(1220)] = 58875,
  [SMALL_STATE(1221)] = 58888,
  [SMALL_STATE(1222)] = 58897,
  [SMALL_STATE(1223)] = 58910,
  [SMALL_STATE(1224)] = 58923,
  [SMALL_STATE(1225)] = 58936,
  [SMALL_STATE(1226)] = 58949,
  [SMALL_STATE(1227)] = 58960,
  [SMALL_STATE(1228)] = 58973,
  [SMALL_STATE(1229)] = 58986,
  [SMALL_STATE(1230)] = 58999,
  [SMALL_STATE(1231)] = 59012,
  [SMALL_STATE(1232)] = 59025,
  [SMALL_STATE(1233)] = 59038,
  [SMALL_STATE(1234)] = 59051,
  [SMALL_STATE(1235)] = 59064,
  [SMALL_STATE(1236)] = 59077,
  [SMALL_STATE(1237)] = 59086,
  [SMALL_STATE(1238)] = 59099,
  [SMALL_STATE(1239)] = 59112,
  [SMALL_STATE(1240)] = 59125,
  [SMALL_STATE(1241)] = 59138,
  [SMALL_STATE(1242)] = 59149,
  [SMALL_STATE(1243)] = 59162,
  [SMALL_STATE(1244)] = 59170,
  [SMALL_STATE(1245)] = 59178,
  [SMALL_STATE(1246)] = 59188,
  [SMALL_STATE(1247)] = 59198,
  [SMALL_STATE(1248)] = 59206,
  [SMALL_STATE(1249)] = 59214,
  [SMALL_STATE(1250)] = 59224,
  [SMALL_STATE(1251)] = 59234,
  [SMALL_STATE(1252)] = 59244,
  [SMALL_STATE(1253)] = 59254,
  [SMALL_STATE(1254)] = 59264,
  [SMALL_STATE(1255)] = 59272,
  [SMALL_STATE(1256)] = 59280,
  [SMALL_STATE(1257)] = 59290,
  [SMALL_STATE(1258)] = 59300,
  [SMALL_STATE(1259)] = 59308,
  [SMALL_STATE(1260)] = 59316,
  [SMALL_STATE(1261)] = 59326,
  [SMALL_STATE(1262)] = 59334,
  [SMALL_STATE(1263)] = 59344,
  [SMALL_STATE(1264)] = 59354,
  [SMALL_STATE(1265)] = 59362,
  [SMALL_STATE(1266)] = 59372,
  [SMALL_STATE(1267)] = 59382,
  [SMALL_STATE(1268)] = 59392,
  [SMALL_STATE(1269)] = 59402,
  [SMALL_STATE(1270)] = 59410,
  [SMALL_STATE(1271)] = 59420,
  [SMALL_STATE(1272)] = 59428,
  [SMALL_STATE(1273)] = 59438,
  [SMALL_STATE(1274)] = 59448,
  [SMALL_STATE(1275)] = 59456,
  [SMALL_STATE(1276)] = 59466,
  [SMALL_STATE(1277)] = 59474,
  [SMALL_STATE(1278)] = 59484,
  [SMALL_STATE(1279)] = 59492,
  [SMALL_STATE(1280)] = 59502,
  [SMALL_STATE(1281)] = 59510,
  [SMALL_STATE(1282)] = 59518,
  [SMALL_STATE(1283)] = 59526,
  [SMALL_STATE(1284)] = 59536,
  [SMALL_STATE(1285)] = 59546,
  [SMALL_STATE(1286)] = 59556,
  [SMALL_STATE(1287)] = 59566,
  [SMALL_STATE(1288)] = 59576,
  [SMALL_STATE(1289)] = 59586,
  [SMALL_STATE(1290)] = 59594,
  [SMALL_STATE(1291)] = 59604,
  [SMALL_STATE(1292)] = 59614,
  [SMALL_STATE(1293)] = 59624,
  [SMALL_STATE(1294)] = 59634,
  [SMALL_STATE(1295)] = 59644,
  [SMALL_STATE(1296)] = 59652,
  [SMALL_STATE(1297)] = 59662,
  [SMALL_STATE(1298)] = 59672,
  [SMALL_STATE(1299)] = 59682,
  [SMALL_STATE(1300)] = 59692,
  [SMALL_STATE(1301)] = 59702,
  [SMALL_STATE(1302)] = 59712,
  [SMALL_STATE(1303)] = 59722,
  [SMALL_STATE(1304)] = 59730,
  [SMALL_STATE(1305)] = 59738,
  [SMALL_STATE(1306)] = 59748,
  [SMALL_STATE(1307)] = 59758,
  [SMALL_STATE(1308)] = 59768,
  [SMALL_STATE(1309)] = 59778,
  [SMALL_STATE(1310)] = 59786,
  [SMALL_STATE(1311)] = 59794,
  [SMALL_STATE(1312)] = 59804,
  [SMALL_STATE(1313)] = 59814,
  [SMALL_STATE(1314)] = 59822,
  [SMALL_STATE(1315)] = 59832,
  [SMALL_STATE(1316)] = 59842,
  [SMALL_STATE(1317)] = 59852,
  [SMALL_STATE(1318)] = 59859,
  [SMALL_STATE(1319)] = 59866,
  [SMALL_STATE(1320)] = 59873,
  [SMALL_STATE(1321)] = 59880,
  [SMALL_STATE(1322)] = 59887,
  [SMALL_STATE(1323)] = 59894,
  [SMALL_STATE(1324)] = 59901,
  [SMALL_STATE(1325)] = 59908,
  [SMALL_STATE(1326)] = 59915,
  [SMALL_STATE(1327)] = 59922,
  [SMALL_STATE(1328)] = 59929,
  [SMALL_STATE(1329)] = 59936,
  [SMALL_STATE(1330)] = 59943,
  [SMALL_STATE(1331)] = 59950,
  [SMALL_STATE(1332)] = 59957,
  [SMALL_STATE(1333)] = 59964,
  [SMALL_STATE(1334)] = 59971,
  [SMALL_STATE(1335)] = 59978,
  [SMALL_STATE(1336)] = 59985,
  [SMALL_STATE(1337)] = 59992,
  [SMALL_STATE(1338)] = 59999,
  [SMALL_STATE(1339)] = 60006,
  [SMALL_STATE(1340)] = 60013,
  [SMALL_STATE(1341)] = 60020,
  [SMALL_STATE(1342)] = 60027,
  [SMALL_STATE(1343)] = 60034,
  [SMALL_STATE(1344)] = 60041,
  [SMALL_STATE(1345)] = 60048,
  [SMALL_STATE(1346)] = 60055,
  [SMALL_STATE(1347)] = 60062,
  [SMALL_STATE(1348)] = 60069,
  [SMALL_STATE(1349)] = 60076,
  [SMALL_STATE(1350)] = 60083,
  [SMALL_STATE(1351)] = 60090,
  [SMALL_STATE(1352)] = 60097,
  [SMALL_STATE(1353)] = 60104,
  [SMALL_STATE(1354)] = 60111,
  [SMALL_STATE(1355)] = 60118,
  [SMALL_STATE(1356)] = 60125,
  [SMALL_STATE(1357)] = 60132,
  [SMALL_STATE(1358)] = 60139,
  [SMALL_STATE(1359)] = 60146,
  [SMALL_STATE(1360)] = 60153,
  [SMALL_STATE(1361)] = 60160,
  [SMALL_STATE(1362)] = 60167,
  [SMALL_STATE(1363)] = 60174,
  [SMALL_STATE(1364)] = 60181,
  [SMALL_STATE(1365)] = 60188,
  [SMALL_STATE(1366)] = 60195,
  [SMALL_STATE(1367)] = 60202,
  [SMALL_STATE(1368)] = 60209,
  [SMALL_STATE(1369)] = 60216,
  [SMALL_STATE(1370)] = 60223,
  [SMALL_STATE(1371)] = 60230,
  [SMALL_STATE(1372)] = 60237,
  [SMALL_STATE(1373)] = 60244,
  [SMALL_STATE(1374)] = 60251,
  [SMALL_STATE(1375)] = 60258,
  [SMALL_STATE(1376)] = 60265,
  [SMALL_STATE(1377)] = 60272,
  [SMALL_STATE(1378)] = 60279,
  [SMALL_STATE(1379)] = 60286,
  [SMALL_STATE(1380)] = 60293,
  [SMALL_STATE(1381)] = 60300,
  [SMALL_STATE(1382)] = 60307,
  [SMALL_STATE(1383)] = 60314,
  [SMALL_STATE(1384)] = 60321,
  [SMALL_STATE(1385)] = 60328,
  [SMALL_STATE(1386)] = 60335,
  [SMALL_STATE(1387)] = 60342,
  [SMALL_STATE(1388)] = 60349,
  [SMALL_STATE(1389)] = 60356,
  [SMALL_STATE(1390)] = 60363,
  [SMALL_STATE(1391)] = 60370,
  [SMALL_STATE(1392)] = 60377,
  [SMALL_STATE(1393)] = 60384,
  [SMALL_STATE(1394)] = 60391,
  [SMALL_STATE(1395)] = 60398,
  [SMALL_STATE(1396)] = 60405,
  [SMALL_STATE(1397)] = 60412,
  [SMALL_STATE(1398)] = 60419,
  [SMALL_STATE(1399)] = 60426,
  [SMALL_STATE(1400)] = 60433,
  [SMALL_STATE(1401)] = 60440,
  [SMALL_STATE(1402)] = 60447,
  [SMALL_STATE(1403)] = 60454,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [75] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [77] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [79] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(238),
  [82] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(948),
  [85] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1365),
  [88] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(836),
  [91] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(185),
  [94] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1238),
  [97] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1060),
  [100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1139),
  [103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(55),
  [106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1083),
  [109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(235),
  [112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1265),
  [115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(742),
  [118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(12),
  [121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1379),
  [124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1376),
  [127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(770),
  [130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(151),
  [133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(959),
  [136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(910),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(907),
  [142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1367),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(28),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(153),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(160),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(27),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(21),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(22),
  [163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1366),
  [166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(250),
  [169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(179),
  [172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(281),
  [175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1106),
  [178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(281),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 4, 0, 103),
  [187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_case, 4, 0, 103),
  [189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 3, 0, 41),
  [191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_case, 3, 0, 41),
  [193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_communication_case, 3, 0, 88),
  [195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_communication_case, 3, 0, 88),
  [197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_case, 3, 0, 7),
  [199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_case, 3, 0, 7),
  [201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_case, 2, 0, 0),
  [203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_case, 2, 0, 0),
  [205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_list, 3, 0, 0),
  [207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_list, 3, 0, 0),
  [209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_list, 2, 0, 0),
  [211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_list, 2, 0, 0),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_labeled_statement, 2, 0, 26),
  [219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_labeled_statement, 2, 0, 26),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 2, 0, 0),
  [259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 4, 0, 86),
  [261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, 0, 57),
  [263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, 0, 58),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1, 0, 0),
  [269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 1, 0, 0),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1362),
  [566] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__simple_type, 1, -1, 1), REDUCE(sym__expression, 1, 0, 0), SHIFT(712),
  [570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [574] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__simple_type, 1, -1, 1), REDUCE(sym__expression, 1, 0, 0), SHIFT(56),
  [578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(741),
  [583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1362),
  [594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, -1, 1), REDUCE(sym__expression, 1, 0, 0),
  [597] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__simple_type, 1, -1, 1), REDUCE(sym__expression, 1, 0, 0), SHIFT(650),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 1, 0, 0),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 6),
  [639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 6),
  [641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 32),
  [643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 32),
  [645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpreted_string_literal, 3, 0, 0),
  [659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpreted_string_literal, 3, 0, 0),
  [661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpreted_string_literal, 2, 0, 0),
  [663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpreted_string_literal, 2, 0, 0),
  [665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 10),
  [671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 10),
  [673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector_expression, 3, 0, 34),
  [679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_selector_expression, 3, 0, 34),
  [681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 4, 0, 0),
  [683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 4, 0, 0),
  [685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 4, 0, 0),
  [687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 4, 0, 0),
  [689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 4, 0, 63),
  [691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 4, 0, 63),
  [693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_composite_literal, 2, 0, 12),
  [695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_composite_literal, 2, 0, 12),
  [697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_composite_literal, 2, 0, 13),
  [699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_composite_literal, 2, 0, 13),
  [701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 2, 0, 0),
  [703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 2, 0, 0),
  [705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 4, 0, 62),
  [707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 4, 0, 62),
  [709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_literal, 3, 0, 22),
  [711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_literal, 3, 0, 22),
  [713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_conversion_expression, 5, -1, 61),
  [715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_conversion_expression, 5, -1, 61),
  [717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_instantiation_expression, 5, -1, 19),
  [723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_instantiation_expression, 5, -1, 19),
  [725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 36),
  [727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 36),
  [729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_instantiation_expression, 4, -1, 19),
  [731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_instantiation_expression, 4, -1, 19),
  [733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_conversion_expression, 4, -1, 61),
  [735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_conversion_expression, 4, -1, 61),
  [737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_assertion_expression, 5, 0, 89),
  [739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_assertion_expression, 5, 0, 89),
  [741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 7, 0, 104),
  [743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 7, 0, 104),
  [745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 3, 0, 0),
  [747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 3, 0, 0),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 1, 0, 0),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 5, 0, 90),
  [779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 5, 0, 90),
  [781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 5, 0, 91),
  [783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 5, 0, 91),
  [785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 3, 0, 0),
  [787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 3, 0, 0),
  [789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_instantiation_expression, 6, -1, 19),
  [791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_instantiation_expression, 6, -1, 19),
  [793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 5, 0, 0),
  [799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 5, 0, 0),
  [801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 8, 0, 107),
  [803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 8, 0, 107),
  [805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 6, 0, 101),
  [807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 6, 0, 101),
  [809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 5, 0, 0),
  [811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 5, 0, 0),
  [813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func_literal, 4, 0, 46),
  [815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func_literal, 4, 0, 46),
  [817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 0),
  [819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 0),
  [821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 2, 0, 0),
  [823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 2, 0, 0),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, -1, 1), REDUCE(sym__expression, 1, 0, 0),
  [832] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__simple_type, 1, -1, 1), REDUCE(sym__expression, 1, 0, 0), SHIFT(650),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2, 0, 0),
  [860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_list_repeat1, 2, 0, 0),
  [862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 2, 0, 5),
  [870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 2, 0, 5),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 1, 0, 25),
  [894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 1, 0, 25),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 2, 0, 17),
  [930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 2, 0, 17),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 1, 0, 4),
  [948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 1, 0, 4),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [1002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 2, 0, 0),
  [1006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 2, 0, 0),
  [1008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [1010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_send_statement, 3, 0, 35),
  [1012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_send_statement, 3, 0, 35),
  [1014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_go_statement, 2, 0, 0),
  [1016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_go_statement, 2, 0, 0),
  [1018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 3, 0, 20),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [1022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 3, 0, 20),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [1026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [1032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [1036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15),
  [1038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [1042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [1044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [1050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [1056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [1058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_receive_statement, 1, 0, 60),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [1064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [1076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, -1, 1),
  [1078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, -1, 1), SHIFT(1319),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 45),
  [1089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 4, 0, 45),
  [1091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 42),
  [1093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 42),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [1139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_elem, 2, 0, 55),
  [1207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_elem, 2, 0, 55),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [1233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_element, 1, 0, 0),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [1247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [1301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [1357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_clause, 4, 0, 84),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [1413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [1427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [1463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receive_statement, 3, 0, 33),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [1473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [1477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_clause, 2, 0, 29),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [1509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [1527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 5, 0, 0),
  [1529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 5, 0, 0),
  [1531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [1533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [1535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [1537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [1539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [1541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [1543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_const_spec_repeat1, 2, 0, 0),
  [1545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_const_spec_repeat1, 2, 0, 0),
  [1547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_const_spec_repeat1, 2, 0, 0), SHIFT_REPEAT(1329),
  [1550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2, 0, 0), SHIFT_REPEAT(141),
  [1553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 2, 0, 0),
  [1555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, -1, 1),
  [1557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, -1, 1), SHIFT(649),
  [1560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_var_spec_repeat1, 2, 0, 40),
  [1562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_var_spec_repeat1, 2, 0, 40),
  [1564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_var_spec_repeat1, 2, 0, 40), SHIFT_REPEAT(1319),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [1569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, 0, 0),
  [1571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0),
  [1573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0), SHIFT(649),
  [1576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [1580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [1584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [1588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [1590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 40),
  [1594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 40),
  [1596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 40), SHIFT_REPEAT(1384),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_var_spec_repeat1, 2, 0, 38),
  [1603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_var_spec_repeat1, 2, 0, 38),
  [1605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_negated_type, 2, 0, 0),
  [1607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_negated_type, 2, 0, 0),
  [1609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type, 3, 0, 31),
  [1611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type, 3, 0, 31),
  [1613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_channel_type, 3, 0, 27),
  [1615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_channel_type, 3, 0, 27),
  [1617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 5, 0, 0),
  [1619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 5, 0, 0),
  [1621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 4, 0, 0),
  [1623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 4, 0, 0),
  [1625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 3, 0, 0),
  [1627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 3, 0, 0),
  [1629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 2, 0, 0),
  [1631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 2, 0, 0),
  [1633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, 2, 0),
  [1635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, 2, 0),
  [1637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 6, 0, 0),
  [1639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 6, 0, 0),
  [1641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 4, 0, 0),
  [1643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 4, 0, 0),
  [1645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 1, 11),
  [1647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 1, 11),
  [1649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, 2, 0),
  [1651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, 2, 0),
  [1653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 76),
  [1655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 76),
  [1657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_type, 5, 0, 0),
  [1659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_type, 5, 0, 0),
  [1661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 1, 14),
  [1663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 1, 14),
  [1665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [1667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [1669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [1671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [1673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_type, 5, 0, 80),
  [1675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_type, 5, 0, 80),
  [1677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 48),
  [1679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 4, 0, 48),
  [1681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_type, 2, 0, 0),
  [1683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_type, 2, 0, 0),
  [1685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_channel_type, 2, 0, 7),
  [1687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_channel_type, 2, 0, 7),
  [1689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 21),
  [1691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 21),
  [1693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, 2, 0),
  [1695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, 2, 0),
  [1697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_type, 3, 0, 23),
  [1699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_type, 3, 0, 23),
  [1701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [1703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [1705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter_list, 3, 0, 0),
  [1707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_list, 3, 0, 0),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [1711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, -1, 1), SHIFT(650),
  [1714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter_list, 5, 0, 0),
  [1716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_list, 5, 0, 0),
  [1718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameter_list, 4, 0, 0),
  [1720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_list, 4, 0, 0),
  [1722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [1724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [1728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [1732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 51),
  [1734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 51),
  [1736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [1738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [1742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [1746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [1748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__simple_type, 1, 0, 0), SHIFT(650),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [1757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 1, 0, 19),
  [1759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 1, 0, 19),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [1769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 41),
  [1771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 41),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [1779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, -1, 1), SHIFT(641),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [1788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_list_repeat1, 2, 0, 0), SHIFT_REPEAT(132),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [1807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 2, 0, 0),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [1819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_list, 1, 0, 0),
  [1821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 2, 0, 18),
  [1823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 2, 0, 18),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [1827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 81),
  [1829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 81),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [1833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0), SHIFT(641),
  [1836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 28),
  [1838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 28),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [1842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 3, 0, 39),
  [1844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 3, 0, 39),
  [1846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [1848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 53),
  [1850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 53),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [1858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1, 0, 0),
  [1860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 1, 0, 0),
  [1862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 78),
  [1864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 78),
  [1866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [1868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19),
  [1871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19),
  [1874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statement_list_repeat1, 2, 0, 0),
  [1876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [1878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1, 0, 0),
  [1880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 1, 0, 0),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [1884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 82),
  [1886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 82),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [1890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [1894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 5, 0, 72),
  [1896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 5, 0, 72),
  [1898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statement_list_repeat1, 2, 0, 0),
  [1900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 3, 0, 50),
  [1902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_spec, 3, 0, 50),
  [1904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias, 3, 0, 49),
  [1906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias, 3, 0, 49),
  [1908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 69),
  [1910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 69),
  [1912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 4, 0, 0),
  [1914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 4, 0, 0),
  [1916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 3, 0, 37),
  [1918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 3, 0, 37),
  [1920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 3, 0, 0),
  [1922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 3, 0, 0),
  [1924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec_list, 3, 0, 0),
  [1926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec_list, 3, 0, 0),
  [1928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_elem, 1, 0, 0),
  [1932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [1934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [1936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 8),
  [1938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 8),
  [1940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 3, 0, 37),
  [1942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 3, 0, 37),
  [1944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_elem, 2, 0, 0),
  [1946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_elem, 2, 0, 0),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [1950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2, 0, 0), SHIFT_REPEAT(150),
  [1953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 4, 0, 0),
  [1955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 4, 0, 0),
  [1957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 8),
  [1959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 8),
  [1961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 7, 0, 99),
  [1963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 7, 0, 99),
  [1965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 2, 0, 8),
  [1967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 2, 0, 8),
  [1969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_elem_repeat1, 2, 0, 0),
  [1975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_elem_repeat1, 2, 0, 0),
  [1977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_elem_repeat1, 2, 0, 0), SHIFT_REPEAT(711),
  [1980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 6, 0, 87),
  [1982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 6, 0, 87),
  [1984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_short_var_declaration, 3, 0, 33),
  [1990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_short_var_declaration, 3, 0, 33),
  [1992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_statement, 3, 0, 32),
  [1994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_statement, 3, 0, 32),
  [1996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 2, 0, 9),
  [1998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 2, 0, 9),
  [2000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, 0, 26),
  [2002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, 0, 26),
  [2004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 2, 0, 0),
  [2006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_declaration, 2, 0, 0),
  [2008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 5, 0, 93),
  [2010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 5, 0, 93),
  [2012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec_list, 2, 0, 0),
  [2014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec_list, 2, 0, 0),
  [2016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fallthrough_statement, 1, 0, 0),
  [2018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fallthrough_statement, 1, 0, 0),
  [2020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 6, 0, 99),
  [2022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 6, 0, 99),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [2028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_statement, 3, 0, 0),
  [2030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_statement, 3, 0, 0),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [2034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [2038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [2040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 3, 0, 0),
  [2042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 3, 0, 0),
  [2044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 3, 0, 0),
  [2046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 3, 0, 0),
  [2048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 3, 0, 30),
  [2050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 3, 0, 30),
  [2052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 4, 0, 0),
  [2054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 4, 0, 0),
  [2056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2, 0, 0),
  [2058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [2061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1372),
  [2064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [2066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 5, 0, 92),
  [2068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 5, 0, 92),
  [2070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 43),
  [2072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 43),
  [2074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 2, 0, 0),
  [2076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 2, 0, 0),
  [2078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_elem, 1, 0, 0),
  [2080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_switch_statement, 4, 0, 59),
  [2082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_switch_statement, 4, 0, 59),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [2086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [2088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 4, 0, 7),
  [2090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 4, 0, 7),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [2096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_statement, 4, 0, 0),
  [2098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_statement, 4, 0, 0),
  [2100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_statement_repeat1, 2, 0, 0),
  [2102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(48),
  [2105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1372),
  [2108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 4, 0, 64),
  [2110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 4, 0, 64),
  [2112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 1, 0, 0),
  [2114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 1, 0, 0),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [2118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 5, 0, 87),
  [2120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 5, 0, 87),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 4, 0, 66),
  [2128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 4, 0, 66),
  [2130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inc_statement, 2, 0, 0),
  [2132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inc_statement, 2, 0, 0),
  [2134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_switch_statement, 5, 0, 7),
  [2136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_switch_statement, 5, 0, 7),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [2140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_switch_statement, 5, 0, 59),
  [2142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_switch_statement, 5, 0, 59),
  [2144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dec_statement, 2, 0, 0),
  [2146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dec_statement, 2, 0, 0),
  [2148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_switch_statement_repeat1, 2, 0, 0),
  [2150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(720),
  [2153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1372),
  [2156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 102),
  [2158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 102),
  [2160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 2, 0, 0),
  [2162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 2, 0, 0),
  [2164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statement, 1, 0, 0),
  [2166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statement, 1, 0, 0),
  [2168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_spec, 4, 0, 65),
  [2170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_spec, 4, 0, 65),
  [2172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_spec, 4, 0, 64),
  [2174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_spec, 4, 0, 64),
  [2176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spec, 2, 0, 24),
  [2178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_spec, 2, 0, 24),
  [2180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [2182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [2184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [2186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [2190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [2192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [2200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [2202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_spec_list_repeat1, 2, 0, 0), SHIFT_REPEAT(887),
  [2205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_import_spec_list_repeat1, 2, 0, 0), SHIFT_REPEAT(887),
  [2208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_spec_list_repeat1, 2, 0, 0),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [2212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [2214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [2218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [2220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [2230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [2256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_type_repeat1, 2, 0, 0), SHIFT_REPEAT(601),
  [2259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_type_repeat1, 2, 0, 0), SHIFT_REPEAT(601),
  [2262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_interface_type_repeat1, 2, 0, 0),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [2270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [2274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(898),
  [2277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(898),
  [2280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2, 0, 0),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [2286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [2290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [2292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [2296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [2298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [2306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [2308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(605),
  [2311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat1, 2, 0, 0),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [2317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [2319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_case_repeat1, 2, 0, 0), SHIFT_REPEAT(705),
  [2322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_case_repeat1, 2, 0, 0),
  [2324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 4, 0, 0),
  [2326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 4, 0, 0),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [2334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec, 2, 0, 15),
  [2336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec, 2, 0, 15),
  [2338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 70),
  [2340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 70),
  [2342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 54),
  [2344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 54),
  [2346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec, 1, 0, 3),
  [2348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec, 1, 0, 3),
  [2350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 71),
  [2352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 71),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [2358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 2, 0, 0),
  [2360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 2, 0, 0),
  [2362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_var_spec_list_repeat1, 2, 0, 0), SHIFT_REPEAT(571),
  [2365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_var_spec_list_repeat1, 2, 0, 0),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [2373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 5, 0, 73),
  [2375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 5, 0, 73),
  [2377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_clause, 2, 0, 2),
  [2379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_clause, 2, 0, 2),
  [2381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 74),
  [2383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 74),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [2389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 97),
  [2391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 97),
  [2393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 75),
  [2395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 75),
  [2397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 77),
  [2399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 77),
  [2401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2, 0, 0),
  [2403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 5, 0, 0),
  [2405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 5, 0, 0),
  [2407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_elem, 3, 0, 79),
  [2409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_elem, 3, 0, 79),
  [2411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 6, 0, 96),
  [2413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 6, 0, 96),
  [2415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 95),
  [2417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, 0, 95),
  [2419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(392),
  [2422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 2, 0, 0),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [2428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_elem_repeat1, 2, 0, 0), SHIFT_REPEAT(745),
  [2431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 52),
  [2433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 52),
  [2435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 3, 0, 0),
  [2437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 3, 0, 0),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [2443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interface_type_repeat1, 2, 0, 0),
  [2445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec, 2, 0, 16),
  [2447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec, 2, 0, 16),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [2451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 44),
  [2453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 44),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [2463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 2, 0, 0),
  [2465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1098),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [2486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec_list, 2, 0, 0),
  [2488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec_list, 2, 0, 0),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [2498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 2, 0, 0),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [2530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_spec_list_repeat1, 2, 0, 0),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [2534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_case, 3, 0, 0),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [2544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(682),
  [2547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, 0, 0),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [2561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 5, 0, 103),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [2571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2, 0, 0),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [2581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2, 0, 0), SHIFT_REPEAT(47),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [2586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2, 0, 0), SHIFT_REPEAT(183),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(122),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [2638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_communication_case, 4, 0, 88),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [2670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [2680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [2686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_case, 4, 0, 7),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [2696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1287),
  [2699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameter_list_repeat1, 2, 0, 0),
  [2701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_case, 4, 0, 41),
  [2703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_list_repeat1, 2, 0, 0), SHIFT_REPEAT(149),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [2708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_list, 4, 0, 0),
  [2710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0),
  [2712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(576),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [2747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [2751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 3, 0, 67),
  [2753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, 0, 19),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [2763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 3, 0, 94),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [2777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 2, 0, 41),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [2787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 2, 0, 68),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [2793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyed_element, 3, 0, 0),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [2801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_argument, 2, 0, 0),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [2823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dot, 1, 0, 0),
  [2825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 3, 0, 39),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [2835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 18),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [2855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 7, 0, 105),
  [2857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 7, 0, 106),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [2861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 4, 0, 83),
  [2863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 4, 0, 85),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [2897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 9, 0, 108),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [2905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_switch_header, 5, 0, 100),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [2915] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [2945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, 0, 56),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [2951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_length_array_type, 4, 0, 47),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 5, 0, 98),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_go(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
